local Utils = LibStub:GetLibrary('TorpedoUtils-1.0')

local MAJOR, MINOR = 'TorpedoDefaultConfig-1.0', 1
local TorpedoDefaultConfig = LibStub:NewLibrary(MAJOR, MINOR)

if not TorpedoDefaultConfig then return end

local config = {
	["default_profile"] = {
		["gui_settings"] = {
			["secondary_panel_ref_point_sec"] = "BOTTOMLEFT",
			["primary_panel_scale"] = 1,
			["secondary_panel_y_offset"] = -5,
			["secondary_panel_x_offset"] = 10,
			["secondary_panel_ref_point_pri"] = "BOTTOMRIGHT",
			["secondary_panel_scale"] = 0.7,
      ["primary_panel_point"] = "TOPLEFT",
      ["primary_panel_relative_point"] = "TOPLEFT",
      ["primary_panel_x"] = 500,
      ["primary_panel_y"] = -50,
		},
		["specializations"] = {
			{
				["specialization_id"] = 261,
				["name"] = "Subtlety",
				["cooldowns"] = {
					{
						["debugName"] = "SymbolsOfDeath",
						["name"] = "Symbols of Death",
						["icon_id"] = 252272,
						["spell_id"] = 212283,
						["cooldown"] = 45,
					}, -- [1]
					{
						["debugName"] = "Vanish",
						["name"] = "Vanish",
						["icon_id"] = 132331,
						["spell_id"] = 1856,
						["cooldown"] = 120,
					}, -- [2]
					{
						["debugName"] = "ShadowDance",
						["name"] = "Shadow Dance",
						["icon_id"] = 252272,
						["spell_id"] = 185313,
						["cooldown"] = 60,
						["charges"] = 3,
					}, -- [3]
					{
						["debugName"] = "ShadowBlades",
						["name"] = "Shadow Blades",
						["icon_id"] = 376022,
						["spell_id"] = 121471,
						["cooldown"] = 180,
					}, -- [4]
					{
						["debugName"] = "GoremawsBite",
						["name"] = "Goremaw's Bite",
						["icon_id"] = 1120132,
						["spell_id"] = 209782,
						["cooldown"] = 60,
					}, -- [5]
				},
				["skills"] = {
					{
						["spell"] = {
							["debugName"] = "Stealth",
							["name"] = "Stealth",
							["icon_id"] = 132320,
							["spell_id"] = 115191,
							["cooldown"] = 2,
						},
						["name"] = "Stealth",
						["cooldowns"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["spell_id"] = 212283,
								["cooldown"] = 45,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 252272,
								["spell_id"] = 185313,
								["cooldown"] = 60,
								["charges"] = 3,
							}, -- [3]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["spell_id"] = 121471,
								["cooldown"] = 180,
							}, -- [4]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaw's Bite",
								["icon_id"] = 1120132,
								["spell_id"] = 209782,
								["cooldown"] = 60,
							}, -- [5]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["target"] = "player",
								["max_duration"] = 45,
								["aura_id"] = 212283,
							}, -- [1]
							{
								["debugName"] = "Nightblade",
								["name"] = "Nightblade",
								["icon_id"] = 1373907,
								["target"] = "target",
								["max_duration"] = 26,
								["aura_id"] = 195452,
							}, -- [2]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["target"] = "player",
								["max_duration"] = 26,
								["aura_id"] = 121471,
							}, -- [3]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaws Bite",
								["icon_id"] = 1120132,
								["target"] = "player",
								["max_duration"] = 7.8,
								["aura_id"] = 220901,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth1",
								["name"] = "Stealth 1",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [5]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [7]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish1",
								["name"] = "Vanish 1",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [8]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [9]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [10]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDanceOld",
								["name"] = "Shadow Dance Old",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 51713,
							}, -- [11]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 185422,
							}, -- [12]
						},
					}, -- [1]
					{
						["spell"] = {
							["debugName"] = "SymbolsOfDeath",
							["name"] = "Symbols of Death",
							["icon_id"] = 252272,
							["spell_id"] = 212283,
							["cooldown"] = 45,
						},
						["name"] = "Symbols of Death",
						["cooldowns"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["spell_id"] = 212283,
								["cooldown"] = 45,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 252272,
								["spell_id"] = 185313,
								["cooldown"] = 60,
								["charges"] = 3,
							}, -- [3]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["spell_id"] = 121471,
								["cooldown"] = 180,
							}, -- [4]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaw's Bite",
								["icon_id"] = 1120132,
								["spell_id"] = 209782,
								["cooldown"] = 60,
							}, -- [5]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["target"] = "player",
								["max_duration"] = 45,
								["aura_id"] = 212283,
							}, -- [1]
							{
								["debugName"] = "Nightblade",
								["name"] = "Nightblade",
								["icon_id"] = 1373907,
								["target"] = "target",
								["max_duration"] = 26,
								["aura_id"] = 195452,
							}, -- [2]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["target"] = "player",
								["max_duration"] = 26,
								["aura_id"] = 121471,
							}, -- [3]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaws Bite",
								["icon_id"] = 1120132,
								["target"] = "player",
								["max_duration"] = 7.8,
								["aura_id"] = 220901,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth1",
								["name"] = "Stealth 1",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [5]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [7]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish1",
								["name"] = "Vanish 1",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [8]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [9]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [10]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDanceOld",
								["name"] = "Shadow Dance Old",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 51713,
							}, -- [11]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 185422,
							}, -- [12]
						},
					}, -- [2]
					{
						["spell"] = {
							["debugName"] = "Shadowstrike",
							["name"] = "Shadowstrike",
							["icon_id"] = 1373912,
							["spell_id"] = 185439,
						},
						["name"] = "Shadowstrike",
						["cooldowns"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["spell_id"] = 212283,
								["cooldown"] = 45,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 252272,
								["spell_id"] = 185313,
								["cooldown"] = 60,
								["charges"] = 3,
							}, -- [3]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["spell_id"] = 121471,
								["cooldown"] = 180,
							}, -- [4]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaw's Bite",
								["icon_id"] = 1120132,
								["spell_id"] = 209782,
								["cooldown"] = 60,
							}, -- [5]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["target"] = "player",
								["max_duration"] = 45,
								["aura_id"] = 212283,
							}, -- [1]
							{
								["debugName"] = "Nightblade",
								["name"] = "Nightblade",
								["icon_id"] = 1373907,
								["target"] = "target",
								["max_duration"] = 26,
								["aura_id"] = 195452,
							}, -- [2]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["target"] = "player",
								["max_duration"] = 26,
								["aura_id"] = 121471,
							}, -- [3]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaws Bite",
								["icon_id"] = 1120132,
								["target"] = "player",
								["max_duration"] = 7.8,
								["aura_id"] = 220901,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth1",
								["name"] = "Stealth 1",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [5]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [7]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish1",
								["name"] = "Vanish 1",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [8]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [9]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [10]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDanceOld",
								["name"] = "Shadow Dance Old",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 51713,
							}, -- [11]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 185422,
							}, -- [12]
						},
					}, -- [3]
					{
						["spell"] = {
							["debugName"] = "Nightblade",
							["name"] = "Nightblade",
							["icon_id"] = 1373907,
							["spell_id"] = 195452,
						},
						["name"] = "Nightblade",
						["cooldowns"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["spell_id"] = 212283,
								["cooldown"] = 45,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 252272,
								["spell_id"] = 185313,
								["cooldown"] = 60,
								["charges"] = 3,
							}, -- [3]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["spell_id"] = 121471,
								["cooldown"] = 180,
							}, -- [4]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaw's Bite",
								["icon_id"] = 1120132,
								["spell_id"] = 209782,
								["cooldown"] = 60,
							}, -- [5]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["target"] = "player",
								["max_duration"] = 45,
								["aura_id"] = 212283,
							}, -- [1]
							{
								["debugName"] = "Nightblade",
								["name"] = "Nightblade",
								["icon_id"] = 1373907,
								["target"] = "target",
								["max_duration"] = 26,
								["aura_id"] = 195452,
							}, -- [2]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["target"] = "player",
								["max_duration"] = 26,
								["aura_id"] = 121471,
							}, -- [3]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaws Bite",
								["icon_id"] = 1120132,
								["target"] = "player",
								["max_duration"] = 7.8,
								["aura_id"] = 220901,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth1",
								["name"] = "Stealth 1",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [5]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [7]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish1",
								["name"] = "Vanish 1",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [8]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [9]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [10]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDanceOld",
								["name"] = "Shadow Dance Old",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 51713,
							}, -- [11]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 185422,
							}, -- [12]
						},
					}, -- [4]
					{
						["spell"] = {
							["debugName"] = "Eviscerate",
							["name"] = "Eviscerate",
							["icon_id"] = 132292,
							["spell_id"] = 196819,
						},
						["name"] = "Eviscerate",
						["cooldowns"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["spell_id"] = 212283,
								["cooldown"] = 45,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 252272,
								["spell_id"] = 185313,
								["cooldown"] = 60,
								["charges"] = 3,
							}, -- [3]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["spell_id"] = 121471,
								["cooldown"] = 180,
							}, -- [4]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaw's Bite",
								["icon_id"] = 1120132,
								["spell_id"] = 209782,
								["cooldown"] = 60,
							}, -- [5]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["target"] = "player",
								["max_duration"] = 45,
								["aura_id"] = 212283,
							}, -- [1]
							{
								["debugName"] = "Nightblade",
								["name"] = "Nightblade",
								["icon_id"] = 1373907,
								["target"] = "target",
								["max_duration"] = 26,
								["aura_id"] = 195452,
							}, -- [2]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["target"] = "player",
								["max_duration"] = 26,
								["aura_id"] = 121471,
							}, -- [3]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaws Bite",
								["icon_id"] = 1120132,
								["target"] = "player",
								["max_duration"] = 7.8,
								["aura_id"] = 220901,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth1",
								["name"] = "Stealth 1",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [5]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [7]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish1",
								["name"] = "Vanish 1",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [8]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [9]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [10]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDanceOld",
								["name"] = "Shadow Dance Old",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 51713,
							}, -- [11]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 185422,
							}, -- [12]
						},
					}, -- [5]
					{
						["spell"] = {
							["debugName"] = "Backstab",
							["name"] = "Backstab",
							["icon_id"] = 132090,
							["spell_id"] = 53,
						},
						["name"] = "Backstab",
						["cooldowns"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["spell_id"] = 212283,
								["cooldown"] = 45,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 252272,
								["spell_id"] = 185313,
								["cooldown"] = 60,
								["charges"] = 3,
							}, -- [3]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["spell_id"] = 121471,
								["cooldown"] = 180,
							}, -- [4]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaw's Bite",
								["icon_id"] = 1120132,
								["spell_id"] = 209782,
								["cooldown"] = 60,
							}, -- [5]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["target"] = "player",
								["max_duration"] = 45,
								["aura_id"] = 212283,
							}, -- [1]
							{
								["debugName"] = "Nightblade",
								["name"] = "Nightblade",
								["icon_id"] = 1373907,
								["target"] = "target",
								["max_duration"] = 26,
								["aura_id"] = 195452,
							}, -- [2]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["target"] = "player",
								["max_duration"] = 26,
								["aura_id"] = 121471,
							}, -- [3]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaws Bite",
								["icon_id"] = 1120132,
								["target"] = "player",
								["max_duration"] = 7.8,
								["aura_id"] = 220901,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth1",
								["name"] = "Stealth 1",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [5]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [7]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish1",
								["name"] = "Vanish 1",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [8]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [9]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [10]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDanceOld",
								["name"] = "Shadow Dance Old",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 51713,
							}, -- [11]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 185422,
							}, -- [12]
						},
					}, -- [6]
					{
						["spell"] = {
							["debugName"] = "Vanish",
							["name"] = "Vanish",
							["icon_id"] = 132331,
							["spell_id"] = 1856,
						},
						["name"] = "Vanish",
						["cooldowns"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["spell_id"] = 212283,
								["cooldown"] = 45,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 252272,
								["spell_id"] = 185313,
								["cooldown"] = 60,
								["charges"] = 3,
							}, -- [3]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["spell_id"] = 121471,
								["cooldown"] = 180,
							}, -- [4]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaw's Bite",
								["icon_id"] = 1120132,
								["spell_id"] = 209782,
								["cooldown"] = 60,
							}, -- [5]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["target"] = "player",
								["max_duration"] = 45,
								["aura_id"] = 212283,
							}, -- [1]
							{
								["debugName"] = "Nightblade",
								["name"] = "Nightblade",
								["icon_id"] = 1373907,
								["target"] = "target",
								["max_duration"] = 26,
								["aura_id"] = 195452,
							}, -- [2]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["target"] = "player",
								["max_duration"] = 26,
								["aura_id"] = 121471,
							}, -- [3]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaws Bite",
								["icon_id"] = 1120132,
								["target"] = "player",
								["max_duration"] = 7.8,
								["aura_id"] = 220901,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth1",
								["name"] = "Stealth 1",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [5]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [7]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish1",
								["name"] = "Vanish 1",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [8]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [9]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [10]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDanceOld",
								["name"] = "Shadow Dance Old",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 51713,
							}, -- [11]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 185422,
							}, -- [12]
						},
					}, -- [7]
					{
						["spell"] = {
							["debugName"] = "ShadowDance",
							["name"] = "Shadow Dance",
							["icon_id"] = 236279,
							["spell_id"] = 185313,
						},
						["name"] = "Shadow Dance",
						["cooldowns"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["spell_id"] = 212283,
								["cooldown"] = 45,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 252272,
								["spell_id"] = 185313,
								["cooldown"] = 60,
								["charges"] = 3,
							}, -- [3]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["spell_id"] = 121471,
								["cooldown"] = 180,
							}, -- [4]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaw's Bite",
								["icon_id"] = 1120132,
								["spell_id"] = 209782,
								["cooldown"] = 60,
							}, -- [5]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["target"] = "player",
								["max_duration"] = 45,
								["aura_id"] = 212283,
							}, -- [1]
							{
								["debugName"] = "Nightblade",
								["name"] = "Nightblade",
								["icon_id"] = 1373907,
								["target"] = "target",
								["max_duration"] = 26,
								["aura_id"] = 195452,
							}, -- [2]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["target"] = "player",
								["max_duration"] = 26,
								["aura_id"] = 121471,
							}, -- [3]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaws Bite",
								["icon_id"] = 1120132,
								["target"] = "player",
								["max_duration"] = 7.8,
								["aura_id"] = 220901,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth1",
								["name"] = "Stealth 1",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [5]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [7]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish1",
								["name"] = "Vanish 1",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [8]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [9]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [10]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDanceOld",
								["name"] = "Shadow Dance Old",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 51713,
							}, -- [11]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 185422,
							}, -- [12]
						},
					}, -- [8]
					{
						["spell"] = {
							["debugName"] = "ShadowBlades",
							["name"] = "Shadow Blades",
							["icon_id"] = 376022,
							["spell_id"] = 121471,
							["cooldown"] = 180,
						},
						["name"] = "Shadow Blades",
						["cooldowns"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["spell_id"] = 212283,
								["cooldown"] = 45,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 252272,
								["spell_id"] = 185313,
								["cooldown"] = 60,
								["charges"] = 3,
							}, -- [3]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["spell_id"] = 121471,
								["cooldown"] = 180,
							}, -- [4]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaw's Bite",
								["icon_id"] = 1120132,
								["spell_id"] = 209782,
								["cooldown"] = 60,
							}, -- [5]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["target"] = "player",
								["max_duration"] = 45,
								["aura_id"] = 212283,
							}, -- [1]
							{
								["debugName"] = "Nightblade",
								["name"] = "Nightblade",
								["icon_id"] = 1373907,
								["target"] = "target",
								["max_duration"] = 26,
								["aura_id"] = 195452,
							}, -- [2]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["target"] = "player",
								["max_duration"] = 26,
								["aura_id"] = 121471,
							}, -- [3]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaws Bite",
								["icon_id"] = 1120132,
								["target"] = "player",
								["max_duration"] = 7.8,
								["aura_id"] = 220901,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth1",
								["name"] = "Stealth 1",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [5]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [7]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish1",
								["name"] = "Vanish 1",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [8]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [9]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [10]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDanceOld",
								["name"] = "Shadow Dance Old",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 51713,
							}, -- [11]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 185422,
							}, -- [12]
						},
					}, -- [9]
					{
						["spell"] = {
							["debugName"] = "GoremawsBite",
							["name"] = "Goremaw's Bite",
							["icon_id"] = 1120132,
							["spell_id"] = 209782,
							["cooldown"] = 60,
						},
						["name"] = "Goremaw's Bite",
						["cooldowns"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["spell_id"] = 212283,
								["cooldown"] = 45,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 252272,
								["spell_id"] = 185313,
								["cooldown"] = 60,
								["charges"] = 3,
							}, -- [3]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["spell_id"] = 121471,
								["cooldown"] = 180,
							}, -- [4]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaw's Bite",
								["icon_id"] = 1120132,
								["spell_id"] = 209782,
								["cooldown"] = 60,
							}, -- [5]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["target"] = "player",
								["max_duration"] = 45,
								["aura_id"] = 212283,
							}, -- [1]
							{
								["debugName"] = "Nightblade",
								["name"] = "Nightblade",
								["icon_id"] = 1373907,
								["target"] = "target",
								["max_duration"] = 26,
								["aura_id"] = 195452,
							}, -- [2]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["target"] = "player",
								["max_duration"] = 26,
								["aura_id"] = 121471,
							}, -- [3]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaws Bite",
								["icon_id"] = 1120132,
								["target"] = "player",
								["max_duration"] = 7.8,
								["aura_id"] = 220901,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth1",
								["name"] = "Stealth 1",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [5]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [7]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish1",
								["name"] = "Vanish 1",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [8]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [9]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [10]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDanceOld",
								["name"] = "Shadow Dance Old",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 51713,
							}, -- [11]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 185422,
							}, -- [12]
						},
					}, -- [10]
					{
						["spell"] = {
							["debugName"] = "Gloomblade",
							["name"] = "Gloomblade",
							["icon_id"] = 132292,
							["spell_id"] = 200758,
						},
						["name"] = "Gloomblade",
						["cooldowns"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["spell_id"] = 212283,
								["cooldown"] = 45,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 252272,
								["spell_id"] = 185313,
								["cooldown"] = 60,
								["charges"] = 3,
							}, -- [3]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["spell_id"] = 121471,
								["cooldown"] = 180,
							}, -- [4]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaw's Bite",
								["icon_id"] = 1120132,
								["spell_id"] = 209782,
								["cooldown"] = 60,
							}, -- [5]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["target"] = "player",
								["max_duration"] = 45,
								["aura_id"] = 212283,
							}, -- [1]
							{
								["debugName"] = "Nightblade",
								["name"] = "Nightblade",
								["icon_id"] = 1373907,
								["target"] = "target",
								["max_duration"] = 26,
								["aura_id"] = 195452,
							}, -- [2]
							{
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["target"] = "player",
								["max_duration"] = 26,
								["aura_id"] = 121471,
							}, -- [3]
							{
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaws Bite",
								["icon_id"] = 1120132,
								["target"] = "player",
								["max_duration"] = 7.8,
								["aura_id"] = 220901,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth1",
								["name"] = "Stealth 1",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [5]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [7]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish1",
								["name"] = "Vanish 1",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [8]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [9]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = 132331,
								["target"] = "player",
								["max_duration"] = 3,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [10]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDanceOld",
								["name"] = "Shadow Dance Old",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 51713,
							}, -- [11]
							{
								["is_stealthy"] = true,
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 236279,
								["target"] = "player",
								["max_duration"] = 5,
								["hidden"] = true,
								["aura_id"] = 185422,
							}, -- [12]
						},
					}, -- [11]
				},
				["auras"] = {
					{
						["debugName"] = "SymbolsOfDeath",
						["name"] = "Symbols of Death",
						["icon_id"] = 252272,
						["target"] = "player",
						["max_duration"] = 45,
						["aura_id"] = 212283,
					}, -- [1]
					{
						["debugName"] = "Nightblade",
						["name"] = "Nightblade",
						["icon_id"] = 1373907,
						["target"] = "target",
						["max_duration"] = 26,
						["aura_id"] = 195452,
					}, -- [2]
					{
						["debugName"] = "ShadowBlades",
						["name"] = "Shadow Blades",
						["icon_id"] = 376022,
						["target"] = "player",
						["max_duration"] = 26,
						["aura_id"] = 121471,
					}, -- [3]
					{
						["debugName"] = "GoremawsBite",
						["name"] = "Goremaws Bite",
						["icon_id"] = 1120132,
						["target"] = "player",
						["max_duration"] = 7.8,
						["aura_id"] = 220901,
					}, -- [4]
					{
						["is_stealthy"] = true,
						["debugName"] = "Stealth1",
						["name"] = "Stealth 1",
						["icon_id"] = 132320,
						["target"] = "player",
						["max_duration"] = 1,
						["hidden"] = true,
						["aura_id"] = 1784,
					}, -- [5]
					{
						["is_stealthy"] = true,
						["debugName"] = "Stealth2",
						["name"] = "Stealth 2",
						["icon_id"] = 132320,
						["target"] = "player",
						["max_duration"] = 1,
						["hidden"] = true,
						["aura_id"] = 115191,
					}, -- [6]
					{
						["is_stealthy"] = true,
						["debugName"] = "Subterfuge",
						["name"] = "Subterfuge",
						["icon_id"] = 132320,
						["target"] = "player",
						["max_duration"] = 1,
						["hidden"] = true,
						["aura_id"] = 115192,
					}, -- [7]
					{
						["is_stealthy"] = true,
						["debugName"] = "Vanish1",
						["name"] = "Vanish 1",
						["icon_id"] = 132331,
						["target"] = "player",
						["max_duration"] = 3,
						["hidden"] = true,
						["aura_id"] = 11327,
					}, -- [8]
					{
						["is_stealthy"] = true,
						["debugName"] = "Vanish2",
						["name"] = "Vanish 2",
						["icon_id"] = 132331,
						["target"] = "player",
						["max_duration"] = 3,
						["hidden"] = true,
						["aura_id"] = 11329,
					}, -- [9]
					{
						["is_stealthy"] = true,
						["debugName"] = "Vanish3",
						["name"] = "Vanish 3",
						["icon_id"] = 132331,
						["target"] = "player",
						["max_duration"] = 3,
						["hidden"] = true,
						["aura_id"] = 115193,
					}, -- [10]
					{
						["is_stealthy"] = true,
						["debugName"] = "ShadowDanceOld",
						["name"] = "Shadow Dance Old",
						["icon_id"] = 236279,
						["target"] = "player",
						["max_duration"] = 5,
						["hidden"] = true,
						["aura_id"] = 51713,
					}, -- [11]
					{
						["is_stealthy"] = true,
						["debugName"] = "ShadowDance",
						["name"] = "Shadow Dance",
						["icon_id"] = 236279,
						["target"] = "player",
						["max_duration"] = 5,
						["hidden"] = true,
						["aura_id"] = 185422,
					}, -- [12]
				},
			}, -- [1]
			{
				["specialization_id"] = 259,
				["name"] = "Assassination",
				["cooldowns"] = {
					{
						["debugName"] = "Vendetta",
						["name"] = "Vendetta",
						["icon_id"] = 458726,
						["spell_id"] = 79140,
						["cooldown"] = 120,
					}, -- [1]
					{
						["debugName"] = "Vanish",
						["name"] = "Vanish",
						["icon_id"] = 132331,
						["spell_id"] = 1856,
						["cooldown"] = 120,
					}, -- [2]
					{
						["debugName"] = "Garrote",
						["name"] = "Garrote",
						["icon_id"] = 132297,
						["spell_id"] = 703,
						["cooldown"] = 15,
					}, -- [3]
					{
						["debugName"] = "Exsanguinate",
						["name"] = "Exsanguinate",
						["icon_id"] = 538040,
						["spell_id"] = 200806,
						["cooldown"] = 45,
					}, -- [4]
					{
						["debugName"] = "Kingsbane",
						["name"] = "Kingsbane",
						["icon_id"] = 1259291,
						["spell_id"] = 192759,
						["cooldown"] = 45,
					}, -- [5]
					{
						["debugName"] = "CrimsonVial",
						["name"] = "Crimson Vial",
						["icon_id"] = 1373904,
						["spell_id"] = 185311,
						["cooldown"] = 30,
					}, -- [6]
					{
						["debugName"] = "Rupture",
						["name"] = "Rupture",
						["icon_id"] = 132302,
						["spell_id"] = 1943,
						["cooldown"] = 1,
					}, -- [7]
				},
				["skills"] = {
					{
						["spell"] = {
							["debugName"] = "DeadlyPoison",
							["name"] = "Deadly Poison",
							["icon_id"] = 132290,
							["spell_id"] = 2823,
						},
						["name"] = "Deadly Poison",
						["cooldowns"] = {
							{
								["debugName"] = "Vendetta",
								["name"] = "Vendetta",
								["icon_id"] = 458726,
								["spell_id"] = 79140,
								["cooldown"] = 120,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = 132297,
								["spell_id"] = 703,
								["cooldown"] = 15,
							}, -- [3]
							{
								["debugName"] = "Exsanguinate",
								["name"] = "Exsanguinate",
								["icon_id"] = 538040,
								["spell_id"] = 200806,
								["cooldown"] = 45,
							}, -- [4]
							{
								["debugName"] = "Kingsbane",
								["name"] = "Kingsbane",
								["icon_id"] = 1259291,
								["spell_id"] = 192759,
								["cooldown"] = 45,
							}, -- [5]
							{
								["debugName"] = "CrimsonVial",
								["name"] = "Crimson Vial",
								["icon_id"] = 1373904,
								["spell_id"] = 185311,
								["cooldown"] = 30,
							}, -- [6]
							{
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = 132302,
								["spell_id"] = 1943,
								["cooldown"] = 1,
							}, -- [7]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [1]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [2]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [3]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [5]
							{
								["is_stealthy"] = false,
								["debugName"] = "DeadlyPoison",
								["name"] = "Deadly Poison",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
								["target"] = "player",
								["max_duration"] = 4680,
								["hidden"] = false,
								["aura_id"] = 2823,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth",
								["name"] = "Stealth",
								["icon_id"] = "Interface\\Icons\\Ability_Stealth",
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [7]
							{
								["is_stealthy"] = false,
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
								["target"] = "target",
								["max_duration"] = 26,
								["hidden"] = false,
								["aura_id"] = 1943,
							}, -- [8]
							{
								["is_stealthy"] = false,
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
								["target"] = "target",
								["max_duration"] = 23.4,
								["hidden"] = false,
								["aura_id"] = 703,
							}, -- [9]
						},
					}, -- [1]
					{
						["spell"] = {
							["debugName"] = "Vendetta",
							["name"] = "Vendetta",
							["icon_id"] = 458726,
							["spell_id"] = 79140,
							["cooldown"] = 120,
						},
						["name"] = "Vendetta",
						["cooldowns"] = {
							{
								["debugName"] = "Vendetta",
								["name"] = "Vendetta",
								["icon_id"] = 458726,
								["spell_id"] = 79140,
								["cooldown"] = 120,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = 132297,
								["spell_id"] = 703,
								["cooldown"] = 15,
							}, -- [3]
							{
								["debugName"] = "Exsanguinate",
								["name"] = "Exsanguinate",
								["icon_id"] = 538040,
								["spell_id"] = 200806,
								["cooldown"] = 45,
							}, -- [4]
							{
								["debugName"] = "Kingsbane",
								["name"] = "Kingsbane",
								["icon_id"] = 1259291,
								["spell_id"] = 192759,
								["cooldown"] = 45,
							}, -- [5]
							{
								["debugName"] = "CrimsonVial",
								["name"] = "Crimson Vial",
								["icon_id"] = 1373904,
								["spell_id"] = 185311,
								["cooldown"] = 30,
							}, -- [6]
							{
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = 132302,
								["spell_id"] = 1943,
								["cooldown"] = 1,
							}, -- [7]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [1]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [2]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [3]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [5]
							{
								["is_stealthy"] = false,
								["debugName"] = "DeadlyPoison",
								["name"] = "Deadly Poison",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
								["target"] = "player",
								["max_duration"] = 4680,
								["hidden"] = false,
								["aura_id"] = 2823,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth",
								["name"] = "Stealth",
								["icon_id"] = "Interface\\Icons\\Ability_Stealth",
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [7]
							{
								["is_stealthy"] = false,
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
								["target"] = "target",
								["max_duration"] = 26,
								["hidden"] = false,
								["aura_id"] = 1943,
							}, -- [8]
							{
								["is_stealthy"] = false,
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
								["target"] = "target",
								["max_duration"] = 23.4,
								["hidden"] = false,
								["aura_id"] = 703,
							}, -- [9]
						},
					}, -- [2]
					{
						["spell"] = {
							["debugName"] = "Vanish",
							["name"] = "Vanish",
							["icon_id"] = 132331,
							["spell_id"] = 1856,
							["cooldown"] = 120,
						},
						["name"] = "Vanish",
						["cooldowns"] = {
							{
								["debugName"] = "Vendetta",
								["name"] = "Vendetta",
								["icon_id"] = 458726,
								["spell_id"] = 79140,
								["cooldown"] = 120,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = 132297,
								["spell_id"] = 703,
								["cooldown"] = 15,
							}, -- [3]
							{
								["debugName"] = "Exsanguinate",
								["name"] = "Exsanguinate",
								["icon_id"] = 538040,
								["spell_id"] = 200806,
								["cooldown"] = 45,
							}, -- [4]
							{
								["debugName"] = "Kingsbane",
								["name"] = "Kingsbane",
								["icon_id"] = 1259291,
								["spell_id"] = 192759,
								["cooldown"] = 45,
							}, -- [5]
							{
								["debugName"] = "CrimsonVial",
								["name"] = "Crimson Vial",
								["icon_id"] = 1373904,
								["spell_id"] = 185311,
								["cooldown"] = 30,
							}, -- [6]
							{
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = 132302,
								["spell_id"] = 1943,
								["cooldown"] = 1,
							}, -- [7]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [1]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [2]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [3]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [5]
							{
								["is_stealthy"] = false,
								["debugName"] = "DeadlyPoison",
								["name"] = "Deadly Poison",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
								["target"] = "player",
								["max_duration"] = 4680,
								["hidden"] = false,
								["aura_id"] = 2823,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth",
								["name"] = "Stealth",
								["icon_id"] = "Interface\\Icons\\Ability_Stealth",
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [7]
							{
								["is_stealthy"] = false,
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
								["target"] = "target",
								["max_duration"] = 26,
								["hidden"] = false,
								["aura_id"] = 1943,
							}, -- [8]
							{
								["is_stealthy"] = false,
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
								["target"] = "target",
								["max_duration"] = 23.4,
								["hidden"] = false,
								["aura_id"] = 703,
							}, -- [9]
						},
					}, -- [3]
					{
						["spell"] = {
							["debugName"] = "Mutilate",
							["name"] = "Mutilate",
							["icon_id"] = 132304,
							["spell_id"] = 1329,
						},
						["name"] = "Mutilate",
						["cooldowns"] = {
							{
								["debugName"] = "Vendetta",
								["name"] = "Vendetta",
								["icon_id"] = 458726,
								["spell_id"] = 79140,
								["cooldown"] = 120,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = 132297,
								["spell_id"] = 703,
								["cooldown"] = 15,
							}, -- [3]
							{
								["debugName"] = "Exsanguinate",
								["name"] = "Exsanguinate",
								["icon_id"] = 538040,
								["spell_id"] = 200806,
								["cooldown"] = 45,
							}, -- [4]
							{
								["debugName"] = "Kingsbane",
								["name"] = "Kingsbane",
								["icon_id"] = 1259291,
								["spell_id"] = 192759,
								["cooldown"] = 45,
							}, -- [5]
							{
								["debugName"] = "CrimsonVial",
								["name"] = "Crimson Vial",
								["icon_id"] = 1373904,
								["spell_id"] = 185311,
								["cooldown"] = 30,
							}, -- [6]
							{
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = 132302,
								["spell_id"] = 1943,
								["cooldown"] = 1,
							}, -- [7]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [1]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [2]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [3]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [5]
							{
								["is_stealthy"] = false,
								["debugName"] = "DeadlyPoison",
								["name"] = "Deadly Poison",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
								["target"] = "player",
								["max_duration"] = 4680,
								["hidden"] = false,
								["aura_id"] = 2823,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth",
								["name"] = "Stealth",
								["icon_id"] = "Interface\\Icons\\Ability_Stealth",
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [7]
							{
								["is_stealthy"] = false,
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
								["target"] = "target",
								["max_duration"] = 26,
								["hidden"] = false,
								["aura_id"] = 1943,
							}, -- [8]
							{
								["is_stealthy"] = false,
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
								["target"] = "target",
								["max_duration"] = 23.4,
								["hidden"] = false,
								["aura_id"] = 703,
							}, -- [9]
						},
					}, -- [4]
					{
						["spell"] = {
							["debugName"] = "Garrote",
							["name"] = "Garrote",
							["icon_id"] = 132297,
							["spell_id"] = 703,
							["cooldown"] = 15,
						},
						["name"] = "Garrote",
						["cooldowns"] = {
							{
								["debugName"] = "Vendetta",
								["name"] = "Vendetta",
								["icon_id"] = 458726,
								["spell_id"] = 79140,
								["cooldown"] = 120,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = 132297,
								["spell_id"] = 703,
								["cooldown"] = 15,
							}, -- [3]
							{
								["debugName"] = "Exsanguinate",
								["name"] = "Exsanguinate",
								["icon_id"] = 538040,
								["spell_id"] = 200806,
								["cooldown"] = 45,
							}, -- [4]
							{
								["debugName"] = "Kingsbane",
								["name"] = "Kingsbane",
								["icon_id"] = 1259291,
								["spell_id"] = 192759,
								["cooldown"] = 45,
							}, -- [5]
							{
								["debugName"] = "CrimsonVial",
								["name"] = "Crimson Vial",
								["icon_id"] = 1373904,
								["spell_id"] = 185311,
								["cooldown"] = 30,
							}, -- [6]
							{
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = 132302,
								["spell_id"] = 1943,
								["cooldown"] = 1,
							}, -- [7]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [1]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [2]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [3]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [5]
							{
								["is_stealthy"] = false,
								["debugName"] = "DeadlyPoison",
								["name"] = "Deadly Poison",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
								["target"] = "player",
								["max_duration"] = 4680,
								["hidden"] = false,
								["aura_id"] = 2823,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth",
								["name"] = "Stealth",
								["icon_id"] = "Interface\\Icons\\Ability_Stealth",
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [7]
							{
								["is_stealthy"] = false,
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
								["target"] = "target",
								["max_duration"] = 26,
								["hidden"] = false,
								["aura_id"] = 1943,
							}, -- [8]
							{
								["is_stealthy"] = false,
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
								["target"] = "target",
								["max_duration"] = 23.4,
								["hidden"] = false,
								["aura_id"] = 703,
							}, -- [9]
						},
					}, -- [5]
					{
						["spell"] = {
							["debugName"] = "Exsanguinate",
							["name"] = "Exsanguinate",
							["icon_id"] = 538040,
							["spell_id"] = 200806,
							["cooldown"] = 45,
						},
						["name"] = "Exsanguinate",
						["cooldowns"] = {
							{
								["debugName"] = "Vendetta",
								["name"] = "Vendetta",
								["icon_id"] = 458726,
								["spell_id"] = 79140,
								["cooldown"] = 120,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = 132297,
								["spell_id"] = 703,
								["cooldown"] = 15,
							}, -- [3]
							{
								["debugName"] = "Exsanguinate",
								["name"] = "Exsanguinate",
								["icon_id"] = 538040,
								["spell_id"] = 200806,
								["cooldown"] = 45,
							}, -- [4]
							{
								["debugName"] = "Kingsbane",
								["name"] = "Kingsbane",
								["icon_id"] = 1259291,
								["spell_id"] = 192759,
								["cooldown"] = 45,
							}, -- [5]
							{
								["debugName"] = "CrimsonVial",
								["name"] = "Crimson Vial",
								["icon_id"] = 1373904,
								["spell_id"] = 185311,
								["cooldown"] = 30,
							}, -- [6]
							{
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = 132302,
								["spell_id"] = 1943,
								["cooldown"] = 1,
							}, -- [7]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [1]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [2]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [3]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [5]
							{
								["is_stealthy"] = false,
								["debugName"] = "DeadlyPoison",
								["name"] = "Deadly Poison",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
								["target"] = "player",
								["max_duration"] = 4680,
								["hidden"] = false,
								["aura_id"] = 2823,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth",
								["name"] = "Stealth",
								["icon_id"] = "Interface\\Icons\\Ability_Stealth",
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [7]
							{
								["is_stealthy"] = false,
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
								["target"] = "target",
								["max_duration"] = 26,
								["hidden"] = false,
								["aura_id"] = 1943,
							}, -- [8]
							{
								["is_stealthy"] = false,
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
								["target"] = "target",
								["max_duration"] = 23.4,
								["hidden"] = false,
								["aura_id"] = 703,
							}, -- [9]
						},
					}, -- [6]
					{
						["spell"] = {
							["debugName"] = "Kingsbane",
							["name"] = "Kingsbane",
							["icon_id"] = 1259291,
							["spell_id"] = 192759,
							["cooldown"] = 45,
						},
						["name"] = "Kingsbane",
						["cooldowns"] = {
							{
								["debugName"] = "Vendetta",
								["name"] = "Vendetta",
								["icon_id"] = 458726,
								["spell_id"] = 79140,
								["cooldown"] = 120,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = 132297,
								["spell_id"] = 703,
								["cooldown"] = 15,
							}, -- [3]
							{
								["debugName"] = "Exsanguinate",
								["name"] = "Exsanguinate",
								["icon_id"] = 538040,
								["spell_id"] = 200806,
								["cooldown"] = 45,
							}, -- [4]
							{
								["debugName"] = "Kingsbane",
								["name"] = "Kingsbane",
								["icon_id"] = 1259291,
								["spell_id"] = 192759,
								["cooldown"] = 45,
							}, -- [5]
							{
								["debugName"] = "CrimsonVial",
								["name"] = "Crimson Vial",
								["icon_id"] = 1373904,
								["spell_id"] = 185311,
								["cooldown"] = 30,
							}, -- [6]
							{
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = 132302,
								["spell_id"] = 1943,
								["cooldown"] = 1,
							}, -- [7]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [1]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [2]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [3]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [5]
							{
								["is_stealthy"] = false,
								["debugName"] = "DeadlyPoison",
								["name"] = "Deadly Poison",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
								["target"] = "player",
								["max_duration"] = 4680,
								["hidden"] = false,
								["aura_id"] = 2823,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth",
								["name"] = "Stealth",
								["icon_id"] = "Interface\\Icons\\Ability_Stealth",
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [7]
							{
								["is_stealthy"] = false,
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
								["target"] = "target",
								["max_duration"] = 26,
								["hidden"] = false,
								["aura_id"] = 1943,
							}, -- [8]
							{
								["is_stealthy"] = false,
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
								["target"] = "target",
								["max_duration"] = 23.4,
								["hidden"] = false,
								["aura_id"] = 703,
							}, -- [9]
						},
					}, -- [7]
					{
						["spell"] = {
							["debugName"] = "Envenom",
							["name"] = "Envenom",
							["icon_id"] = 132287,
							["spell_id"] = 32645,
						},
						["name"] = "Envenom",
						["cooldowns"] = {
							{
								["debugName"] = "Vendetta",
								["name"] = "Vendetta",
								["icon_id"] = 458726,
								["spell_id"] = 79140,
								["cooldown"] = 120,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = 132297,
								["spell_id"] = 703,
								["cooldown"] = 15,
							}, -- [3]
							{
								["debugName"] = "Exsanguinate",
								["name"] = "Exsanguinate",
								["icon_id"] = 538040,
								["spell_id"] = 200806,
								["cooldown"] = 45,
							}, -- [4]
							{
								["debugName"] = "Kingsbane",
								["name"] = "Kingsbane",
								["icon_id"] = 1259291,
								["spell_id"] = 192759,
								["cooldown"] = 45,
							}, -- [5]
							{
								["debugName"] = "CrimsonVial",
								["name"] = "Crimson Vial",
								["icon_id"] = 1373904,
								["spell_id"] = 185311,
								["cooldown"] = 30,
							}, -- [6]
							{
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = 132302,
								["spell_id"] = 1943,
								["cooldown"] = 1,
							}, -- [7]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [1]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [2]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [3]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [5]
							{
								["is_stealthy"] = false,
								["debugName"] = "DeadlyPoison",
								["name"] = "Deadly Poison",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
								["target"] = "player",
								["max_duration"] = 4680,
								["hidden"] = false,
								["aura_id"] = 2823,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth",
								["name"] = "Stealth",
								["icon_id"] = "Interface\\Icons\\Ability_Stealth",
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [7]
							{
								["is_stealthy"] = false,
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
								["target"] = "target",
								["max_duration"] = 26,
								["hidden"] = false,
								["aura_id"] = 1943,
							}, -- [8]
							{
								["is_stealthy"] = false,
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
								["target"] = "target",
								["max_duration"] = 23.4,
								["hidden"] = false,
								["aura_id"] = 703,
							}, -- [9]
						},
					}, -- [8]
					{
						["spell"] = {
							["debugName"] = "Stealth",
							["name"] = "Stealth",
							["icon_id"] = 132320,
							["spell_id"] = 1784,
						},
						["name"] = "Stealth",
						["cooldowns"] = {
							{
								["debugName"] = "Vendetta",
								["name"] = "Vendetta",
								["icon_id"] = 458726,
								["spell_id"] = 79140,
								["cooldown"] = 120,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = 132297,
								["spell_id"] = 703,
								["cooldown"] = 15,
							}, -- [3]
							{
								["debugName"] = "Exsanguinate",
								["name"] = "Exsanguinate",
								["icon_id"] = 538040,
								["spell_id"] = 200806,
								["cooldown"] = 45,
							}, -- [4]
							{
								["debugName"] = "Kingsbane",
								["name"] = "Kingsbane",
								["icon_id"] = 1259291,
								["spell_id"] = 192759,
								["cooldown"] = 45,
							}, -- [5]
							{
								["debugName"] = "CrimsonVial",
								["name"] = "Crimson Vial",
								["icon_id"] = 1373904,
								["spell_id"] = 185311,
								["cooldown"] = 30,
							}, -- [6]
							{
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = 132302,
								["spell_id"] = 1943,
								["cooldown"] = 1,
							}, -- [7]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [1]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [2]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [3]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [5]
							{
								["is_stealthy"] = false,
								["debugName"] = "DeadlyPoison",
								["name"] = "Deadly Poison",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
								["target"] = "player",
								["max_duration"] = 4680,
								["hidden"] = false,
								["aura_id"] = 2823,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth",
								["name"] = "Stealth",
								["icon_id"] = "Interface\\Icons\\Ability_Stealth",
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [7]
							{
								["is_stealthy"] = false,
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
								["target"] = "target",
								["max_duration"] = 26,
								["hidden"] = false,
								["aura_id"] = 1943,
							}, -- [8]
							{
								["is_stealthy"] = false,
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
								["target"] = "target",
								["max_duration"] = 23.4,
								["hidden"] = false,
								["aura_id"] = 703,
							}, -- [9]
						},
					}, -- [9]
					{
						["spell"] = {
							["debugName"] = "CrimsonVial",
							["name"] = "Crimson Vial",
							["icon_id"] = 1373904,
							["spell_id"] = 185311,
							["cooldown"] = 30,
						},
						["name"] = "Crimson Vial",
						["cooldowns"] = {
							{
								["debugName"] = "Vendetta",
								["name"] = "Vendetta",
								["icon_id"] = 458726,
								["spell_id"] = 79140,
								["cooldown"] = 120,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = 132297,
								["spell_id"] = 703,
								["cooldown"] = 15,
							}, -- [3]
							{
								["debugName"] = "Exsanguinate",
								["name"] = "Exsanguinate",
								["icon_id"] = 538040,
								["spell_id"] = 200806,
								["cooldown"] = 45,
							}, -- [4]
							{
								["debugName"] = "Kingsbane",
								["name"] = "Kingsbane",
								["icon_id"] = 1259291,
								["spell_id"] = 192759,
								["cooldown"] = 45,
							}, -- [5]
							{
								["debugName"] = "CrimsonVial",
								["name"] = "Crimson Vial",
								["icon_id"] = 1373904,
								["spell_id"] = 185311,
								["cooldown"] = 30,
							}, -- [6]
							{
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = 132302,
								["spell_id"] = 1943,
								["cooldown"] = 1,
							}, -- [7]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [1]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [2]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [3]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [5]
							{
								["is_stealthy"] = false,
								["debugName"] = "DeadlyPoison",
								["name"] = "Deadly Poison",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
								["target"] = "player",
								["max_duration"] = 4680,
								["hidden"] = false,
								["aura_id"] = 2823,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth",
								["name"] = "Stealth",
								["icon_id"] = "Interface\\Icons\\Ability_Stealth",
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [7]
							{
								["is_stealthy"] = false,
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
								["target"] = "target",
								["max_duration"] = 26,
								["hidden"] = false,
								["aura_id"] = 1943,
							}, -- [8]
							{
								["is_stealthy"] = false,
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
								["target"] = "target",
								["max_duration"] = 23.4,
								["hidden"] = false,
								["aura_id"] = 703,
							}, -- [9]
						},
					}, -- [10]
					{
						["spell"] = {
							["debugName"] = "Rupture",
							["name"] = "Rupture",
							["icon_id"] = 132302,
							["spell_id"] = 1943,
						},
						["name"] = "Rupture",
						["cooldowns"] = {
							{
								["debugName"] = "Vendetta",
								["name"] = "Vendetta",
								["icon_id"] = 458726,
								["spell_id"] = 79140,
								["cooldown"] = 120,
							}, -- [1]
							{
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							}, -- [2]
							{
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = 132297,
								["spell_id"] = 703,
								["cooldown"] = 15,
							}, -- [3]
							{
								["debugName"] = "Exsanguinate",
								["name"] = "Exsanguinate",
								["icon_id"] = 538040,
								["spell_id"] = 200806,
								["cooldown"] = 45,
							}, -- [4]
							{
								["debugName"] = "Kingsbane",
								["name"] = "Kingsbane",
								["icon_id"] = 1259291,
								["spell_id"] = 192759,
								["cooldown"] = 45,
							}, -- [5]
							{
								["debugName"] = "CrimsonVial",
								["name"] = "Crimson Vial",
								["icon_id"] = 1373904,
								["spell_id"] = 185311,
								["cooldown"] = 30,
							}, -- [6]
							{
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = 132302,
								["spell_id"] = 1943,
								["cooldown"] = 1,
							}, -- [7]
						},
						["suggestions"] = {
						},
						["auras"] = {
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth2",
								["name"] = "Stealth 2",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115191,
							}, -- [1]
							{
								["is_stealthy"] = true,
								["debugName"] = "Subterfuge",
								["name"] = "Subterfuge",
								["icon_id"] = 132320,
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 115192,
							}, -- [2]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11327,
							}, -- [3]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish2",
								["name"] = "Vanish 2",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 11329,
							}, -- [4]
							{
								["is_stealthy"] = true,
								["debugName"] = "Vanish3",
								["name"] = "Vanish 3",
								["icon_id"] = "Interface\\Icons\\Ability_Vanish",
								["target"] = "player",
								["max_duration"] = 3.9,
								["hidden"] = true,
								["aura_id"] = 115193,
							}, -- [5]
							{
								["is_stealthy"] = false,
								["debugName"] = "DeadlyPoison",
								["name"] = "Deadly Poison",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
								["target"] = "player",
								["max_duration"] = 4680,
								["hidden"] = false,
								["aura_id"] = 2823,
							}, -- [6]
							{
								["is_stealthy"] = true,
								["debugName"] = "Stealth",
								["name"] = "Stealth",
								["icon_id"] = "Interface\\Icons\\Ability_Stealth",
								["target"] = "player",
								["max_duration"] = 1,
								["hidden"] = true,
								["aura_id"] = 1784,
							}, -- [7]
							{
								["is_stealthy"] = false,
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
								["target"] = "target",
								["max_duration"] = 26,
								["hidden"] = false,
								["aura_id"] = 1943,
							}, -- [8]
							{
								["is_stealthy"] = false,
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
								["target"] = "target",
								["max_duration"] = 23.4,
								["hidden"] = false,
								["aura_id"] = 703,
							}, -- [9]
						},
					}, -- [11]
				},
				["advanced_features"] = false,
				["auras"] = {
					{
						["is_stealthy"] = true,
						["debugName"] = "Stealth2",
						["name"] = "Stealth 2",
						["icon_id"] = 132320,
						["target"] = "player",
						["max_duration"] = 1,
						["hidden"] = true,
						["aura_id"] = 115191,
					}, -- [1]
					{
						["is_stealthy"] = true,
						["debugName"] = "Subterfuge",
						["name"] = "Subterfuge",
						["icon_id"] = 132320,
						["target"] = "player",
						["max_duration"] = 1,
						["hidden"] = true,
						["aura_id"] = 115192,
					}, -- [2]
					{
						["is_stealthy"] = true,
						["debugName"] = "Vanish",
						["name"] = "Vanish",
						["icon_id"] = "Interface\\Icons\\Ability_Vanish",
						["target"] = "player",
						["max_duration"] = 3.9,
						["hidden"] = true,
						["aura_id"] = 11327,
					}, -- [3]
					{
						["is_stealthy"] = true,
						["debugName"] = "Vanish2",
						["name"] = "Vanish 2",
						["icon_id"] = "Interface\\Icons\\Ability_Vanish",
						["target"] = "player",
						["max_duration"] = 3.9,
						["hidden"] = true,
						["aura_id"] = 11329,
					}, -- [4]
					{
						["is_stealthy"] = true,
						["debugName"] = "Vanish3",
						["name"] = "Vanish 3",
						["icon_id"] = "Interface\\Icons\\Ability_Vanish",
						["target"] = "player",
						["max_duration"] = 3.9,
						["hidden"] = true,
						["aura_id"] = 115193,
					}, -- [5]
					{
						["is_stealthy"] = false,
						["debugName"] = "DeadlyPoison",
						["name"] = "Deadly Poison",
						["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
						["target"] = "player",
						["max_duration"] = 4680,
						["hidden"] = false,
						["aura_id"] = 2823,
					}, -- [6]
					{
						["is_stealthy"] = true,
						["debugName"] = "Stealth",
						["name"] = "Stealth",
						["icon_id"] = "Interface\\Icons\\Ability_Stealth",
						["target"] = "player",
						["max_duration"] = 1,
						["hidden"] = true,
						["aura_id"] = 1784,
					}, -- [7]
					{
						["is_stealthy"] = false,
						["debugName"] = "Rupture",
						["name"] = "Rupture",
						["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
						["target"] = "target",
						["max_duration"] = 26,
						["hidden"] = false,
						["aura_id"] = 1943,
					}, -- [8]
					{
						["is_stealthy"] = false,
						["debugName"] = "Garrote",
						["name"] = "Garrote",
						["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
						["target"] = "target",
						["max_duration"] = 23.4,
						["hidden"] = false,
						["aura_id"] = 703,
					}, -- [9]
				},
			}, -- [2]
		},
		["name"] = "Default",
	},
	["active_spec_id"] = 259,
	["active_profile_index"] = 1,
	["profiles"] = {
		{
			["gui_settings"] = {
				["secondary_panel_ref_point_sec"] = "BOTTOMLEFT",
				["primary_panel_scale"] = 1,
				["secondary_panel_y_offset"] = 0,
				["secondary_panel_x_offset"] = 10,
				["secondary_panel_ref_point_pri"] = "BOTTOMRIGHT",
				["secondary_panel_scale"] = 0.7,
        ["primary_panel_point"] = "TOPLEFT",
        ["primary_panel_relative_point"] = "TOPLEFT",
        ["primary_panel_x"] = 500,
        ["primary_panel_y"] = -50,
			},
			["specializations"] = {
				{
					["specialization_id"] = 261,
					["name"] = "Subtlety",
					["cooldowns"] = {
						{
							["debugName"] = "SymbolsOfDeath",
							["name"] = "Symbols of Death",
							["icon_id"] = 252272,
							["spell_id"] = 212283,
							["cooldown"] = 45,
						}, -- [1]
						{
							["debugName"] = "Vanish",
							["name"] = "Vanish",
							["icon_id"] = 132331,
							["spell_id"] = 1856,
							["cooldown"] = 120,
						}, -- [2]
						{
							["debugName"] = "ShadowDance",
							["name"] = "Shadow Dance",
							["icon_id"] = 252272,
							["spell_id"] = 185313,
							["cooldown"] = 60,
							["charges"] = 3,
						}, -- [3]
						{
							["debugName"] = "ShadowBlades",
							["name"] = "Shadow Blades",
							["icon_id"] = 376022,
							["spell_id"] = 121471,
							["cooldown"] = 180,
						}, -- [4]
						{
							["debugName"] = "GoremawsBite",
							["name"] = "Goremaw's Bite",
							["icon_id"] = 1120132,
							["spell_id"] = 209782,
							["cooldown"] = 60,
						}, -- [5]
						{
							["debugName"] = "CrimsonVial",
							["name"] = "Crimson Vial",
							["icon_id"] = 1373904,
							["spell_id"] = 185311,
							["cooldown"] = 30,
						}, -- [6]
						{
							["debugName"] = "CheapShot",
							["name"] = "Cheap Shot",
							["icon_id"] = 132092,
							["spell_id"] = 1833,
							["cooldown"] = 1,
						}, -- [7]
					},
					["skills"] = {
						{
							["spell"] = {
								["debugName"] = "Stealth",
								["name"] = "Stealth",
								["icon_id"] = 132320,
								["spell_id"] = 115191,
								["cooldown"] = 2,
							},
							["name"] = "Stealth",
							["cooldowns"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["spell_id"] = 212283,
									["cooldown"] = 45,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 252272,
									["spell_id"] = 185313,
									["cooldown"] = 60,
									["charges"] = 3,
								}, -- [3]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["spell_id"] = 121471,
									["cooldown"] = 180,
								}, -- [4]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaw's Bite",
									["icon_id"] = 1120132,
									["spell_id"] = 209782,
									["cooldown"] = 60,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = 132092,
									["spell_id"] = 1833,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["require_instance"] = false,
									["hasMinTimeToKillRaid"] = false,
									["checkCooldownForShadowBlades"] = false,
									["hasMinHealthPerc"] = false,
									["maxGroupSize"] = 0,
									["checkDurationOfShadowDance"] = false,
									["hasMaxDurationOfShadowBlades"] = false,
									["require_pvp"] = false,
									["hasMinDurationOfStealth2"] = false,
									["maxChargesForShadowDance"] = 0,
									["minCooldownForVanish"] = 0,
									["maxCooldownForShadowBlades"] = 0,
									["maxCooldownForCheapShot"] = 0,
									["checkChargesForShadowDance"] = false,
									["minComboPoints"] = 0,
									["minEnergy"] = 0,
									["maxTimeToKillSolo"] = 0,
									["minDurationOfCheapShot"] = 0,
									["minDurationOfSymbolsOfDeath"] = 0,
									["minDurationOfStealth1"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["maxDurationOfStealth2"] = 0,
									["hasMaxCooldownForShadowDance"] = false,
									["primary"] = true,
									["maxCooldownForSymbolsOfDeath"] = 0,
									["hasMaxComboPoints"] = false,
									["minDurationOfShadowBlades"] = 0,
									["checkDurationOfCrimsonVial"] = false,
									["hasMaxCooldownForCheapShot"] = false,
									["hasMaxTimeToKill"] = false,
									["hasMaxDurationOfNightblade"] = false,
									["maxDurationOfVanish1"] = 0,
									["maxDurationOfVanish2"] = 0,
									["checkDurationOfVanish2"] = false,
									["hasMaxEnergy"] = false,
									["hasMaxDurationOfVanish2"] = false,
									["cache_spells"] = {
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "SymbolsOfDeath",
												["name"] = "Symbols of Death",
												["icon_id"] = 252272,
												["spell_id"] = 212283,
												["cooldown"] = 45,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [1]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [2]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowDance",
												["name"] = "Shadow Dance",
												["icon_id"] = 252272,
												["spell_id"] = 185313,
												["cooldown"] = 60,
												["charges"] = 3,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [3]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowBlades",
												["name"] = "Shadow Blades",
												["icon_id"] = 376022,
												["spell_id"] = 121471,
												["cooldown"] = 180,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [4]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "GoremawsBite",
												["name"] = "Goremaw's Bite",
												["icon_id"] = 1120132,
												["spell_id"] = 209782,
												["cooldown"] = 60,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [5]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [6]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["hasMinEnergy"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeToKillSolo"] = 0,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkCooldownForVanish"] = false,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMinComboPoints"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfShadowDance"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkDurationOfVanish2"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkCooldownForShadowDance"] = false,
											["minChargesForShadowDance"] = 0,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["checkHealthPerc"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMinDurationOfStealth1"] = false,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["maxCooldownForVanish"] = 0,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["hasMinCooldownForVanish"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkChargesForShadowDance"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMinTimeToKillSolo"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["require_not_stealthed"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForShadowDance"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["spell"] = {
												["debugName"] = "CheapShot",
												["name"] = "Cheap Shot",
												["icon_id"] = 132092,
												["spell_id"] = 1833,
												["cooldown"] = 1,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["hasMinDurationOfVanish1"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkDurationOfShadowDanceOld"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [7]
									},
									["minDurationOfVanish3"] = 0,
									["checkDurationOfSymbolsOfDeath"] = false,
									["minDurationOfStealth2"] = 0,
									["hasMinDurationOfSymbolsOfDeath"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["minDurationOfSubterfuge"] = 0,
									["minCooldownForShadowDance"] = 0,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["checkDurationOfShadowDanceOld"] = false,
									["poolEnergyIfLow"] = false,
									["minCooldownForGoremawsBite"] = 0,
									["hasMaxCooldownForShadowBlades"] = false,
									["require_stealthed"] = false,
									["hasMinCooldownForGoremawsBite"] = false,
									["maxDurationOfCrimsonVial"] = 0,
									["minTimeToKillSolo"] = 0,
									["maxDurationOfGoremawsBite"] = 0,
									["checkComboPoints"] = false,
									["cooldowns"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["spell_id"] = 212283,
											["cooldown"] = 45,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 252272,
											["spell_id"] = 185313,
											["cooldown"] = 60,
											["charges"] = 3,
										}, -- [3]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["spell_id"] = 121471,
											["cooldown"] = 180,
										}, -- [4]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaw's Bite",
											["icon_id"] = 1120132,
											["spell_id"] = 209782,
											["cooldown"] = 60,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = 132092,
											["spell_id"] = 1833,
											["cooldown"] = 1,
										}, -- [7]
									},
									["checkDurationOfStealth1"] = false,
									["checkCooldownForGoremawsBite"] = false,
									["hasMaxTimeToKillSolo"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["checkEnergy"] = false,
									["minDurationOfVanish1"] = 0,
									["auras"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["target"] = "player",
											["max_duration"] = 45,
											["aura_id"] = 212283,
										}, -- [1]
										{
											["debugName"] = "Nightblade",
											["name"] = "Nightblade",
											["icon_id"] = 1373907,
											["target"] = "target",
											["max_duration"] = 26,
											["aura_id"] = 195452,
										}, -- [2]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["target"] = "player",
											["max_duration"] = 26,
											["aura_id"] = 121471,
										}, -- [3]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaws Bite",
											["icon_id"] = 1120132,
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 220901,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth1",
											["name"] = "Stealth 1",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [5]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [7]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish1",
											["name"] = "Vanish 1",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [8]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [9]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [10]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDanceOld",
											["name"] = "Shadow Dance Old",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 51713,
										}, -- [11]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 185422,
										}, -- [12]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 185311,
										}, -- [13]
										{
											["is_stealthy"] = false,
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
											["target"] = "target",
											["max_duration"] = 5.2013,
											["hidden"] = false,
											["aura_id"] = 1833,
										}, -- [14]
									},
									["maxComboPoints"] = 0,
									["hasMinCooldownForCheapShot"] = false,
									["maxTimeToKill"] = 0,
									["maxDurationOfShadowDanceOld"] = 0,
									["hasMaxDurationOfShadowDance"] = false,
									["require_not_stealthed"] = true,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["minDurationOfVanish2"] = 0,
									["checkTimeToKill"] = false,
									["checkCooldownForVanish"] = false,
									["checkTimeToKillRaid"] = false,
									["hasMinCooldownForShadowBlades"] = false,
									["hasMinDurationOfNightblade"] = false,
									["hasMinCooldownForSymbolsOfDeath"] = false,
									["minChargesForShadowDance"] = 0,
									["minHealthPerc"] = 0,
									["checkCooldownForCheapShot"] = false,
									["require_boss_fight"] = false,
									["hasMinGroupSize"] = false,
									["hasMinTimeToKill"] = false,
									["maxCooldownForGoremawsBite"] = 0,
									["minGroupSize"] = 0,
									["require_not_boss_fight"] = false,
									["hasMinCooldownForVanish"] = false,
									["checkHealthPerc"] = false,
									["hasMinDurationOfCrimsonVial"] = false,
									["maxCooldownForShadowDance"] = 0,
									["hasMinDurationOfCheapShot"] = false,
									["checkDurationOfStealth2"] = false,
									["require_not_pvp"] = false,
									["minDurationOfCrimsonVial"] = 0,
									["hasMinDurationOfStealth1"] = false,
									["checkDurationOfVanish1"] = false,
									["checkDurationOfNightblade"] = false,
									["hasMinTimeToKillSolo"] = false,
									["checkDurationOfGoremawsBite"] = false,
									["minCooldownForSymbolsOfDeath"] = 0,
									["hasMaxDurationOfStealth1"] = false,
									["maxEnergy"] = 0,
									["hasMaxHealthPerc"] = false,
									["checkGroupSize"] = false,
									["require_no_combat"] = true,
									["hasMinComboPoints"] = false,
									["maxDurationOfSubterfuge"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["maxCooldownForVanish"] = 0,
									["checkCooldownForSymbolsOfDeath"] = false,
									["checkDurationOfCheapShot"] = false,
									["checkTimeToKillSolo"] = false,
									["priority"] = 503,
									["maxDurationOfSymbolsOfDeath"] = 0,
									["hasMinCooldownForShadowDance"] = false,
									["checkDurationOfVanish3"] = false,
									["hasMaxDurationOfGoremawsBite"] = false,
									["maxDurationOfStealth1"] = 0,
									["hasMaxCooldownForGoremawsBite"] = false,
									["hasMinDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["enabled"] = true,
									["hasMinDurationOfGoremawsBite"] = false,
									["maxDurationOfShadowBlades"] = 0,
									["hasMaxCooldownForCrimsonVial"] = false,
									["checkDurationOfShadowBlades"] = false,
									["hasMinDurationOfShadowBlades"] = false,
									["hasMinDurationOfVanish2"] = false,
									["maxDurationOfCheapShot"] = 0,
									["require_not_instance"] = false,
									["minCooldownForShadowBlades"] = 0,
									["hasMaxDurationOfVanish1"] = false,
									["hasMaxTimeToKillRaid"] = false,
									["minTimeToKillRaid"] = 0,
									["maxDurationOfNightblade"] = 0,
									["hasMaxCooldownForSymbolsOfDeath"] = false,
									["hasMinDurationOfVanish1"] = false,
									["hasMinDurationOfShadowDance"] = false,
									["minDurationOfShadowDance"] = 0,
									["hasMinEnergy"] = false,
									["checkCooldownForShadowDance"] = false,
									["hasMaxGroupSize"] = false,
									["spell"] = {
										["debugName"] = "Stealth",
										["name"] = "Stealth",
										["icon_id"] = 132320,
										["spell_id"] = 115191,
										["cooldown"] = 2,
									},
									["hasMaxDurationOfCrimsonVial"] = false,
									["minDurationOfShadowDanceOld"] = 0,
									["minTimeToKill"] = 0,
									["hasMaxDurationOfSymbolsOfDeath"] = false,
									["maxDurationOfShadowDance"] = 0,
									["hasMaxChargesForShadowDance"] = false,
									["minDurationOfNightblade"] = 0,
									["minDurationOfGoremawsBite"] = 0,
									["minCooldownForCheapShot"] = 0,
									["hasMaxDurationOfShadowDanceOld"] = false,
									["hasMaxDurationOfVanish3"] = false,
									["hasMinChargesForShadowDance"] = false,
									["hasMaxDurationOfCheapShot"] = false,
									["hasMinDurationOfShadowDanceOld"] = false,
								}, -- [1]
							},
							["auras"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["target"] = "player",
									["max_duration"] = 45,
									["aura_id"] = 212283,
								}, -- [1]
								{
									["debugName"] = "Nightblade",
									["name"] = "Nightblade",
									["icon_id"] = 1373907,
									["target"] = "target",
									["max_duration"] = 26,
									["aura_id"] = 195452,
								}, -- [2]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["target"] = "player",
									["max_duration"] = 26,
									["aura_id"] = 121471,
								}, -- [3]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaws Bite",
									["icon_id"] = 1120132,
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 220901,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth1",
									["name"] = "Stealth 1",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [5]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [7]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish1",
									["name"] = "Vanish 1",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [8]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [9]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [10]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDanceOld",
									["name"] = "Shadow Dance Old",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 51713,
								}, -- [11]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 185422,
								}, -- [12]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 185311,
								}, -- [13]
								{
									["is_stealthy"] = false,
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
									["target"] = "target",
									["max_duration"] = 5.2013,
									["hidden"] = false,
									["aura_id"] = 1833,
								}, -- [14]
							},
						}, -- [1]
						{
							["spell"] = {
								["debugName"] = "SymbolsOfDeath",
								["name"] = "Symbols of Death",
								["icon_id"] = 252272,
								["spell_id"] = 212283,
								["cooldown"] = 45,
							},
							["name"] = "Symbols of Death",
							["cooldowns"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["spell_id"] = 212283,
									["cooldown"] = 45,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 252272,
									["spell_id"] = 185313,
									["cooldown"] = 60,
									["charges"] = 3,
								}, -- [3]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["spell_id"] = 121471,
									["cooldown"] = 180,
								}, -- [4]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaw's Bite",
									["icon_id"] = 1120132,
									["spell_id"] = 209782,
									["cooldown"] = 60,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = 132092,
									["spell_id"] = 1833,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["require_instance"] = false,
									["minDurationOfNightblade"] = 0,
									["checkCooldownForShadowBlades"] = false,
									["hasMinHealthPerc"] = false,
									["maxGroupSize"] = 0,
									["hasMinEnergy"] = true,
									["hasMaxDurationOfShadowBlades"] = false,
									["require_pvp"] = false,
									["hasMinDurationOfStealth2"] = false,
									["maxChargesForShadowDance"] = 0,
									["minCooldownForVanish"] = 0,
									["maxCooldownForShadowBlades"] = 0,
									["hasMaxDurationOfGoremawsBite"] = false,
									["checkDurationOfVanish3"] = false,
									["minComboPoints"] = 0,
									["minEnergy"] = 35,
									["hasMinCooldownForVanish"] = false,
									["minDurationOfCheapShot"] = 0,
									["minDurationOfSymbolsOfDeath"] = 0,
									["minDurationOfStealth1"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["maxDurationOfStealth2"] = 0,
									["hasMaxCooldownForShadowDance"] = false,
									["hasMaxHealthPerc"] = false,
									["maxCooldownForSymbolsOfDeath"] = 0,
									["hasMaxComboPoints"] = false,
									["minDurationOfShadowBlades"] = 0,
									["checkDurationOfCrimsonVial"] = false,
									["hasMaxCooldownForCheapShot"] = false,
									["hasMaxTimeToKill"] = false,
									["hasMaxDurationOfNightblade"] = false,
									["minDurationOfGoremawsBite"] = 0,
									["maxDurationOfVanish2"] = 0,
									["checkDurationOfVanish2"] = false,
									["hasMaxEnergy"] = false,
									["hasMaxDurationOfVanish2"] = false,
									["cache_spells"] = {
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "SymbolsOfDeath",
												["name"] = "Symbols of Death",
												["icon_id"] = 252272,
												["spell_id"] = 212283,
												["cooldown"] = 45,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [1]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [2]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowDance",
												["name"] = "Shadow Dance",
												["icon_id"] = 252272,
												["spell_id"] = 185313,
												["cooldown"] = 60,
												["charges"] = 3,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [3]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowBlades",
												["name"] = "Shadow Blades",
												["icon_id"] = 376022,
												["spell_id"] = 121471,
												["cooldown"] = 180,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [4]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "GoremawsBite",
												["name"] = "Goremaw's Bite",
												["icon_id"] = 1120132,
												["spell_id"] = 209782,
												["cooldown"] = 60,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [5]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [6]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["hasMinEnergy"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeToKillSolo"] = 0,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkCooldownForVanish"] = false,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMinComboPoints"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfShadowDance"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkDurationOfVanish2"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkCooldownForShadowDance"] = false,
											["minChargesForShadowDance"] = 0,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["checkHealthPerc"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMinDurationOfStealth1"] = false,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["maxCooldownForVanish"] = 0,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["hasMinCooldownForVanish"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkChargesForShadowDance"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMinTimeToKillSolo"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["require_not_stealthed"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForShadowDance"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["spell"] = {
												["debugName"] = "CheapShot",
												["name"] = "Cheap Shot",
												["icon_id"] = 132092,
												["spell_id"] = 1833,
												["cooldown"] = 1,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["hasMinDurationOfVanish1"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkDurationOfShadowDanceOld"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfVanish3"] = false,
									["checkDurationOfSymbolsOfDeath"] = true,
									["minDurationOfStealth2"] = 0,
									["hasMinDurationOfSymbolsOfDeath"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["minDurationOfSubterfuge"] = 0,
									["minCooldownForShadowDance"] = 0,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["maxDurationOfStealth1"] = 0,
									["poolEnergyIfLow"] = true,
									["minCooldownForGoremawsBite"] = 0,
									["hasMaxCooldownForShadowBlades"] = false,
									["require_stealthed"] = true,
									["hasMinCooldownForGoremawsBite"] = false,
									["maxDurationOfCrimsonVial"] = 0,
									["minTimeToKillSolo"] = 0,
									["maxDurationOfGoremawsBite"] = 0,
									["checkComboPoints"] = false,
									["cooldowns"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["spell_id"] = 212283,
											["cooldown"] = 45,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 252272,
											["spell_id"] = 185313,
											["cooldown"] = 60,
											["charges"] = 3,
										}, -- [3]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["spell_id"] = 121471,
											["cooldown"] = 180,
										}, -- [4]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaw's Bite",
											["icon_id"] = 1120132,
											["spell_id"] = 209782,
											["cooldown"] = 60,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = 132092,
											["spell_id"] = 1833,
											["cooldown"] = 1,
										}, -- [7]
									},
									["checkDurationOfStealth1"] = false,
									["checkCooldownForGoremawsBite"] = false,
									["hasMaxTimeToKillSolo"] = false,
									["hasMinDurationOfVanish1"] = false,
									["checkEnergy"] = true,
									["minDurationOfVanish1"] = 0,
									["auras"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["target"] = "player",
											["max_duration"] = 45,
											["aura_id"] = 212283,
										}, -- [1]
										{
											["debugName"] = "Nightblade",
											["name"] = "Nightblade",
											["icon_id"] = 1373907,
											["target"] = "target",
											["max_duration"] = 26,
											["aura_id"] = 195452,
										}, -- [2]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["target"] = "player",
											["max_duration"] = 26,
											["aura_id"] = 121471,
										}, -- [3]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaws Bite",
											["icon_id"] = 1120132,
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 220901,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth1",
											["name"] = "Stealth 1",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [5]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [7]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish1",
											["name"] = "Vanish 1",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [8]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [9]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [10]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDanceOld",
											["name"] = "Shadow Dance Old",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 51713,
										}, -- [11]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 185422,
										}, -- [12]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 185311,
										}, -- [13]
										{
											["is_stealthy"] = false,
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
											["target"] = "target",
											["max_duration"] = 5.2013,
											["hidden"] = false,
											["aura_id"] = 1833,
										}, -- [14]
									},
									["maxComboPoints"] = 0,
									["hasMinCooldownForCheapShot"] = false,
									["maxTimeToKill"] = 0,
									["maxDurationOfShadowDanceOld"] = 0,
									["hasMaxDurationOfShadowDance"] = false,
									["require_not_stealthed"] = false,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["minDurationOfVanish2"] = 0,
									["checkTimeToKill"] = false,
									["checkCooldownForVanish"] = false,
									["checkTimeToKillRaid"] = false,
									["hasMinCooldownForShadowBlades"] = false,
									["hasMinDurationOfNightblade"] = false,
									["hasMinCooldownForSymbolsOfDeath"] = false,
									["hasMinComboPoints"] = false,
									["minHealthPerc"] = 0,
									["checkCooldownForCheapShot"] = false,
									["require_boss_fight"] = false,
									["hasMinGroupSize"] = false,
									["hasMinTimeToKill"] = false,
									["maxCooldownForGoremawsBite"] = 0,
									["minGroupSize"] = 0,
									["require_not_boss_fight"] = false,
									["hasMaxDurationOfShadowDanceOld"] = false,
									["hasMinDurationOfCrimsonVial"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfCheapShot"] = false,
									["hasMinDurationOfStealth1"] = false,
									["hasMaxDurationOfVanish1"] = false,
									["checkHealthPerc"] = false,
									["checkDurationOfShadowDanceOld"] = false,
									["checkCooldownForShadowDance"] = false,
									["checkDurationOfNightblade"] = false,
									["require_not_pvp"] = false,
									["checkDurationOfGoremawsBite"] = false,
									["maxCooldownForVanish"] = 0,
									["primary"] = true,
									["checkDurationOfVanish1"] = false,
									["minTimeToKill"] = 0,
									["checkDurationOfStealth2"] = false,
									["checkGroupSize"] = false,
									["hasMaxGroupSize"] = false,
									["maxDurationOfCheapShot"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["maxEnergy"] = 0,
									["checkCooldownForSymbolsOfDeath"] = false,
									["minCooldownForSymbolsOfDeath"] = 0,
									["checkTimeToKillSolo"] = false,
									["hasMaxDurationOfCheapShot"] = false,
									["priority"] = 501,
									["hasMinCooldownForShadowDance"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["minDurationOfCrimsonVial"] = 0,
									["enabled"] = true,
									["hasMaxCooldownForGoremawsBite"] = false,
									["hasMinDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["checkDurationOfShadowDance"] = false,
									["hasMinDurationOfGoremawsBite"] = false,
									["minChargesForShadowDance"] = 0,
									["hasMaxCooldownForCrimsonVial"] = false,
									["maxDurationOfNightblade"] = 0,
									["hasMinDurationOfShadowBlades"] = false,
									["hasMinDurationOfVanish2"] = false,
									["checkChargesForShadowDance"] = false,
									["require_not_instance"] = false,
									["minCooldownForShadowBlades"] = 0,
									["hasMinTimeToKillRaid"] = false,
									["maxDurationOfSubterfuge"] = 0,
									["hasMaxTimeToKillRaid"] = false,
									["minTimeToKillRaid"] = 0,
									["checkDurationOfShadowBlades"] = false,
									["hasMaxCooldownForSymbolsOfDeath"] = false,
									["hasMinDurationOfShadowDance"] = false,
									["minDurationOfShadowDance"] = 0,
									["maxDurationOfShadowDance"] = 0,
									["maxDurationOfSymbolsOfDeath"] = 10,
									["maxDurationOfShadowBlades"] = 0,
									["spell"] = {
										["debugName"] = "SymbolsOfDeath",
										["name"] = "Symbols of Death",
										["icon_id"] = 252272,
										["spell_id"] = 212283,
										["cooldown"] = 45,
									},
									["hasMaxDurationOfCrimsonVial"] = false,
									["minDurationOfShadowDanceOld"] = 0,
									["maxCooldownForShadowDance"] = 0,
									["hasMinTimeToKillSolo"] = false,
									["maxDurationOfVanish1"] = 0,
									["hasMaxChargesForShadowDance"] = false,
									["minDurationOfVanish3"] = 0,
									["maxCooldownForCheapShot"] = 0,
									["minCooldownForCheapShot"] = 0,
									["hasMinChargesForShadowDance"] = false,
									["checkDurationOfCheapShot"] = false,
									["hasMaxDurationOfSymbolsOfDeath"] = true,
									["hasMinDurationOfShadowDanceOld"] = false,
									["hasMaxDurationOfStealth1"] = false,
								}, -- [1]
							},
							["auras"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["target"] = "player",
									["max_duration"] = 45,
									["aura_id"] = 212283,
								}, -- [1]
								{
									["debugName"] = "Nightblade",
									["name"] = "Nightblade",
									["icon_id"] = 1373907,
									["target"] = "target",
									["max_duration"] = 26,
									["aura_id"] = 195452,
								}, -- [2]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["target"] = "player",
									["max_duration"] = 26,
									["aura_id"] = 121471,
								}, -- [3]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaws Bite",
									["icon_id"] = 1120132,
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 220901,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth1",
									["name"] = "Stealth 1",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [5]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [7]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish1",
									["name"] = "Vanish 1",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [8]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [9]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [10]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDanceOld",
									["name"] = "Shadow Dance Old",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 51713,
								}, -- [11]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 185422,
								}, -- [12]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 185311,
								}, -- [13]
								{
									["is_stealthy"] = false,
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
									["target"] = "target",
									["max_duration"] = 5.2013,
									["hidden"] = false,
									["aura_id"] = 1833,
								}, -- [14]
							},
						}, -- [2]
						{
							["spell"] = {
								["debugName"] = "Shadowstrike",
								["name"] = "Shadowstrike",
								["icon_id"] = 1373912,
								["spell_id"] = 185439,
							},
							["name"] = "Shadowstrike",
							["cooldowns"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["spell_id"] = 212283,
									["cooldown"] = 45,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 252272,
									["spell_id"] = 185313,
									["cooldown"] = 60,
									["charges"] = 3,
								}, -- [3]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["spell_id"] = 121471,
									["cooldown"] = 180,
								}, -- [4]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaw's Bite",
									["icon_id"] = 1120132,
									["spell_id"] = 209782,
									["cooldown"] = 60,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = 132092,
									["spell_id"] = 1833,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["require_instance"] = false,
									["minDurationOfNightblade"] = 0,
									["checkCooldownForShadowBlades"] = false,
									["hasMinHealthPerc"] = false,
									["maxGroupSize"] = 0,
									["hasMinEnergy"] = true,
									["hasMaxDurationOfShadowBlades"] = false,
									["require_pvp"] = false,
									["hasMinDurationOfStealth2"] = false,
									["maxChargesForShadowDance"] = 0,
									["minCooldownForVanish"] = 0,
									["maxCooldownForShadowBlades"] = 0,
									["hasMaxDurationOfGoremawsBite"] = false,
									["checkDurationOfVanish3"] = false,
									["minComboPoints"] = 0,
									["minEnergy"] = 40,
									["hasMinCooldownForVanish"] = false,
									["minDurationOfCheapShot"] = 0,
									["minDurationOfSymbolsOfDeath"] = 0,
									["minDurationOfStealth1"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["maxDurationOfStealth2"] = 0,
									["hasMaxCooldownForShadowDance"] = false,
									["hasMaxHealthPerc"] = false,
									["maxCooldownForSymbolsOfDeath"] = 0,
									["hasMaxComboPoints"] = false,
									["minDurationOfShadowBlades"] = 0,
									["checkDurationOfCrimsonVial"] = false,
									["hasMaxCooldownForCheapShot"] = false,
									["hasMaxTimeToKill"] = false,
									["hasMaxDurationOfNightblade"] = false,
									["minDurationOfGoremawsBite"] = 0,
									["maxDurationOfVanish2"] = 0,
									["checkDurationOfVanish2"] = false,
									["hasMaxEnergy"] = false,
									["hasMaxDurationOfVanish2"] = false,
									["cache_spells"] = {
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "SymbolsOfDeath",
												["name"] = "Symbols of Death",
												["icon_id"] = 252272,
												["spell_id"] = 212283,
												["cooldown"] = 45,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [1]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [2]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowDance",
												["name"] = "Shadow Dance",
												["icon_id"] = 252272,
												["spell_id"] = 185313,
												["cooldown"] = 60,
												["charges"] = 3,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [3]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowBlades",
												["name"] = "Shadow Blades",
												["icon_id"] = 376022,
												["spell_id"] = 121471,
												["cooldown"] = 180,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [4]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "GoremawsBite",
												["name"] = "Goremaw's Bite",
												["icon_id"] = 1120132,
												["spell_id"] = 209782,
												["cooldown"] = 60,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [5]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [6]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["hasMinEnergy"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeToKillSolo"] = 0,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkCooldownForVanish"] = false,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMinComboPoints"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfShadowDance"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkDurationOfVanish2"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkCooldownForShadowDance"] = false,
											["minChargesForShadowDance"] = 0,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["checkHealthPerc"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMinDurationOfStealth1"] = false,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["maxCooldownForVanish"] = 0,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["hasMinCooldownForVanish"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkChargesForShadowDance"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMinTimeToKillSolo"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["require_not_stealthed"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForShadowDance"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["spell"] = {
												["debugName"] = "CheapShot",
												["name"] = "Cheap Shot",
												["icon_id"] = 132092,
												["spell_id"] = 1833,
												["cooldown"] = 1,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["hasMinDurationOfVanish1"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkDurationOfShadowDanceOld"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfVanish3"] = false,
									["checkDurationOfSymbolsOfDeath"] = false,
									["minDurationOfStealth2"] = 0,
									["hasMinDurationOfSymbolsOfDeath"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["minDurationOfSubterfuge"] = 0,
									["minCooldownForShadowDance"] = 0,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["maxDurationOfStealth1"] = 0,
									["poolEnergyIfLow"] = true,
									["minCooldownForGoremawsBite"] = 0,
									["hasMaxCooldownForShadowBlades"] = false,
									["require_stealthed"] = true,
									["hasMinCooldownForGoremawsBite"] = false,
									["maxDurationOfCrimsonVial"] = 0,
									["minTimeToKillSolo"] = 0,
									["maxDurationOfGoremawsBite"] = 0,
									["checkComboPoints"] = false,
									["cooldowns"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["spell_id"] = 212283,
											["cooldown"] = 45,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 252272,
											["spell_id"] = 185313,
											["cooldown"] = 60,
											["charges"] = 3,
										}, -- [3]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["spell_id"] = 121471,
											["cooldown"] = 180,
										}, -- [4]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaw's Bite",
											["icon_id"] = 1120132,
											["spell_id"] = 209782,
											["cooldown"] = 60,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = 132092,
											["spell_id"] = 1833,
											["cooldown"] = 1,
										}, -- [7]
									},
									["checkDurationOfStealth1"] = false,
									["checkCooldownForGoremawsBite"] = false,
									["hasMaxTimeToKillSolo"] = false,
									["hasMinDurationOfVanish1"] = false,
									["checkEnergy"] = true,
									["minDurationOfVanish1"] = 0,
									["auras"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["target"] = "player",
											["max_duration"] = 45,
											["aura_id"] = 212283,
										}, -- [1]
										{
											["debugName"] = "Nightblade",
											["name"] = "Nightblade",
											["icon_id"] = 1373907,
											["target"] = "target",
											["max_duration"] = 26,
											["aura_id"] = 195452,
										}, -- [2]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["target"] = "player",
											["max_duration"] = 26,
											["aura_id"] = 121471,
										}, -- [3]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaws Bite",
											["icon_id"] = 1120132,
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 220901,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth1",
											["name"] = "Stealth 1",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [5]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [7]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish1",
											["name"] = "Vanish 1",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [8]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [9]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [10]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDanceOld",
											["name"] = "Shadow Dance Old",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 51713,
										}, -- [11]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 185422,
										}, -- [12]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 185311,
										}, -- [13]
										{
											["is_stealthy"] = false,
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
											["target"] = "target",
											["max_duration"] = 5.2013,
											["hidden"] = false,
											["aura_id"] = 1833,
										}, -- [14]
									},
									["maxComboPoints"] = 0,
									["hasMinCooldownForCheapShot"] = false,
									["maxTimeToKill"] = 0,
									["maxDurationOfShadowDanceOld"] = 0,
									["hasMaxDurationOfShadowDance"] = false,
									["require_not_stealthed"] = false,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["minDurationOfVanish2"] = 0,
									["checkTimeToKill"] = false,
									["checkCooldownForVanish"] = false,
									["checkTimeToKillRaid"] = false,
									["hasMinCooldownForShadowBlades"] = false,
									["hasMinDurationOfNightblade"] = false,
									["hasMinCooldownForSymbolsOfDeath"] = false,
									["hasMinComboPoints"] = false,
									["minHealthPerc"] = 0,
									["checkCooldownForCheapShot"] = false,
									["require_boss_fight"] = false,
									["hasMinGroupSize"] = false,
									["hasMinTimeToKill"] = false,
									["maxCooldownForGoremawsBite"] = 0,
									["minGroupSize"] = 0,
									["require_not_boss_fight"] = false,
									["hasMaxDurationOfShadowDanceOld"] = false,
									["hasMinDurationOfCrimsonVial"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfCheapShot"] = false,
									["hasMinDurationOfStealth1"] = false,
									["hasMaxDurationOfVanish1"] = false,
									["checkHealthPerc"] = false,
									["checkDurationOfShadowDanceOld"] = false,
									["checkCooldownForShadowDance"] = false,
									["checkDurationOfNightblade"] = false,
									["require_not_pvp"] = false,
									["checkDurationOfGoremawsBite"] = false,
									["maxCooldownForVanish"] = 0,
									["primary"] = true,
									["checkDurationOfVanish1"] = false,
									["minTimeToKill"] = 0,
									["checkDurationOfStealth2"] = false,
									["checkGroupSize"] = false,
									["hasMaxGroupSize"] = false,
									["maxDurationOfCheapShot"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["maxEnergy"] = 0,
									["checkCooldownForSymbolsOfDeath"] = false,
									["minCooldownForSymbolsOfDeath"] = 0,
									["checkTimeToKillSolo"] = false,
									["hasMaxDurationOfCheapShot"] = false,
									["priority"] = 495,
									["hasMinCooldownForShadowDance"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["minDurationOfCrimsonVial"] = 0,
									["enabled"] = true,
									["hasMaxCooldownForGoremawsBite"] = false,
									["hasMinDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["checkDurationOfShadowDance"] = false,
									["hasMinDurationOfGoremawsBite"] = false,
									["minChargesForShadowDance"] = 0,
									["hasMaxCooldownForCrimsonVial"] = false,
									["maxDurationOfNightblade"] = 0,
									["hasMinDurationOfShadowBlades"] = false,
									["hasMinDurationOfVanish2"] = false,
									["checkChargesForShadowDance"] = false,
									["require_not_instance"] = false,
									["minCooldownForShadowBlades"] = 0,
									["hasMinTimeToKillRaid"] = false,
									["maxDurationOfSubterfuge"] = 0,
									["hasMaxTimeToKillRaid"] = false,
									["minTimeToKillRaid"] = 0,
									["checkDurationOfShadowBlades"] = false,
									["hasMaxCooldownForSymbolsOfDeath"] = false,
									["hasMinDurationOfShadowDance"] = false,
									["minDurationOfShadowDance"] = 0,
									["maxDurationOfShadowDance"] = 0,
									["maxDurationOfSymbolsOfDeath"] = 0,
									["maxDurationOfShadowBlades"] = 0,
									["spell"] = {
										["debugName"] = "Shadowstrike",
										["name"] = "Shadowstrike",
										["icon_id"] = 1373912,
										["spell_id"] = 185439,
									},
									["hasMaxDurationOfCrimsonVial"] = false,
									["minDurationOfShadowDanceOld"] = 0,
									["maxCooldownForShadowDance"] = 0,
									["hasMinTimeToKillSolo"] = false,
									["maxDurationOfVanish1"] = 0,
									["hasMaxChargesForShadowDance"] = false,
									["minDurationOfVanish3"] = 0,
									["maxCooldownForCheapShot"] = 0,
									["minCooldownForCheapShot"] = 0,
									["hasMinChargesForShadowDance"] = false,
									["checkDurationOfCheapShot"] = false,
									["hasMaxDurationOfSymbolsOfDeath"] = false,
									["hasMinDurationOfShadowDanceOld"] = false,
									["hasMaxDurationOfStealth1"] = false,
								}, -- [1]
							},
							["auras"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["target"] = "player",
									["max_duration"] = 45,
									["aura_id"] = 212283,
								}, -- [1]
								{
									["debugName"] = "Nightblade",
									["name"] = "Nightblade",
									["icon_id"] = 1373907,
									["target"] = "target",
									["max_duration"] = 26,
									["aura_id"] = 195452,
								}, -- [2]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["target"] = "player",
									["max_duration"] = 26,
									["aura_id"] = 121471,
								}, -- [3]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaws Bite",
									["icon_id"] = 1120132,
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 220901,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth1",
									["name"] = "Stealth 1",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [5]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [7]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish1",
									["name"] = "Vanish 1",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [8]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [9]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [10]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDanceOld",
									["name"] = "Shadow Dance Old",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 51713,
								}, -- [11]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 185422,
								}, -- [12]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 185311,
								}, -- [13]
								{
									["is_stealthy"] = false,
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
									["target"] = "target",
									["max_duration"] = 5.2013,
									["hidden"] = false,
									["aura_id"] = 1833,
								}, -- [14]
							},
						}, -- [3]
						{
							["spell"] = {
								["debugName"] = "Nightblade",
								["name"] = "Nightblade",
								["icon_id"] = 1373907,
								["spell_id"] = 195452,
							},
							["name"] = "Nightblade",
							["cooldowns"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["spell_id"] = 212283,
									["cooldown"] = 45,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 252272,
									["spell_id"] = 185313,
									["cooldown"] = 60,
									["charges"] = 3,
								}, -- [3]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["spell_id"] = 121471,
									["cooldown"] = 180,
								}, -- [4]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaw's Bite",
									["icon_id"] = 1120132,
									["spell_id"] = 209782,
									["cooldown"] = 60,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = 132092,
									["spell_id"] = 1833,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["require_instance"] = false,
									["minDurationOfNightblade"] = 0,
									["checkCooldownForShadowBlades"] = false,
									["hasMinHealthPerc"] = false,
									["maxGroupSize"] = 0,
									["hasMinEnergy"] = true,
									["hasMaxDurationOfShadowBlades"] = false,
									["require_pvp"] = false,
									["hasMinDurationOfStealth2"] = false,
									["maxChargesForShadowDance"] = 0,
									["minCooldownForVanish"] = 0,
									["maxCooldownForShadowBlades"] = 0,
									["hasMaxDurationOfGoremawsBite"] = false,
									["checkDurationOfVanish3"] = false,
									["minComboPoints"] = 5,
									["minEnergy"] = 25,
									["hasMinCooldownForVanish"] = false,
									["minDurationOfCheapShot"] = 0,
									["minDurationOfSymbolsOfDeath"] = 0,
									["minDurationOfStealth1"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["maxDurationOfStealth2"] = 0,
									["hasMaxCooldownForShadowDance"] = false,
									["hasMaxHealthPerc"] = false,
									["maxCooldownForSymbolsOfDeath"] = 0,
									["hasMaxComboPoints"] = false,
									["minDurationOfShadowBlades"] = 0,
									["checkDurationOfCrimsonVial"] = false,
									["hasMaxCooldownForCheapShot"] = false,
									["hasMaxTimeToKill"] = false,
									["hasMaxDurationOfNightblade"] = true,
									["minDurationOfGoremawsBite"] = 0,
									["maxDurationOfVanish2"] = 0,
									["checkDurationOfVanish2"] = false,
									["hasMaxEnergy"] = false,
									["hasMaxDurationOfVanish2"] = false,
									["cache_spells"] = {
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "SymbolsOfDeath",
												["name"] = "Symbols of Death",
												["icon_id"] = 252272,
												["spell_id"] = 212283,
												["cooldown"] = 45,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [1]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [2]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowDance",
												["name"] = "Shadow Dance",
												["icon_id"] = 252272,
												["spell_id"] = 185313,
												["cooldown"] = 60,
												["charges"] = 3,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [3]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowBlades",
												["name"] = "Shadow Blades",
												["icon_id"] = 376022,
												["spell_id"] = 121471,
												["cooldown"] = 180,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [4]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "GoremawsBite",
												["name"] = "Goremaw's Bite",
												["icon_id"] = 1120132,
												["spell_id"] = 209782,
												["cooldown"] = 60,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [5]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [6]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["hasMinEnergy"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeToKillSolo"] = 0,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkCooldownForVanish"] = false,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMinComboPoints"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfShadowDance"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkDurationOfVanish2"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkCooldownForShadowDance"] = false,
											["minChargesForShadowDance"] = 0,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["checkHealthPerc"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMinDurationOfStealth1"] = false,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["maxCooldownForVanish"] = 0,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["hasMinCooldownForVanish"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkChargesForShadowDance"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMinTimeToKillSolo"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["require_not_stealthed"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForShadowDance"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["spell"] = {
												["debugName"] = "CheapShot",
												["name"] = "Cheap Shot",
												["icon_id"] = 132092,
												["spell_id"] = 1833,
												["cooldown"] = 1,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["hasMinDurationOfVanish1"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkDurationOfShadowDanceOld"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfVanish3"] = false,
									["checkDurationOfSymbolsOfDeath"] = false,
									["minDurationOfStealth2"] = 0,
									["hasMinDurationOfSymbolsOfDeath"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["minDurationOfSubterfuge"] = 0,
									["minCooldownForShadowDance"] = 0,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["maxDurationOfStealth1"] = 0,
									["poolEnergyIfLow"] = true,
									["minCooldownForGoremawsBite"] = 0,
									["hasMaxCooldownForShadowBlades"] = false,
									["require_stealthed"] = false,
									["hasMinCooldownForGoremawsBite"] = false,
									["maxDurationOfCrimsonVial"] = 0,
									["minTimeToKillSolo"] = 4,
									["maxDurationOfGoremawsBite"] = 0,
									["checkComboPoints"] = true,
									["cooldowns"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["spell_id"] = 212283,
											["cooldown"] = 45,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 252272,
											["spell_id"] = 185313,
											["cooldown"] = 60,
											["charges"] = 3,
										}, -- [3]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["spell_id"] = 121471,
											["cooldown"] = 180,
										}, -- [4]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaw's Bite",
											["icon_id"] = 1120132,
											["spell_id"] = 209782,
											["cooldown"] = 60,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = 132092,
											["spell_id"] = 1833,
											["cooldown"] = 1,
										}, -- [7]
									},
									["checkDurationOfStealth1"] = false,
									["checkCooldownForGoremawsBite"] = false,
									["hasMaxTimeToKillSolo"] = false,
									["hasMinDurationOfVanish1"] = false,
									["checkEnergy"] = true,
									["minDurationOfVanish1"] = 0,
									["auras"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["target"] = "player",
											["max_duration"] = 45,
											["aura_id"] = 212283,
										}, -- [1]
										{
											["debugName"] = "Nightblade",
											["name"] = "Nightblade",
											["icon_id"] = 1373907,
											["target"] = "target",
											["max_duration"] = 26,
											["aura_id"] = 195452,
										}, -- [2]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["target"] = "player",
											["max_duration"] = 26,
											["aura_id"] = 121471,
										}, -- [3]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaws Bite",
											["icon_id"] = 1120132,
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 220901,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth1",
											["name"] = "Stealth 1",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [5]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [7]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish1",
											["name"] = "Vanish 1",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [8]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [9]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [10]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDanceOld",
											["name"] = "Shadow Dance Old",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 51713,
										}, -- [11]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 185422,
										}, -- [12]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 185311,
										}, -- [13]
										{
											["is_stealthy"] = false,
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
											["target"] = "target",
											["max_duration"] = 5.2013,
											["hidden"] = false,
											["aura_id"] = 1833,
										}, -- [14]
									},
									["maxComboPoints"] = 0,
									["hasMinCooldownForCheapShot"] = false,
									["maxTimeToKill"] = 0,
									["maxDurationOfShadowDanceOld"] = 0,
									["hasMaxDurationOfShadowDance"] = false,
									["require_not_stealthed"] = false,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["minDurationOfVanish2"] = 0,
									["checkTimeToKill"] = false,
									["checkCooldownForVanish"] = false,
									["checkTimeToKillRaid"] = false,
									["hasMinCooldownForShadowBlades"] = false,
									["hasMinDurationOfNightblade"] = false,
									["hasMinCooldownForSymbolsOfDeath"] = false,
									["hasMinComboPoints"] = true,
									["minHealthPerc"] = 0,
									["checkCooldownForCheapShot"] = false,
									["require_boss_fight"] = false,
									["hasMinGroupSize"] = false,
									["hasMinTimeToKill"] = false,
									["maxCooldownForGoremawsBite"] = 0,
									["minGroupSize"] = 0,
									["require_not_boss_fight"] = false,
									["hasMaxDurationOfShadowDanceOld"] = false,
									["hasMinDurationOfCrimsonVial"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfCheapShot"] = false,
									["hasMinDurationOfStealth1"] = false,
									["hasMaxDurationOfVanish1"] = false,
									["checkHealthPerc"] = false,
									["checkDurationOfShadowDanceOld"] = false,
									["checkCooldownForShadowDance"] = false,
									["checkDurationOfNightblade"] = true,
									["require_not_pvp"] = false,
									["checkDurationOfGoremawsBite"] = false,
									["maxCooldownForVanish"] = 0,
									["primary"] = true,
									["checkDurationOfVanish1"] = false,
									["minTimeToKill"] = 0,
									["checkDurationOfStealth2"] = false,
									["checkGroupSize"] = false,
									["hasMaxGroupSize"] = false,
									["maxDurationOfCheapShot"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["maxEnergy"] = 0,
									["checkCooldownForSymbolsOfDeath"] = false,
									["minCooldownForSymbolsOfDeath"] = 0,
									["checkTimeToKillSolo"] = true,
									["hasMaxDurationOfCheapShot"] = false,
									["priority"] = 499,
									["hasMinCooldownForShadowDance"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["minDurationOfCrimsonVial"] = 0,
									["enabled"] = true,
									["hasMaxCooldownForGoremawsBite"] = false,
									["hasMinDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["checkDurationOfShadowDance"] = false,
									["hasMinDurationOfGoremawsBite"] = false,
									["minChargesForShadowDance"] = 0,
									["hasMaxCooldownForCrimsonVial"] = false,
									["maxDurationOfNightblade"] = 4.8,
									["hasMinDurationOfShadowBlades"] = false,
									["hasMinDurationOfVanish2"] = false,
									["checkChargesForShadowDance"] = false,
									["require_not_instance"] = false,
									["minCooldownForShadowBlades"] = 0,
									["hasMinTimeToKillRaid"] = false,
									["maxDurationOfSubterfuge"] = 0,
									["hasMaxTimeToKillRaid"] = false,
									["minTimeToKillRaid"] = 0,
									["checkDurationOfShadowBlades"] = false,
									["hasMaxCooldownForSymbolsOfDeath"] = false,
									["hasMinDurationOfShadowDance"] = false,
									["minDurationOfShadowDance"] = 0,
									["maxDurationOfShadowDance"] = 0,
									["maxDurationOfSymbolsOfDeath"] = 0,
									["maxDurationOfShadowBlades"] = 0,
									["spell"] = {
										["debugName"] = "Nightblade",
										["name"] = "Nightblade",
										["icon_id"] = 1373907,
										["spell_id"] = 195452,
									},
									["hasMaxDurationOfCrimsonVial"] = false,
									["minDurationOfShadowDanceOld"] = 0,
									["maxCooldownForShadowDance"] = 0,
									["hasMinTimeToKillSolo"] = true,
									["maxDurationOfVanish1"] = 0,
									["hasMaxChargesForShadowDance"] = false,
									["minDurationOfVanish3"] = 0,
									["maxCooldownForCheapShot"] = 0,
									["minCooldownForCheapShot"] = 0,
									["hasMinChargesForShadowDance"] = false,
									["checkDurationOfCheapShot"] = false,
									["hasMaxDurationOfSymbolsOfDeath"] = false,
									["hasMinDurationOfShadowDanceOld"] = false,
									["hasMaxDurationOfStealth1"] = false,
								}, -- [1]
								{
									["require_instance"] = false,
									["minDurationOfNightblade"] = 4.8,
									["checkCooldownForShadowBlades"] = false,
									["hasMinHealthPerc"] = false,
									["hasMaxDurationOfVanish1"] = false,
									["checkDurationOfShadowDance"] = false,
									["maxDurationOfShadowBlades"] = 0,
									["maxDurationOfSymbolsOfDeath"] = 0,
									["hasMinDurationOfStealth2"] = false,
									["maxChargesForShadowDance"] = 0,
									["minCooldownForVanish"] = 0,
									["maxCooldownForShadowBlades"] = 0,
									["hasMaxGroupSize"] = false,
									["checkChargesForShadowDance"] = false,
									["minComboPoints"] = 5,
									["minEnergy"] = 25,
									["hasMinCooldownForVanish"] = false,
									["minDurationOfCheapShot"] = 0,
									["minDurationOfSymbolsOfDeath"] = 0,
									["minDurationOfStealth1"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["maxDurationOfStealth2"] = 0,
									["hasMaxCooldownForShadowDance"] = false,
									["hasMaxHealthPerc"] = false,
									["maxCooldownForSymbolsOfDeath"] = 0,
									["hasMaxComboPoints"] = false,
									["minDurationOfShadowBlades"] = 0,
									["checkDurationOfCrimsonVial"] = false,
									["hasMaxCooldownForCheapShot"] = false,
									["hasMaxDurationOfNightblade"] = true,
									["maxDurationOfVanish1"] = 0,
									["maxDurationOfVanish2"] = 0,
									["checkDurationOfVanish2"] = false,
									["hasMaxEnergy"] = false,
									["hasMaxDurationOfVanish2"] = false,
									["cache_spells"] = {
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["minCooldownForVanish"] = 0,
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["hasMinChargesForShadowDance"] = false,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["checkCooldownForShadowDance"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkCooldownForVanish"] = false,
											["maxDurationOfShadowDance"] = 0,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["checkDurationOfCheapShot"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfVanish3"] = 0,
											["minDurationOfVanish3"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMinDurationOfVanish1"] = false,
											["maxCooldownForGoremawsBite"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfVanish1"] = 0,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["maxTimeToKillSolo"] = 0,
											["minDurationOfStealth1"] = 0,
											["hasMinEnergy"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMinDurationOfVanish2"] = false,
											["checkTimeToKillSolo"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["hasMinDurationOfGoremawsBite"] = false,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["enabled"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["minDurationOfShadowDance"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfStealth1"] = false,
											["checkHealthPerc"] = false,
											["spell"] = {
												["debugName"] = "SymbolsOfDeath",
												["name"] = "Symbols of Death",
												["icon_id"] = 252272,
												["spell_id"] = 212283,
												["cooldown"] = 45,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["hasMinComboPoints"] = false,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minTimeSinceCastForVanish"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [1]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["minCooldownForVanish"] = 0,
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["hasMinChargesForShadowDance"] = false,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["checkCooldownForShadowDance"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkCooldownForVanish"] = false,
											["maxDurationOfShadowDance"] = 0,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["checkDurationOfCheapShot"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfVanish3"] = 0,
											["minDurationOfVanish3"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMinDurationOfVanish1"] = false,
											["maxCooldownForGoremawsBite"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfVanish1"] = 0,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["maxTimeToKillSolo"] = 0,
											["minDurationOfStealth1"] = 0,
											["hasMinEnergy"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMinDurationOfVanish2"] = false,
											["checkTimeToKillSolo"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["hasMinDurationOfGoremawsBite"] = false,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["enabled"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["minDurationOfShadowDance"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfStealth1"] = false,
											["checkHealthPerc"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["hasMinComboPoints"] = false,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minTimeSinceCastForVanish"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [2]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["minCooldownForVanish"] = 0,
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["hasMinChargesForShadowDance"] = false,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["checkCooldownForShadowDance"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkCooldownForVanish"] = false,
											["maxDurationOfShadowDance"] = 0,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["checkDurationOfCheapShot"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfVanish3"] = 0,
											["minDurationOfVanish3"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMinDurationOfVanish1"] = false,
											["maxCooldownForGoremawsBite"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfVanish1"] = 0,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["maxTimeToKillSolo"] = 0,
											["minDurationOfStealth1"] = 0,
											["hasMinEnergy"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMinDurationOfVanish2"] = false,
											["checkTimeToKillSolo"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["hasMinDurationOfGoremawsBite"] = false,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["enabled"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["minDurationOfShadowDance"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfStealth1"] = false,
											["checkHealthPerc"] = false,
											["spell"] = {
												["debugName"] = "ShadowDance",
												["name"] = "Shadow Dance",
												["icon_id"] = 252272,
												["spell_id"] = 185313,
												["cooldown"] = 60,
												["charges"] = 3,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["hasMinComboPoints"] = false,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minTimeSinceCastForVanish"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [3]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["minCooldownForVanish"] = 0,
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["hasMinChargesForShadowDance"] = false,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["checkCooldownForShadowDance"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkCooldownForVanish"] = false,
											["maxDurationOfShadowDance"] = 0,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["checkDurationOfCheapShot"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfVanish3"] = 0,
											["minDurationOfVanish3"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMinDurationOfVanish1"] = false,
											["maxCooldownForGoremawsBite"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfVanish1"] = 0,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["maxTimeToKillSolo"] = 0,
											["minDurationOfStealth1"] = 0,
											["hasMinEnergy"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMinDurationOfVanish2"] = false,
											["checkTimeToKillSolo"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["hasMinDurationOfGoremawsBite"] = false,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["enabled"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["minDurationOfShadowDance"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfStealth1"] = false,
											["checkHealthPerc"] = false,
											["spell"] = {
												["debugName"] = "ShadowBlades",
												["name"] = "Shadow Blades",
												["icon_id"] = 376022,
												["spell_id"] = 121471,
												["cooldown"] = 180,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["hasMinComboPoints"] = false,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minTimeSinceCastForVanish"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [4]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["minCooldownForVanish"] = 0,
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["hasMinChargesForShadowDance"] = false,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["checkCooldownForShadowDance"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkCooldownForVanish"] = false,
											["maxDurationOfShadowDance"] = 0,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["checkDurationOfCheapShot"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfVanish3"] = 0,
											["minDurationOfVanish3"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMinDurationOfVanish1"] = false,
											["maxCooldownForGoremawsBite"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfVanish1"] = 0,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["maxTimeToKillSolo"] = 0,
											["minDurationOfStealth1"] = 0,
											["hasMinEnergy"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMinDurationOfVanish2"] = false,
											["checkTimeToKillSolo"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["hasMinDurationOfGoremawsBite"] = false,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["enabled"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["minDurationOfShadowDance"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfStealth1"] = false,
											["checkHealthPerc"] = false,
											["spell"] = {
												["debugName"] = "GoremawsBite",
												["name"] = "Goremaw's Bite",
												["icon_id"] = 1120132,
												["spell_id"] = 209782,
												["cooldown"] = 60,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["hasMinComboPoints"] = false,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minTimeSinceCastForVanish"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [5]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["minCooldownForVanish"] = 0,
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["hasMinChargesForShadowDance"] = false,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["checkCooldownForShadowDance"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkCooldownForVanish"] = false,
											["maxDurationOfShadowDance"] = 0,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["checkDurationOfCheapShot"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfVanish3"] = 0,
											["minDurationOfVanish3"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMinDurationOfVanish1"] = false,
											["maxCooldownForGoremawsBite"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfVanish1"] = 0,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["maxTimeToKillSolo"] = 0,
											["minDurationOfStealth1"] = 0,
											["hasMinEnergy"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMinDurationOfVanish2"] = false,
											["checkTimeToKillSolo"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["hasMinDurationOfGoremawsBite"] = false,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["enabled"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["minDurationOfShadowDance"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfStealth1"] = false,
											["checkHealthPerc"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["hasMinComboPoints"] = false,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minTimeSinceCastForVanish"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [6]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["minCooldownForVanish"] = 0,
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["hasMinChargesForShadowDance"] = false,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["checkCooldownForShadowDance"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkCooldownForVanish"] = false,
											["maxDurationOfShadowDance"] = 0,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["checkDurationOfCheapShot"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfVanish3"] = 0,
											["minDurationOfVanish3"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMinDurationOfVanish1"] = false,
											["maxCooldownForGoremawsBite"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfVanish1"] = 0,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["maxTimeToKillSolo"] = 0,
											["minDurationOfStealth1"] = 0,
											["hasMinEnergy"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMinDurationOfVanish2"] = false,
											["checkTimeToKillSolo"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["hasMinDurationOfGoremawsBite"] = false,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["enabled"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["minDurationOfShadowDance"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfStealth1"] = false,
											["checkHealthPerc"] = false,
											["spell"] = {
												["debugName"] = "CheapShot",
												["name"] = "Cheap Shot",
												["icon_id"] = 132092,
												["spell_id"] = 1833,
												["cooldown"] = 1,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["hasMinComboPoints"] = false,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minTimeSinceCastForVanish"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfCheapShot"] = false,
									["checkDurationOfSymbolsOfDeath"] = false,
									["minDurationOfStealth2"] = 0,
									["hasMinDurationOfSymbolsOfDeath"] = false,
									["checkCooldownForShadowDance"] = false,
									["minDurationOfSubterfuge"] = 0,
									["minCooldownForShadowDance"] = 0,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["checkDurationOfShadowDanceOld"] = false,
									["poolEnergyIfLow"] = true,
									["maxCooldownForShadowDance"] = 0,
									["hasMaxCooldownForShadowBlades"] = false,
									["require_stealthed"] = false,
									["hasMinCooldownForGoremawsBite"] = false,
									["maxDurationOfCrimsonVial"] = 0,
									["minTimeToKillSolo"] = 0,
									["maxDurationOfGoremawsBite"] = 0,
									["checkComboPoints"] = true,
									["cooldowns"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["spell_id"] = 212283,
											["cooldown"] = 45,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 252272,
											["spell_id"] = 185313,
											["cooldown"] = 60,
											["charges"] = 3,
										}, -- [3]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["spell_id"] = 121471,
											["cooldown"] = 180,
										}, -- [4]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaw's Bite",
											["icon_id"] = 1120132,
											["spell_id"] = 209782,
											["cooldown"] = 60,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = 132092,
											["spell_id"] = 1833,
											["cooldown"] = 1,
										}, -- [7]
									},
									["checkDurationOfStealth1"] = false,
									["checkCooldownForGoremawsBite"] = false,
									["hasMaxTimeToKillSolo"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["checkEnergy"] = true,
									["minDurationOfVanish1"] = 0,
									["auras"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["target"] = "player",
											["max_duration"] = 45,
											["aura_id"] = 212283,
										}, -- [1]
										{
											["debugName"] = "Nightblade",
											["name"] = "Nightblade",
											["icon_id"] = 1373907,
											["target"] = "target",
											["max_duration"] = 26,
											["aura_id"] = 195452,
										}, -- [2]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["target"] = "player",
											["max_duration"] = 26,
											["aura_id"] = 121471,
										}, -- [3]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaws Bite",
											["icon_id"] = 1120132,
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 220901,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth1",
											["name"] = "Stealth 1",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [5]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [7]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish1",
											["name"] = "Vanish 1",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [8]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [9]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [10]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDanceOld",
											["name"] = "Shadow Dance Old",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 51713,
										}, -- [11]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 185422,
										}, -- [12]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 185311,
										}, -- [13]
										{
											["is_stealthy"] = false,
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
											["target"] = "target",
											["max_duration"] = 5.2013,
											["hidden"] = false,
											["aura_id"] = 1833,
										}, -- [14]
									},
									["maxComboPoints"] = 0,
									["hasMinCooldownForCheapShot"] = false,
									["maxDurationOfShadowDanceOld"] = 0,
									["hasMaxDurationOfShadowDance"] = false,
									["require_not_stealthed"] = false,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["minDurationOfVanish2"] = 0,
									["checkCooldownForVanish"] = false,
									["checkTimeToKillRaid"] = false,
									["hasMinCooldownForShadowBlades"] = false,
									["hasMinDurationOfNightblade"] = false,
									["hasMinCooldownForSymbolsOfDeath"] = false,
									["minChargesForShadowDance"] = 0,
									["minHealthPerc"] = 0,
									["checkCooldownForCheapShot"] = false,
									["require_boss_fight"] = false,
									["hasMinGroupSize"] = false,
									["maxCooldownForGoremawsBite"] = 0,
									["minGroupSize"] = 0,
									["require_not_boss_fight"] = false,
									["hasMinDurationOfCrimsonVial"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfCheapShot"] = false,
									["checkDurationOfStealth2"] = false,
									["checkHealthPerc"] = false,
									["hasMinDurationOfShadowDanceOld"] = false,
									["maxDurationOfStealth1"] = 0,
									["hasMaxDurationOfStealth2"] = false,
									["checkDurationOfNightblade"] = true,
									["minCooldownForGoremawsBite"] = 0,
									["checkDurationOfGoremawsBite"] = false,
									["primary"] = true,
									["maxDurationOfCheapShot"] = 0,
									["maxCooldownForCheapShot"] = 0,
									["minDurationOfCrimsonVial"] = 0,
									["maxEnergy"] = 0,
									["require_not_pvp"] = false,
									["checkGroupSize"] = false,
									["maxDurationOfSubterfuge"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["checkDurationOfVanish3"] = false,
									["checkCooldownForSymbolsOfDeath"] = false,
									["hasMinComboPoints"] = true,
									["checkTimeToKillSolo"] = false,
									["minDurationOfGoremawsBite"] = 0,
									["hasMaxDurationOfVanish3"] = false,
									["hasMinCooldownForShadowDance"] = false,
									["priority"] = 498,
									["maxGroupSize"] = 0,
									["hasMinChargesForShadowDance"] = false,
									["hasMaxCooldownForGoremawsBite"] = false,
									["hasMinDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["hasMaxDurationOfGoremawsBite"] = false,
									["hasMinDurationOfGoremawsBite"] = false,
									["minDurationOfVanish3"] = 0,
									["hasMaxCooldownForCrimsonVial"] = false,
									["checkDurationOfShadowBlades"] = false,
									["hasMinDurationOfShadowBlades"] = false,
									["hasMinDurationOfVanish2"] = false,
									["enabled"] = true,
									["require_not_instance"] = false,
									["minCooldownForShadowBlades"] = 0,
									["require_pvp"] = true,
									["hasMinTimeToKillRaid"] = false,
									["hasMaxCooldownForSymbolsOfDeath"] = false,
									["hasMinDurationOfVanish1"] = false,
									["hasMinEnergy"] = true,
									["hasMaxTimeToKillRaid"] = false,
									["hasMinDurationOfShadowDance"] = false,
									["minDurationOfShadowDance"] = 0,
									["hasMaxDurationOfShadowBlades"] = false,
									["minTimeToKillRaid"] = 0,
									["maxDurationOfNightblade"] = 4.8,
									["spell"] = {
										["debugName"] = "Nightblade",
										["name"] = "Nightblade",
										["icon_id"] = 1373907,
										["spell_id"] = 195452,
									},
									["hasMaxDurationOfCrimsonVial"] = false,
									["minDurationOfShadowDanceOld"] = 0,
									["minCooldownForSymbolsOfDeath"] = 0,
									["maxCooldownForVanish"] = 0,
									["hasMinTimeToKillSolo"] = false,
									["hasMaxChargesForShadowDance"] = false,
									["hasMaxDurationOfSymbolsOfDeath"] = false,
									["hasMaxDurationOfShadowDanceOld"] = false,
									["minCooldownForCheapShot"] = 0,
									["maxDurationOfShadowDance"] = 0,
									["checkDurationOfVanish1"] = false,
									["checkDurationOfCheapShot"] = false,
									["hasMinDurationOfStealth1"] = false,
									["hasMaxDurationOfStealth1"] = false,
								}, -- [2]
							},
							["auras"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["target"] = "player",
									["max_duration"] = 45,
									["aura_id"] = 212283,
								}, -- [1]
								{
									["debugName"] = "Nightblade",
									["name"] = "Nightblade",
									["icon_id"] = 1373907,
									["target"] = "target",
									["max_duration"] = 26,
									["aura_id"] = 195452,
								}, -- [2]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["target"] = "player",
									["max_duration"] = 26,
									["aura_id"] = 121471,
								}, -- [3]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaws Bite",
									["icon_id"] = 1120132,
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 220901,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth1",
									["name"] = "Stealth 1",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [5]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [7]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish1",
									["name"] = "Vanish 1",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [8]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [9]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [10]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDanceOld",
									["name"] = "Shadow Dance Old",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 51713,
								}, -- [11]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 185422,
								}, -- [12]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 185311,
								}, -- [13]
								{
									["is_stealthy"] = false,
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
									["target"] = "target",
									["max_duration"] = 5.2013,
									["hidden"] = false,
									["aura_id"] = 1833,
								}, -- [14]
							},
						}, -- [4]
						{
							["spell"] = {
								["debugName"] = "Eviscerate",
								["name"] = "Eviscerate",
								["icon_id"] = 132292,
								["spell_id"] = 196819,
							},
							["name"] = "Eviscerate",
							["cooldowns"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["spell_id"] = 212283,
									["cooldown"] = 45,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 252272,
									["spell_id"] = 185313,
									["cooldown"] = 60,
									["charges"] = 3,
								}, -- [3]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["spell_id"] = 121471,
									["cooldown"] = 180,
								}, -- [4]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaw's Bite",
									["icon_id"] = 1120132,
									["spell_id"] = 209782,
									["cooldown"] = 60,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = 132092,
									["spell_id"] = 1833,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["require_instance"] = false,
									["minDurationOfNightblade"] = 0,
									["checkCooldownForShadowBlades"] = false,
									["hasMinHealthPerc"] = false,
									["maxGroupSize"] = 0,
									["hasMinEnergy"] = true,
									["hasMaxDurationOfShadowBlades"] = false,
									["require_pvp"] = false,
									["hasMinDurationOfStealth2"] = false,
									["maxChargesForShadowDance"] = 0,
									["minCooldownForVanish"] = 0,
									["maxCooldownForShadowBlades"] = 0,
									["hasMaxDurationOfGoremawsBite"] = false,
									["checkDurationOfVanish3"] = false,
									["minComboPoints"] = 5,
									["minEnergy"] = 35,
									["hasMinCooldownForVanish"] = false,
									["minDurationOfCheapShot"] = 0,
									["minDurationOfSymbolsOfDeath"] = 0,
									["minDurationOfStealth1"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["maxDurationOfStealth2"] = 0,
									["hasMaxCooldownForShadowDance"] = false,
									["hasMaxHealthPerc"] = false,
									["maxCooldownForSymbolsOfDeath"] = 0,
									["hasMaxComboPoints"] = false,
									["minDurationOfShadowBlades"] = 0,
									["checkDurationOfCrimsonVial"] = false,
									["hasMaxCooldownForCheapShot"] = false,
									["hasMaxTimeToKill"] = false,
									["hasMaxDurationOfNightblade"] = false,
									["minDurationOfGoremawsBite"] = 0,
									["maxDurationOfVanish2"] = 0,
									["checkDurationOfVanish2"] = false,
									["hasMaxEnergy"] = false,
									["hasMaxDurationOfVanish2"] = false,
									["cache_spells"] = {
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "SymbolsOfDeath",
												["name"] = "Symbols of Death",
												["icon_id"] = 252272,
												["spell_id"] = 212283,
												["cooldown"] = 45,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [1]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [2]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowDance",
												["name"] = "Shadow Dance",
												["icon_id"] = 252272,
												["spell_id"] = 185313,
												["cooldown"] = 60,
												["charges"] = 3,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [3]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowBlades",
												["name"] = "Shadow Blades",
												["icon_id"] = 376022,
												["spell_id"] = 121471,
												["cooldown"] = 180,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [4]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "GoremawsBite",
												["name"] = "Goremaw's Bite",
												["icon_id"] = 1120132,
												["spell_id"] = 209782,
												["cooldown"] = 60,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [5]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [6]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["hasMinEnergy"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeToKillSolo"] = 0,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkCooldownForVanish"] = false,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMinComboPoints"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfShadowDance"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkDurationOfVanish2"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkCooldownForShadowDance"] = false,
											["minChargesForShadowDance"] = 0,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["checkHealthPerc"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMinDurationOfStealth1"] = false,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["maxCooldownForVanish"] = 0,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["hasMinCooldownForVanish"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkChargesForShadowDance"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMinTimeToKillSolo"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["require_not_stealthed"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForShadowDance"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["spell"] = {
												["debugName"] = "CheapShot",
												["name"] = "Cheap Shot",
												["icon_id"] = 132092,
												["spell_id"] = 1833,
												["cooldown"] = 1,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["hasMinDurationOfVanish1"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkDurationOfShadowDanceOld"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfVanish3"] = false,
									["checkDurationOfSymbolsOfDeath"] = false,
									["minDurationOfStealth2"] = 0,
									["hasMinDurationOfSymbolsOfDeath"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["minDurationOfSubterfuge"] = 0,
									["minCooldownForShadowDance"] = 0,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["maxDurationOfStealth1"] = 0,
									["poolEnergyIfLow"] = true,
									["minCooldownForGoremawsBite"] = 0,
									["hasMaxCooldownForShadowBlades"] = false,
									["require_stealthed"] = false,
									["hasMinCooldownForGoremawsBite"] = false,
									["maxDurationOfCrimsonVial"] = 0,
									["minTimeToKillSolo"] = 0,
									["maxDurationOfGoremawsBite"] = 0,
									["checkComboPoints"] = true,
									["cooldowns"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["spell_id"] = 212283,
											["cooldown"] = 45,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 252272,
											["spell_id"] = 185313,
											["cooldown"] = 60,
											["charges"] = 3,
										}, -- [3]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["spell_id"] = 121471,
											["cooldown"] = 180,
										}, -- [4]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaw's Bite",
											["icon_id"] = 1120132,
											["spell_id"] = 209782,
											["cooldown"] = 60,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = 132092,
											["spell_id"] = 1833,
											["cooldown"] = 1,
										}, -- [7]
									},
									["checkDurationOfStealth1"] = false,
									["checkCooldownForGoremawsBite"] = false,
									["hasMaxTimeToKillSolo"] = false,
									["hasMinDurationOfVanish1"] = false,
									["checkEnergy"] = true,
									["minDurationOfVanish1"] = 0,
									["auras"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["target"] = "player",
											["max_duration"] = 45,
											["aura_id"] = 212283,
										}, -- [1]
										{
											["debugName"] = "Nightblade",
											["name"] = "Nightblade",
											["icon_id"] = 1373907,
											["target"] = "target",
											["max_duration"] = 26,
											["aura_id"] = 195452,
										}, -- [2]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["target"] = "player",
											["max_duration"] = 26,
											["aura_id"] = 121471,
										}, -- [3]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaws Bite",
											["icon_id"] = 1120132,
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 220901,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth1",
											["name"] = "Stealth 1",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [5]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [7]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish1",
											["name"] = "Vanish 1",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [8]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [9]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [10]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDanceOld",
											["name"] = "Shadow Dance Old",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 51713,
										}, -- [11]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 185422,
										}, -- [12]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 185311,
										}, -- [13]
										{
											["is_stealthy"] = false,
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
											["target"] = "target",
											["max_duration"] = 5.2013,
											["hidden"] = false,
											["aura_id"] = 1833,
										}, -- [14]
									},
									["maxComboPoints"] = 0,
									["hasMinCooldownForCheapShot"] = false,
									["maxTimeToKill"] = 0,
									["maxDurationOfShadowDanceOld"] = 0,
									["hasMaxDurationOfShadowDance"] = false,
									["require_not_stealthed"] = false,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["minDurationOfVanish2"] = 0,
									["checkTimeToKill"] = false,
									["checkCooldownForVanish"] = false,
									["checkTimeToKillRaid"] = false,
									["hasMinCooldownForShadowBlades"] = false,
									["hasMinDurationOfNightblade"] = false,
									["hasMinCooldownForSymbolsOfDeath"] = false,
									["hasMinComboPoints"] = true,
									["minHealthPerc"] = 0,
									["checkCooldownForCheapShot"] = false,
									["require_boss_fight"] = false,
									["hasMinGroupSize"] = false,
									["hasMinTimeToKill"] = false,
									["maxCooldownForGoremawsBite"] = 0,
									["minGroupSize"] = 0,
									["require_not_boss_fight"] = false,
									["hasMaxDurationOfShadowDanceOld"] = false,
									["hasMinDurationOfCrimsonVial"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfCheapShot"] = false,
									["hasMinDurationOfStealth1"] = false,
									["hasMaxDurationOfVanish1"] = false,
									["checkHealthPerc"] = false,
									["checkDurationOfShadowDanceOld"] = false,
									["checkCooldownForShadowDance"] = false,
									["checkDurationOfNightblade"] = false,
									["require_not_pvp"] = false,
									["checkDurationOfGoremawsBite"] = false,
									["maxCooldownForVanish"] = 0,
									["primary"] = true,
									["checkDurationOfVanish1"] = false,
									["minTimeToKill"] = 0,
									["checkDurationOfStealth2"] = false,
									["checkGroupSize"] = false,
									["hasMaxGroupSize"] = false,
									["maxDurationOfCheapShot"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["maxEnergy"] = 0,
									["checkCooldownForSymbolsOfDeath"] = false,
									["minCooldownForSymbolsOfDeath"] = 0,
									["checkTimeToKillSolo"] = false,
									["hasMaxDurationOfCheapShot"] = false,
									["priority"] = 497,
									["hasMinCooldownForShadowDance"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["minDurationOfCrimsonVial"] = 0,
									["enabled"] = true,
									["hasMaxCooldownForGoremawsBite"] = false,
									["hasMinDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["checkDurationOfShadowDance"] = false,
									["hasMinDurationOfGoremawsBite"] = false,
									["minChargesForShadowDance"] = 0,
									["hasMaxCooldownForCrimsonVial"] = false,
									["maxDurationOfNightblade"] = 0,
									["hasMinDurationOfShadowBlades"] = false,
									["hasMinDurationOfVanish2"] = false,
									["checkChargesForShadowDance"] = false,
									["require_not_instance"] = false,
									["minCooldownForShadowBlades"] = 0,
									["hasMinTimeToKillRaid"] = false,
									["maxDurationOfSubterfuge"] = 0,
									["hasMaxTimeToKillRaid"] = false,
									["minTimeToKillRaid"] = 0,
									["checkDurationOfShadowBlades"] = false,
									["hasMaxCooldownForSymbolsOfDeath"] = false,
									["hasMinDurationOfShadowDance"] = false,
									["minDurationOfShadowDance"] = 0,
									["maxDurationOfShadowDance"] = 0,
									["maxDurationOfSymbolsOfDeath"] = 0,
									["maxDurationOfShadowBlades"] = 0,
									["spell"] = {
										["debugName"] = "Eviscerate",
										["name"] = "Eviscerate",
										["icon_id"] = 132292,
										["spell_id"] = 196819,
									},
									["hasMaxDurationOfCrimsonVial"] = false,
									["minDurationOfShadowDanceOld"] = 0,
									["maxCooldownForShadowDance"] = 0,
									["hasMinTimeToKillSolo"] = false,
									["maxDurationOfVanish1"] = 0,
									["hasMaxChargesForShadowDance"] = false,
									["minDurationOfVanish3"] = 0,
									["maxCooldownForCheapShot"] = 0,
									["minCooldownForCheapShot"] = 0,
									["hasMinChargesForShadowDance"] = false,
									["checkDurationOfCheapShot"] = false,
									["hasMaxDurationOfSymbolsOfDeath"] = false,
									["hasMinDurationOfShadowDanceOld"] = false,
									["hasMaxDurationOfStealth1"] = false,
								}, -- [1]
							},
							["auras"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["target"] = "player",
									["max_duration"] = 45,
									["aura_id"] = 212283,
								}, -- [1]
								{
									["debugName"] = "Nightblade",
									["name"] = "Nightblade",
									["icon_id"] = 1373907,
									["target"] = "target",
									["max_duration"] = 26,
									["aura_id"] = 195452,
								}, -- [2]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["target"] = "player",
									["max_duration"] = 26,
									["aura_id"] = 121471,
								}, -- [3]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaws Bite",
									["icon_id"] = 1120132,
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 220901,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth1",
									["name"] = "Stealth 1",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [5]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [7]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish1",
									["name"] = "Vanish 1",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [8]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [9]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [10]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDanceOld",
									["name"] = "Shadow Dance Old",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 51713,
								}, -- [11]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 185422,
								}, -- [12]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 185311,
								}, -- [13]
								{
									["is_stealthy"] = false,
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
									["target"] = "target",
									["max_duration"] = 5.2013,
									["hidden"] = false,
									["aura_id"] = 1833,
								}, -- [14]
							},
						}, -- [5]
						{
							["spell"] = {
								["debugName"] = "Backstab",
								["name"] = "Backstab",
								["icon_id"] = 132090,
								["spell_id"] = 53,
							},
							["name"] = "Backstab",
							["cooldowns"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["spell_id"] = 212283,
									["cooldown"] = 45,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 252272,
									["spell_id"] = 185313,
									["cooldown"] = 60,
									["charges"] = 3,
								}, -- [3]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["spell_id"] = 121471,
									["cooldown"] = 180,
								}, -- [4]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaw's Bite",
									["icon_id"] = 1120132,
									["spell_id"] = 209782,
									["cooldown"] = 60,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = 132092,
									["spell_id"] = 1833,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["require_instance"] = false,
									["minDurationOfNightblade"] = 0,
									["checkCooldownForShadowBlades"] = false,
									["hasMinHealthPerc"] = false,
									["maxGroupSize"] = 0,
									["hasMinEnergy"] = true,
									["hasMaxDurationOfShadowBlades"] = false,
									["require_pvp"] = false,
									["hasMinDurationOfStealth2"] = false,
									["maxChargesForShadowDance"] = 0,
									["minCooldownForVanish"] = 0,
									["maxCooldownForShadowBlades"] = 0,
									["hasMaxDurationOfGoremawsBite"] = false,
									["checkDurationOfVanish3"] = false,
									["minComboPoints"] = 0,
									["minEnergy"] = 35,
									["hasMinCooldownForVanish"] = false,
									["minDurationOfCheapShot"] = 0,
									["minDurationOfSymbolsOfDeath"] = 0,
									["minDurationOfStealth1"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["maxDurationOfStealth2"] = 0,
									["hasMaxCooldownForShadowDance"] = false,
									["hasMaxHealthPerc"] = false,
									["maxCooldownForSymbolsOfDeath"] = 0,
									["hasMaxComboPoints"] = false,
									["minDurationOfShadowBlades"] = 0,
									["checkDurationOfCrimsonVial"] = false,
									["hasMaxCooldownForCheapShot"] = false,
									["hasMaxTimeToKill"] = false,
									["hasMaxDurationOfNightblade"] = true,
									["minDurationOfGoremawsBite"] = 0,
									["maxDurationOfVanish2"] = 0,
									["checkDurationOfVanish2"] = false,
									["hasMaxEnergy"] = false,
									["hasMaxDurationOfVanish2"] = false,
									["cache_spells"] = {
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "SymbolsOfDeath",
												["name"] = "Symbols of Death",
												["icon_id"] = 252272,
												["spell_id"] = 212283,
												["cooldown"] = 45,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [1]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [2]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowDance",
												["name"] = "Shadow Dance",
												["icon_id"] = 252272,
												["spell_id"] = 185313,
												["cooldown"] = 60,
												["charges"] = 3,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [3]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowBlades",
												["name"] = "Shadow Blades",
												["icon_id"] = 376022,
												["spell_id"] = 121471,
												["cooldown"] = 180,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [4]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "GoremawsBite",
												["name"] = "Goremaw's Bite",
												["icon_id"] = 1120132,
												["spell_id"] = 209782,
												["cooldown"] = 60,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [5]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [6]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["hasMinEnergy"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeToKillSolo"] = 0,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkCooldownForVanish"] = false,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMinComboPoints"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfShadowDance"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkDurationOfVanish2"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkCooldownForShadowDance"] = false,
											["minChargesForShadowDance"] = 0,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["checkHealthPerc"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMinDurationOfStealth1"] = false,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["maxCooldownForVanish"] = 0,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["hasMinCooldownForVanish"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkChargesForShadowDance"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMinTimeToKillSolo"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["require_not_stealthed"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForShadowDance"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["spell"] = {
												["debugName"] = "CheapShot",
												["name"] = "Cheap Shot",
												["icon_id"] = 132092,
												["spell_id"] = 1833,
												["cooldown"] = 1,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["hasMinDurationOfVanish1"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkDurationOfShadowDanceOld"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfVanish3"] = false,
									["checkDurationOfSymbolsOfDeath"] = false,
									["minDurationOfStealth2"] = 0,
									["hasMinDurationOfSymbolsOfDeath"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["minDurationOfSubterfuge"] = 0,
									["minCooldownForShadowDance"] = 0,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["maxDurationOfStealth1"] = 0,
									["poolEnergyIfLow"] = true,
									["minCooldownForGoremawsBite"] = 0,
									["hasMaxCooldownForShadowBlades"] = false,
									["require_stealthed"] = false,
									["hasMinCooldownForGoremawsBite"] = false,
									["maxDurationOfCrimsonVial"] = 0,
									["minTimeToKillSolo"] = 0,
									["maxDurationOfGoremawsBite"] = 0,
									["checkComboPoints"] = false,
									["cooldowns"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["spell_id"] = 212283,
											["cooldown"] = 45,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 252272,
											["spell_id"] = 185313,
											["cooldown"] = 60,
											["charges"] = 3,
										}, -- [3]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["spell_id"] = 121471,
											["cooldown"] = 180,
										}, -- [4]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaw's Bite",
											["icon_id"] = 1120132,
											["spell_id"] = 209782,
											["cooldown"] = 60,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = 132092,
											["spell_id"] = 1833,
											["cooldown"] = 1,
										}, -- [7]
									},
									["checkDurationOfStealth1"] = false,
									["checkCooldownForGoremawsBite"] = false,
									["hasMaxTimeToKillSolo"] = false,
									["hasMinDurationOfVanish1"] = false,
									["checkEnergy"] = true,
									["minDurationOfVanish1"] = 0,
									["auras"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["target"] = "player",
											["max_duration"] = 45,
											["aura_id"] = 212283,
										}, -- [1]
										{
											["debugName"] = "Nightblade",
											["name"] = "Nightblade",
											["icon_id"] = 1373907,
											["target"] = "target",
											["max_duration"] = 26,
											["aura_id"] = 195452,
										}, -- [2]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["target"] = "player",
											["max_duration"] = 26,
											["aura_id"] = 121471,
										}, -- [3]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaws Bite",
											["icon_id"] = 1120132,
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 220901,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth1",
											["name"] = "Stealth 1",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [5]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [7]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish1",
											["name"] = "Vanish 1",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [8]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [9]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [10]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDanceOld",
											["name"] = "Shadow Dance Old",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 51713,
										}, -- [11]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 185422,
										}, -- [12]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 185311,
										}, -- [13]
										{
											["is_stealthy"] = false,
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
											["target"] = "target",
											["max_duration"] = 5.2013,
											["hidden"] = false,
											["aura_id"] = 1833,
										}, -- [14]
									},
									["maxComboPoints"] = 0,
									["hasMinCooldownForCheapShot"] = false,
									["maxTimeToKill"] = 0,
									["maxDurationOfShadowDanceOld"] = 0,
									["hasMaxDurationOfShadowDance"] = false,
									["require_not_stealthed"] = false,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["minDurationOfVanish2"] = 0,
									["checkTimeToKill"] = false,
									["checkCooldownForVanish"] = false,
									["checkTimeToKillRaid"] = false,
									["hasMinCooldownForShadowBlades"] = false,
									["hasMinDurationOfNightblade"] = false,
									["hasMinCooldownForSymbolsOfDeath"] = false,
									["hasMinComboPoints"] = false,
									["minHealthPerc"] = 0,
									["checkCooldownForCheapShot"] = false,
									["require_boss_fight"] = false,
									["hasMinGroupSize"] = false,
									["hasMinTimeToKill"] = false,
									["maxCooldownForGoremawsBite"] = 0,
									["minGroupSize"] = 0,
									["require_not_boss_fight"] = false,
									["hasMaxDurationOfShadowDanceOld"] = false,
									["hasMinDurationOfCrimsonVial"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfCheapShot"] = false,
									["hasMinDurationOfStealth1"] = false,
									["hasMaxDurationOfVanish1"] = false,
									["checkHealthPerc"] = false,
									["checkDurationOfShadowDanceOld"] = false,
									["checkCooldownForShadowDance"] = false,
									["checkDurationOfNightblade"] = true,
									["require_not_pvp"] = false,
									["checkDurationOfGoremawsBite"] = false,
									["maxCooldownForVanish"] = 0,
									["primary"] = true,
									["checkDurationOfVanish1"] = false,
									["minTimeToKill"] = 0,
									["checkDurationOfStealth2"] = false,
									["checkGroupSize"] = false,
									["hasMaxGroupSize"] = false,
									["maxDurationOfCheapShot"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["maxEnergy"] = 0,
									["checkCooldownForSymbolsOfDeath"] = false,
									["minCooldownForSymbolsOfDeath"] = 0,
									["checkTimeToKillSolo"] = false,
									["hasMaxDurationOfCheapShot"] = false,
									["priority"] = 494,
									["hasMinCooldownForShadowDance"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["minDurationOfCrimsonVial"] = 0,
									["enabled"] = true,
									["hasMaxCooldownForGoremawsBite"] = false,
									["hasMinDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["checkDurationOfShadowDance"] = false,
									["hasMinDurationOfGoremawsBite"] = false,
									["minChargesForShadowDance"] = 0,
									["hasMaxCooldownForCrimsonVial"] = false,
									["maxDurationOfNightblade"] = 6,
									["hasMinDurationOfShadowBlades"] = false,
									["hasMinDurationOfVanish2"] = false,
									["checkChargesForShadowDance"] = false,
									["require_not_instance"] = false,
									["minCooldownForShadowBlades"] = 0,
									["hasMinTimeToKillRaid"] = false,
									["maxDurationOfSubterfuge"] = 0,
									["hasMaxTimeToKillRaid"] = false,
									["minTimeToKillRaid"] = 0,
									["checkDurationOfShadowBlades"] = false,
									["hasMaxCooldownForSymbolsOfDeath"] = false,
									["hasMinDurationOfShadowDance"] = false,
									["minDurationOfShadowDance"] = 0,
									["maxDurationOfShadowDance"] = 0,
									["maxDurationOfSymbolsOfDeath"] = 0,
									["maxDurationOfShadowBlades"] = 0,
									["spell"] = {
										["debugName"] = "Backstab",
										["name"] = "Backstab",
										["icon_id"] = 132090,
										["spell_id"] = 53,
									},
									["hasMaxDurationOfCrimsonVial"] = false,
									["minDurationOfShadowDanceOld"] = 0,
									["maxCooldownForShadowDance"] = 0,
									["hasMinTimeToKillSolo"] = false,
									["maxDurationOfVanish1"] = 0,
									["hasMaxChargesForShadowDance"] = false,
									["minDurationOfVanish3"] = 0,
									["maxCooldownForCheapShot"] = 0,
									["minCooldownForCheapShot"] = 0,
									["hasMinChargesForShadowDance"] = false,
									["checkDurationOfCheapShot"] = false,
									["hasMaxDurationOfSymbolsOfDeath"] = false,
									["hasMinDurationOfShadowDanceOld"] = false,
									["hasMaxDurationOfStealth1"] = false,
								}, -- [1]
								{
									["checkDurationOfVanish1"] = false,
									["hasMinTimeToKillRaid"] = false,
									["checkCooldownForShadowBlades"] = false,
									["hasMinHealthPerc"] = false,
									["hasMaxDurationOfVanish1"] = false,
									["checkDurationOfShadowDance"] = false,
									["maxDurationOfShadowBlades"] = 0,
									["require_pvp"] = false,
									["hasMinDurationOfStealth2"] = false,
									["maxChargesForShadowDance"] = 0,
									["minCooldownForVanish"] = 0,
									["maxCooldownForShadowBlades"] = 0,
									["hasMaxDurationOfGoremawsBite"] = false,
									["checkDurationOfVanish3"] = false,
									["minComboPoints"] = 0,
									["minEnergy"] = 90,
									["hasMinCooldownForVanish"] = false,
									["minDurationOfCheapShot"] = 0,
									["minDurationOfSymbolsOfDeath"] = 0,
									["maxEnergy"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["maxDurationOfStealth2"] = 0,
									["hasMaxCooldownForShadowDance"] = false,
									["primary"] = true,
									["maxCooldownForSymbolsOfDeath"] = 0,
									["hasMaxComboPoints"] = true,
									["minDurationOfShadowBlades"] = 0,
									["checkDurationOfCrimsonVial"] = false,
									["hasMaxCooldownForCheapShot"] = false,
									["hasMaxDurationOfNightblade"] = false,
									["maxDurationOfVanish1"] = 0,
									["maxDurationOfVanish2"] = 0,
									["checkDurationOfVanish2"] = false,
									["hasMaxEnergy"] = false,
									["hasMaxDurationOfVanish2"] = false,
									["cache_spells"] = {
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "SymbolsOfDeath",
												["name"] = "Symbols of Death",
												["icon_id"] = 252272,
												["spell_id"] = 212283,
												["cooldown"] = 45,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [1]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [2]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowDance",
												["name"] = "Shadow Dance",
												["icon_id"] = 252272,
												["spell_id"] = 185313,
												["cooldown"] = 60,
												["charges"] = 3,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [3]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowBlades",
												["name"] = "Shadow Blades",
												["icon_id"] = 376022,
												["spell_id"] = 121471,
												["cooldown"] = 180,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [4]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "GoremawsBite",
												["name"] = "Goremaw's Bite",
												["icon_id"] = 1120132,
												["spell_id"] = 209782,
												["cooldown"] = 60,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [5]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [6]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["hasMinEnergy"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeToKillSolo"] = 0,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkCooldownForVanish"] = false,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMinComboPoints"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfShadowDance"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkDurationOfVanish2"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkCooldownForShadowDance"] = false,
											["minChargesForShadowDance"] = 0,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["checkHealthPerc"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMinDurationOfStealth1"] = false,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["maxCooldownForVanish"] = 0,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["hasMinCooldownForVanish"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkChargesForShadowDance"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMinTimeToKillSolo"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["require_not_stealthed"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForShadowDance"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["spell"] = {
												["debugName"] = "CheapShot",
												["name"] = "Cheap Shot",
												["icon_id"] = 132092,
												["spell_id"] = 1833,
												["cooldown"] = 1,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["hasMinDurationOfVanish1"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkDurationOfShadowDanceOld"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfCheapShot"] = false,
									["checkDurationOfSymbolsOfDeath"] = false,
									["minDurationOfStealth2"] = 0,
									["hasMinDurationOfSymbolsOfDeath"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["minDurationOfSubterfuge"] = 0,
									["minCooldownForShadowDance"] = 0,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["maxDurationOfStealth1"] = 0,
									["poolEnergyIfLow"] = true,
									["maxCooldownForShadowDance"] = 0,
									["hasMaxCooldownForShadowBlades"] = false,
									["require_stealthed"] = false,
									["hasMinCooldownForGoremawsBite"] = false,
									["maxDurationOfCrimsonVial"] = 0,
									["minTimeToKillSolo"] = 0,
									["maxDurationOfGoremawsBite"] = 0,
									["checkComboPoints"] = true,
									["cooldowns"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["spell_id"] = 212283,
											["cooldown"] = 45,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 252272,
											["spell_id"] = 185313,
											["cooldown"] = 60,
											["charges"] = 3,
										}, -- [3]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["spell_id"] = 121471,
											["cooldown"] = 180,
										}, -- [4]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaw's Bite",
											["icon_id"] = 1120132,
											["spell_id"] = 209782,
											["cooldown"] = 60,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = 132092,
											["spell_id"] = 1833,
											["cooldown"] = 1,
										}, -- [7]
									},
									["checkDurationOfStealth1"] = false,
									["checkCooldownForGoremawsBite"] = false,
									["hasMaxCooldownForSymbolsOfDeath"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["checkEnergy"] = true,
									["minDurationOfVanish1"] = 0,
									["auras"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["target"] = "player",
											["max_duration"] = 45,
											["aura_id"] = 212283,
										}, -- [1]
										{
											["debugName"] = "Nightblade",
											["name"] = "Nightblade",
											["icon_id"] = 1373907,
											["target"] = "target",
											["max_duration"] = 26,
											["aura_id"] = 195452,
										}, -- [2]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["target"] = "player",
											["max_duration"] = 26,
											["aura_id"] = 121471,
										}, -- [3]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaws Bite",
											["icon_id"] = 1120132,
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 220901,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth1",
											["name"] = "Stealth 1",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [5]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [7]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish1",
											["name"] = "Vanish 1",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [8]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [9]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [10]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDanceOld",
											["name"] = "Shadow Dance Old",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 51713,
										}, -- [11]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 185422,
										}, -- [12]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 185311,
										}, -- [13]
										{
											["is_stealthy"] = false,
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
											["target"] = "target",
											["max_duration"] = 5.2013,
											["hidden"] = false,
											["aura_id"] = 1833,
										}, -- [14]
									},
									["maxComboPoints"] = 5,
									["hasMinCooldownForCheapShot"] = false,
									["maxDurationOfShadowDanceOld"] = 0,
									["hasMaxDurationOfShadowDance"] = false,
									["require_not_stealthed"] = false,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["minDurationOfVanish2"] = 0,
									["checkCooldownForVanish"] = false,
									["checkTimeToKillRaid"] = false,
									["hasMinCooldownForShadowBlades"] = false,
									["hasMinDurationOfNightblade"] = false,
									["hasMinCooldownForSymbolsOfDeath"] = false,
									["hasMinComboPoints"] = false,
									["minHealthPerc"] = 0,
									["checkCooldownForCheapShot"] = false,
									["require_boss_fight"] = false,
									["hasMinGroupSize"] = false,
									["maxCooldownForGoremawsBite"] = 0,
									["minGroupSize"] = 0,
									["require_not_boss_fight"] = false,
									["hasMinDurationOfCrimsonVial"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfCheapShot"] = false,
									["checkDurationOfStealth2"] = false,
									["require_instance"] = false,
									["maxDurationOfSymbolsOfDeath"] = 0,
									["checkHealthPerc"] = false,
									["minDurationOfCrimsonVial"] = 0,
									["checkDurationOfNightblade"] = false,
									["minCooldownForSymbolsOfDeath"] = 0,
									["checkDurationOfGoremawsBite"] = false,
									["maxDurationOfShadowDance"] = 0,
									["require_not_pvp"] = false,
									["hasMaxDurationOfSymbolsOfDeath"] = false,
									["hasMaxDurationOfVanish3"] = false,
									["minDurationOfGoremawsBite"] = 0,
									["minDurationOfStealth1"] = 0,
									["checkGroupSize"] = false,
									["maxDurationOfSubterfuge"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["hasMaxGroupSize"] = false,
									["checkCooldownForSymbolsOfDeath"] = false,
									["maxCooldownForVanish"] = 0,
									["checkTimeToKillSolo"] = false,
									["checkDurationOfShadowDanceOld"] = false,
									["minChargesForShadowDance"] = 0,
									["hasMinCooldownForShadowDance"] = false,
									["priority"] = 487,
									["maxGroupSize"] = 0,
									["hasMinDurationOfShadowDanceOld"] = false,
									["hasMaxCooldownForGoremawsBite"] = false,
									["hasMinDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["checkChargesForShadowDance"] = false,
									["hasMinDurationOfGoremawsBite"] = false,
									["maxCooldownForCheapShot"] = 0,
									["hasMaxCooldownForCrimsonVial"] = false,
									["checkDurationOfShadowBlades"] = false,
									["hasMinDurationOfShadowBlades"] = false,
									["hasMinDurationOfVanish2"] = false,
									["maxDurationOfCheapShot"] = 0,
									["require_not_instance"] = false,
									["minCooldownForShadowBlades"] = 0,
									["enabled"] = true,
									["hasMaxHealthPerc"] = false,
									["hasMaxTimeToKillSolo"] = false,
									["hasMinDurationOfVanish1"] = false,
									["hasMinEnergy"] = true,
									["hasMaxTimeToKillRaid"] = false,
									["hasMinDurationOfShadowDance"] = false,
									["minDurationOfShadowDance"] = 0,
									["hasMaxDurationOfShadowBlades"] = false,
									["minTimeToKillRaid"] = 0,
									["maxDurationOfNightblade"] = 0,
									["spell"] = {
										["debugName"] = "Backstab",
										["name"] = "Backstab",
										["icon_id"] = 132090,
										["spell_id"] = 53,
									},
									["hasMaxDurationOfCrimsonVial"] = false,
									["minDurationOfShadowDanceOld"] = 0,
									["minDurationOfVanish3"] = 0,
									["minDurationOfNightblade"] = 0,
									["hasMaxDurationOfShadowDanceOld"] = false,
									["hasMaxChargesForShadowDance"] = false,
									["minCooldownForGoremawsBite"] = 0,
									["hasMinTimeToKillSolo"] = false,
									["minCooldownForCheapShot"] = 0,
									["checkDurationOfCheapShot"] = false,
									["checkCooldownForShadowDance"] = false,
									["hasMinDurationOfStealth1"] = false,
									["hasMinChargesForShadowDance"] = false,
									["hasMaxDurationOfStealth1"] = false,
								}, -- [2]
							},
							["auras"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["target"] = "player",
									["max_duration"] = 45,
									["aura_id"] = 212283,
								}, -- [1]
								{
									["debugName"] = "Nightblade",
									["name"] = "Nightblade",
									["icon_id"] = 1373907,
									["target"] = "target",
									["max_duration"] = 26,
									["aura_id"] = 195452,
								}, -- [2]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["target"] = "player",
									["max_duration"] = 26,
									["aura_id"] = 121471,
								}, -- [3]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaws Bite",
									["icon_id"] = 1120132,
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 220901,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth1",
									["name"] = "Stealth 1",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [5]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [7]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish1",
									["name"] = "Vanish 1",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [8]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [9]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [10]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDanceOld",
									["name"] = "Shadow Dance Old",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 51713,
								}, -- [11]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 185422,
								}, -- [12]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 185311,
								}, -- [13]
								{
									["is_stealthy"] = false,
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
									["target"] = "target",
									["max_duration"] = 5.2013,
									["hidden"] = false,
									["aura_id"] = 1833,
								}, -- [14]
							},
						}, -- [6]
						{
							["spell"] = {
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
							},
							["name"] = "Vanish",
							["cooldowns"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["spell_id"] = 212283,
									["cooldown"] = 45,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 252272,
									["spell_id"] = 185313,
									["cooldown"] = 60,
									["charges"] = 3,
								}, -- [3]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["spell_id"] = 121471,
									["cooldown"] = 180,
								}, -- [4]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaw's Bite",
									["icon_id"] = 1120132,
									["spell_id"] = 209782,
									["cooldown"] = 60,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = 132092,
									["spell_id"] = 1833,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["require_instance"] = false,
									["minDurationOfNightblade"] = 0,
									["checkCooldownForShadowBlades"] = false,
									["hasMinHealthPerc"] = false,
									["maxGroupSize"] = 0,
									["hasMinEnergy"] = true,
									["hasMaxDurationOfShadowBlades"] = false,
									["require_pvp"] = false,
									["hasMinDurationOfStealth2"] = false,
									["maxChargesForShadowDance"] = 0,
									["minCooldownForVanish"] = 0,
									["maxCooldownForShadowBlades"] = 0,
									["hasMaxDurationOfGoremawsBite"] = false,
									["checkDurationOfVanish3"] = false,
									["minComboPoints"] = 0,
									["minEnergy"] = 90,
									["hasMinCooldownForVanish"] = false,
									["minDurationOfCheapShot"] = 0,
									["minDurationOfSymbolsOfDeath"] = 0,
									["minDurationOfStealth1"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["maxDurationOfStealth2"] = 0,
									["hasMaxCooldownForShadowDance"] = false,
									["hasMaxHealthPerc"] = false,
									["maxCooldownForSymbolsOfDeath"] = 0,
									["hasMaxComboPoints"] = false,
									["minDurationOfShadowBlades"] = 0,
									["checkDurationOfCrimsonVial"] = false,
									["hasMaxCooldownForCheapShot"] = false,
									["hasMaxTimeToKill"] = false,
									["hasMaxDurationOfNightblade"] = false,
									["minDurationOfGoremawsBite"] = 0,
									["maxDurationOfVanish2"] = 0,
									["checkDurationOfVanish2"] = false,
									["hasMaxEnergy"] = true,
									["hasMaxDurationOfVanish2"] = false,
									["cache_spells"] = {
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "SymbolsOfDeath",
												["name"] = "Symbols of Death",
												["icon_id"] = 252272,
												["spell_id"] = 212283,
												["cooldown"] = 45,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [1]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [2]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowDance",
												["name"] = "Shadow Dance",
												["icon_id"] = 252272,
												["spell_id"] = 185313,
												["cooldown"] = 60,
												["charges"] = 3,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [3]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowBlades",
												["name"] = "Shadow Blades",
												["icon_id"] = 376022,
												["spell_id"] = 121471,
												["cooldown"] = 180,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [4]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "GoremawsBite",
												["name"] = "Goremaw's Bite",
												["icon_id"] = 1120132,
												["spell_id"] = 209782,
												["cooldown"] = 60,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [5]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [6]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["hasMinEnergy"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeToKillSolo"] = 0,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkCooldownForVanish"] = false,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMinComboPoints"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfShadowDance"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkDurationOfVanish2"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkCooldownForShadowDance"] = false,
											["minChargesForShadowDance"] = 0,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["checkHealthPerc"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMinDurationOfStealth1"] = false,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["maxCooldownForVanish"] = 0,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["hasMinCooldownForVanish"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkChargesForShadowDance"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMinTimeToKillSolo"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["require_not_stealthed"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForShadowDance"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["spell"] = {
												["debugName"] = "CheapShot",
												["name"] = "Cheap Shot",
												["icon_id"] = 132092,
												["spell_id"] = 1833,
												["cooldown"] = 1,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["hasMinDurationOfVanish1"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkDurationOfShadowDanceOld"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfVanish3"] = false,
									["checkDurationOfSymbolsOfDeath"] = false,
									["minDurationOfStealth2"] = 0,
									["hasMinDurationOfSymbolsOfDeath"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["minDurationOfSubterfuge"] = 0,
									["minCooldownForShadowDance"] = 0,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["maxDurationOfStealth1"] = 0,
									["poolEnergyIfLow"] = true,
									["minCooldownForGoremawsBite"] = 0,
									["hasMaxCooldownForShadowBlades"] = false,
									["require_stealthed"] = false,
									["hasMinCooldownForGoremawsBite"] = false,
									["maxDurationOfCrimsonVial"] = 0,
									["minTimeToKillSolo"] = 0,
									["maxDurationOfGoremawsBite"] = 0,
									["checkComboPoints"] = false,
									["cooldowns"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["spell_id"] = 212283,
											["cooldown"] = 45,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 252272,
											["spell_id"] = 185313,
											["cooldown"] = 60,
											["charges"] = 3,
										}, -- [3]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["spell_id"] = 121471,
											["cooldown"] = 180,
										}, -- [4]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaw's Bite",
											["icon_id"] = 1120132,
											["spell_id"] = 209782,
											["cooldown"] = 60,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = 132092,
											["spell_id"] = 1833,
											["cooldown"] = 1,
										}, -- [7]
									},
									["checkDurationOfStealth1"] = false,
									["checkCooldownForGoremawsBite"] = false,
									["hasMaxTimeToKillSolo"] = false,
									["hasMinDurationOfVanish1"] = false,
									["checkEnergy"] = true,
									["minDurationOfVanish1"] = 0,
									["auras"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["target"] = "player",
											["max_duration"] = 45,
											["aura_id"] = 212283,
										}, -- [1]
										{
											["debugName"] = "Nightblade",
											["name"] = "Nightblade",
											["icon_id"] = 1373907,
											["target"] = "target",
											["max_duration"] = 26,
											["aura_id"] = 195452,
										}, -- [2]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["target"] = "player",
											["max_duration"] = 26,
											["aura_id"] = 121471,
										}, -- [3]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaws Bite",
											["icon_id"] = 1120132,
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 220901,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth1",
											["name"] = "Stealth 1",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [5]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [7]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish1",
											["name"] = "Vanish 1",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [8]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [9]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [10]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDanceOld",
											["name"] = "Shadow Dance Old",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 51713,
										}, -- [11]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 185422,
										}, -- [12]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 185311,
										}, -- [13]
										{
											["is_stealthy"] = false,
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
											["target"] = "target",
											["max_duration"] = 5.2013,
											["hidden"] = false,
											["aura_id"] = 1833,
										}, -- [14]
									},
									["maxComboPoints"] = 0,
									["hasMinCooldownForCheapShot"] = false,
									["maxTimeToKill"] = 0,
									["maxDurationOfShadowDanceOld"] = 0,
									["hasMaxDurationOfShadowDance"] = false,
									["require_not_stealthed"] = true,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = true,
									["checkDurationOfSubterfuge"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["minDurationOfVanish2"] = 0,
									["checkTimeToKill"] = false,
									["checkCooldownForVanish"] = true,
									["checkTimeToKillRaid"] = false,
									["hasMinCooldownForShadowBlades"] = false,
									["hasMinDurationOfNightblade"] = false,
									["hasMinCooldownForSymbolsOfDeath"] = false,
									["hasMinComboPoints"] = false,
									["minHealthPerc"] = 0,
									["checkCooldownForCheapShot"] = false,
									["require_boss_fight"] = false,
									["hasMinGroupSize"] = false,
									["hasMinTimeToKill"] = false,
									["maxCooldownForGoremawsBite"] = 0,
									["minGroupSize"] = 0,
									["require_not_boss_fight"] = false,
									["hasMaxDurationOfShadowDanceOld"] = false,
									["hasMinDurationOfCrimsonVial"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfCheapShot"] = false,
									["hasMinDurationOfStealth1"] = false,
									["hasMaxDurationOfVanish1"] = false,
									["checkHealthPerc"] = false,
									["checkDurationOfShadowDanceOld"] = false,
									["checkCooldownForShadowDance"] = false,
									["checkDurationOfNightblade"] = false,
									["require_not_pvp"] = true,
									["checkDurationOfGoremawsBite"] = false,
									["maxCooldownForVanish"] = 0,
									["primary"] = false,
									["checkDurationOfVanish1"] = false,
									["minTimeToKill"] = 0,
									["checkDurationOfStealth2"] = false,
									["checkGroupSize"] = false,
									["hasMaxGroupSize"] = false,
									["maxDurationOfCheapShot"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["maxEnergy"] = 120,
									["checkCooldownForSymbolsOfDeath"] = false,
									["minCooldownForSymbolsOfDeath"] = 0,
									["checkTimeToKillSolo"] = false,
									["hasMaxDurationOfCheapShot"] = false,
									["priority"] = 492,
									["hasMinCooldownForShadowDance"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["minDurationOfCrimsonVial"] = 0,
									["enabled"] = true,
									["hasMaxCooldownForGoremawsBite"] = false,
									["hasMinDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["checkDurationOfShadowDance"] = false,
									["hasMinDurationOfGoremawsBite"] = false,
									["minChargesForShadowDance"] = 0,
									["hasMaxCooldownForCrimsonVial"] = false,
									["maxDurationOfNightblade"] = 0,
									["hasMinDurationOfShadowBlades"] = false,
									["hasMinDurationOfVanish2"] = false,
									["checkChargesForShadowDance"] = false,
									["require_not_instance"] = false,
									["minCooldownForShadowBlades"] = 0,
									["hasMinTimeToKillRaid"] = false,
									["maxDurationOfSubterfuge"] = 0,
									["hasMaxTimeToKillRaid"] = false,
									["minTimeToKillRaid"] = 0,
									["checkDurationOfShadowBlades"] = false,
									["hasMaxCooldownForSymbolsOfDeath"] = false,
									["hasMinDurationOfShadowDance"] = false,
									["minDurationOfShadowDance"] = 0,
									["maxDurationOfShadowDance"] = 0,
									["maxDurationOfSymbolsOfDeath"] = 0,
									["maxDurationOfShadowBlades"] = 0,
									["spell"] = {
										["debugName"] = "Vanish",
										["name"] = "Vanish",
										["icon_id"] = 132331,
										["spell_id"] = 1856,
									},
									["hasMaxDurationOfCrimsonVial"] = false,
									["minDurationOfShadowDanceOld"] = 0,
									["maxCooldownForShadowDance"] = 0,
									["hasMinTimeToKillSolo"] = false,
									["maxDurationOfVanish1"] = 0,
									["hasMaxChargesForShadowDance"] = false,
									["minDurationOfVanish3"] = 0,
									["maxCooldownForCheapShot"] = 0,
									["minCooldownForCheapShot"] = 0,
									["hasMinChargesForShadowDance"] = false,
									["checkDurationOfCheapShot"] = false,
									["hasMaxDurationOfSymbolsOfDeath"] = false,
									["hasMinDurationOfShadowDanceOld"] = false,
									["hasMaxDurationOfStealth1"] = false,
								}, -- [1]
								{
									["require_instance"] = false,
									["hasMinTimeToKillRaid"] = false,
									["checkCooldownForShadowBlades"] = false,
									["hasMinHealthPerc"] = false,
									["hasMaxDurationOfVanish1"] = false,
									["checkDurationOfShadowDance"] = false,
									["hasMaxDurationOfShadowBlades"] = false,
									["maxDurationOfSymbolsOfDeath"] = 10,
									["hasMinDurationOfStealth2"] = false,
									["maxChargesForShadowDance"] = 0,
									["minCooldownForVanish"] = 0,
									["maxCooldownForShadowBlades"] = 0,
									["hasMaxDurationOfGoremawsBite"] = false,
									["checkChargesForShadowDance"] = false,
									["minComboPoints"] = 0,
									["minEnergy"] = 0,
									["hasMinCooldownForVanish"] = false,
									["minDurationOfCheapShot"] = 0,
									["minDurationOfSymbolsOfDeath"] = 0,
									["minDurationOfStealth1"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["maxDurationOfStealth2"] = 0,
									["hasMaxCooldownForShadowDance"] = false,
									["primary"] = true,
									["maxCooldownForSymbolsOfDeath"] = 0,
									["hasMaxComboPoints"] = false,
									["minDurationOfShadowBlades"] = 0,
									["checkDurationOfCrimsonVial"] = false,
									["hasMaxCooldownForCheapShot"] = false,
									["hasMaxDurationOfNightblade"] = false,
									["maxDurationOfVanish1"] = 0,
									["maxDurationOfVanish2"] = 0,
									["checkDurationOfVanish2"] = false,
									["hasMaxEnergy"] = true,
									["hasMaxDurationOfVanish2"] = false,
									["cache_spells"] = {
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["minCooldownForVanish"] = 0,
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["hasMinChargesForShadowDance"] = false,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["checkCooldownForShadowDance"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkCooldownForVanish"] = false,
											["maxDurationOfShadowDance"] = 0,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["checkDurationOfCheapShot"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfVanish3"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfVanish2"] = false,
											["minTimeSinceCastForCheapShot"] = 0,
											["hasMinDurationOfVanish1"] = false,
											["maxCooldownForGoremawsBite"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfVanish1"] = 0,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["maxTimeToKillSolo"] = 0,
											["minDurationOfStealth1"] = 0,
											["hasMinEnergy"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMinDurationOfVanish2"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["hasMinDurationOfGoremawsBite"] = false,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["enabled"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["minDurationOfShadowDance"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfStealth1"] = false,
											["checkHealthPerc"] = false,
											["spell"] = {
												["debugName"] = "SymbolsOfDeath",
												["name"] = "Symbols of Death",
												["icon_id"] = 252272,
												["spell_id"] = 212283,
												["cooldown"] = 45,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minTimeSinceCastForVanish"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [1]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["minCooldownForVanish"] = 0,
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["hasMinChargesForShadowDance"] = false,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["checkCooldownForShadowDance"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkCooldownForVanish"] = false,
											["maxDurationOfShadowDance"] = 0,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["checkDurationOfCheapShot"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfVanish3"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfVanish2"] = false,
											["minTimeSinceCastForCheapShot"] = 0,
											["hasMinDurationOfVanish1"] = false,
											["maxCooldownForGoremawsBite"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfVanish1"] = 0,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["maxTimeToKillSolo"] = 0,
											["minDurationOfStealth1"] = 0,
											["hasMinEnergy"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMinDurationOfVanish2"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["hasMinDurationOfGoremawsBite"] = false,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["enabled"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["minDurationOfShadowDance"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfStealth1"] = false,
											["checkHealthPerc"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minTimeSinceCastForVanish"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [2]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["minCooldownForVanish"] = 0,
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["hasMinChargesForShadowDance"] = false,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["checkCooldownForShadowDance"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkCooldownForVanish"] = false,
											["maxDurationOfShadowDance"] = 0,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["checkDurationOfCheapShot"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfVanish3"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfVanish2"] = false,
											["minTimeSinceCastForCheapShot"] = 0,
											["hasMinDurationOfVanish1"] = false,
											["maxCooldownForGoremawsBite"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfVanish1"] = 0,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["maxTimeToKillSolo"] = 0,
											["minDurationOfStealth1"] = 0,
											["hasMinEnergy"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMinDurationOfVanish2"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["hasMinDurationOfGoremawsBite"] = false,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["enabled"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["minDurationOfShadowDance"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfStealth1"] = false,
											["checkHealthPerc"] = false,
											["spell"] = {
												["debugName"] = "ShadowDance",
												["name"] = "Shadow Dance",
												["icon_id"] = 252272,
												["spell_id"] = 185313,
												["cooldown"] = 60,
												["charges"] = 3,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minTimeSinceCastForVanish"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [3]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["minCooldownForVanish"] = 0,
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["hasMinChargesForShadowDance"] = false,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["checkCooldownForShadowDance"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkCooldownForVanish"] = false,
											["maxDurationOfShadowDance"] = 0,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["checkDurationOfCheapShot"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfVanish3"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfVanish2"] = false,
											["minTimeSinceCastForCheapShot"] = 0,
											["hasMinDurationOfVanish1"] = false,
											["maxCooldownForGoremawsBite"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfVanish1"] = 0,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["maxTimeToKillSolo"] = 0,
											["minDurationOfStealth1"] = 0,
											["hasMinEnergy"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMinDurationOfVanish2"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["hasMinDurationOfGoremawsBite"] = false,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["enabled"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["minDurationOfShadowDance"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfStealth1"] = false,
											["checkHealthPerc"] = false,
											["spell"] = {
												["debugName"] = "ShadowBlades",
												["name"] = "Shadow Blades",
												["icon_id"] = 376022,
												["spell_id"] = 121471,
												["cooldown"] = 180,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minTimeSinceCastForVanish"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [4]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["minCooldownForVanish"] = 0,
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["hasMinChargesForShadowDance"] = false,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["checkCooldownForShadowDance"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkCooldownForVanish"] = false,
											["maxDurationOfShadowDance"] = 0,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["checkDurationOfCheapShot"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfVanish3"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfVanish2"] = false,
											["minTimeSinceCastForCheapShot"] = 0,
											["hasMinDurationOfVanish1"] = false,
											["maxCooldownForGoremawsBite"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfVanish1"] = 0,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["maxTimeToKillSolo"] = 0,
											["minDurationOfStealth1"] = 0,
											["hasMinEnergy"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMinDurationOfVanish2"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["hasMinDurationOfGoremawsBite"] = false,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["enabled"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["minDurationOfShadowDance"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfStealth1"] = false,
											["checkHealthPerc"] = false,
											["spell"] = {
												["debugName"] = "GoremawsBite",
												["name"] = "Goremaw's Bite",
												["icon_id"] = 1120132,
												["spell_id"] = 209782,
												["cooldown"] = 60,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minTimeSinceCastForVanish"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [5]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["minCooldownForVanish"] = 0,
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["hasMinChargesForShadowDance"] = false,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["checkCooldownForShadowDance"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkCooldownForVanish"] = false,
											["maxDurationOfShadowDance"] = 0,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["checkDurationOfCheapShot"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfVanish3"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfVanish2"] = false,
											["minTimeSinceCastForCheapShot"] = 0,
											["hasMinDurationOfVanish1"] = false,
											["maxCooldownForGoremawsBite"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfVanish1"] = 0,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["maxTimeToKillSolo"] = 0,
											["minDurationOfStealth1"] = 0,
											["hasMinEnergy"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMinDurationOfVanish2"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["hasMinDurationOfGoremawsBite"] = false,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["enabled"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["minDurationOfShadowDance"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfStealth1"] = false,
											["checkHealthPerc"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minTimeSinceCastForVanish"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [6]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["minCooldownForVanish"] = 0,
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["hasMinChargesForShadowDance"] = false,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["checkCooldownForShadowDance"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkCooldownForVanish"] = false,
											["maxDurationOfShadowDance"] = 0,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["checkDurationOfCheapShot"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfVanish3"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfVanish2"] = false,
											["minTimeSinceCastForCheapShot"] = 0,
											["hasMinDurationOfVanish1"] = false,
											["maxCooldownForGoremawsBite"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfVanish1"] = 0,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["maxTimeToKillSolo"] = 0,
											["minDurationOfStealth1"] = 0,
											["hasMinEnergy"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMinDurationOfVanish2"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["hasMinDurationOfGoremawsBite"] = false,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["enabled"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["minDurationOfShadowDance"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfStealth1"] = false,
											["checkHealthPerc"] = false,
											["spell"] = {
												["debugName"] = "CheapShot",
												["name"] = "Cheap Shot",
												["icon_id"] = 132092,
												["spell_id"] = 1833,
												["cooldown"] = 1,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minTimeSinceCastForVanish"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfCheapShot"] = false,
									["checkDurationOfSymbolsOfDeath"] = true,
									["minDurationOfStealth2"] = 0,
									["hasMinDurationOfSymbolsOfDeath"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["minDurationOfSubterfuge"] = 0,
									["minCooldownForShadowDance"] = 0,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["checkDurationOfShadowDanceOld"] = false,
									["poolEnergyIfLow"] = false,
									["maxCooldownForShadowDance"] = 0,
									["hasMaxCooldownForShadowBlades"] = false,
									["require_stealthed"] = false,
									["hasMinCooldownForGoremawsBite"] = false,
									["maxDurationOfCrimsonVial"] = 0,
									["minTimeToKillSolo"] = 0,
									["maxDurationOfGoremawsBite"] = 0,
									["checkComboPoints"] = false,
									["cooldowns"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["spell_id"] = 212283,
											["cooldown"] = 45,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 252272,
											["spell_id"] = 185313,
											["cooldown"] = 60,
											["charges"] = 3,
										}, -- [3]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["spell_id"] = 121471,
											["cooldown"] = 180,
										}, -- [4]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaw's Bite",
											["icon_id"] = 1120132,
											["spell_id"] = 209782,
											["cooldown"] = 60,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = 132092,
											["spell_id"] = 1833,
											["cooldown"] = 1,
										}, -- [7]
									},
									["checkDurationOfStealth1"] = false,
									["checkCooldownForGoremawsBite"] = false,
									["hasMaxTimeToKillSolo"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["checkEnergy"] = true,
									["minDurationOfVanish1"] = 0,
									["auras"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["target"] = "player",
											["max_duration"] = 45,
											["aura_id"] = 212283,
										}, -- [1]
										{
											["debugName"] = "Nightblade",
											["name"] = "Nightblade",
											["icon_id"] = 1373907,
											["target"] = "target",
											["max_duration"] = 26,
											["aura_id"] = 195452,
										}, -- [2]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["target"] = "player",
											["max_duration"] = 26,
											["aura_id"] = 121471,
										}, -- [3]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaws Bite",
											["icon_id"] = 1120132,
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 220901,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth1",
											["name"] = "Stealth 1",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [5]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [7]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish1",
											["name"] = "Vanish 1",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [8]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [9]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [10]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDanceOld",
											["name"] = "Shadow Dance Old",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 51713,
										}, -- [11]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 185422,
										}, -- [12]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 185311,
										}, -- [13]
										{
											["is_stealthy"] = false,
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
											["target"] = "target",
											["max_duration"] = 5.2013,
											["hidden"] = false,
											["aura_id"] = 1833,
										}, -- [14]
									},
									["maxComboPoints"] = 0,
									["hasMinCooldownForCheapShot"] = false,
									["maxDurationOfShadowDanceOld"] = 0,
									["hasMaxDurationOfShadowDance"] = false,
									["require_not_stealthed"] = true,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = true,
									["checkDurationOfSubterfuge"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["minDurationOfVanish2"] = 0,
									["checkCooldownForVanish"] = true,
									["checkTimeToKillRaid"] = false,
									["hasMinCooldownForShadowBlades"] = false,
									["hasMinDurationOfNightblade"] = false,
									["hasMinCooldownForSymbolsOfDeath"] = false,
									["hasMinComboPoints"] = false,
									["minHealthPerc"] = 0,
									["checkCooldownForCheapShot"] = false,
									["require_boss_fight"] = false,
									["hasMinGroupSize"] = false,
									["maxCooldownForGoremawsBite"] = 0,
									["minGroupSize"] = 0,
									["require_not_boss_fight"] = false,
									["hasMinDurationOfCrimsonVial"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfCheapShot"] = false,
									["checkDurationOfStealth2"] = false,
									["maxGroupSize"] = 0,
									["checkHealthPerc"] = false,
									["hasMinDurationOfShadowDanceOld"] = false,
									["checkCooldownForShadowDance"] = false,
									["checkDurationOfNightblade"] = false,
									["hasMinDurationOfStealth1"] = false,
									["checkDurationOfGoremawsBite"] = false,
									["hasMinChargesForShadowDance"] = false,
									["require_not_pvp"] = true,
									["maxDurationOfStealth1"] = 0,
									["maxEnergy"] = 120,
									["maxDurationOfShadowDance"] = 0,
									["checkDurationOfVanish3"] = false,
									["checkGroupSize"] = false,
									["maxDurationOfCheapShot"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["require_pvp"] = false,
									["checkCooldownForSymbolsOfDeath"] = true,
									["maxCooldownForVanish"] = 0,
									["checkTimeToKillSolo"] = false,
									["minDurationOfCrimsonVial"] = 0,
									["minDurationOfGoremawsBite"] = 0,
									["hasMinCooldownForShadowDance"] = false,
									["priority"] = 486,
									["hasMinEnergy"] = false,
									["maxDurationOfSubterfuge"] = 0,
									["hasMaxCooldownForGoremawsBite"] = false,
									["hasMinDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["maxCooldownForCheapShot"] = 0,
									["hasMinDurationOfGoremawsBite"] = false,
									["hasMaxGroupSize"] = false,
									["hasMaxCooldownForCrimsonVial"] = false,
									["checkDurationOfShadowBlades"] = false,
									["hasMinDurationOfShadowBlades"] = false,
									["hasMinDurationOfVanish2"] = false,
									["enabled"] = true,
									["require_not_instance"] = false,
									["minCooldownForShadowBlades"] = 0,
									["checkDurationOfVanish1"] = false,
									["hasMaxHealthPerc"] = false,
									["hasMaxCooldownForSymbolsOfDeath"] = true,
									["hasMinDurationOfVanish1"] = false,
									["minDurationOfNightblade"] = 0,
									["hasMaxTimeToKillRaid"] = false,
									["hasMinDurationOfShadowDance"] = false,
									["minDurationOfShadowDance"] = 0,
									["maxDurationOfShadowBlades"] = 0,
									["minTimeToKillRaid"] = 0,
									["maxDurationOfNightblade"] = 0,
									["spell"] = {
										["debugName"] = "Vanish",
										["name"] = "Vanish",
										["icon_id"] = 132331,
										["spell_id"] = 1856,
									},
									["hasMaxDurationOfCrimsonVial"] = false,
									["minDurationOfShadowDanceOld"] = 0,
									["hasMaxDurationOfShadowDanceOld"] = false,
									["hasMaxDurationOfSymbolsOfDeath"] = true,
									["minChargesForShadowDance"] = 0,
									["hasMaxChargesForShadowDance"] = false,
									["checkDurationOfCheapShot"] = false,
									["hasMinTimeToKillSolo"] = false,
									["minCooldownForCheapShot"] = 0,
									["minCooldownForSymbolsOfDeath"] = 0,
									["minCooldownForGoremawsBite"] = 0,
									["hasMaxDurationOfVanish3"] = false,
									["minDurationOfVanish3"] = 0,
									["hasMaxDurationOfStealth1"] = false,
								}, -- [2]
							},
							["auras"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["target"] = "player",
									["max_duration"] = 45,
									["aura_id"] = 212283,
								}, -- [1]
								{
									["debugName"] = "Nightblade",
									["name"] = "Nightblade",
									["icon_id"] = 1373907,
									["target"] = "target",
									["max_duration"] = 26,
									["aura_id"] = 195452,
								}, -- [2]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["target"] = "player",
									["max_duration"] = 26,
									["aura_id"] = 121471,
								}, -- [3]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaws Bite",
									["icon_id"] = 1120132,
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 220901,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth1",
									["name"] = "Stealth 1",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [5]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [7]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish1",
									["name"] = "Vanish 1",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [8]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [9]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [10]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDanceOld",
									["name"] = "Shadow Dance Old",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 51713,
								}, -- [11]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 185422,
								}, -- [12]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 185311,
								}, -- [13]
								{
									["is_stealthy"] = false,
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
									["target"] = "target",
									["max_duration"] = 5.2013,
									["hidden"] = false,
									["aura_id"] = 1833,
								}, -- [14]
							},
						}, -- [7]
						{
							["spell"] = {
								["debugName"] = "ShadowDance",
								["name"] = "Shadow Dance",
								["icon_id"] = 236279,
								["spell_id"] = 185313,
							},
							["name"] = "Shadow Dance",
							["cooldowns"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["spell_id"] = 212283,
									["cooldown"] = 45,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 252272,
									["spell_id"] = 185313,
									["cooldown"] = 60,
									["charges"] = 3,
								}, -- [3]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["spell_id"] = 121471,
									["cooldown"] = 180,
								}, -- [4]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaw's Bite",
									["icon_id"] = 1120132,
									["spell_id"] = 209782,
									["cooldown"] = 60,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = 132092,
									["spell_id"] = 1833,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["require_instance"] = false,
									["minDurationOfNightblade"] = 0,
									["checkCooldownForShadowBlades"] = false,
									["hasMinHealthPerc"] = false,
									["maxGroupSize"] = 0,
									["hasMinEnergy"] = true,
									["hasMaxDurationOfShadowBlades"] = false,
									["require_pvp"] = false,
									["hasMinDurationOfStealth2"] = false,
									["maxChargesForShadowDance"] = 0,
									["minCooldownForVanish"] = 0,
									["maxCooldownForShadowBlades"] = 0,
									["hasMaxDurationOfGoremawsBite"] = false,
									["checkDurationOfVanish3"] = false,
									["minComboPoints"] = 0,
									["minEnergy"] = 95,
									["hasMinCooldownForVanish"] = false,
									["minDurationOfCheapShot"] = 0,
									["minDurationOfSymbolsOfDeath"] = 0,
									["minDurationOfStealth1"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["maxDurationOfStealth2"] = 0,
									["hasMaxCooldownForShadowDance"] = false,
									["hasMaxHealthPerc"] = false,
									["maxCooldownForSymbolsOfDeath"] = 0,
									["hasMaxComboPoints"] = false,
									["minDurationOfShadowBlades"] = 0,
									["checkDurationOfCrimsonVial"] = false,
									["hasMaxCooldownForCheapShot"] = false,
									["hasMaxTimeToKill"] = false,
									["hasMaxDurationOfNightblade"] = false,
									["minDurationOfGoremawsBite"] = 0,
									["maxDurationOfVanish2"] = 0,
									["checkDurationOfVanish2"] = false,
									["hasMaxEnergy"] = true,
									["hasMaxDurationOfVanish2"] = false,
									["cache_spells"] = {
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "SymbolsOfDeath",
												["name"] = "Symbols of Death",
												["icon_id"] = 252272,
												["spell_id"] = 212283,
												["cooldown"] = 45,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [1]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [2]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowDance",
												["name"] = "Shadow Dance",
												["icon_id"] = 252272,
												["spell_id"] = 185313,
												["cooldown"] = 60,
												["charges"] = 3,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [3]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowBlades",
												["name"] = "Shadow Blades",
												["icon_id"] = 376022,
												["spell_id"] = 121471,
												["cooldown"] = 180,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [4]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "GoremawsBite",
												["name"] = "Goremaw's Bite",
												["icon_id"] = 1120132,
												["spell_id"] = 209782,
												["cooldown"] = 60,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [5]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [6]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["hasMinEnergy"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeToKillSolo"] = 0,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkCooldownForVanish"] = false,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMinComboPoints"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfShadowDance"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkDurationOfVanish2"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkCooldownForShadowDance"] = false,
											["minChargesForShadowDance"] = 0,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["checkHealthPerc"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMinDurationOfStealth1"] = false,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["maxCooldownForVanish"] = 0,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["hasMinCooldownForVanish"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkChargesForShadowDance"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMinTimeToKillSolo"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["require_not_stealthed"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForShadowDance"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["spell"] = {
												["debugName"] = "CheapShot",
												["name"] = "Cheap Shot",
												["icon_id"] = 132092,
												["spell_id"] = 1833,
												["cooldown"] = 1,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["hasMinDurationOfVanish1"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkDurationOfShadowDanceOld"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfVanish3"] = false,
									["checkDurationOfSymbolsOfDeath"] = false,
									["minDurationOfStealth2"] = 0,
									["hasMinDurationOfSymbolsOfDeath"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["minDurationOfSubterfuge"] = 0,
									["minCooldownForShadowDance"] = 0,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["maxDurationOfStealth1"] = 0,
									["poolEnergyIfLow"] = true,
									["minCooldownForGoremawsBite"] = 0,
									["hasMaxCooldownForShadowBlades"] = false,
									["require_stealthed"] = false,
									["hasMinCooldownForGoremawsBite"] = false,
									["maxDurationOfCrimsonVial"] = 0,
									["minTimeToKillSolo"] = 0,
									["maxDurationOfGoremawsBite"] = 0,
									["checkComboPoints"] = false,
									["cooldowns"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["spell_id"] = 212283,
											["cooldown"] = 45,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 252272,
											["spell_id"] = 185313,
											["cooldown"] = 60,
											["charges"] = 3,
										}, -- [3]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["spell_id"] = 121471,
											["cooldown"] = 180,
										}, -- [4]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaw's Bite",
											["icon_id"] = 1120132,
											["spell_id"] = 209782,
											["cooldown"] = 60,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = 132092,
											["spell_id"] = 1833,
											["cooldown"] = 1,
										}, -- [7]
									},
									["checkDurationOfStealth1"] = false,
									["checkCooldownForGoremawsBite"] = false,
									["hasMaxTimeToKillSolo"] = false,
									["hasMinDurationOfVanish1"] = false,
									["checkEnergy"] = true,
									["minDurationOfVanish1"] = 0,
									["auras"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["target"] = "player",
											["max_duration"] = 45,
											["aura_id"] = 212283,
										}, -- [1]
										{
											["debugName"] = "Nightblade",
											["name"] = "Nightblade",
											["icon_id"] = 1373907,
											["target"] = "target",
											["max_duration"] = 26,
											["aura_id"] = 195452,
										}, -- [2]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["target"] = "player",
											["max_duration"] = 26,
											["aura_id"] = 121471,
										}, -- [3]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaws Bite",
											["icon_id"] = 1120132,
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 220901,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth1",
											["name"] = "Stealth 1",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [5]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [7]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish1",
											["name"] = "Vanish 1",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [8]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [9]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [10]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDanceOld",
											["name"] = "Shadow Dance Old",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 51713,
										}, -- [11]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 185422,
										}, -- [12]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 185311,
										}, -- [13]
										{
											["is_stealthy"] = false,
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
											["target"] = "target",
											["max_duration"] = 5.2013,
											["hidden"] = false,
											["aura_id"] = 1833,
										}, -- [14]
									},
									["maxComboPoints"] = 0,
									["hasMinCooldownForCheapShot"] = false,
									["maxTimeToKill"] = 0,
									["maxDurationOfShadowDanceOld"] = 0,
									["hasMaxDurationOfShadowDance"] = false,
									["require_not_stealthed"] = true,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["minDurationOfVanish2"] = 0,
									["checkTimeToKill"] = false,
									["checkCooldownForVanish"] = false,
									["checkTimeToKillRaid"] = false,
									["hasMinCooldownForShadowBlades"] = false,
									["hasMinDurationOfNightblade"] = false,
									["hasMinCooldownForSymbolsOfDeath"] = false,
									["hasMinComboPoints"] = false,
									["minHealthPerc"] = 0,
									["checkCooldownForCheapShot"] = false,
									["require_boss_fight"] = false,
									["hasMinGroupSize"] = false,
									["hasMinTimeToKill"] = false,
									["maxCooldownForGoremawsBite"] = 0,
									["minGroupSize"] = 0,
									["require_not_boss_fight"] = false,
									["hasMaxDurationOfShadowDanceOld"] = false,
									["hasMinDurationOfCrimsonVial"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfCheapShot"] = false,
									["hasMinDurationOfStealth1"] = false,
									["hasMaxDurationOfVanish1"] = false,
									["checkHealthPerc"] = false,
									["checkDurationOfShadowDanceOld"] = false,
									["checkCooldownForShadowDance"] = false,
									["checkDurationOfNightblade"] = false,
									["require_not_pvp"] = false,
									["checkDurationOfGoremawsBite"] = false,
									["maxCooldownForVanish"] = 0,
									["primary"] = false,
									["checkDurationOfVanish1"] = false,
									["minTimeToKill"] = 0,
									["checkDurationOfStealth2"] = false,
									["checkGroupSize"] = false,
									["hasMaxGroupSize"] = false,
									["maxDurationOfCheapShot"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["maxEnergy"] = 120,
									["checkCooldownForSymbolsOfDeath"] = false,
									["minCooldownForSymbolsOfDeath"] = 0,
									["checkTimeToKillSolo"] = false,
									["hasMaxDurationOfCheapShot"] = false,
									["priority"] = 491,
									["hasMinCooldownForShadowDance"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["minDurationOfCrimsonVial"] = 0,
									["enabled"] = true,
									["hasMaxCooldownForGoremawsBite"] = false,
									["hasMinDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["checkDurationOfShadowDance"] = false,
									["hasMinDurationOfGoremawsBite"] = false,
									["minChargesForShadowDance"] = 2,
									["hasMaxCooldownForCrimsonVial"] = false,
									["maxDurationOfNightblade"] = 0,
									["hasMinDurationOfShadowBlades"] = false,
									["hasMinDurationOfVanish2"] = false,
									["checkChargesForShadowDance"] = true,
									["require_not_instance"] = false,
									["minCooldownForShadowBlades"] = 0,
									["hasMinTimeToKillRaid"] = false,
									["maxDurationOfSubterfuge"] = 0,
									["hasMaxTimeToKillRaid"] = false,
									["minTimeToKillRaid"] = 0,
									["checkDurationOfShadowBlades"] = false,
									["hasMaxCooldownForSymbolsOfDeath"] = false,
									["hasMinDurationOfShadowDance"] = false,
									["minDurationOfShadowDance"] = 0,
									["maxDurationOfShadowDance"] = 0,
									["maxDurationOfSymbolsOfDeath"] = 0,
									["maxDurationOfShadowBlades"] = 0,
									["spell"] = {
										["debugName"] = "ShadowDance",
										["name"] = "Shadow Dance",
										["icon_id"] = 236279,
										["spell_id"] = 185313,
									},
									["hasMaxDurationOfCrimsonVial"] = false,
									["minDurationOfShadowDanceOld"] = 0,
									["maxCooldownForShadowDance"] = 0,
									["hasMinTimeToKillSolo"] = false,
									["maxDurationOfVanish1"] = 0,
									["hasMaxChargesForShadowDance"] = false,
									["minDurationOfVanish3"] = 0,
									["maxCooldownForCheapShot"] = 0,
									["minCooldownForCheapShot"] = 0,
									["hasMinChargesForShadowDance"] = true,
									["checkDurationOfCheapShot"] = false,
									["hasMaxDurationOfSymbolsOfDeath"] = false,
									["hasMinDurationOfShadowDanceOld"] = false,
									["hasMaxDurationOfStealth1"] = false,
								}, -- [1]
								{
									["require_instance"] = false,
									["minDurationOfNightblade"] = 0,
									["checkCooldownForShadowBlades"] = false,
									["hasMinHealthPerc"] = false,
									["maxGroupSize"] = 0,
									["hasMinEnergy"] = false,
									["hasMaxDurationOfShadowBlades"] = false,
									["require_pvp"] = false,
									["hasMinDurationOfStealth2"] = false,
									["maxChargesForShadowDance"] = 0,
									["minCooldownForVanish"] = 0,
									["maxCooldownForShadowBlades"] = 0,
									["hasMaxDurationOfGoremawsBite"] = false,
									["checkDurationOfVanish3"] = false,
									["minComboPoints"] = 0,
									["minEnergy"] = 0,
									["hasMinCooldownForVanish"] = false,
									["minDurationOfCheapShot"] = 0,
									["minDurationOfSymbolsOfDeath"] = 0,
									["minDurationOfStealth1"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["maxDurationOfStealth2"] = 0,
									["hasMaxCooldownForShadowDance"] = false,
									["hasMaxHealthPerc"] = false,
									["maxCooldownForSymbolsOfDeath"] = 0,
									["hasMaxComboPoints"] = false,
									["minDurationOfShadowBlades"] = 0,
									["checkDurationOfCrimsonVial"] = false,
									["hasMaxCooldownForCheapShot"] = false,
									["hasMaxTimeToKill"] = false,
									["hasMaxDurationOfNightblade"] = false,
									["minDurationOfGoremawsBite"] = 0,
									["maxDurationOfVanish2"] = 0,
									["checkDurationOfVanish2"] = false,
									["hasMaxEnergy"] = true,
									["hasMaxDurationOfVanish2"] = false,
									["cache_spells"] = {
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "SymbolsOfDeath",
												["name"] = "Symbols of Death",
												["icon_id"] = 252272,
												["spell_id"] = 212283,
												["cooldown"] = 45,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [1]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [2]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowDance",
												["name"] = "Shadow Dance",
												["icon_id"] = 252272,
												["spell_id"] = 185313,
												["cooldown"] = 60,
												["charges"] = 3,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [3]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowBlades",
												["name"] = "Shadow Blades",
												["icon_id"] = 376022,
												["spell_id"] = 121471,
												["cooldown"] = 180,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [4]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "GoremawsBite",
												["name"] = "Goremaw's Bite",
												["icon_id"] = 1120132,
												["spell_id"] = 209782,
												["cooldown"] = 60,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [5]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [6]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["hasMinEnergy"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeToKillSolo"] = 0,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkCooldownForVanish"] = false,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMinComboPoints"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfShadowDance"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkDurationOfVanish2"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkCooldownForShadowDance"] = false,
											["minChargesForShadowDance"] = 0,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["checkHealthPerc"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMinDurationOfStealth1"] = false,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["maxCooldownForVanish"] = 0,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["hasMinCooldownForVanish"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkChargesForShadowDance"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMinTimeToKillSolo"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["require_not_stealthed"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForShadowDance"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["spell"] = {
												["debugName"] = "CheapShot",
												["name"] = "Cheap Shot",
												["icon_id"] = 132092,
												["spell_id"] = 1833,
												["cooldown"] = 1,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["hasMinDurationOfVanish1"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkDurationOfShadowDanceOld"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfVanish3"] = false,
									["checkDurationOfSymbolsOfDeath"] = true,
									["minDurationOfStealth2"] = 0,
									["hasMinDurationOfSymbolsOfDeath"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["minDurationOfSubterfuge"] = 0,
									["minCooldownForShadowDance"] = 0,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["maxDurationOfStealth1"] = 0,
									["poolEnergyIfLow"] = false,
									["minCooldownForGoremawsBite"] = 0,
									["hasMaxCooldownForShadowBlades"] = false,
									["require_stealthed"] = false,
									["hasMinCooldownForGoremawsBite"] = false,
									["maxDurationOfCrimsonVial"] = 0,
									["minTimeToKillSolo"] = 0,
									["maxDurationOfGoremawsBite"] = 0,
									["checkComboPoints"] = false,
									["cooldowns"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["spell_id"] = 212283,
											["cooldown"] = 45,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 252272,
											["spell_id"] = 185313,
											["cooldown"] = 60,
											["charges"] = 3,
										}, -- [3]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["spell_id"] = 121471,
											["cooldown"] = 180,
										}, -- [4]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaw's Bite",
											["icon_id"] = 1120132,
											["spell_id"] = 209782,
											["cooldown"] = 60,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = 132092,
											["spell_id"] = 1833,
											["cooldown"] = 1,
										}, -- [7]
									},
									["checkDurationOfStealth1"] = false,
									["checkCooldownForGoremawsBite"] = false,
									["hasMaxTimeToKillSolo"] = false,
									["hasMinDurationOfVanish1"] = false,
									["checkEnergy"] = false,
									["minDurationOfVanish1"] = 0,
									["auras"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["target"] = "player",
											["max_duration"] = 45,
											["aura_id"] = 212283,
										}, -- [1]
										{
											["debugName"] = "Nightblade",
											["name"] = "Nightblade",
											["icon_id"] = 1373907,
											["target"] = "target",
											["max_duration"] = 26,
											["aura_id"] = 195452,
										}, -- [2]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["target"] = "player",
											["max_duration"] = 26,
											["aura_id"] = 121471,
										}, -- [3]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaws Bite",
											["icon_id"] = 1120132,
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 220901,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth1",
											["name"] = "Stealth 1",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [5]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [7]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish1",
											["name"] = "Vanish 1",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [8]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [9]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [10]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDanceOld",
											["name"] = "Shadow Dance Old",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 51713,
										}, -- [11]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 185422,
										}, -- [12]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 185311,
										}, -- [13]
										{
											["is_stealthy"] = false,
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
											["target"] = "target",
											["max_duration"] = 5.2013,
											["hidden"] = false,
											["aura_id"] = 1833,
										}, -- [14]
									},
									["maxComboPoints"] = 0,
									["hasMinCooldownForCheapShot"] = false,
									["maxTimeToKill"] = 0,
									["maxDurationOfShadowDanceOld"] = 0,
									["hasMaxDurationOfShadowDance"] = false,
									["require_not_stealthed"] = true,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["minDurationOfVanish2"] = 0,
									["checkTimeToKill"] = false,
									["checkCooldownForVanish"] = false,
									["checkTimeToKillRaid"] = false,
									["hasMinCooldownForShadowBlades"] = false,
									["hasMinDurationOfNightblade"] = false,
									["hasMinCooldownForSymbolsOfDeath"] = false,
									["hasMinComboPoints"] = false,
									["minHealthPerc"] = 0,
									["checkCooldownForCheapShot"] = false,
									["require_boss_fight"] = false,
									["hasMinGroupSize"] = false,
									["hasMinTimeToKill"] = false,
									["maxCooldownForGoremawsBite"] = 0,
									["minGroupSize"] = 0,
									["require_not_boss_fight"] = false,
									["hasMaxDurationOfShadowDanceOld"] = false,
									["hasMinDurationOfCrimsonVial"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfCheapShot"] = false,
									["hasMinDurationOfStealth1"] = false,
									["hasMaxDurationOfVanish1"] = false,
									["checkHealthPerc"] = false,
									["checkDurationOfShadowDanceOld"] = false,
									["checkCooldownForShadowDance"] = false,
									["checkDurationOfNightblade"] = false,
									["require_not_pvp"] = false,
									["checkDurationOfGoremawsBite"] = false,
									["maxCooldownForVanish"] = 0,
									["primary"] = false,
									["checkDurationOfVanish1"] = false,
									["minTimeToKill"] = 0,
									["checkDurationOfStealth2"] = false,
									["checkGroupSize"] = false,
									["hasMaxGroupSize"] = false,
									["maxDurationOfCheapShot"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["maxEnergy"] = 130,
									["checkCooldownForSymbolsOfDeath"] = false,
									["minCooldownForSymbolsOfDeath"] = 0,
									["checkTimeToKillSolo"] = false,
									["hasMaxDurationOfCheapShot"] = false,
									["priority"] = 490,
									["hasMinCooldownForShadowDance"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["minDurationOfCrimsonVial"] = 0,
									["enabled"] = true,
									["hasMaxCooldownForGoremawsBite"] = false,
									["hasMinDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["checkDurationOfShadowDance"] = false,
									["hasMinDurationOfGoremawsBite"] = false,
									["minChargesForShadowDance"] = 1,
									["hasMaxCooldownForCrimsonVial"] = false,
									["maxDurationOfNightblade"] = 0,
									["hasMinDurationOfShadowBlades"] = false,
									["hasMinDurationOfVanish2"] = false,
									["checkChargesForShadowDance"] = true,
									["require_not_instance"] = false,
									["minCooldownForShadowBlades"] = 0,
									["hasMinTimeToKillRaid"] = false,
									["maxDurationOfSubterfuge"] = 0,
									["hasMaxTimeToKillRaid"] = false,
									["minTimeToKillRaid"] = 0,
									["checkDurationOfShadowBlades"] = false,
									["hasMaxCooldownForSymbolsOfDeath"] = false,
									["hasMinDurationOfShadowDance"] = false,
									["minDurationOfShadowDance"] = 0,
									["maxDurationOfShadowDance"] = 0,
									["maxDurationOfSymbolsOfDeath"] = 10,
									["maxDurationOfShadowBlades"] = 0,
									["spell"] = {
										["debugName"] = "ShadowDance",
										["name"] = "Shadow Dance",
										["icon_id"] = 236279,
										["spell_id"] = 185313,
									},
									["hasMaxDurationOfCrimsonVial"] = false,
									["minDurationOfShadowDanceOld"] = 0,
									["maxCooldownForShadowDance"] = 0,
									["hasMinTimeToKillSolo"] = false,
									["maxDurationOfVanish1"] = 0,
									["hasMaxChargesForShadowDance"] = false,
									["minDurationOfVanish3"] = 0,
									["maxCooldownForCheapShot"] = 0,
									["minCooldownForCheapShot"] = 0,
									["hasMinChargesForShadowDance"] = true,
									["checkDurationOfCheapShot"] = false,
									["hasMaxDurationOfSymbolsOfDeath"] = true,
									["hasMinDurationOfShadowDanceOld"] = false,
									["hasMaxDurationOfStealth1"] = false,
								}, -- [2]
							},
							["auras"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["target"] = "player",
									["max_duration"] = 45,
									["aura_id"] = 212283,
								}, -- [1]
								{
									["debugName"] = "Nightblade",
									["name"] = "Nightblade",
									["icon_id"] = 1373907,
									["target"] = "target",
									["max_duration"] = 26,
									["aura_id"] = 195452,
								}, -- [2]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["target"] = "player",
									["max_duration"] = 26,
									["aura_id"] = 121471,
								}, -- [3]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaws Bite",
									["icon_id"] = 1120132,
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 220901,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth1",
									["name"] = "Stealth 1",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [5]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [7]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish1",
									["name"] = "Vanish 1",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [8]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [9]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [10]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDanceOld",
									["name"] = "Shadow Dance Old",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 51713,
								}, -- [11]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 185422,
								}, -- [12]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 185311,
								}, -- [13]
								{
									["is_stealthy"] = false,
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
									["target"] = "target",
									["max_duration"] = 5.2013,
									["hidden"] = false,
									["aura_id"] = 1833,
								}, -- [14]
							},
						}, -- [8]
						{
							["spell"] = {
								["debugName"] = "ShadowBlades",
								["name"] = "Shadow Blades",
								["icon_id"] = 376022,
								["spell_id"] = 121471,
								["cooldown"] = 180,
							},
							["name"] = "Shadow Blades",
							["cooldowns"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["spell_id"] = 212283,
									["cooldown"] = 45,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 252272,
									["spell_id"] = 185313,
									["cooldown"] = 60,
									["charges"] = 3,
								}, -- [3]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["spell_id"] = 121471,
									["cooldown"] = 180,
								}, -- [4]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaw's Bite",
									["icon_id"] = 1120132,
									["spell_id"] = 209782,
									["cooldown"] = 60,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = 132092,
									["spell_id"] = 1833,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["require_instance"] = false,
									["minDurationOfNightblade"] = 0,
									["checkCooldownForShadowBlades"] = true,
									["hasMinHealthPerc"] = false,
									["maxGroupSize"] = 0,
									["hasMinEnergy"] = false,
									["hasMaxDurationOfShadowBlades"] = false,
									["require_pvp"] = false,
									["hasMinDurationOfStealth2"] = false,
									["maxChargesForShadowDance"] = 0,
									["minCooldownForVanish"] = 0,
									["maxCooldownForShadowBlades"] = 0,
									["hasMaxDurationOfGoremawsBite"] = false,
									["checkDurationOfVanish3"] = false,
									["minComboPoints"] = 0,
									["minEnergy"] = 0,
									["hasMinCooldownForVanish"] = false,
									["minDurationOfCheapShot"] = 0,
									["minDurationOfSymbolsOfDeath"] = 0,
									["minDurationOfStealth1"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["maxDurationOfStealth2"] = 0,
									["hasMaxCooldownForShadowDance"] = false,
									["hasMaxHealthPerc"] = false,
									["maxCooldownForSymbolsOfDeath"] = 0,
									["hasMaxComboPoints"] = false,
									["minDurationOfShadowBlades"] = 0,
									["checkDurationOfCrimsonVial"] = false,
									["hasMaxCooldownForCheapShot"] = false,
									["hasMaxTimeToKill"] = false,
									["hasMaxDurationOfNightblade"] = false,
									["minDurationOfGoremawsBite"] = 0,
									["maxDurationOfVanish2"] = 0,
									["checkDurationOfVanish2"] = false,
									["hasMaxEnergy"] = false,
									["hasMaxDurationOfVanish2"] = false,
									["cache_spells"] = {
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "SymbolsOfDeath",
												["name"] = "Symbols of Death",
												["icon_id"] = 252272,
												["spell_id"] = 212283,
												["cooldown"] = 45,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [1]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [2]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowDance",
												["name"] = "Shadow Dance",
												["icon_id"] = 252272,
												["spell_id"] = 185313,
												["cooldown"] = 60,
												["charges"] = 3,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [3]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowBlades",
												["name"] = "Shadow Blades",
												["icon_id"] = 376022,
												["spell_id"] = 121471,
												["cooldown"] = 180,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [4]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "GoremawsBite",
												["name"] = "Goremaw's Bite",
												["icon_id"] = 1120132,
												["spell_id"] = 209782,
												["cooldown"] = 60,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [5]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [6]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["hasMinEnergy"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeToKillSolo"] = 0,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkCooldownForVanish"] = false,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMinComboPoints"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfShadowDance"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkDurationOfVanish2"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkCooldownForShadowDance"] = false,
											["minChargesForShadowDance"] = 0,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["checkHealthPerc"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMinDurationOfStealth1"] = false,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["maxCooldownForVanish"] = 0,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["hasMinCooldownForVanish"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkChargesForShadowDance"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMinTimeToKillSolo"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["require_not_stealthed"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForShadowDance"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["spell"] = {
												["debugName"] = "CheapShot",
												["name"] = "Cheap Shot",
												["icon_id"] = 132092,
												["spell_id"] = 1833,
												["cooldown"] = 1,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["hasMinDurationOfVanish1"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkDurationOfShadowDanceOld"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfVanish3"] = false,
									["checkDurationOfSymbolsOfDeath"] = false,
									["minDurationOfStealth2"] = 0,
									["hasMinDurationOfSymbolsOfDeath"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["minDurationOfSubterfuge"] = 0,
									["minCooldownForShadowDance"] = 0,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["maxDurationOfStealth1"] = 0,
									["poolEnergyIfLow"] = false,
									["minCooldownForGoremawsBite"] = 0,
									["hasMaxCooldownForShadowBlades"] = true,
									["require_stealthed"] = false,
									["hasMinCooldownForGoremawsBite"] = false,
									["maxDurationOfCrimsonVial"] = 0,
									["minTimeToKillSolo"] = 30,
									["maxDurationOfGoremawsBite"] = 0,
									["checkComboPoints"] = false,
									["cooldowns"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["spell_id"] = 212283,
											["cooldown"] = 45,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 252272,
											["spell_id"] = 185313,
											["cooldown"] = 60,
											["charges"] = 3,
										}, -- [3]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["spell_id"] = 121471,
											["cooldown"] = 180,
										}, -- [4]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaw's Bite",
											["icon_id"] = 1120132,
											["spell_id"] = 209782,
											["cooldown"] = 60,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = 132092,
											["spell_id"] = 1833,
											["cooldown"] = 1,
										}, -- [7]
									},
									["checkDurationOfStealth1"] = false,
									["checkCooldownForGoremawsBite"] = false,
									["hasMaxTimeToKillSolo"] = false,
									["hasMinDurationOfVanish1"] = false,
									["checkEnergy"] = false,
									["minDurationOfVanish1"] = 0,
									["auras"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["target"] = "player",
											["max_duration"] = 45,
											["aura_id"] = 212283,
										}, -- [1]
										{
											["debugName"] = "Nightblade",
											["name"] = "Nightblade",
											["icon_id"] = 1373907,
											["target"] = "target",
											["max_duration"] = 26,
											["aura_id"] = 195452,
										}, -- [2]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["target"] = "player",
											["max_duration"] = 26,
											["aura_id"] = 121471,
										}, -- [3]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaws Bite",
											["icon_id"] = 1120132,
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 220901,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth1",
											["name"] = "Stealth 1",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [5]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [7]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish1",
											["name"] = "Vanish 1",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [8]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [9]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [10]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDanceOld",
											["name"] = "Shadow Dance Old",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 51713,
										}, -- [11]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 185422,
										}, -- [12]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 185311,
										}, -- [13]
										{
											["is_stealthy"] = false,
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
											["target"] = "target",
											["max_duration"] = 5.2013,
											["hidden"] = false,
											["aura_id"] = 1833,
										}, -- [14]
									},
									["maxComboPoints"] = 0,
									["hasMinCooldownForCheapShot"] = false,
									["maxTimeToKill"] = 0,
									["maxDurationOfShadowDanceOld"] = 0,
									["hasMaxDurationOfShadowDance"] = false,
									["require_not_stealthed"] = false,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["minDurationOfVanish2"] = 0,
									["checkTimeToKill"] = false,
									["checkCooldownForVanish"] = false,
									["checkTimeToKillRaid"] = false,
									["hasMinCooldownForShadowBlades"] = false,
									["hasMinDurationOfNightblade"] = false,
									["hasMinCooldownForSymbolsOfDeath"] = false,
									["hasMinComboPoints"] = false,
									["minHealthPerc"] = 0,
									["checkCooldownForCheapShot"] = false,
									["require_boss_fight"] = false,
									["hasMinGroupSize"] = false,
									["hasMinTimeToKill"] = false,
									["maxCooldownForGoremawsBite"] = 0,
									["minGroupSize"] = 0,
									["require_not_boss_fight"] = false,
									["hasMaxDurationOfShadowDanceOld"] = false,
									["hasMinDurationOfCrimsonVial"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfCheapShot"] = false,
									["hasMinDurationOfStealth1"] = false,
									["hasMaxDurationOfVanish1"] = false,
									["checkHealthPerc"] = false,
									["checkDurationOfShadowDanceOld"] = false,
									["checkCooldownForShadowDance"] = false,
									["checkDurationOfNightblade"] = false,
									["require_not_pvp"] = false,
									["checkDurationOfGoremawsBite"] = false,
									["maxCooldownForVanish"] = 0,
									["primary"] = false,
									["checkDurationOfVanish1"] = false,
									["minTimeToKill"] = 0,
									["checkDurationOfStealth2"] = false,
									["checkGroupSize"] = false,
									["hasMaxGroupSize"] = false,
									["maxDurationOfCheapShot"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["maxEnergy"] = 0,
									["checkCooldownForSymbolsOfDeath"] = false,
									["minCooldownForSymbolsOfDeath"] = 0,
									["checkTimeToKillSolo"] = true,
									["hasMaxDurationOfCheapShot"] = false,
									["priority"] = 488,
									["hasMinCooldownForShadowDance"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["minDurationOfCrimsonVial"] = 0,
									["enabled"] = true,
									["hasMaxCooldownForGoremawsBite"] = false,
									["hasMinDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["checkDurationOfShadowDance"] = false,
									["hasMinDurationOfGoremawsBite"] = false,
									["minChargesForShadowDance"] = 0,
									["hasMaxCooldownForCrimsonVial"] = false,
									["maxDurationOfNightblade"] = 0,
									["hasMinDurationOfShadowBlades"] = false,
									["hasMinDurationOfVanish2"] = false,
									["checkChargesForShadowDance"] = false,
									["require_not_instance"] = false,
									["minCooldownForShadowBlades"] = 0,
									["hasMinTimeToKillRaid"] = false,
									["maxDurationOfSubterfuge"] = 0,
									["hasMaxTimeToKillRaid"] = false,
									["minTimeToKillRaid"] = 0,
									["checkDurationOfShadowBlades"] = false,
									["hasMaxCooldownForSymbolsOfDeath"] = false,
									["hasMinDurationOfShadowDance"] = false,
									["minDurationOfShadowDance"] = 0,
									["maxDurationOfShadowDance"] = 0,
									["maxDurationOfSymbolsOfDeath"] = 0,
									["maxDurationOfShadowBlades"] = 0,
									["spell"] = {
										["debugName"] = "ShadowBlades",
										["name"] = "Shadow Blades",
										["icon_id"] = 376022,
										["spell_id"] = 121471,
										["cooldown"] = 180,
									},
									["hasMaxDurationOfCrimsonVial"] = false,
									["minDurationOfShadowDanceOld"] = 0,
									["maxCooldownForShadowDance"] = 0,
									["hasMinTimeToKillSolo"] = true,
									["maxDurationOfVanish1"] = 0,
									["hasMaxChargesForShadowDance"] = false,
									["minDurationOfVanish3"] = 0,
									["maxCooldownForCheapShot"] = 0,
									["minCooldownForCheapShot"] = 0,
									["hasMinChargesForShadowDance"] = false,
									["checkDurationOfCheapShot"] = false,
									["hasMaxDurationOfSymbolsOfDeath"] = false,
									["hasMinDurationOfShadowDanceOld"] = false,
									["hasMaxDurationOfStealth1"] = false,
								}, -- [1]
							},
							["auras"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["target"] = "player",
									["max_duration"] = 45,
									["aura_id"] = 212283,
								}, -- [1]
								{
									["debugName"] = "Nightblade",
									["name"] = "Nightblade",
									["icon_id"] = 1373907,
									["target"] = "target",
									["max_duration"] = 26,
									["aura_id"] = 195452,
								}, -- [2]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["target"] = "player",
									["max_duration"] = 26,
									["aura_id"] = 121471,
								}, -- [3]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaws Bite",
									["icon_id"] = 1120132,
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 220901,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth1",
									["name"] = "Stealth 1",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [5]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [7]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish1",
									["name"] = "Vanish 1",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [8]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [9]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [10]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDanceOld",
									["name"] = "Shadow Dance Old",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 51713,
								}, -- [11]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 185422,
								}, -- [12]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 185311,
								}, -- [13]
								{
									["is_stealthy"] = false,
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
									["target"] = "target",
									["max_duration"] = 5.2013,
									["hidden"] = false,
									["aura_id"] = 1833,
								}, -- [14]
							},
						}, -- [9]
						{
							["spell"] = {
								["debugName"] = "GoremawsBite",
								["name"] = "Goremaw's Bite",
								["icon_id"] = 1120132,
								["spell_id"] = 209782,
								["cooldown"] = 60,
							},
							["name"] = "Goremaw's Bite",
							["cooldowns"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["spell_id"] = 212283,
									["cooldown"] = 45,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 252272,
									["spell_id"] = 185313,
									["cooldown"] = 60,
									["charges"] = 3,
								}, -- [3]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["spell_id"] = 121471,
									["cooldown"] = 180,
								}, -- [4]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaw's Bite",
									["icon_id"] = 1120132,
									["spell_id"] = 209782,
									["cooldown"] = 60,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = 132092,
									["spell_id"] = 1833,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["require_instance"] = false,
									["minDurationOfNightblade"] = 0,
									["checkCooldownForShadowBlades"] = false,
									["hasMinHealthPerc"] = false,
									["maxGroupSize"] = 0,
									["hasMinEnergy"] = false,
									["hasMaxDurationOfShadowBlades"] = false,
									["require_pvp"] = false,
									["hasMinDurationOfStealth2"] = false,
									["maxChargesForShadowDance"] = 0,
									["minCooldownForVanish"] = 0,
									["maxCooldownForShadowBlades"] = 0,
									["hasMaxDurationOfGoremawsBite"] = false,
									["checkDurationOfVanish3"] = false,
									["minComboPoints"] = 0,
									["minEnergy"] = 0,
									["hasMinCooldownForVanish"] = false,
									["minDurationOfCheapShot"] = 0,
									["minDurationOfSymbolsOfDeath"] = 0,
									["minDurationOfStealth1"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["maxDurationOfStealth2"] = 0,
									["hasMaxCooldownForShadowDance"] = false,
									["hasMaxHealthPerc"] = false,
									["maxCooldownForSymbolsOfDeath"] = 0,
									["hasMaxComboPoints"] = true,
									["minDurationOfShadowBlades"] = 0,
									["checkDurationOfCrimsonVial"] = false,
									["hasMaxCooldownForCheapShot"] = false,
									["hasMaxTimeToKill"] = false,
									["hasMaxDurationOfNightblade"] = false,
									["minDurationOfGoremawsBite"] = 0,
									["maxDurationOfVanish2"] = 0,
									["checkDurationOfVanish2"] = false,
									["hasMaxEnergy"] = true,
									["hasMaxDurationOfVanish2"] = false,
									["cache_spells"] = {
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "SymbolsOfDeath",
												["name"] = "Symbols of Death",
												["icon_id"] = 252272,
												["spell_id"] = 212283,
												["cooldown"] = 45,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [1]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [2]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowDance",
												["name"] = "Shadow Dance",
												["icon_id"] = 252272,
												["spell_id"] = 185313,
												["cooldown"] = 60,
												["charges"] = 3,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [3]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowBlades",
												["name"] = "Shadow Blades",
												["icon_id"] = 376022,
												["spell_id"] = 121471,
												["cooldown"] = 180,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [4]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "GoremawsBite",
												["name"] = "Goremaw's Bite",
												["icon_id"] = 1120132,
												["spell_id"] = 209782,
												["cooldown"] = 60,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [5]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [6]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["hasMinEnergy"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeToKillSolo"] = 0,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkCooldownForVanish"] = false,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMinComboPoints"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfShadowDance"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkDurationOfVanish2"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkCooldownForShadowDance"] = false,
											["minChargesForShadowDance"] = 0,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["checkHealthPerc"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMinDurationOfStealth1"] = false,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["maxCooldownForVanish"] = 0,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["hasMinCooldownForVanish"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkChargesForShadowDance"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMinTimeToKillSolo"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["require_not_stealthed"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForShadowDance"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["spell"] = {
												["debugName"] = "CheapShot",
												["name"] = "Cheap Shot",
												["icon_id"] = 132092,
												["spell_id"] = 1833,
												["cooldown"] = 1,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["hasMinDurationOfVanish1"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkDurationOfShadowDanceOld"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfVanish3"] = false,
									["checkDurationOfSymbolsOfDeath"] = false,
									["minDurationOfStealth2"] = 0,
									["hasMinDurationOfSymbolsOfDeath"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["minDurationOfSubterfuge"] = 0,
									["minCooldownForShadowDance"] = 0,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["maxDurationOfStealth1"] = 0,
									["poolEnergyIfLow"] = false,
									["minCooldownForGoremawsBite"] = 0,
									["hasMaxCooldownForShadowBlades"] = false,
									["require_stealthed"] = false,
									["hasMinCooldownForGoremawsBite"] = false,
									["maxDurationOfCrimsonVial"] = 0,
									["minTimeToKillSolo"] = 0,
									["maxDurationOfGoremawsBite"] = 0,
									["checkComboPoints"] = true,
									["cooldowns"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["spell_id"] = 212283,
											["cooldown"] = 45,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 252272,
											["spell_id"] = 185313,
											["cooldown"] = 60,
											["charges"] = 3,
										}, -- [3]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["spell_id"] = 121471,
											["cooldown"] = 180,
										}, -- [4]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaw's Bite",
											["icon_id"] = 1120132,
											["spell_id"] = 209782,
											["cooldown"] = 60,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = 132092,
											["spell_id"] = 1833,
											["cooldown"] = 1,
										}, -- [7]
									},
									["checkDurationOfStealth1"] = false,
									["checkCooldownForGoremawsBite"] = true,
									["hasMaxTimeToKillSolo"] = false,
									["hasMinDurationOfVanish1"] = false,
									["checkEnergy"] = true,
									["minDurationOfVanish1"] = 0,
									["auras"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["target"] = "player",
											["max_duration"] = 45,
											["aura_id"] = 212283,
										}, -- [1]
										{
											["debugName"] = "Nightblade",
											["name"] = "Nightblade",
											["icon_id"] = 1373907,
											["target"] = "target",
											["max_duration"] = 26,
											["aura_id"] = 195452,
										}, -- [2]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["target"] = "player",
											["max_duration"] = 26,
											["aura_id"] = 121471,
										}, -- [3]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaws Bite",
											["icon_id"] = 1120132,
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 220901,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth1",
											["name"] = "Stealth 1",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [5]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [7]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish1",
											["name"] = "Vanish 1",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [8]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [9]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [10]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDanceOld",
											["name"] = "Shadow Dance Old",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 51713,
										}, -- [11]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 185422,
										}, -- [12]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 185311,
										}, -- [13]
										{
											["is_stealthy"] = false,
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
											["target"] = "target",
											["max_duration"] = 5.2013,
											["hidden"] = false,
											["aura_id"] = 1833,
										}, -- [14]
									},
									["maxComboPoints"] = 2,
									["hasMinCooldownForCheapShot"] = false,
									["maxTimeToKill"] = 0,
									["maxDurationOfShadowDanceOld"] = 0,
									["hasMaxDurationOfShadowDance"] = false,
									["require_not_stealthed"] = false,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["minDurationOfVanish2"] = 0,
									["checkTimeToKill"] = false,
									["checkCooldownForVanish"] = false,
									["checkTimeToKillRaid"] = false,
									["hasMinCooldownForShadowBlades"] = false,
									["hasMinDurationOfNightblade"] = false,
									["hasMinCooldownForSymbolsOfDeath"] = false,
									["hasMinComboPoints"] = false,
									["minHealthPerc"] = 0,
									["checkCooldownForCheapShot"] = false,
									["require_boss_fight"] = false,
									["hasMinGroupSize"] = false,
									["hasMinTimeToKill"] = false,
									["maxCooldownForGoremawsBite"] = 0,
									["minGroupSize"] = 0,
									["require_not_boss_fight"] = false,
									["hasMaxDurationOfShadowDanceOld"] = false,
									["hasMinDurationOfCrimsonVial"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfCheapShot"] = false,
									["hasMinDurationOfStealth1"] = false,
									["hasMaxDurationOfVanish1"] = false,
									["checkHealthPerc"] = false,
									["checkDurationOfShadowDanceOld"] = false,
									["checkCooldownForShadowDance"] = false,
									["checkDurationOfNightblade"] = false,
									["require_not_pvp"] = false,
									["checkDurationOfGoremawsBite"] = false,
									["maxCooldownForVanish"] = 0,
									["primary"] = true,
									["checkDurationOfVanish1"] = false,
									["minTimeToKill"] = 0,
									["checkDurationOfStealth2"] = false,
									["checkGroupSize"] = false,
									["hasMaxGroupSize"] = false,
									["maxDurationOfCheapShot"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["maxEnergy"] = 150,
									["checkCooldownForSymbolsOfDeath"] = false,
									["minCooldownForSymbolsOfDeath"] = 0,
									["checkTimeToKillSolo"] = false,
									["hasMaxDurationOfCheapShot"] = false,
									["priority"] = 496,
									["hasMinCooldownForShadowDance"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["minDurationOfCrimsonVial"] = 0,
									["enabled"] = true,
									["hasMaxCooldownForGoremawsBite"] = true,
									["hasMinDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["checkDurationOfShadowDance"] = false,
									["hasMinDurationOfGoremawsBite"] = false,
									["minChargesForShadowDance"] = 0,
									["hasMaxCooldownForCrimsonVial"] = false,
									["maxDurationOfNightblade"] = 0,
									["hasMinDurationOfShadowBlades"] = false,
									["hasMinDurationOfVanish2"] = false,
									["checkChargesForShadowDance"] = false,
									["require_not_instance"] = false,
									["minCooldownForShadowBlades"] = 0,
									["hasMinTimeToKillRaid"] = false,
									["maxDurationOfSubterfuge"] = 0,
									["hasMaxTimeToKillRaid"] = false,
									["minTimeToKillRaid"] = 0,
									["checkDurationOfShadowBlades"] = false,
									["hasMaxCooldownForSymbolsOfDeath"] = false,
									["hasMinDurationOfShadowDance"] = false,
									["minDurationOfShadowDance"] = 0,
									["maxDurationOfShadowDance"] = 0,
									["maxDurationOfSymbolsOfDeath"] = 0,
									["maxDurationOfShadowBlades"] = 0,
									["spell"] = {
										["debugName"] = "GoremawsBite",
										["name"] = "Goremaw's Bite",
										["icon_id"] = 1120132,
										["spell_id"] = 209782,
										["cooldown"] = 60,
									},
									["hasMaxDurationOfCrimsonVial"] = false,
									["minDurationOfShadowDanceOld"] = 0,
									["maxCooldownForShadowDance"] = 0,
									["hasMinTimeToKillSolo"] = false,
									["maxDurationOfVanish1"] = 0,
									["hasMaxChargesForShadowDance"] = false,
									["minDurationOfVanish3"] = 0,
									["maxCooldownForCheapShot"] = 0,
									["minCooldownForCheapShot"] = 0,
									["hasMinChargesForShadowDance"] = false,
									["checkDurationOfCheapShot"] = false,
									["hasMaxDurationOfSymbolsOfDeath"] = false,
									["hasMinDurationOfShadowDanceOld"] = false,
									["hasMaxDurationOfStealth1"] = false,
								}, -- [1]
							},
							["auras"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["target"] = "player",
									["max_duration"] = 45,
									["aura_id"] = 212283,
								}, -- [1]
								{
									["debugName"] = "Nightblade",
									["name"] = "Nightblade",
									["icon_id"] = 1373907,
									["target"] = "target",
									["max_duration"] = 26,
									["aura_id"] = 195452,
								}, -- [2]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["target"] = "player",
									["max_duration"] = 26,
									["aura_id"] = 121471,
								}, -- [3]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaws Bite",
									["icon_id"] = 1120132,
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 220901,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth1",
									["name"] = "Stealth 1",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [5]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [7]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish1",
									["name"] = "Vanish 1",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [8]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [9]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [10]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDanceOld",
									["name"] = "Shadow Dance Old",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 51713,
								}, -- [11]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 185422,
								}, -- [12]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 185311,
								}, -- [13]
								{
									["is_stealthy"] = false,
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
									["target"] = "target",
									["max_duration"] = 5.2013,
									["hidden"] = false,
									["aura_id"] = 1833,
								}, -- [14]
							},
						}, -- [10]
						{
							["spell"] = {
								["debugName"] = "CrimsonVial",
								["name"] = "Crimson Vial",
								["icon_id"] = 1373904,
								["spell_id"] = 185311,
								["cooldown"] = 30,
							},
							["name"] = "Crimson Vial",
							["cooldowns"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["spell_id"] = 212283,
									["cooldown"] = 45,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 252272,
									["spell_id"] = 185313,
									["cooldown"] = 60,
									["charges"] = 3,
								}, -- [3]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["spell_id"] = 121471,
									["cooldown"] = 180,
								}, -- [4]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaw's Bite",
									["icon_id"] = 1120132,
									["spell_id"] = 209782,
									["cooldown"] = 60,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = 132092,
									["spell_id"] = 1833,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["require_instance"] = false,
									["minDurationOfNightblade"] = 0,
									["checkCooldownForShadowBlades"] = false,
									["hasMinHealthPerc"] = false,
									["maxGroupSize"] = 0,
									["checkDurationOfShadowDance"] = false,
									["maxDurationOfShadowBlades"] = 0,
									["maxDurationOfSymbolsOfDeath"] = 0,
									["hasMinDurationOfStealth2"] = false,
									["maxChargesForShadowDance"] = 0,
									["minCooldownForVanish"] = 0,
									["maxCooldownForShadowBlades"] = 0,
									["hasMaxGroupSize"] = false,
									["checkChargesForShadowDance"] = false,
									["minComboPoints"] = 0,
									["minEnergy"] = 30,
									["maxTimeToKillSolo"] = 0,
									["minDurationOfCheapShot"] = 0,
									["minDurationOfSymbolsOfDeath"] = 0,
									["minDurationOfStealth1"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["maxDurationOfStealth2"] = 0,
									["hasMaxCooldownForShadowDance"] = false,
									["primary"] = false,
									["maxCooldownForSymbolsOfDeath"] = 0,
									["hasMaxComboPoints"] = false,
									["minDurationOfShadowBlades"] = 0,
									["require_not_pvp"] = false,
									["hasMaxCooldownForCheapShot"] = false,
									["hasMaxTimeToKill"] = false,
									["hasMaxDurationOfNightblade"] = false,
									["minDurationOfGoremawsBite"] = 0,
									["maxDurationOfVanish2"] = 0,
									["checkDurationOfVanish2"] = false,
									["hasMaxEnergy"] = false,
									["hasMaxDurationOfVanish2"] = false,
									["cache_spells"] = {
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "SymbolsOfDeath",
												["name"] = "Symbols of Death",
												["icon_id"] = 252272,
												["spell_id"] = 212283,
												["cooldown"] = 45,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [1]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [2]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowDance",
												["name"] = "Shadow Dance",
												["icon_id"] = 252272,
												["spell_id"] = 185313,
												["cooldown"] = 60,
												["charges"] = 3,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [3]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "ShadowBlades",
												["name"] = "Shadow Blades",
												["icon_id"] = 376022,
												["spell_id"] = 121471,
												["cooldown"] = 180,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [4]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "GoremawsBite",
												["name"] = "Goremaw's Bite",
												["icon_id"] = 1120132,
												["spell_id"] = 209782,
												["cooldown"] = 60,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [5]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["maxDurationOfGoremawsBite"] = 0,
											["maxDurationOfShadowDance"] = 0,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["hasMinDurationOfVanish1"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["minHealthPerc"] = 0,
											["minCooldownForSymbolsOfDeath"] = 0,
											["checkCooldownForCheapShot"] = false,
											["require_not_stealthed"] = false,
											["hasMinComboPoints"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfVanish2"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkHealthPerc"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxDurationOfStealth2"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForCheapShot"] = 0,
											["maxCooldownForVanish"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeToKillSolo"] = 0,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkCooldownForShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForShadowBlades"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMinEnergy"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minComboPoints"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMinDurationOfStealth1"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["minTimeToKillSolo"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [6]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["hasMinEnergy"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeToKillSolo"] = 0,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["minDurationOfStealth1"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["maxDurationOfVanish1"] = 0,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["minDurationOfVanish3"] = 0,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["checkDurationOfCheapShot"] = false,
											["checkCooldownForVanish"] = false,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMinComboPoints"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfShadowDance"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["checkDurationOfVanish2"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["maxCooldownForGoremawsBite"] = 0,
											["checkCooldownForShadowDance"] = false,
											["minChargesForShadowDance"] = 0,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["checkHealthPerc"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMinDurationOfStealth1"] = false,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["checkDurationOfStealth2"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["maxCooldownForVanish"] = 0,
											["minCooldownForVanish"] = 0,
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfCrimsonVial"] = 0,
											["hasMinCooldownForVanish"] = false,
											["hasMinChargesForShadowDance"] = false,
											["checkChargesForShadowDance"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMinTimeToKillSolo"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["require_not_stealthed"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMinDurationOfGoremawsBite"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["maxEnergy"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForShadowDance"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["minDurationOfShadowDance"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["spell"] = {
												["debugName"] = "CheapShot",
												["name"] = "Cheap Shot",
												["icon_id"] = 132092,
												["spell_id"] = 1833,
												["cooldown"] = 1,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["minTimeSinceCastForCheapShot"] = 0,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["hasMinDurationOfVanish1"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkDurationOfShadowDanceOld"] = false,
											["checkComboPoints"] = false,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [7]
									},
									["hasMinChargesForShadowDance"] = false,
									["checkDurationOfSymbolsOfDeath"] = false,
									["minDurationOfStealth2"] = 0,
									["hasMinDurationOfSymbolsOfDeath"] = false,
									["checkCooldownForShadowDance"] = false,
									["minDurationOfSubterfuge"] = 0,
									["minCooldownForShadowDance"] = 0,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["checkDurationOfShadowDanceOld"] = false,
									["poolEnergyIfLow"] = true,
									["maxCooldownForShadowDance"] = 0,
									["hasMaxCooldownForShadowBlades"] = false,
									["require_stealthed"] = false,
									["hasMinCooldownForGoremawsBite"] = false,
									["maxDurationOfCrimsonVial"] = 0,
									["minTimeToKillSolo"] = 0,
									["maxDurationOfGoremawsBite"] = 0,
									["checkComboPoints"] = false,
									["cooldowns"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["spell_id"] = 212283,
											["cooldown"] = 45,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 252272,
											["spell_id"] = 185313,
											["cooldown"] = 60,
											["charges"] = 3,
										}, -- [3]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["spell_id"] = 121471,
											["cooldown"] = 180,
										}, -- [4]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaw's Bite",
											["icon_id"] = 1120132,
											["spell_id"] = 209782,
											["cooldown"] = 60,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = 132092,
											["spell_id"] = 1833,
											["cooldown"] = 1,
										}, -- [7]
									},
									["checkDurationOfStealth1"] = false,
									["checkCooldownForGoremawsBite"] = false,
									["hasMaxTimeToKillSolo"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["checkEnergy"] = true,
									["minDurationOfVanish1"] = 0,
									["auras"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["target"] = "player",
											["max_duration"] = 45,
											["aura_id"] = 212283,
										}, -- [1]
										{
											["debugName"] = "Nightblade",
											["name"] = "Nightblade",
											["icon_id"] = 1373907,
											["target"] = "target",
											["max_duration"] = 26,
											["aura_id"] = 195452,
										}, -- [2]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["target"] = "player",
											["max_duration"] = 26,
											["aura_id"] = 121471,
										}, -- [3]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaws Bite",
											["icon_id"] = 1120132,
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 220901,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth1",
											["name"] = "Stealth 1",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [5]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [7]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish1",
											["name"] = "Vanish 1",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [8]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [9]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [10]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDanceOld",
											["name"] = "Shadow Dance Old",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 51713,
										}, -- [11]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 185422,
										}, -- [12]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 185311,
										}, -- [13]
										{
											["is_stealthy"] = false,
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
											["target"] = "target",
											["max_duration"] = 5.2013,
											["hidden"] = false,
											["aura_id"] = 1833,
										}, -- [14]
									},
									["maxComboPoints"] = 0,
									["hasMinCooldownForCheapShot"] = false,
									["maxTimeToKill"] = 0,
									["maxDurationOfShadowDanceOld"] = 0,
									["hasMaxDurationOfShadowDance"] = false,
									["require_not_stealthed"] = false,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["checkCooldownForCrimsonVial"] = true,
									["minDurationOfVanish2"] = 0,
									["checkTimeToKill"] = false,
									["checkCooldownForVanish"] = false,
									["checkTimeToKillRaid"] = false,
									["hasMinCooldownForShadowBlades"] = false,
									["hasMinDurationOfNightblade"] = false,
									["hasMinCooldownForSymbolsOfDeath"] = false,
									["hasMinComboPoints"] = false,
									["minHealthPerc"] = 65,
									["checkCooldownForCheapShot"] = false,
									["require_boss_fight"] = false,
									["hasMinGroupSize"] = false,
									["hasMinTimeToKill"] = false,
									["maxCooldownForGoremawsBite"] = 0,
									["minGroupSize"] = 0,
									["require_not_boss_fight"] = false,
									["require_pvp"] = false,
									["hasMinDurationOfCrimsonVial"] = false,
									["hasMaxDurationOfVanish1"] = false,
									["hasMinDurationOfCheapShot"] = false,
									["hasMinDurationOfStealth1"] = false,
									["checkHealthPerc"] = true,
									["hasMaxDurationOfStealth1"] = false,
									["maxCooldownForVanish"] = 0,
									["minDurationOfVanish3"] = 0,
									["checkDurationOfNightblade"] = false,
									["maxDurationOfStealth1"] = 0,
									["checkDurationOfGoremawsBite"] = false,
									["hasMaxDurationOfShadowDanceOld"] = false,
									["minTimeToKill"] = 0,
									["hasMaxDurationOfGoremawsBite"] = false,
									["maxEnergy"] = 0,
									["minChargesForShadowDance"] = 0,
									["checkGroupSize"] = false,
									["checkDurationOfVanish3"] = false,
									["hasMinTimeToKillSolo"] = false,
									["hasMinCooldownForCrimsonVial"] = false,
									["minDurationOfCrimsonVial"] = 0,
									["checkCooldownForSymbolsOfDeath"] = false,
									["checkDurationOfVanish1"] = false,
									["checkTimeToKillSolo"] = false,
									["checkDurationOfCrimsonVial"] = false,
									["priority"] = 550,
									["hasMinCooldownForShadowDance"] = false,
									["hasMinDurationOfVanish1"] = false,
									["maxCooldownForCheapShot"] = 0,
									["minCooldownForGoremawsBite"] = 0,
									["hasMaxCooldownForGoremawsBite"] = false,
									["hasMinDurationOfVanish3"] = false,
									["maxHealthPerc"] = 70,
									["enabled"] = true,
									["hasMinDurationOfGoremawsBite"] = false,
									["hasMinCooldownForVanish"] = false,
									["hasMaxCooldownForCrimsonVial"] = true,
									["maxDurationOfNightblade"] = 0,
									["hasMinDurationOfShadowBlades"] = false,
									["hasMinDurationOfVanish2"] = false,
									["maxDurationOfSubterfuge"] = 0,
									["require_not_instance"] = true,
									["minCooldownForShadowBlades"] = 0,
									["hasMinTimeToKillRaid"] = false,
									["maxDurationOfCheapShot"] = 0,
									["hasMaxTimeToKillRaid"] = false,
									["minTimeToKillRaid"] = 0,
									["checkDurationOfShadowBlades"] = false,
									["hasMaxCooldownForSymbolsOfDeath"] = false,
									["hasMinDurationOfShadowDance"] = false,
									["minDurationOfShadowDance"] = 0,
									["maxDurationOfShadowDance"] = 0,
									["hasMinEnergy"] = true,
									["hasMaxDurationOfShadowBlades"] = false,
									["spell"] = {
										["debugName"] = "CrimsonVial",
										["name"] = "Crimson Vial",
										["icon_id"] = 1373904,
										["spell_id"] = 185311,
										["cooldown"] = 30,
									},
									["hasMaxDurationOfCrimsonVial"] = false,
									["minDurationOfShadowDanceOld"] = 0,
									["checkDurationOfStealth2"] = false,
									["hasMaxDurationOfSymbolsOfDeath"] = false,
									["hasMaxHealthPerc"] = true,
									["hasMaxChargesForShadowDance"] = false,
									["hasMaxDurationOfCheapShot"] = false,
									["maxDurationOfVanish1"] = 0,
									["minCooldownForCheapShot"] = 0,
									["checkDurationOfCheapShot"] = false,
									["hasMaxDurationOfVanish3"] = false,
									["minCooldownForSymbolsOfDeath"] = 0,
									["hasMaxDurationOfStealth2"] = false,
									["hasMinDurationOfShadowDanceOld"] = false,
								}, -- [1]
							},
							["auras"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["target"] = "player",
									["max_duration"] = 45,
									["aura_id"] = 212283,
								}, -- [1]
								{
									["debugName"] = "Nightblade",
									["name"] = "Nightblade",
									["icon_id"] = 1373907,
									["target"] = "target",
									["max_duration"] = 26,
									["aura_id"] = 195452,
								}, -- [2]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["target"] = "player",
									["max_duration"] = 26,
									["aura_id"] = 121471,
								}, -- [3]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaws Bite",
									["icon_id"] = 1120132,
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 220901,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth1",
									["name"] = "Stealth 1",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [5]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [7]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish1",
									["name"] = "Vanish 1",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [8]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [9]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [10]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDanceOld",
									["name"] = "Shadow Dance Old",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 51713,
								}, -- [11]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 185422,
								}, -- [12]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 185311,
								}, -- [13]
								{
									["is_stealthy"] = false,
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
									["target"] = "target",
									["max_duration"] = 5.2013,
									["hidden"] = false,
									["aura_id"] = 1833,
								}, -- [14]
							},
						}, -- [11]
						{
							["spell"] = {
								["debugName"] = "CheapShot",
								["name"] = "Cheap Shot",
								["icon_id"] = 132092,
								["spell_id"] = 1833,
							},
							["name"] = "Cheap Shot",
							["cooldowns"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["spell_id"] = 212283,
									["cooldown"] = 45,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 252272,
									["spell_id"] = 185313,
									["cooldown"] = 60,
									["charges"] = 3,
								}, -- [3]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["spell_id"] = 121471,
									["cooldown"] = 180,
								}, -- [4]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaw's Bite",
									["icon_id"] = 1120132,
									["spell_id"] = 209782,
									["cooldown"] = 60,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = 132092,
									["spell_id"] = 1833,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["require_instance"] = false,
									["hasMinTimeToKillRaid"] = false,
									["checkCooldownForShadowBlades"] = false,
									["hasMinHealthPerc"] = false,
									["maxGroupSize"] = 0,
									["checkDurationOfShadowDance"] = false,
									["maxDurationOfShadowBlades"] = 0,
									["maxDurationOfSymbolsOfDeath"] = 0,
									["hasMinDurationOfStealth2"] = false,
									["maxChargesForShadowDance"] = 0,
									["minCooldownForVanish"] = 0,
									["maxCooldownForShadowBlades"] = 0,
									["maxCooldownForCheapShot"] = 0,
									["checkDurationOfVanish3"] = false,
									["minComboPoints"] = 0,
									["minEnergy"] = 40,
									["hasMinCooldownForVanish"] = false,
									["minDurationOfCheapShot"] = 0,
									["minDurationOfSymbolsOfDeath"] = 0,
									["minDurationOfStealth1"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["maxDurationOfStealth2"] = 0,
									["hasMaxCooldownForShadowDance"] = false,
									["hasMaxHealthPerc"] = false,
									["maxCooldownForSymbolsOfDeath"] = 0,
									["hasMaxComboPoints"] = false,
									["minDurationOfShadowBlades"] = 0,
									["checkDurationOfCrimsonVial"] = false,
									["hasMaxCooldownForCheapShot"] = false,
									["hasMaxDurationOfNightblade"] = false,
									["minDurationOfGoremawsBite"] = 0,
									["maxDurationOfVanish2"] = 0,
									["checkDurationOfVanish2"] = false,
									["hasMaxEnergy"] = false,
									["hasMaxDurationOfVanish2"] = false,
									["cache_spells"] = {
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["minCooldownForVanish"] = 0,
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["hasMinChargesForShadowDance"] = false,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["checkCooldownForShadowDance"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkCooldownForVanish"] = false,
											["maxDurationOfShadowDance"] = 0,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["checkDurationOfCheapShot"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfVanish3"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfVanish2"] = false,
											["minTimeSinceCastForCheapShot"] = 0,
											["hasMinDurationOfVanish1"] = false,
											["maxCooldownForGoremawsBite"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfVanish1"] = 0,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["hasMinDurationOfStealth1"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["maxTimeToKillSolo"] = 0,
											["minDurationOfStealth1"] = 0,
											["hasMinEnergy"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMinDurationOfVanish2"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["hasMinDurationOfGoremawsBite"] = false,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["enabled"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["minDurationOfShadowDance"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth2"] = false,
											["checkHealthPerc"] = false,
											["spell"] = {
												["debugName"] = "SymbolsOfDeath",
												["name"] = "Symbols of Death",
												["icon_id"] = 252272,
												["spell_id"] = 212283,
												["cooldown"] = 45,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minTimeSinceCastForVanish"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [1]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["minCooldownForVanish"] = 0,
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["hasMinChargesForShadowDance"] = false,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["checkCooldownForShadowDance"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkCooldownForVanish"] = false,
											["maxDurationOfShadowDance"] = 0,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["checkDurationOfCheapShot"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfVanish3"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfVanish2"] = false,
											["minTimeSinceCastForCheapShot"] = 0,
											["hasMinDurationOfVanish1"] = false,
											["maxCooldownForGoremawsBite"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfVanish1"] = 0,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["hasMinDurationOfStealth1"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["maxTimeToKillSolo"] = 0,
											["minDurationOfStealth1"] = 0,
											["hasMinEnergy"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMinDurationOfVanish2"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["hasMinDurationOfGoremawsBite"] = false,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["enabled"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["minDurationOfShadowDance"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth2"] = false,
											["checkHealthPerc"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minTimeSinceCastForVanish"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [2]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["minCooldownForVanish"] = 0,
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["hasMinChargesForShadowDance"] = false,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["checkCooldownForShadowDance"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkCooldownForVanish"] = false,
											["maxDurationOfShadowDance"] = 0,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["checkDurationOfCheapShot"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfVanish3"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfVanish2"] = false,
											["minTimeSinceCastForCheapShot"] = 0,
											["hasMinDurationOfVanish1"] = false,
											["maxCooldownForGoremawsBite"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfVanish1"] = 0,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["hasMinDurationOfStealth1"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["maxTimeToKillSolo"] = 0,
											["minDurationOfStealth1"] = 0,
											["hasMinEnergy"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMinDurationOfVanish2"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["hasMinDurationOfGoremawsBite"] = false,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["enabled"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["minDurationOfShadowDance"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth2"] = false,
											["checkHealthPerc"] = false,
											["spell"] = {
												["debugName"] = "ShadowDance",
												["name"] = "Shadow Dance",
												["icon_id"] = 252272,
												["spell_id"] = 185313,
												["cooldown"] = 60,
												["charges"] = 3,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minTimeSinceCastForVanish"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [3]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["minCooldownForVanish"] = 0,
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["hasMinChargesForShadowDance"] = false,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["checkCooldownForShadowDance"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkCooldownForVanish"] = false,
											["maxDurationOfShadowDance"] = 0,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["checkDurationOfCheapShot"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfVanish3"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfVanish2"] = false,
											["minTimeSinceCastForCheapShot"] = 0,
											["hasMinDurationOfVanish1"] = false,
											["maxCooldownForGoremawsBite"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfVanish1"] = 0,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["hasMinDurationOfStealth1"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["maxTimeToKillSolo"] = 0,
											["minDurationOfStealth1"] = 0,
											["hasMinEnergy"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMinDurationOfVanish2"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["hasMinDurationOfGoremawsBite"] = false,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["enabled"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["minDurationOfShadowDance"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth2"] = false,
											["checkHealthPerc"] = false,
											["spell"] = {
												["debugName"] = "ShadowBlades",
												["name"] = "Shadow Blades",
												["icon_id"] = 376022,
												["spell_id"] = 121471,
												["cooldown"] = 180,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minTimeSinceCastForVanish"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [4]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["minCooldownForVanish"] = 0,
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["hasMinChargesForShadowDance"] = false,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["checkCooldownForShadowDance"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkCooldownForVanish"] = false,
											["maxDurationOfShadowDance"] = 0,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["checkDurationOfCheapShot"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfVanish3"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfVanish2"] = false,
											["minTimeSinceCastForCheapShot"] = 0,
											["hasMinDurationOfVanish1"] = false,
											["maxCooldownForGoremawsBite"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfVanish1"] = 0,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["hasMinDurationOfStealth1"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["maxTimeToKillSolo"] = 0,
											["minDurationOfStealth1"] = 0,
											["hasMinEnergy"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMinDurationOfVanish2"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["hasMinDurationOfGoremawsBite"] = false,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["enabled"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["minDurationOfShadowDance"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth2"] = false,
											["checkHealthPerc"] = false,
											["spell"] = {
												["debugName"] = "GoremawsBite",
												["name"] = "Goremaw's Bite",
												["icon_id"] = 1120132,
												["spell_id"] = 209782,
												["cooldown"] = 60,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minTimeSinceCastForVanish"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [5]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["minCooldownForVanish"] = 0,
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = false,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["hasMinChargesForShadowDance"] = false,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["checkCooldownForShadowDance"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkCooldownForVanish"] = false,
											["maxDurationOfShadowDance"] = 0,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["checkDurationOfCheapShot"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfVanish3"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfVanish2"] = false,
											["minTimeSinceCastForCheapShot"] = 0,
											["hasMinDurationOfVanish1"] = false,
											["maxCooldownForGoremawsBite"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfVanish1"] = 0,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["hasMinDurationOfStealth1"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["maxTimeToKillSolo"] = 0,
											["minDurationOfStealth1"] = 0,
											["hasMinEnergy"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMinDurationOfVanish2"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = false,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["hasMinDurationOfGoremawsBite"] = false,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["enabled"] = false,
											["hasMaxDurationOfGoremawsBite"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["minDurationOfShadowDance"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth2"] = false,
											["checkHealthPerc"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minTimeSinceCastForVanish"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [6]
										{
											["checkDurationOfVanish1"] = false,
											["minDurationOfNightblade"] = 0,
											["checkCooldownForShadowBlades"] = false,
											["hasMinHealthPerc"] = false,
											["hasMaxDurationOfVanish1"] = false,
											["checkDurationOfShadowDance"] = false,
											["hasMaxDurationOfShadowBlades"] = false,
											["maxDurationOfSymbolsOfDeath"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["maxTimeSinceCastForShadowBlades"] = 0,
											["maxChargesForShadowDance"] = 0,
											["minCooldownForVanish"] = 0,
											["maxCooldownForShadowBlades"] = 0,
											["hasMaxTimeSinceCastForSymbolsOfDeath"] = false,
											["checkDurationOfVanish3"] = false,
											["TimestampComparedToShadowBlades"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minEnergy"] = 0,
											["TimestampComparedToGoremawsBite"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinCooldownForVanish"] = false,
											["minDurationOfCheapShot"] = 0,
											["minDurationOfSymbolsOfDeath"] = 0,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxCooldownForShadowDance"] = false,
											["hasMaxHealthPerc"] = false,
											["maxCooldownForSymbolsOfDeath"] = 0,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForShadowDance"] = 0,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["minDurationOfShadowBlades"] = 0,
											["checkDurationOfCrimsonVial"] = false,
											["hasMaxCooldownForCheapShot"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfNightblade"] = false,
											["hasMaxTimeSinceCastForShadowBlades"] = false,
											["maxDurationOfVanish2"] = 0,
											["checkTimeSinceCastForCheapShot"] = true,
											["hasMaxEnergy"] = false,
											["hasMinTimeSinceCastForShadowBlades"] = false,
											["hasMaxDurationOfVanish2"] = false,
											["minTimeSinceCastForGoremawsBite"] = 0,
											["hasMinChargesForShadowDance"] = false,
											["maxTimeSinceCastForGoremawsBite"] = 0,
											["checkDurationOfSymbolsOfDeath"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinDurationOfSymbolsOfDeath"] = false,
											["checkCooldownForShadowDance"] = false,
											["minDurationOfSubterfuge"] = 0,
											["minCooldownForShadowDance"] = 0,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["maxDurationOfStealth1"] = 0,
											["checkTimeSinceCastForVanish"] = false,
											["maxCooldownForShadowDance"] = 0,
											["hasMaxCooldownForShadowBlades"] = false,
											["require_stealthed"] = false,
											["hasMinCooldownForGoremawsBite"] = false,
											["maxDurationOfCrimsonVial"] = 0,
											["minTimeToKillSolo"] = 0,
											["maxDurationOfGoremawsBite"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth1"] = false,
											["checkCooldownForGoremawsBite"] = false,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["checkEnergy"] = false,
											["minDurationOfVanish1"] = 0,
											["maxComboPoints"] = 0,
											["hasMinCooldownForCheapShot"] = false,
											["maxDurationOfShadowDanceOld"] = 0,
											["hasMaxDurationOfShadowDance"] = false,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinDurationOfShadowDanceOld"] = false,
											["minCooldownForGoremawsBite"] = 0,
											["checkCooldownForVanish"] = false,
											["maxDurationOfShadowDance"] = 0,
											["checkTimeToKillRaid"] = false,
											["hasMinCooldownForShadowBlades"] = false,
											["hasMaxDurationOfCheapShot"] = false,
											["hasMinDurationOfNightblade"] = false,
											["hasMinTimeSinceCastForGoremawsBite"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minChargesForShadowDance"] = 0,
											["checkDurationOfCheapShot"] = false,
											["minHealthPerc"] = 0,
											["hasMaxDurationOfShadowDanceOld"] = false,
											["checkCooldownForCheapShot"] = false,
											["maxDurationOfVanish3"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfVanish2"] = false,
											["minTimeSinceCastForCheapShot"] = 20,
											["hasMinDurationOfVanish1"] = false,
											["maxCooldownForGoremawsBite"] = 0,
											["hasMinCooldownForSymbolsOfDeath"] = false,
											["hasMaxDurationOfSymbolsOfDeath"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfVanish1"] = 0,
											["minComboPoints"] = 0,
											["maxTimeSinceCastForSymbolsOfDeath"] = 0,
											["minDurationOfCrimsonVial"] = 0,
											["maxTimeSinceCastForCheapShot"] = 0,
											["hasMaxTimeSinceCastForVanish"] = false,
											["hasMaxTimeSinceCastForGoremawsBite"] = false,
											["checkTimeSinceCastForSymbolsOfDeath"] = false,
											["hasMinDurationOfCrimsonVial"] = false,
											["hasMinDurationOfShadowDance"] = false,
											["hasMinDurationOfCheapShot"] = false,
											["hasMinDurationOfStealth1"] = false,
											["hasMaxTimeSinceCastForCheapShot"] = false,
											["checkChargesForShadowDance"] = false,
											["TimestampComparedToCheapShot"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeSinceCastForSymbolsOfDeath"] = 0,
											["checkDurationOfNightblade"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinTimeSinceCastForSymbolsOfDeath"] = false,
											["maxTimeToKillSolo"] = 0,
											["minDurationOfStealth1"] = 0,
											["hasMinEnergy"] = false,
											["maxDurationOfShadowBlades"] = 0,
											["minDurationOfGoremawsBite"] = 0,
											["maxDurationOfCheapShot"] = 0,
											["hasMinTimeToKillSolo"] = false,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForShadowDance"] = false,
											["checkCooldownForSymbolsOfDeath"] = false,
											["hasMinDurationOfVanish2"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinDurationOfShadowBlades"] = false,
											["hasMinTimeSinceCastForCheapShot"] = true,
											["hasMinCooldownForShadowDance"] = false,
											["maxDurationOfNightblade"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMaxCooldownForSymbolsOfDeath"] = false,
											["hasMaxCooldownForGoremawsBite"] = false,
											["hasMinDurationOfVanish3"] = false,
											["maxHealthPerc"] = 0,
											["hasMinTimeToKillRaid"] = false,
											["hasMinDurationOfGoremawsBite"] = false,
											["minTimeSinceCastForShadowDance"] = 0,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfShadowBlades"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minTimeSinceCastForShadowBlades"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForShadowBlades"] = 0,
											["checkDurationOfGoremawsBite"] = false,
											["enabled"] = true,
											["hasMaxDurationOfGoremawsBite"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["maxCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowDance"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["minDurationOfShadowDance"] = 0,
											["TimestampComparedToShadowDance"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkDurationOfStealth2"] = false,
											["checkHealthPerc"] = false,
											["spell"] = {
												["debugName"] = "CheapShot",
												["name"] = "Cheap Shot",
												["icon_id"] = 132092,
												["spell_id"] = 1833,
												["cooldown"] = 1,
											},
											["hasMaxDurationOfCrimsonVial"] = false,
											["minDurationOfShadowDanceOld"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForShadowDance"] = false,
											["TimestampComparedToSymbolsOfDeath"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMaxChargesForShadowDance"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["checkDurationOfShadowDanceOld"] = false,
											["minCooldownForCheapShot"] = 0,
											["checkTimeSinceCastForShadowBlades"] = false,
											["minTimeSinceCastForVanish"] = 0,
											["checkTimeSinceCastForGoremawsBite"] = false,
											["minCooldownForSymbolsOfDeath"] = 0,
											["hasMaxDurationOfStealth1"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfCheapShot"] = false,
									["checkDurationOfSymbolsOfDeath"] = false,
									["minDurationOfStealth2"] = 0,
									["hasMinDurationOfSymbolsOfDeath"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["minDurationOfSubterfuge"] = 0,
									["minCooldownForShadowDance"] = 0,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["checkDurationOfShadowDanceOld"] = false,
									["poolEnergyIfLow"] = true,
									["maxCooldownForShadowDance"] = 0,
									["hasMaxCooldownForShadowBlades"] = false,
									["require_stealthed"] = true,
									["hasMinCooldownForGoremawsBite"] = false,
									["maxDurationOfCrimsonVial"] = 0,
									["minTimeToKillSolo"] = 3,
									["maxDurationOfGoremawsBite"] = 0,
									["checkComboPoints"] = false,
									["cooldowns"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["spell_id"] = 212283,
											["cooldown"] = 45,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 252272,
											["spell_id"] = 185313,
											["cooldown"] = 60,
											["charges"] = 3,
										}, -- [3]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["spell_id"] = 121471,
											["cooldown"] = 180,
										}, -- [4]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaw's Bite",
											["icon_id"] = 1120132,
											["spell_id"] = 209782,
											["cooldown"] = 60,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = 132092,
											["spell_id"] = 1833,
											["cooldown"] = 1,
										}, -- [7]
									},
									["checkDurationOfStealth1"] = false,
									["checkCooldownForGoremawsBite"] = false,
									["hasMaxTimeToKillSolo"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["checkEnergy"] = true,
									["minDurationOfVanish1"] = 0,
									["auras"] = {
										{
											["debugName"] = "SymbolsOfDeath",
											["name"] = "Symbols of Death",
											["icon_id"] = 252272,
											["target"] = "player",
											["max_duration"] = 45,
											["aura_id"] = 212283,
										}, -- [1]
										{
											["debugName"] = "Nightblade",
											["name"] = "Nightblade",
											["icon_id"] = 1373907,
											["target"] = "target",
											["max_duration"] = 26,
											["aura_id"] = 195452,
										}, -- [2]
										{
											["debugName"] = "ShadowBlades",
											["name"] = "Shadow Blades",
											["icon_id"] = 376022,
											["target"] = "player",
											["max_duration"] = 26,
											["aura_id"] = 121471,
										}, -- [3]
										{
											["debugName"] = "GoremawsBite",
											["name"] = "Goremaws Bite",
											["icon_id"] = 1120132,
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 220901,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth1",
											["name"] = "Stealth 1",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [5]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [7]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish1",
											["name"] = "Vanish 1",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [8]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [9]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = 132331,
											["target"] = "player",
											["max_duration"] = 3,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [10]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDanceOld",
											["name"] = "Shadow Dance Old",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 51713,
										}, -- [11]
										{
											["is_stealthy"] = true,
											["debugName"] = "ShadowDance",
											["name"] = "Shadow Dance",
											["icon_id"] = 236279,
											["target"] = "player",
											["max_duration"] = 5,
											["hidden"] = true,
											["aura_id"] = 185422,
										}, -- [12]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
											["target"] = "player",
											["max_duration"] = 7.8,
											["aura_id"] = 185311,
										}, -- [13]
										{
											["is_stealthy"] = false,
											["debugName"] = "CheapShot",
											["name"] = "Cheap Shot",
											["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
											["target"] = "target",
											["max_duration"] = 5.2013,
											["hidden"] = false,
											["aura_id"] = 1833,
										}, -- [14]
									},
									["maxComboPoints"] = 0,
									["hasMinCooldownForCheapShot"] = false,
									["maxDurationOfShadowDanceOld"] = 0,
									["hasMaxDurationOfShadowDance"] = false,
									["require_not_stealthed"] = false,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["minDurationOfVanish2"] = 0,
									["checkCooldownForVanish"] = false,
									["checkTimeToKillRaid"] = false,
									["hasMinCooldownForShadowBlades"] = false,
									["hasMinDurationOfNightblade"] = false,
									["hasMinCooldownForSymbolsOfDeath"] = false,
									["minChargesForShadowDance"] = 0,
									["minHealthPerc"] = 0,
									["checkCooldownForCheapShot"] = false,
									["require_boss_fight"] = false,
									["hasMinGroupSize"] = false,
									["maxCooldownForGoremawsBite"] = 0,
									["minGroupSize"] = 0,
									["require_not_boss_fight"] = false,
									["hasMinDurationOfCrimsonVial"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfCheapShot"] = false,
									["hasMinDurationOfStealth1"] = false,
									["require_pvp"] = true,
									["hasMaxDurationOfVanish1"] = false,
									["checkHealthPerc"] = false,
									["hasMinTimeToKillSolo"] = true,
									["checkDurationOfNightblade"] = false,
									["minCooldownForSymbolsOfDeath"] = 0,
									["minDurationOfCrimsonVial"] = 0,
									["require_not_pvp"] = false,
									["maxDurationOfShadowDance"] = 0,
									["minDurationOfVanish3"] = 0,
									["primary"] = true,
									["minCooldownForGoremawsBite"] = 0,
									["hasMinDurationOfShadowDanceOld"] = false,
									["checkGroupSize"] = false,
									["maxDurationOfSubterfuge"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["checkChargesForShadowDance"] = false,
									["checkCooldownForSymbolsOfDeath"] = false,
									["checkDurationOfGoremawsBite"] = false,
									["checkTimeToKillSolo"] = false,
									["hasMinComboPoints"] = false,
									["maxDurationOfVanish1"] = 0,
									["hasMinCooldownForShadowDance"] = false,
									["priority"] = 505,
									["hasMaxDurationOfShadowBlades"] = false,
									["maxDurationOfCheapShot"] = 0,
									["hasMaxCooldownForGoremawsBite"] = false,
									["hasMinDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["checkCooldownForShadowDance"] = false,
									["hasMinDurationOfGoremawsBite"] = false,
									["checkDurationOfVanish1"] = false,
									["hasMaxCooldownForCrimsonVial"] = false,
									["checkDurationOfShadowBlades"] = false,
									["hasMinDurationOfShadowBlades"] = false,
									["hasMinDurationOfVanish2"] = false,
									["hasMaxDurationOfGoremawsBite"] = false,
									["require_not_instance"] = false,
									["minCooldownForShadowBlades"] = 0,
									["hasMaxDurationOfVanish3"] = false,
									["enabled"] = true,
									["hasMaxCooldownForSymbolsOfDeath"] = false,
									["hasMinDurationOfVanish1"] = false,
									["hasMaxTimeToKillRaid"] = false,
									["hasMinEnergy"] = true,
									["hasMinDurationOfShadowDance"] = false,
									["minDurationOfShadowDance"] = 0,
									["minTimeToKillRaid"] = 0,
									["maxDurationOfNightblade"] = 0,
									["hasMaxGroupSize"] = false,
									["spell"] = {
										["debugName"] = "CheapShot",
										["name"] = "Cheap Shot",
										["icon_id"] = 132092,
										["spell_id"] = 1833,
									},
									["hasMaxDurationOfCrimsonVial"] = false,
									["minDurationOfShadowDanceOld"] = 0,
									["minDurationOfNightblade"] = 0,
									["hasMinChargesForShadowDance"] = false,
									["maxEnergy"] = 0,
									["hasMaxChargesForShadowDance"] = false,
									["maxDurationOfStealth1"] = 0,
									["checkDurationOfStealth2"] = false,
									["minCooldownForCheapShot"] = 0,
									["maxCooldownForVanish"] = 0,
									["hasMaxDurationOfShadowDanceOld"] = false,
									["checkDurationOfCheapShot"] = false,
									["hasMaxDurationOfSymbolsOfDeath"] = false,
									["hasMaxDurationOfStealth1"] = false,
								}, -- [1]
							},
							["auras"] = {
								{
									["debugName"] = "SymbolsOfDeath",
									["name"] = "Symbols of Death",
									["icon_id"] = 252272,
									["target"] = "player",
									["max_duration"] = 45,
									["aura_id"] = 212283,
								}, -- [1]
								{
									["debugName"] = "Nightblade",
									["name"] = "Nightblade",
									["icon_id"] = 1373907,
									["target"] = "target",
									["max_duration"] = 26,
									["aura_id"] = 195452,
								}, -- [2]
								{
									["debugName"] = "ShadowBlades",
									["name"] = "Shadow Blades",
									["icon_id"] = 376022,
									["target"] = "player",
									["max_duration"] = 26,
									["aura_id"] = 121471,
								}, -- [3]
								{
									["debugName"] = "GoremawsBite",
									["name"] = "Goremaws Bite",
									["icon_id"] = 1120132,
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 220901,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth1",
									["name"] = "Stealth 1",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [5]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [7]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish1",
									["name"] = "Vanish 1",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [8]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [9]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = 132331,
									["target"] = "player",
									["max_duration"] = 3,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [10]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDanceOld",
									["name"] = "Shadow Dance Old",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 51713,
								}, -- [11]
								{
									["is_stealthy"] = true,
									["debugName"] = "ShadowDance",
									["name"] = "Shadow Dance",
									["icon_id"] = 236279,
									["target"] = "player",
									["max_duration"] = 5,
									["hidden"] = true,
									["aura_id"] = 185422,
								}, -- [12]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
									["target"] = "player",
									["max_duration"] = 7.8,
									["aura_id"] = 185311,
								}, -- [13]
								{
									["is_stealthy"] = false,
									["debugName"] = "CheapShot",
									["name"] = "Cheap Shot",
									["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
									["target"] = "target",
									["max_duration"] = 5.2013,
									["hidden"] = false,
									["aura_id"] = 1833,
								}, -- [14]
							},
						}, -- [12]
					},
					["advanced_features"] = true,
					["auras"] = {
						{
							["debugName"] = "SymbolsOfDeath",
							["name"] = "Symbols of Death",
							["icon_id"] = 252272,
							["target"] = "player",
							["max_duration"] = 45,
							["aura_id"] = 212283,
						}, -- [1]
						{
							["debugName"] = "Nightblade",
							["name"] = "Nightblade",
							["icon_id"] = 1373907,
							["target"] = "target",
							["max_duration"] = 26,
							["aura_id"] = 195452,
						}, -- [2]
						{
							["debugName"] = "ShadowBlades",
							["name"] = "Shadow Blades",
							["icon_id"] = 376022,
							["target"] = "player",
							["max_duration"] = 26,
							["aura_id"] = 121471,
						}, -- [3]
						{
							["debugName"] = "GoremawsBite",
							["name"] = "Goremaws Bite",
							["icon_id"] = 1120132,
							["target"] = "player",
							["max_duration"] = 7.8,
							["aura_id"] = 220901,
						}, -- [4]
						{
							["is_stealthy"] = true,
							["debugName"] = "Stealth1",
							["name"] = "Stealth 1",
							["icon_id"] = 132320,
							["target"] = "player",
							["max_duration"] = 1,
							["hidden"] = true,
							["aura_id"] = 1784,
						}, -- [5]
						{
							["is_stealthy"] = true,
							["debugName"] = "Stealth2",
							["name"] = "Stealth 2",
							["icon_id"] = 132320,
							["target"] = "player",
							["max_duration"] = 1,
							["hidden"] = true,
							["aura_id"] = 115191,
						}, -- [6]
						{
							["is_stealthy"] = true,
							["debugName"] = "Subterfuge",
							["name"] = "Subterfuge",
							["icon_id"] = 132320,
							["target"] = "player",
							["max_duration"] = 1,
							["hidden"] = true,
							["aura_id"] = 115192,
						}, -- [7]
						{
							["is_stealthy"] = true,
							["debugName"] = "Vanish1",
							["name"] = "Vanish 1",
							["icon_id"] = 132331,
							["target"] = "player",
							["max_duration"] = 3,
							["hidden"] = true,
							["aura_id"] = 11327,
						}, -- [8]
						{
							["is_stealthy"] = true,
							["debugName"] = "Vanish2",
							["name"] = "Vanish 2",
							["icon_id"] = 132331,
							["target"] = "player",
							["max_duration"] = 3,
							["hidden"] = true,
							["aura_id"] = 11329,
						}, -- [9]
						{
							["is_stealthy"] = true,
							["debugName"] = "Vanish3",
							["name"] = "Vanish 3",
							["icon_id"] = 132331,
							["target"] = "player",
							["max_duration"] = 3,
							["hidden"] = true,
							["aura_id"] = 115193,
						}, -- [10]
						{
							["is_stealthy"] = true,
							["debugName"] = "ShadowDanceOld",
							["name"] = "Shadow Dance Old",
							["icon_id"] = 236279,
							["target"] = "player",
							["max_duration"] = 5,
							["hidden"] = true,
							["aura_id"] = 51713,
						}, -- [11]
						{
							["is_stealthy"] = true,
							["debugName"] = "ShadowDance",
							["name"] = "Shadow Dance",
							["icon_id"] = 236279,
							["target"] = "player",
							["max_duration"] = 5,
							["hidden"] = true,
							["aura_id"] = 185422,
						}, -- [12]
						{
							["debugName"] = "CrimsonVial",
							["name"] = "Crimson Vial",
							["icon_id"] = "Interface\\Icons\\ability_rogue_crimsonvial",
							["target"] = "player",
							["max_duration"] = 7.8,
							["aura_id"] = 185311,
						}, -- [13]
						{
							["is_stealthy"] = false,
							["debugName"] = "CheapShot",
							["name"] = "Cheap Shot",
							["icon_id"] = "Interface\\Icons\\Ability_CheapShot",
							["target"] = "target",
							["max_duration"] = 5.2013,
							["hidden"] = false,
							["aura_id"] = 1833,
						}, -- [14]
					},
				}, -- [1]
				{
					["specialization_id"] = 259,
					["name"] = "Assassination",
					["cooldowns"] = {
						{
							["debugName"] = "Vendetta",
							["name"] = "Vendetta",
							["icon_id"] = 458726,
							["spell_id"] = 79140,
							["cooldown"] = 120,
						}, -- [1]
						{
							["debugName"] = "Vanish",
							["name"] = "Vanish",
							["icon_id"] = 132331,
							["spell_id"] = 1856,
							["cooldown"] = 120,
						}, -- [2]
						{
							["debugName"] = "Garrote",
							["name"] = "Garrote",
							["icon_id"] = 132297,
							["spell_id"] = 703,
							["cooldown"] = 15,
						}, -- [3]
						{
							["debugName"] = "Exsanguinate",
							["name"] = "Exsanguinate",
							["icon_id"] = 538040,
							["spell_id"] = 200806,
							["cooldown"] = 45,
						}, -- [4]
						{
							["debugName"] = "Kingsbane",
							["name"] = "Kingsbane",
							["icon_id"] = 1259291,
							["spell_id"] = 192759,
							["cooldown"] = 45,
						}, -- [5]
						{
							["debugName"] = "CrimsonVial",
							["name"] = "Crimson Vial",
							["icon_id"] = 1373904,
							["spell_id"] = 185311,
							["cooldown"] = 30,
						}, -- [6]
						{
							["debugName"] = "Rupture",
							["name"] = "Rupture",
							["icon_id"] = 132302,
							["spell_id"] = 1943,
							["cooldown"] = 1,
						}, -- [7]
					},
					["skills"] = {
						{
							["spell"] = {
								["debugName"] = "DeadlyPoison",
								["name"] = "Deadly Poison",
								["icon_id"] = 132290,
								["spell_id"] = 2823,
							},
							["name"] = "Deadly Poison",
							["cooldowns"] = {
								{
									["debugName"] = "Vendetta",
									["name"] = "Vendetta",
									["icon_id"] = 458726,
									["spell_id"] = 79140,
									["cooldown"] = 120,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = 132297,
									["spell_id"] = 703,
									["cooldown"] = 15,
								}, -- [3]
								{
									["debugName"] = "Exsanguinate",
									["name"] = "Exsanguinate",
									["icon_id"] = 538040,
									["spell_id"] = 200806,
									["cooldown"] = 45,
								}, -- [4]
								{
									["debugName"] = "Kingsbane",
									["name"] = "Kingsbane",
									["icon_id"] = 1259291,
									["spell_id"] = 192759,
									["cooldown"] = 45,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = 132302,
									["spell_id"] = 1943,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["hasMinDurationOfStealth"] = false,
									["hasMinTimeToKillRaid"] = false,
									["hasMaxCooldownForRupture"] = false,
									["hasMinDurationOfVanish"] = false,
									["checkEnergy"] = false,
									["hasMinHealthPerc"] = false,
									["maxDurationOfRupture"] = 0,
									["auras"] = {
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [1]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [2]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [3]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [5]
										{
											["is_stealthy"] = false,
											["debugName"] = "DeadlyPoison",
											["name"] = "Deadly Poison",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
											["target"] = "player",
											["max_duration"] = 4680,
											["hidden"] = false,
											["aura_id"] = 2823,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth",
											["name"] = "Stealth",
											["icon_id"] = "Interface\\Icons\\Ability_Stealth",
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [7]
										{
											["is_stealthy"] = false,
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
											["target"] = "target",
											["max_duration"] = 26,
											["hidden"] = false,
											["aura_id"] = 1943,
										}, -- [8]
										{
											["is_stealthy"] = false,
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
											["target"] = "target",
											["max_duration"] = 23.4,
											["hidden"] = false,
											["aura_id"] = 703,
										}, -- [9]
									},
									["hasMinEnergy"] = false,
									["maxCooldownForKingsbane"] = 0,
									["maxDurationOfVanish"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["require_not_stealthed"] = false,
									["hasMaxDurationOfVanish"] = false,
									["minDurationOfGarrote"] = 0,
									["enabled"] = true,
									["maxTimeToKillRaid"] = 0,
									["hasMinDurationOfStealth2"] = false,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["minCooldownForVanish"] = 0,
									["checkDurationOfVanish"] = false,
									["checkGroupSize"] = false,
									["hasMaxGroupSize"] = false,
									["checkDurationOfVanish3"] = false,
									["maxDurationOfSubterfuge"] = 0,
									["minHealthPerc"] = 0,
									["hasMinCooldownForVendetta"] = false,
									["hasMinCooldownForRupture"] = false,
									["checkCooldownForVendetta"] = false,
									["checkTimeToKillRaid"] = false,
									["hasMaxEnergy"] = false,
									["minDurationOfVanish"] = 0,
									["checkCooldownForCrimsonVial"] = false,
									["minEnergy"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMinComboPoints"] = false,
									["hasMaxCooldownForKingsbane"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfRupture"] = false,
									["maxGroupSize"] = 0,
									["require_boss_fight"] = false,
									["require_stealthed"] = false,
									["maxEnergy"] = 0,
									["hasMinGroupSize"] = false,
									["hasMaxTimeToKillSolo"] = false,
									["maxDurationOfStealth2"] = 0,
									["minGroupSize"] = 0,
									["hasMaxDurationOfVanish2"] = false,
									["maxCooldownForGarrote"] = 0,
									["maxCooldownForExsanguinate"] = 0,
									["checkDurationOfDeadlyPoison"] = true,
									["hasMaxHealthPerc"] = false,
									["minDurationOfVanish2"] = 0,
									["hasMaxComboPoints"] = false,
									["hasMaxDurationOfRupture"] = false,
									["hasMinTimeToKillSolo"] = false,
									["checkCooldownForExsanguinate"] = false,
									["checkDurationOfRupture"] = false,
									["maxDurationOfGarrote"] = 0,
									["require_not_pvp"] = false,
									["checkDurationOfStealth2"] = false,
									["minCooldownForGarrote"] = 0,
									["minCooldownForRupture"] = 0,
									["hasMinCooldownForVanish"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["checkDurationOfGarrote"] = false,
									["checkHealthPerc"] = false,
									["maxCooldownForVanish"] = 0,
									["checkCooldownForGarrote"] = false,
									["minDurationOfSubterfuge"] = 0,
									["hasMaxDurationOfDeadlyPoison"] = true,
									["maxDurationOfVanish2"] = 0,
									["hasMaxDurationOfGarrote"] = false,
									["require_not_instance"] = false,
									["maxDurationOfDeadlyPoison"] = 600,
									["checkDurationOfVanish2"] = false,
									["hasMinCooldownForCrimsonVial"] = false,
									["maxCooldownForRupture"] = 0,
									["hasMaxTimeToKillRaid"] = false,
									["minTimeToKillRaid"] = 0,
									["checkTimeToKillSolo"] = false,
									["require_instance"] = false,
									["hasMaxCooldownForExsanguinate"] = false,
									["require_no_combat"] = true,
									["hasMaxCooldownForGarrote"] = false,
									["minDurationOfStealth"] = 0,
									["hasMinCooldownForExsanguinate"] = false,
									["cache_spells"] = {
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vendetta",
												["name"] = "Vendetta",
												["icon_id"] = 458726,
												["spell_id"] = 79140,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [1]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [2]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Garrote",
												["name"] = "Garrote",
												["icon_id"] = 132297,
												["spell_id"] = 703,
												["cooldown"] = 15,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [3]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Exsanguinate",
												["name"] = "Exsanguinate",
												["icon_id"] = 538040,
												["spell_id"] = 200806,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [4]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Kingsbane",
												["name"] = "Kingsbane",
												["icon_id"] = 1259291,
												["spell_id"] = 192759,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [5]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [6]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["hasMinComboPoints"] = false,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkComboPoints"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["require_stealthed"] = false,
											["minDurationOfVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["checkTimeToKillSolo"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["checkCooldownForVanish"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["enabled"] = false,
											["checkDurationOfSubterfuge"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["spell"] = {
												["debugName"] = "Rupture",
												["name"] = "Rupture",
												["icon_id"] = 132302,
												["spell_id"] = 1943,
												["cooldown"] = 1,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeToKillSolo"] = 0,
											["checkDurationOfStealth"] = false,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["hasMinTimeToKillSolo"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForGarrote"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfRupture"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["hasMinDurationOfDeadlyPoison"] = false,
									["hasMaxCooldownForCrimsonVial"] = false,
									["hasMaxCooldownForVendetta"] = false,
									["checkDurationOfStealth"] = false,
									["maxDurationOfStealth"] = 0,
									["minDurationOfStealth2"] = 0,
									["hasMaxDurationOfStealth"] = false,
									["minDurationOfVanish3"] = 0,
									["hasMaxDurationOfStealth2"] = false,
									["checkCooldownForKingsbane"] = false,
									["minDurationOfRupture"] = 0,
									["checkCooldownForRupture"] = false,
									["hasMinDurationOfVanish2"] = false,
									["hasMinDurationOfVanish3"] = false,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["hasMinDurationOfGarrote"] = false,
									["priority"] = 900,
									["hasMinCooldownForGarrote"] = false,
									["poolEnergyIfLow"] = false,
									["minCooldownForVendetta"] = 0,
									["spell"] = {
										["debugName"] = "DeadlyPoison",
										["name"] = "Deadly Poison",
										["icon_id"] = 132290,
										["spell_id"] = 2823,
									},
									["maxCooldownForVendetta"] = 0,
									["hasMinCooldownForKingsbane"] = false,
									["maxComboPoints"] = 0,
									["minCooldownForExsanguinate"] = 0,
									["minTimeToKillSolo"] = 0,
									["checkCooldownForVanish"] = false,
									["require_pvp"] = false,
									["minDurationOfDeadlyPoison"] = 0,
									["checkComboPoints"] = false,
									["minComboPoints"] = 0,
									["cooldowns"] = {
										{
											["debugName"] = "Vendetta",
											["name"] = "Vendetta",
											["icon_id"] = 458726,
											["spell_id"] = 79140,
											["cooldown"] = 120,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = 132297,
											["spell_id"] = 703,
											["cooldown"] = 15,
										}, -- [3]
										{
											["debugName"] = "Exsanguinate",
											["name"] = "Exsanguinate",
											["icon_id"] = 538040,
											["spell_id"] = 200806,
											["cooldown"] = 45,
										}, -- [4]
										{
											["debugName"] = "Kingsbane",
											["name"] = "Kingsbane",
											["icon_id"] = 1259291,
											["spell_id"] = 192759,
											["cooldown"] = 45,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = 132302,
											["spell_id"] = 1943,
											["cooldown"] = 1,
										}, -- [7]
									},
									["minCooldownForKingsbane"] = 0,
									["primary"] = true,
									["require_not_boss_fight"] = false,
								}, -- [1]
								{
									["hasMaxTimeToKillSolo"] = false,
									["hasMinTimeToKillRaid"] = false,
									["hasMaxCooldownForRupture"] = false,
									["hasMinDurationOfVanish"] = false,
									["checkEnergy"] = false,
									["hasMinHealthPerc"] = false,
									["maxDurationOfRupture"] = 0,
									["auras"] = {
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [1]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [2]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [3]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [5]
										{
											["is_stealthy"] = false,
											["debugName"] = "DeadlyPoison",
											["name"] = "Deadly Poison",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
											["target"] = "player",
											["max_duration"] = 4680,
											["hidden"] = false,
											["aura_id"] = 2823,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth",
											["name"] = "Stealth",
											["icon_id"] = "Interface\\Icons\\Ability_Stealth",
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [7]
										{
											["is_stealthy"] = false,
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
											["target"] = "target",
											["max_duration"] = 26,
											["hidden"] = false,
											["aura_id"] = 1943,
										}, -- [8]
										{
											["is_stealthy"] = false,
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
											["target"] = "target",
											["max_duration"] = 23.4,
											["hidden"] = false,
											["aura_id"] = 703,
										}, -- [9]
									},
									["hasMinEnergy"] = false,
									["maxCooldownForKingsbane"] = 0,
									["maxComboPoints"] = 0,
									["primary"] = true,
									["require_not_stealthed"] = false,
									["minDurationOfGarrote"] = 0,
									["enabled"] = true,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["minCooldownForVanish"] = 0,
									["maxEnergy"] = 0,
									["hasMinCooldownForVanish"] = false,
									["hasMaxGroupSize"] = false,
									["checkDurationOfVanish3"] = false,
									["checkGroupSize"] = false,
									["checkDurationOfVanish"] = false,
									["hasMinCooldownForVendetta"] = false,
									["hasMinCooldownForRupture"] = false,
									["minHealthPerc"] = 0,
									["checkTimeToKillRaid"] = false,
									["checkDurationOfGarrote"] = false,
									["hasMinDurationOfStealth"] = false,
									["hasMinDurationOfStealth2"] = false,
									["minEnergy"] = 0,
									["require_pvp"] = false,
									["hasMinComboPoints"] = false,
									["hasMaxCooldownForKingsbane"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfRupture"] = false,
									["hasMaxEnergy"] = false,
									["require_boss_fight"] = false,
									["maxDurationOfVanish"] = 0,
									["checkDurationOfDeadlyPoison"] = true,
									["hasMinGroupSize"] = false,
									["require_stealthed"] = false,
									["maxDurationOfStealth2"] = 0,
									["minGroupSize"] = 0,
									["checkCooldownForGarrote"] = false,
									["maxCooldownForGarrote"] = 0,
									["maxCooldownForExsanguinate"] = 0,
									["checkDurationOfVanish2"] = false,
									["hasMaxHealthPerc"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["hasMaxComboPoints"] = false,
									["hasMinTimeToKillSolo"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["checkCooldownForExsanguinate"] = false,
									["maxCooldownForRupture"] = 0,
									["checkDurationOfRupture"] = false,
									["require_not_pvp"] = false,
									["checkDurationOfStealth2"] = false,
									["minCooldownForGarrote"] = 0,
									["minCooldownForRupture"] = 0,
									["require_instance"] = false,
									["minDurationOfVanish"] = 0,
									["hasMaxDurationOfSubterfuge"] = false,
									["checkHealthPerc"] = false,
									["maxCooldownForVanish"] = 0,
									["hasMinCooldownForGarrote"] = false,
									["checkCooldownForVendetta"] = false,
									["hasMaxDurationOfDeadlyPoison"] = true,
									["maxDurationOfVanish2"] = 0,
									["hasMaxDurationOfGarrote"] = false,
									["minDurationOfSubterfuge"] = 0,
									["maxDurationOfDeadlyPoison"] = 0,
									["maxDurationOfSubterfuge"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["require_not_instance"] = false,
									["minDurationOfVanish2"] = 0,
									["hasMaxTimeToKillRaid"] = false,
									["checkTimeToKillSolo"] = false,
									["minTimeToKillRaid"] = 0,
									["hasMaxCooldownForExsanguinate"] = false,
									["maxGroupSize"] = 0,
									["hasMaxCooldownForGarrote"] = false,
									["minDurationOfStealth"] = 0,
									["hasMaxDurationOfVanish2"] = false,
									["cache_spells"] = {
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["hasMinComboPoints"] = false,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["minDurationOfRupture"] = 0,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["minHealthPerc"] = 0,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["require_not_stealthed"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vendetta",
												["name"] = "Vendetta",
												["icon_id"] = 458726,
												["spell_id"] = 79140,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForRupture"] = 0,
											["checkComboPoints"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [1]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["hasMinComboPoints"] = false,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["minDurationOfRupture"] = 0,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["minHealthPerc"] = 0,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["require_not_stealthed"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForRupture"] = 0,
											["checkComboPoints"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [2]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["hasMinComboPoints"] = false,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["minDurationOfRupture"] = 0,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["minHealthPerc"] = 0,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["require_not_stealthed"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Garrote",
												["name"] = "Garrote",
												["icon_id"] = 132297,
												["spell_id"] = 703,
												["cooldown"] = 15,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForRupture"] = 0,
											["checkComboPoints"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [3]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["hasMinComboPoints"] = false,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["minDurationOfRupture"] = 0,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["minHealthPerc"] = 0,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["require_not_stealthed"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Exsanguinate",
												["name"] = "Exsanguinate",
												["icon_id"] = 538040,
												["spell_id"] = 200806,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForRupture"] = 0,
											["checkComboPoints"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [4]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["hasMinComboPoints"] = false,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["minDurationOfRupture"] = 0,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["minHealthPerc"] = 0,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["require_not_stealthed"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Kingsbane",
												["name"] = "Kingsbane",
												["icon_id"] = 1259291,
												["spell_id"] = 192759,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForRupture"] = 0,
											["checkComboPoints"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [5]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["hasMinComboPoints"] = false,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["minDurationOfRupture"] = 0,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["minHealthPerc"] = 0,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["require_not_stealthed"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfSubterfuge"] = 0,
											["minCooldownForRupture"] = 0,
											["checkComboPoints"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [6]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["hasMinComboPoints"] = false,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkComboPoints"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["require_stealthed"] = false,
											["minDurationOfVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["checkTimeToKillSolo"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["checkCooldownForVanish"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["enabled"] = false,
											["checkDurationOfSubterfuge"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["spell"] = {
												["debugName"] = "Rupture",
												["name"] = "Rupture",
												["icon_id"] = 132302,
												["spell_id"] = 1943,
												["cooldown"] = 1,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeToKillSolo"] = 0,
											["checkDurationOfStealth"] = false,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["hasMinTimeToKillSolo"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForGarrote"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfRupture"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["hasMinDurationOfDeadlyPoison"] = false,
									["checkDurationOfStealth"] = false,
									["hasMaxCooldownForVendetta"] = false,
									["hasMaxCooldownForCrimsonVial"] = false,
									["maxDurationOfStealth"] = 0,
									["minDurationOfStealth2"] = 0,
									["hasMaxDurationOfStealth"] = false,
									["minDurationOfVanish3"] = 0,
									["hasMaxDurationOfRupture"] = false,
									["checkCooldownForKingsbane"] = false,
									["minDurationOfRupture"] = 0,
									["hasMinDurationOfVanish3"] = false,
									["checkCooldownForRupture"] = false,
									["hasMinDurationOfVanish2"] = false,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["hasMinDurationOfGarrote"] = false,
									["priority"] = 895,
									["hasMinCooldownForExsanguinate"] = false,
									["poolEnergyIfLow"] = false,
									["minCooldownForVendetta"] = 0,
									["spell"] = {
										["debugName"] = "DeadlyPoison",
										["name"] = "Deadly Poison",
										["icon_id"] = 132290,
										["spell_id"] = 2823,
									},
									["maxCooldownForVendetta"] = 0,
									["hasMinCooldownForKingsbane"] = false,
									["minComboPoints"] = 0,
									["minCooldownForExsanguinate"] = 0,
									["minTimeToKillSolo"] = 0,
									["minDurationOfDeadlyPoison"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["checkCooldownForVanish"] = false,
									["checkComboPoints"] = false,
									["maxDurationOfGarrote"] = 0,
									["cooldowns"] = {
										{
											["debugName"] = "Vendetta",
											["name"] = "Vendetta",
											["icon_id"] = 458726,
											["spell_id"] = 79140,
											["cooldown"] = 120,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = 132297,
											["spell_id"] = 703,
											["cooldown"] = 15,
										}, -- [3]
										{
											["debugName"] = "Exsanguinate",
											["name"] = "Exsanguinate",
											["icon_id"] = 538040,
											["spell_id"] = 200806,
											["cooldown"] = 45,
										}, -- [4]
										{
											["debugName"] = "Kingsbane",
											["name"] = "Kingsbane",
											["icon_id"] = 1259291,
											["spell_id"] = 192759,
											["cooldown"] = 45,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = 132302,
											["spell_id"] = 1943,
											["cooldown"] = 1,
										}, -- [7]
									},
									["minCooldownForKingsbane"] = 0,
									["hasMaxDurationOfVanish"] = false,
									["require_not_boss_fight"] = false,
								}, -- [2]
							},
							["auras"] = {
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [1]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [2]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [3]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [5]
								{
									["is_stealthy"] = false,
									["debugName"] = "DeadlyPoison",
									["name"] = "Deadly Poison",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
									["target"] = "player",
									["max_duration"] = 4680,
									["hidden"] = false,
									["aura_id"] = 2823,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth",
									["name"] = "Stealth",
									["icon_id"] = "Interface\\Icons\\Ability_Stealth",
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [7]
								{
									["is_stealthy"] = false,
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
									["target"] = "target",
									["max_duration"] = 26,
									["hidden"] = false,
									["aura_id"] = 1943,
								}, -- [8]
								{
									["is_stealthy"] = false,
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
									["target"] = "target",
									["max_duration"] = 23.4,
									["hidden"] = false,
									["aura_id"] = 703,
								}, -- [9]
							},
						}, -- [1]
						{
							["spell"] = {
								["debugName"] = "Vendetta",
								["name"] = "Vendetta",
								["icon_id"] = 458726,
								["spell_id"] = 79140,
								["cooldown"] = 120,
							},
							["name"] = "Vendetta",
							["cooldowns"] = {
								{
									["debugName"] = "Vendetta",
									["name"] = "Vendetta",
									["icon_id"] = 458726,
									["spell_id"] = 79140,
									["cooldown"] = 120,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = 132297,
									["spell_id"] = 703,
									["cooldown"] = 15,
								}, -- [3]
								{
									["debugName"] = "Exsanguinate",
									["name"] = "Exsanguinate",
									["icon_id"] = 538040,
									["spell_id"] = 200806,
									["cooldown"] = 45,
								}, -- [4]
								{
									["debugName"] = "Kingsbane",
									["name"] = "Kingsbane",
									["icon_id"] = 1259291,
									["spell_id"] = 192759,
									["cooldown"] = 45,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = 132302,
									["spell_id"] = 1943,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["hasMaxTimeToKillSolo"] = false,
									["hasMinTimeToKillRaid"] = false,
									["hasMaxCooldownForRupture"] = false,
									["hasMinDurationOfVanish"] = false,
									["checkEnergy"] = false,
									["hasMinHealthPerc"] = false,
									["maxDurationOfRupture"] = 0,
									["maxGroupSize"] = 0,
									["hasMinEnergy"] = false,
									["maxCooldownForKingsbane"] = 0,
									["maxComboPoints"] = 0,
									["primary"] = false,
									["require_not_stealthed"] = false,
									["minDurationOfGarrote"] = 0,
									["require_pvp"] = false,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["minCooldownForVanish"] = 0,
									["checkDurationOfGarrote"] = false,
									["minDurationOfDeadlyPoison"] = 0,
									["hasMaxGroupSize"] = false,
									["minDurationOfVanish2"] = 0,
									["checkGroupSize"] = false,
									["hasMinCooldownForRupture"] = false,
									["hasMinCooldownForVendetta"] = false,
									["checkCooldownForVanish"] = false,
									["minHealthPerc"] = 0,
									["checkTimeToKillRaid"] = false,
									["hasMinDurationOfStealth2"] = false,
									["checkDurationOfVanish3"] = false,
									["maxDurationOfVanish"] = 0,
									["minEnergy"] = 0,
									["auras"] = {
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [1]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [2]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [3]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [5]
										{
											["is_stealthy"] = false,
											["debugName"] = "DeadlyPoison",
											["name"] = "Deadly Poison",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
											["target"] = "player",
											["max_duration"] = 4680,
											["hidden"] = false,
											["aura_id"] = 2823,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth",
											["name"] = "Stealth",
											["icon_id"] = "Interface\\Icons\\Ability_Stealth",
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [7]
										{
											["is_stealthy"] = false,
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
											["target"] = "target",
											["max_duration"] = 26,
											["hidden"] = false,
											["aura_id"] = 1943,
										}, -- [8]
										{
											["is_stealthy"] = false,
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
											["target"] = "target",
											["max_duration"] = 23.4,
											["hidden"] = false,
											["aura_id"] = 703,
										}, -- [9]
									},
									["hasMinComboPoints"] = false,
									["hasMaxCooldownForKingsbane"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfRupture"] = false,
									["hasMaxEnergy"] = false,
									["require_boss_fight"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["maxEnergy"] = 0,
									["hasMinGroupSize"] = false,
									["require_stealthed"] = false,
									["maxDurationOfStealth2"] = 0,
									["minGroupSize"] = 0,
									["hasMaxDurationOfVanish2"] = false,
									["maxCooldownForGarrote"] = 0,
									["maxDurationOfSubterfuge"] = 0,
									["checkCooldownForGarrote"] = false,
									["hasMaxHealthPerc"] = false,
									["checkDurationOfVanish"] = false,
									["hasMaxComboPoints"] = false,
									["hasMinTimeToKillSolo"] = true,
									["hasMaxDurationOfStealth2"] = false,
									["checkCooldownForExsanguinate"] = false,
									["minDurationOfStealth2"] = 0,
									["checkDurationOfRupture"] = false,
									["require_not_pvp"] = false,
									["checkDurationOfStealth2"] = false,
									["minCooldownForGarrote"] = 0,
									["minCooldownForRupture"] = 0,
									["require_instance"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["hasMinDurationOfStealth"] = false,
									["checkHealthPerc"] = false,
									["maxCooldownForVanish"] = 0,
									["maxCooldownForExsanguinate"] = 0,
									["hasMaxDurationOfVanish"] = false,
									["hasMaxDurationOfDeadlyPoison"] = false,
									["maxDurationOfVanish2"] = 0,
									["hasMaxDurationOfGarrote"] = false,
									["minDurationOfSubterfuge"] = 0,
									["maxDurationOfDeadlyPoison"] = 0,
									["minDurationOfVanish"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["require_not_instance"] = false,
									["checkDurationOfDeadlyPoison"] = false,
									["hasMaxTimeToKillRaid"] = false,
									["checkTimeToKillSolo"] = true,
									["minTimeToKillRaid"] = 0,
									["hasMaxCooldownForExsanguinate"] = false,
									["hasMinCooldownForVanish"] = false,
									["hasMaxCooldownForGarrote"] = false,
									["minDurationOfStealth"] = 0,
									["hasMinCooldownForExsanguinate"] = false,
									["cache_spells"] = {
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vendetta",
												["name"] = "Vendetta",
												["icon_id"] = 458726,
												["spell_id"] = 79140,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [1]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [2]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Garrote",
												["name"] = "Garrote",
												["icon_id"] = 132297,
												["spell_id"] = 703,
												["cooldown"] = 15,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [3]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Exsanguinate",
												["name"] = "Exsanguinate",
												["icon_id"] = 538040,
												["spell_id"] = 200806,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [4]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Kingsbane",
												["name"] = "Kingsbane",
												["icon_id"] = 1259291,
												["spell_id"] = 192759,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [5]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [6]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["hasMinComboPoints"] = false,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkComboPoints"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["require_stealthed"] = false,
											["minDurationOfVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["checkTimeToKillSolo"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["checkCooldownForVanish"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["enabled"] = false,
											["checkDurationOfSubterfuge"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["spell"] = {
												["debugName"] = "Rupture",
												["name"] = "Rupture",
												["icon_id"] = 132302,
												["spell_id"] = 1943,
												["cooldown"] = 1,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeToKillSolo"] = 0,
											["checkDurationOfStealth"] = false,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["hasMinTimeToKillSolo"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForGarrote"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfRupture"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["hasMinDurationOfDeadlyPoison"] = false,
									["hasMaxCooldownForCrimsonVial"] = false,
									["hasMaxCooldownForVendetta"] = true,
									["checkDurationOfStealth"] = false,
									["maxDurationOfStealth"] = 0,
									["maxCooldownForRupture"] = 0,
									["hasMaxDurationOfStealth"] = false,
									["checkCooldownForRupture"] = false,
									["hasMaxDurationOfRupture"] = false,
									["checkCooldownForKingsbane"] = false,
									["minDurationOfRupture"] = 0,
									["checkCooldownForVendetta"] = true,
									["minDurationOfVanish3"] = 0,
									["hasMinDurationOfVanish2"] = false,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["hasMinDurationOfGarrote"] = false,
									["priority"] = 650,
									["hasMinDurationOfVanish3"] = false,
									["poolEnergyIfLow"] = false,
									["minCooldownForVendetta"] = 0,
									["spell"] = {
										["debugName"] = "Vendetta",
										["name"] = "Vendetta",
										["icon_id"] = 458726,
										["spell_id"] = 79140,
										["cooldown"] = 120,
									},
									["maxCooldownForVendetta"] = 0,
									["hasMinCooldownForKingsbane"] = false,
									["hasMinCooldownForGarrote"] = false,
									["minCooldownForExsanguinate"] = 0,
									["minTimeToKillSolo"] = 30,
									["checkDurationOfVanish2"] = false,
									["minComboPoints"] = 0,
									["enabled"] = true,
									["checkComboPoints"] = false,
									["maxDurationOfGarrote"] = 0,
									["cooldowns"] = {
										{
											["debugName"] = "Vendetta",
											["name"] = "Vendetta",
											["icon_id"] = 458726,
											["spell_id"] = 79140,
											["cooldown"] = 120,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = 132297,
											["spell_id"] = 703,
											["cooldown"] = 15,
										}, -- [3]
										{
											["debugName"] = "Exsanguinate",
											["name"] = "Exsanguinate",
											["icon_id"] = 538040,
											["spell_id"] = 200806,
											["cooldown"] = 45,
										}, -- [4]
										{
											["debugName"] = "Kingsbane",
											["name"] = "Kingsbane",
											["icon_id"] = 1259291,
											["spell_id"] = 192759,
											["cooldown"] = 45,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = 132302,
											["spell_id"] = 1943,
											["cooldown"] = 1,
										}, -- [7]
									},
									["minCooldownForKingsbane"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["require_not_boss_fight"] = false,
								}, -- [1]
							},
							["auras"] = {
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [1]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [2]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [3]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [5]
								{
									["is_stealthy"] = false,
									["debugName"] = "DeadlyPoison",
									["name"] = "Deadly Poison",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
									["target"] = "player",
									["max_duration"] = 4680,
									["hidden"] = false,
									["aura_id"] = 2823,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth",
									["name"] = "Stealth",
									["icon_id"] = "Interface\\Icons\\Ability_Stealth",
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [7]
								{
									["is_stealthy"] = false,
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
									["target"] = "target",
									["max_duration"] = 26,
									["hidden"] = false,
									["aura_id"] = 1943,
								}, -- [8]
								{
									["is_stealthy"] = false,
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
									["target"] = "target",
									["max_duration"] = 23.4,
									["hidden"] = false,
									["aura_id"] = 703,
								}, -- [9]
							},
						}, -- [2]
						{
							["spell"] = {
								["debugName"] = "Vanish",
								["name"] = "Vanish",
								["icon_id"] = 132331,
								["spell_id"] = 1856,
								["cooldown"] = 120,
							},
							["name"] = "Vanish",
							["cooldowns"] = {
								{
									["debugName"] = "Vendetta",
									["name"] = "Vendetta",
									["icon_id"] = 458726,
									["spell_id"] = 79140,
									["cooldown"] = 120,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = 132297,
									["spell_id"] = 703,
									["cooldown"] = 15,
								}, -- [3]
								{
									["debugName"] = "Exsanguinate",
									["name"] = "Exsanguinate",
									["icon_id"] = 538040,
									["spell_id"] = 200806,
									["cooldown"] = 45,
								}, -- [4]
								{
									["debugName"] = "Kingsbane",
									["name"] = "Kingsbane",
									["icon_id"] = 1259291,
									["spell_id"] = 192759,
									["cooldown"] = 45,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = 132302,
									["spell_id"] = 1943,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["hasMaxTimeToKillSolo"] = false,
									["hasMinTimeToKillRaid"] = false,
									["hasMaxCooldownForRupture"] = false,
									["hasMinDurationOfVanish"] = false,
									["checkEnergy"] = true,
									["hasMinHealthPerc"] = false,
									["maxDurationOfRupture"] = 0,
									["maxGroupSize"] = 0,
									["hasMinEnergy"] = true,
									["maxCooldownForKingsbane"] = 0,
									["maxComboPoints"] = 0,
									["primary"] = false,
									["require_not_stealthed"] = false,
									["minDurationOfGarrote"] = 0,
									["require_pvp"] = false,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = true,
									["checkDurationOfSubterfuge"] = false,
									["minCooldownForVanish"] = 0,
									["checkDurationOfGarrote"] = false,
									["minDurationOfDeadlyPoison"] = 0,
									["hasMaxGroupSize"] = false,
									["minDurationOfVanish2"] = 0,
									["checkGroupSize"] = false,
									["hasMinCooldownForRupture"] = false,
									["hasMinCooldownForVendetta"] = false,
									["checkCooldownForVanish"] = true,
									["minHealthPerc"] = 0,
									["checkTimeToKillRaid"] = false,
									["hasMinDurationOfStealth2"] = false,
									["checkDurationOfVanish3"] = false,
									["maxDurationOfVanish"] = 0,
									["minEnergy"] = 25,
									["auras"] = {
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [1]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [2]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [3]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [5]
										{
											["is_stealthy"] = false,
											["debugName"] = "DeadlyPoison",
											["name"] = "Deadly Poison",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
											["target"] = "player",
											["max_duration"] = 4680,
											["hidden"] = false,
											["aura_id"] = 2823,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth",
											["name"] = "Stealth",
											["icon_id"] = "Interface\\Icons\\Ability_Stealth",
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [7]
										{
											["is_stealthy"] = false,
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
											["target"] = "target",
											["max_duration"] = 26,
											["hidden"] = false,
											["aura_id"] = 1943,
										}, -- [8]
										{
											["is_stealthy"] = false,
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
											["target"] = "target",
											["max_duration"] = 23.4,
											["hidden"] = false,
											["aura_id"] = 703,
										}, -- [9]
									},
									["hasMinComboPoints"] = true,
									["hasMaxCooldownForKingsbane"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfRupture"] = false,
									["hasMaxEnergy"] = false,
									["require_boss_fight"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["maxEnergy"] = 0,
									["hasMinGroupSize"] = false,
									["require_stealthed"] = false,
									["maxDurationOfStealth2"] = 0,
									["minGroupSize"] = 0,
									["hasMaxDurationOfVanish2"] = false,
									["maxCooldownForGarrote"] = 0,
									["maxDurationOfSubterfuge"] = 0,
									["checkCooldownForGarrote"] = false,
									["hasMaxHealthPerc"] = false,
									["checkDurationOfVanish"] = false,
									["hasMaxComboPoints"] = false,
									["hasMinTimeToKillSolo"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["checkCooldownForExsanguinate"] = true,
									["minDurationOfStealth2"] = 0,
									["checkDurationOfRupture"] = false,
									["require_not_pvp"] = false,
									["checkDurationOfStealth2"] = false,
									["minCooldownForGarrote"] = 0,
									["minCooldownForRupture"] = 0,
									["require_instance"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["hasMinDurationOfStealth"] = false,
									["checkHealthPerc"] = false,
									["maxCooldownForVanish"] = 0,
									["maxCooldownForExsanguinate"] = 0,
									["hasMaxDurationOfVanish"] = false,
									["hasMaxDurationOfDeadlyPoison"] = false,
									["maxDurationOfVanish2"] = 0,
									["hasMaxDurationOfGarrote"] = false,
									["minDurationOfSubterfuge"] = 0,
									["maxDurationOfDeadlyPoison"] = 0,
									["minDurationOfVanish"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["require_not_instance"] = false,
									["checkDurationOfDeadlyPoison"] = false,
									["hasMaxTimeToKillRaid"] = false,
									["checkTimeToKillSolo"] = false,
									["minTimeToKillRaid"] = 0,
									["hasMaxCooldownForExsanguinate"] = true,
									["hasMinCooldownForVanish"] = false,
									["hasMaxCooldownForGarrote"] = false,
									["minDurationOfStealth"] = 0,
									["hasMinCooldownForExsanguinate"] = false,
									["cache_spells"] = {
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vendetta",
												["name"] = "Vendetta",
												["icon_id"] = 458726,
												["spell_id"] = 79140,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [1]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [2]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Garrote",
												["name"] = "Garrote",
												["icon_id"] = 132297,
												["spell_id"] = 703,
												["cooldown"] = 15,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [3]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Exsanguinate",
												["name"] = "Exsanguinate",
												["icon_id"] = 538040,
												["spell_id"] = 200806,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [4]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Kingsbane",
												["name"] = "Kingsbane",
												["icon_id"] = 1259291,
												["spell_id"] = 192759,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [5]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [6]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["hasMinComboPoints"] = false,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkComboPoints"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["require_stealthed"] = false,
											["minDurationOfVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["checkTimeToKillSolo"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["checkCooldownForVanish"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["enabled"] = false,
											["checkDurationOfSubterfuge"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["spell"] = {
												["debugName"] = "Rupture",
												["name"] = "Rupture",
												["icon_id"] = 132302,
												["spell_id"] = 1943,
												["cooldown"] = 1,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeToKillSolo"] = 0,
											["checkDurationOfStealth"] = false,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["hasMinTimeToKillSolo"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForGarrote"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfRupture"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["hasMinDurationOfDeadlyPoison"] = false,
									["hasMaxCooldownForCrimsonVial"] = false,
									["hasMaxCooldownForVendetta"] = false,
									["checkDurationOfStealth"] = false,
									["maxDurationOfStealth"] = 0,
									["maxCooldownForRupture"] = 0,
									["hasMaxDurationOfStealth"] = false,
									["checkCooldownForRupture"] = false,
									["hasMaxDurationOfRupture"] = false,
									["checkCooldownForKingsbane"] = false,
									["minDurationOfRupture"] = 0,
									["checkCooldownForVendetta"] = false,
									["minDurationOfVanish3"] = 0,
									["hasMinDurationOfVanish2"] = false,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["hasMinDurationOfGarrote"] = false,
									["priority"] = 625,
									["hasMinDurationOfVanish3"] = false,
									["poolEnergyIfLow"] = false,
									["minCooldownForVendetta"] = 0,
									["spell"] = {
										["debugName"] = "Vanish",
										["name"] = "Vanish",
										["icon_id"] = 132331,
										["spell_id"] = 1856,
										["cooldown"] = 120,
									},
									["maxCooldownForVendetta"] = 0,
									["hasMinCooldownForKingsbane"] = false,
									["hasMinCooldownForGarrote"] = false,
									["minCooldownForExsanguinate"] = 0,
									["minTimeToKillSolo"] = 0,
									["checkDurationOfVanish2"] = false,
									["minComboPoints"] = 6,
									["enabled"] = true,
									["checkComboPoints"] = true,
									["maxDurationOfGarrote"] = 0,
									["cooldowns"] = {
										{
											["debugName"] = "Vendetta",
											["name"] = "Vendetta",
											["icon_id"] = 458726,
											["spell_id"] = 79140,
											["cooldown"] = 120,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = 132297,
											["spell_id"] = 703,
											["cooldown"] = 15,
										}, -- [3]
										{
											["debugName"] = "Exsanguinate",
											["name"] = "Exsanguinate",
											["icon_id"] = 538040,
											["spell_id"] = 200806,
											["cooldown"] = 45,
										}, -- [4]
										{
											["debugName"] = "Kingsbane",
											["name"] = "Kingsbane",
											["icon_id"] = 1259291,
											["spell_id"] = 192759,
											["cooldown"] = 45,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = 132302,
											["spell_id"] = 1943,
											["cooldown"] = 1,
										}, -- [7]
									},
									["minCooldownForKingsbane"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["require_not_boss_fight"] = false,
								}, -- [1]
							},
							["auras"] = {
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [1]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [2]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [3]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [5]
								{
									["is_stealthy"] = false,
									["debugName"] = "DeadlyPoison",
									["name"] = "Deadly Poison",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
									["target"] = "player",
									["max_duration"] = 4680,
									["hidden"] = false,
									["aura_id"] = 2823,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth",
									["name"] = "Stealth",
									["icon_id"] = "Interface\\Icons\\Ability_Stealth",
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [7]
								{
									["is_stealthy"] = false,
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
									["target"] = "target",
									["max_duration"] = 26,
									["hidden"] = false,
									["aura_id"] = 1943,
								}, -- [8]
								{
									["is_stealthy"] = false,
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
									["target"] = "target",
									["max_duration"] = 23.4,
									["hidden"] = false,
									["aura_id"] = 703,
								}, -- [9]
							},
						}, -- [3]
						{
							["spell"] = {
								["debugName"] = "Mutilate",
								["name"] = "Mutilate",
								["icon_id"] = 132304,
								["spell_id"] = 1329,
							},
							["name"] = "Mutilate",
							["cooldowns"] = {
								{
									["debugName"] = "Vendetta",
									["name"] = "Vendetta",
									["icon_id"] = 458726,
									["spell_id"] = 79140,
									["cooldown"] = 120,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = 132297,
									["spell_id"] = 703,
									["cooldown"] = 15,
								}, -- [3]
								{
									["debugName"] = "Exsanguinate",
									["name"] = "Exsanguinate",
									["icon_id"] = 538040,
									["spell_id"] = 200806,
									["cooldown"] = 45,
								}, -- [4]
								{
									["debugName"] = "Kingsbane",
									["name"] = "Kingsbane",
									["icon_id"] = 1259291,
									["spell_id"] = 192759,
									["cooldown"] = 45,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = 132302,
									["spell_id"] = 1943,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["hasMaxTimeToKillSolo"] = false,
									["hasMinTimeToKillRaid"] = false,
									["hasMaxCooldownForRupture"] = false,
									["hasMinDurationOfVanish"] = false,
									["checkEnergy"] = true,
									["hasMinHealthPerc"] = false,
									["maxDurationOfRupture"] = 6,
									["maxGroupSize"] = 0,
									["hasMinEnergy"] = true,
									["maxCooldownForKingsbane"] = 0,
									["maxComboPoints"] = 4,
									["primary"] = true,
									["require_not_stealthed"] = false,
									["minDurationOfGarrote"] = 0,
									["require_pvp"] = false,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["minCooldownForVanish"] = 0,
									["checkDurationOfGarrote"] = false,
									["minDurationOfDeadlyPoison"] = 0,
									["hasMaxGroupSize"] = false,
									["minDurationOfVanish2"] = 0,
									["checkGroupSize"] = false,
									["hasMinCooldownForRupture"] = false,
									["hasMinCooldownForVendetta"] = false,
									["checkCooldownForVanish"] = false,
									["minHealthPerc"] = 0,
									["checkTimeToKillRaid"] = false,
									["hasMinDurationOfStealth2"] = false,
									["checkDurationOfVanish3"] = false,
									["maxDurationOfVanish"] = 0,
									["minEnergy"] = 55,
									["auras"] = {
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [1]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [2]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [3]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [5]
										{
											["is_stealthy"] = false,
											["debugName"] = "DeadlyPoison",
											["name"] = "Deadly Poison",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
											["target"] = "player",
											["max_duration"] = 4680,
											["hidden"] = false,
											["aura_id"] = 2823,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth",
											["name"] = "Stealth",
											["icon_id"] = "Interface\\Icons\\Ability_Stealth",
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [7]
										{
											["is_stealthy"] = false,
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
											["target"] = "target",
											["max_duration"] = 26,
											["hidden"] = false,
											["aura_id"] = 1943,
										}, -- [8]
										{
											["is_stealthy"] = false,
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
											["target"] = "target",
											["max_duration"] = 23.4,
											["hidden"] = false,
											["aura_id"] = 703,
										}, -- [9]
									},
									["hasMinComboPoints"] = false,
									["hasMaxCooldownForKingsbane"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfRupture"] = false,
									["hasMaxEnergy"] = false,
									["require_boss_fight"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["maxEnergy"] = 0,
									["hasMinGroupSize"] = false,
									["require_stealthed"] = false,
									["maxDurationOfStealth2"] = 0,
									["minGroupSize"] = 0,
									["hasMaxDurationOfVanish2"] = false,
									["maxCooldownForGarrote"] = 0,
									["maxDurationOfSubterfuge"] = 0,
									["checkCooldownForGarrote"] = false,
									["hasMaxHealthPerc"] = false,
									["checkDurationOfVanish"] = false,
									["hasMaxComboPoints"] = true,
									["hasMinTimeToKillSolo"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["checkCooldownForExsanguinate"] = false,
									["minDurationOfStealth2"] = 0,
									["checkDurationOfRupture"] = true,
									["require_not_pvp"] = false,
									["checkDurationOfStealth2"] = false,
									["minCooldownForGarrote"] = 0,
									["minCooldownForRupture"] = 0,
									["require_instance"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["hasMinDurationOfStealth"] = false,
									["checkHealthPerc"] = false,
									["maxCooldownForVanish"] = 0,
									["maxCooldownForExsanguinate"] = 0,
									["hasMaxDurationOfVanish"] = false,
									["hasMaxDurationOfDeadlyPoison"] = false,
									["maxDurationOfVanish2"] = 0,
									["hasMaxDurationOfGarrote"] = false,
									["minDurationOfSubterfuge"] = 0,
									["maxDurationOfDeadlyPoison"] = 0,
									["minDurationOfVanish"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["require_not_instance"] = false,
									["checkDurationOfDeadlyPoison"] = false,
									["hasMaxTimeToKillRaid"] = false,
									["checkTimeToKillSolo"] = false,
									["minTimeToKillRaid"] = 0,
									["hasMaxCooldownForExsanguinate"] = false,
									["hasMinCooldownForVanish"] = false,
									["hasMaxCooldownForGarrote"] = false,
									["minDurationOfStealth"] = 0,
									["hasMinCooldownForExsanguinate"] = false,
									["cache_spells"] = {
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vendetta",
												["name"] = "Vendetta",
												["icon_id"] = 458726,
												["spell_id"] = 79140,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [1]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [2]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Garrote",
												["name"] = "Garrote",
												["icon_id"] = 132297,
												["spell_id"] = 703,
												["cooldown"] = 15,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [3]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Exsanguinate",
												["name"] = "Exsanguinate",
												["icon_id"] = 538040,
												["spell_id"] = 200806,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [4]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Kingsbane",
												["name"] = "Kingsbane",
												["icon_id"] = 1259291,
												["spell_id"] = 192759,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [5]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [6]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["hasMinComboPoints"] = false,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkComboPoints"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["require_stealthed"] = false,
											["minDurationOfVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["checkTimeToKillSolo"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["checkCooldownForVanish"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["enabled"] = false,
											["checkDurationOfSubterfuge"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["spell"] = {
												["debugName"] = "Rupture",
												["name"] = "Rupture",
												["icon_id"] = 132302,
												["spell_id"] = 1943,
												["cooldown"] = 1,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeToKillSolo"] = 0,
											["checkDurationOfStealth"] = false,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["hasMinTimeToKillSolo"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForGarrote"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfRupture"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["hasMinDurationOfDeadlyPoison"] = false,
									["hasMaxCooldownForCrimsonVial"] = false,
									["hasMaxCooldownForVendetta"] = false,
									["checkDurationOfStealth"] = false,
									["maxDurationOfStealth"] = 0,
									["maxCooldownForRupture"] = 0,
									["hasMaxDurationOfStealth"] = false,
									["checkCooldownForRupture"] = false,
									["hasMaxDurationOfRupture"] = true,
									["checkCooldownForKingsbane"] = false,
									["minDurationOfRupture"] = 0,
									["checkCooldownForVendetta"] = false,
									["minDurationOfVanish3"] = 0,
									["hasMinDurationOfVanish2"] = false,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["hasMinDurationOfGarrote"] = false,
									["priority"] = 400,
									["hasMinDurationOfVanish3"] = false,
									["poolEnergyIfLow"] = true,
									["minCooldownForVendetta"] = 0,
									["spell"] = {
										["debugName"] = "Mutilate",
										["name"] = "Mutilate",
										["icon_id"] = 132304,
										["spell_id"] = 1329,
									},
									["maxCooldownForVendetta"] = 0,
									["hasMinCooldownForKingsbane"] = false,
									["hasMinCooldownForGarrote"] = false,
									["minCooldownForExsanguinate"] = 0,
									["minTimeToKillSolo"] = 0,
									["checkDurationOfVanish2"] = false,
									["minComboPoints"] = 0,
									["enabled"] = true,
									["checkComboPoints"] = true,
									["maxDurationOfGarrote"] = 0,
									["cooldowns"] = {
										{
											["debugName"] = "Vendetta",
											["name"] = "Vendetta",
											["icon_id"] = 458726,
											["spell_id"] = 79140,
											["cooldown"] = 120,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = 132297,
											["spell_id"] = 703,
											["cooldown"] = 15,
										}, -- [3]
										{
											["debugName"] = "Exsanguinate",
											["name"] = "Exsanguinate",
											["icon_id"] = 538040,
											["spell_id"] = 200806,
											["cooldown"] = 45,
										}, -- [4]
										{
											["debugName"] = "Kingsbane",
											["name"] = "Kingsbane",
											["icon_id"] = 1259291,
											["spell_id"] = 192759,
											["cooldown"] = 45,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = 132302,
											["spell_id"] = 1943,
											["cooldown"] = 1,
										}, -- [7]
									},
									["minCooldownForKingsbane"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["require_not_boss_fight"] = false,
								}, -- [1]
								{
									["hasMaxTimeToKillSolo"] = false,
									["hasMinTimeToKillRaid"] = false,
									["hasMaxCooldownForRupture"] = false,
									["hasMinDurationOfVanish"] = false,
									["checkEnergy"] = true,
									["hasMinHealthPerc"] = false,
									["maxDurationOfRupture"] = 0,
									["maxGroupSize"] = 0,
									["hasMinEnergy"] = true,
									["maxCooldownForKingsbane"] = 0,
									["maxComboPoints"] = 5,
									["checkCooldownForVendetta"] = false,
									["require_not_stealthed"] = false,
									["minDurationOfGarrote"] = 0,
									["enabled"] = true,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["minCooldownForVanish"] = 0,
									["checkDurationOfGarrote"] = false,
									["checkCooldownForVanish"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["minDurationOfVanish2"] = 0,
									["checkGroupSize"] = false,
									["hasMinDurationOfStealth2"] = false,
									["minComboPoints"] = 0,
									["minDurationOfDeadlyPoison"] = 0,
									["minHealthPerc"] = 0,
									["checkTimeToKillRaid"] = false,
									["maxCooldownForCrimsonVial"] = 0,
									["hasMinDurationOfStealth"] = false,
									["minDurationOfVanish"] = 0,
									["minEnergy"] = 90,
									["maxDurationOfVanish"] = 0,
									["hasMinComboPoints"] = false,
									["hasMaxCooldownForKingsbane"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfRupture"] = false,
									["hasMinCooldownForVendetta"] = false,
									["require_boss_fight"] = false,
									["auras"] = {
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [1]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [2]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [3]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [5]
										{
											["is_stealthy"] = false,
											["debugName"] = "DeadlyPoison",
											["name"] = "Deadly Poison",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
											["target"] = "player",
											["max_duration"] = 4680,
											["hidden"] = false,
											["aura_id"] = 2823,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth",
											["name"] = "Stealth",
											["icon_id"] = "Interface\\Icons\\Ability_Stealth",
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [7]
										{
											["is_stealthy"] = false,
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
											["target"] = "target",
											["max_duration"] = 26,
											["hidden"] = false,
											["aura_id"] = 1943,
										}, -- [8]
										{
											["is_stealthy"] = false,
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
											["target"] = "target",
											["max_duration"] = 23.4,
											["hidden"] = false,
											["aura_id"] = 703,
										}, -- [9]
									},
									["maxEnergy"] = 0,
									["hasMinGroupSize"] = false,
									["require_stealthed"] = false,
									["maxDurationOfStealth2"] = 0,
									["minGroupSize"] = 0,
									["hasMinCooldownForGarrote"] = false,
									["maxCooldownForGarrote"] = 0,
									["checkCooldownForGarrote"] = false,
									["checkCooldownForRupture"] = false,
									["hasMaxHealthPerc"] = false,
									["checkDurationOfVanish"] = false,
									["hasMaxComboPoints"] = true,
									["hasMinTimeToKillSolo"] = false,
									["hasMaxDurationOfStealth"] = false,
									["checkCooldownForExsanguinate"] = false,
									["hasMaxDurationOfVanish3"] = false,
									["checkDurationOfRupture"] = false,
									["require_not_pvp"] = false,
									["checkDurationOfStealth2"] = false,
									["minCooldownForGarrote"] = 0,
									["minCooldownForRupture"] = 0,
									["require_instance"] = false,
									["hasMaxDurationOfVanish"] = false,
									["maxDurationOfGarrote"] = 0,
									["checkHealthPerc"] = false,
									["maxCooldownForVanish"] = 0,
									["maxCooldownForExsanguinate"] = 0,
									["checkDurationOfDeadlyPoison"] = false,
									["hasMaxDurationOfDeadlyPoison"] = false,
									["maxDurationOfVanish2"] = 0,
									["hasMaxDurationOfGarrote"] = false,
									["minDurationOfSubterfuge"] = 0,
									["maxDurationOfDeadlyPoison"] = 0,
									["checkDurationOfVanish2"] = false,
									["hasMinCooldownForCrimsonVial"] = false,
									["require_not_instance"] = false,
									["hasMinCooldownForVanish"] = false,
									["hasMaxTimeToKillRaid"] = false,
									["hasMaxEnergy"] = false,
									["minTimeToKillRaid"] = 0,
									["hasMaxCooldownForExsanguinate"] = false,
									["maxCooldownForRupture"] = 0,
									["hasMaxCooldownForGarrote"] = false,
									["minDurationOfStealth"] = 0,
									["hasMinCooldownForExsanguinate"] = false,
									["cache_spells"] = {
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["checkCooldownForRupture"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfGarrote"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["maxDurationOfVanish3"] = 0,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["hasMinDurationOfGarrote"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxDurationOfRupture"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["spell"] = {
												["debugName"] = "Vendetta",
												["name"] = "Vendetta",
												["icon_id"] = 458726,
												["spell_id"] = 79140,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["minHealthPerc"] = 0,
											["maxTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["hasMinComboPoints"] = false,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForRupture"] = 0,
											["require_stealthed"] = false,
											["checkCooldownForGarrote"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfRupture"] = false,
											["hasMaxDurationOfRupture"] = false,
										}, -- [1]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["checkCooldownForRupture"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfGarrote"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["maxDurationOfVanish3"] = 0,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["hasMinDurationOfGarrote"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxDurationOfRupture"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["minHealthPerc"] = 0,
											["maxTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["hasMinComboPoints"] = false,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForRupture"] = 0,
											["require_stealthed"] = false,
											["checkCooldownForGarrote"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfRupture"] = false,
											["hasMaxDurationOfRupture"] = false,
										}, -- [2]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["checkCooldownForRupture"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfGarrote"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["maxDurationOfVanish3"] = 0,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["hasMinDurationOfGarrote"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxDurationOfRupture"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["spell"] = {
												["debugName"] = "Garrote",
												["name"] = "Garrote",
												["icon_id"] = 132297,
												["spell_id"] = 703,
												["cooldown"] = 15,
											},
											["maxCooldownForVendetta"] = 0,
											["minHealthPerc"] = 0,
											["maxTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["hasMinComboPoints"] = false,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForRupture"] = 0,
											["require_stealthed"] = false,
											["checkCooldownForGarrote"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfRupture"] = false,
											["hasMaxDurationOfRupture"] = false,
										}, -- [3]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["checkCooldownForRupture"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfGarrote"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["maxDurationOfVanish3"] = 0,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["hasMinDurationOfGarrote"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxDurationOfRupture"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["spell"] = {
												["debugName"] = "Exsanguinate",
												["name"] = "Exsanguinate",
												["icon_id"] = 538040,
												["spell_id"] = 200806,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["minHealthPerc"] = 0,
											["maxTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["hasMinComboPoints"] = false,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForRupture"] = 0,
											["require_stealthed"] = false,
											["checkCooldownForGarrote"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfRupture"] = false,
											["hasMaxDurationOfRupture"] = false,
										}, -- [4]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["checkCooldownForRupture"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfGarrote"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["maxDurationOfVanish3"] = 0,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["hasMinDurationOfGarrote"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxDurationOfRupture"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["spell"] = {
												["debugName"] = "Kingsbane",
												["name"] = "Kingsbane",
												["icon_id"] = 1259291,
												["spell_id"] = 192759,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["minHealthPerc"] = 0,
											["maxTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["hasMinComboPoints"] = false,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForRupture"] = 0,
											["require_stealthed"] = false,
											["checkCooldownForGarrote"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfRupture"] = false,
											["hasMaxDurationOfRupture"] = false,
										}, -- [5]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["checkCooldownForRupture"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfGarrote"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["maxDurationOfVanish3"] = 0,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["hasMinDurationOfGarrote"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxDurationOfRupture"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["maxCooldownForVendetta"] = 0,
											["minHealthPerc"] = 0,
											["maxTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["hasMinComboPoints"] = false,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForRupture"] = 0,
											["require_stealthed"] = false,
											["checkCooldownForGarrote"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfRupture"] = false,
											["hasMaxDurationOfRupture"] = false,
										}, -- [6]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["checkCooldownForRupture"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfGarrote"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["maxDurationOfVanish3"] = 0,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["hasMinDurationOfGarrote"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxDurationOfRupture"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["spell"] = {
												["debugName"] = "Rupture",
												["name"] = "Rupture",
												["icon_id"] = 132302,
												["spell_id"] = 1943,
												["cooldown"] = 1,
											},
											["maxCooldownForVendetta"] = 0,
											["minHealthPerc"] = 0,
											["maxTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["hasMinComboPoints"] = false,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForRupture"] = 0,
											["require_stealthed"] = false,
											["checkCooldownForGarrote"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfRupture"] = false,
											["hasMaxDurationOfRupture"] = false,
										}, -- [7]
									},
									["hasMinDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["hasMinDurationOfDeadlyPoison"] = false,
									["checkDurationOfStealth"] = false,
									["hasMaxCooldownForVendetta"] = false,
									["hasMaxCooldownForCrimsonVial"] = false,
									["maxDurationOfStealth"] = 0,
									["minDurationOfStealth2"] = 0,
									["hasMinDurationOfVanish2"] = false,
									["minDurationOfVanish3"] = 0,
									["hasMaxDurationOfStealth2"] = false,
									["checkCooldownForKingsbane"] = false,
									["hasMaxDurationOfVanish2"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["hasMaxDurationOfRupture"] = false,
									["checkTimeToKillSolo"] = false,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["hasMinDurationOfGarrote"] = false,
									["priority"] = 385,
									["maxDurationOfSubterfuge"] = 0,
									["poolEnergyIfLow"] = true,
									["minCooldownForVendetta"] = 0,
									["spell"] = {
										["debugName"] = "Mutilate",
										["name"] = "Mutilate",
										["icon_id"] = 132304,
										["spell_id"] = 1329,
									},
									["maxCooldownForVendetta"] = 0,
									["hasMinCooldownForKingsbane"] = false,
									["minDurationOfRupture"] = 0,
									["minCooldownForExsanguinate"] = 0,
									["minTimeToKillSolo"] = 0,
									["checkDurationOfVanish3"] = false,
									["require_pvp"] = false,
									["hasMinCooldownForRupture"] = false,
									["checkComboPoints"] = true,
									["hasMaxGroupSize"] = false,
									["cooldowns"] = {
										{
											["debugName"] = "Vendetta",
											["name"] = "Vendetta",
											["icon_id"] = 458726,
											["spell_id"] = 79140,
											["cooldown"] = 120,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = 132297,
											["spell_id"] = 703,
											["cooldown"] = 15,
										}, -- [3]
										{
											["debugName"] = "Exsanguinate",
											["name"] = "Exsanguinate",
											["icon_id"] = 538040,
											["spell_id"] = 200806,
											["cooldown"] = 45,
										}, -- [4]
										{
											["debugName"] = "Kingsbane",
											["name"] = "Kingsbane",
											["icon_id"] = 1259291,
											["spell_id"] = 192759,
											["cooldown"] = 45,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = 132302,
											["spell_id"] = 1943,
											["cooldown"] = 1,
										}, -- [7]
									},
									["minCooldownForKingsbane"] = 0,
									["primary"] = true,
									["require_not_boss_fight"] = false,
								}, -- [2]
							},
							["auras"] = {
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [1]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [2]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [3]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [5]
								{
									["is_stealthy"] = false,
									["debugName"] = "DeadlyPoison",
									["name"] = "Deadly Poison",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
									["target"] = "player",
									["max_duration"] = 4680,
									["hidden"] = false,
									["aura_id"] = 2823,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth",
									["name"] = "Stealth",
									["icon_id"] = "Interface\\Icons\\Ability_Stealth",
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [7]
								{
									["is_stealthy"] = false,
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
									["target"] = "target",
									["max_duration"] = 26,
									["hidden"] = false,
									["aura_id"] = 1943,
								}, -- [8]
								{
									["is_stealthy"] = false,
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
									["target"] = "target",
									["max_duration"] = 23.4,
									["hidden"] = false,
									["aura_id"] = 703,
								}, -- [9]
							},
						}, -- [4]
						{
							["spell"] = {
								["debugName"] = "Garrote",
								["name"] = "Garrote",
								["icon_id"] = 132297,
								["spell_id"] = 703,
								["cooldown"] = 15,
							},
							["name"] = "Garrote",
							["cooldowns"] = {
								{
									["debugName"] = "Vendetta",
									["name"] = "Vendetta",
									["icon_id"] = 458726,
									["spell_id"] = 79140,
									["cooldown"] = 120,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = 132297,
									["spell_id"] = 703,
									["cooldown"] = 15,
								}, -- [3]
								{
									["debugName"] = "Exsanguinate",
									["name"] = "Exsanguinate",
									["icon_id"] = 538040,
									["spell_id"] = 200806,
									["cooldown"] = 45,
								}, -- [4]
								{
									["debugName"] = "Kingsbane",
									["name"] = "Kingsbane",
									["icon_id"] = 1259291,
									["spell_id"] = 192759,
									["cooldown"] = 45,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = 132302,
									["spell_id"] = 1943,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["hasMaxTimeToKillSolo"] = false,
									["hasMinTimeToKillRaid"] = false,
									["hasMaxCooldownForRupture"] = false,
									["hasMinDurationOfVanish"] = false,
									["checkEnergy"] = true,
									["hasMinHealthPerc"] = false,
									["maxDurationOfRupture"] = 0,
									["maxGroupSize"] = 0,
									["hasMinEnergy"] = true,
									["maxCooldownForKingsbane"] = 0,
									["maxComboPoints"] = 0,
									["primary"] = true,
									["require_not_stealthed"] = false,
									["minDurationOfGarrote"] = 0,
									["require_pvp"] = false,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["minCooldownForVanish"] = 0,
									["checkDurationOfGarrote"] = true,
									["minDurationOfDeadlyPoison"] = 0,
									["hasMaxGroupSize"] = false,
									["minDurationOfVanish2"] = 0,
									["checkGroupSize"] = false,
									["hasMinCooldownForRupture"] = false,
									["hasMinCooldownForVendetta"] = false,
									["checkCooldownForVanish"] = false,
									["minHealthPerc"] = 0,
									["checkTimeToKillRaid"] = false,
									["hasMinDurationOfStealth2"] = false,
									["checkDurationOfVanish3"] = false,
									["maxDurationOfVanish"] = 0,
									["minEnergy"] = 45,
									["auras"] = {
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [1]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [2]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [3]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [5]
										{
											["is_stealthy"] = false,
											["debugName"] = "DeadlyPoison",
											["name"] = "Deadly Poison",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
											["target"] = "player",
											["max_duration"] = 4680,
											["hidden"] = false,
											["aura_id"] = 2823,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth",
											["name"] = "Stealth",
											["icon_id"] = "Interface\\Icons\\Ability_Stealth",
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [7]
										{
											["is_stealthy"] = false,
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
											["target"] = "target",
											["max_duration"] = 26,
											["hidden"] = false,
											["aura_id"] = 1943,
										}, -- [8]
										{
											["is_stealthy"] = false,
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
											["target"] = "target",
											["max_duration"] = 23.4,
											["hidden"] = false,
											["aura_id"] = 703,
										}, -- [9]
									},
									["hasMinComboPoints"] = false,
									["hasMaxCooldownForKingsbane"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfRupture"] = false,
									["hasMaxEnergy"] = false,
									["require_boss_fight"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["maxEnergy"] = 0,
									["hasMinGroupSize"] = false,
									["require_stealthed"] = false,
									["maxDurationOfStealth2"] = 0,
									["minGroupSize"] = 0,
									["hasMaxDurationOfVanish2"] = false,
									["maxCooldownForGarrote"] = 0,
									["maxDurationOfSubterfuge"] = 0,
									["checkCooldownForGarrote"] = true,
									["hasMaxHealthPerc"] = false,
									["checkDurationOfVanish"] = false,
									["hasMaxComboPoints"] = false,
									["hasMinTimeToKillSolo"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["checkCooldownForExsanguinate"] = false,
									["minDurationOfStealth2"] = 0,
									["checkDurationOfRupture"] = false,
									["require_not_pvp"] = false,
									["checkDurationOfStealth2"] = false,
									["minCooldownForGarrote"] = 0,
									["minCooldownForRupture"] = 0,
									["require_instance"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["hasMinDurationOfStealth"] = false,
									["checkHealthPerc"] = false,
									["maxCooldownForVanish"] = 0,
									["maxCooldownForExsanguinate"] = 0,
									["hasMaxDurationOfVanish"] = false,
									["hasMaxDurationOfDeadlyPoison"] = false,
									["maxDurationOfVanish2"] = 0,
									["hasMaxDurationOfGarrote"] = true,
									["minDurationOfSubterfuge"] = 0,
									["maxDurationOfDeadlyPoison"] = 0,
									["minDurationOfVanish"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["require_not_instance"] = false,
									["checkDurationOfDeadlyPoison"] = false,
									["hasMaxTimeToKillRaid"] = false,
									["checkTimeToKillSolo"] = false,
									["minTimeToKillRaid"] = 0,
									["hasMaxCooldownForExsanguinate"] = false,
									["hasMinCooldownForVanish"] = false,
									["hasMaxCooldownForGarrote"] = true,
									["minDurationOfStealth"] = 0,
									["hasMinCooldownForExsanguinate"] = false,
									["cache_spells"] = {
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vendetta",
												["name"] = "Vendetta",
												["icon_id"] = 458726,
												["spell_id"] = 79140,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [1]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [2]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Garrote",
												["name"] = "Garrote",
												["icon_id"] = 132297,
												["spell_id"] = 703,
												["cooldown"] = 15,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [3]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Exsanguinate",
												["name"] = "Exsanguinate",
												["icon_id"] = 538040,
												["spell_id"] = 200806,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [4]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Kingsbane",
												["name"] = "Kingsbane",
												["icon_id"] = 1259291,
												["spell_id"] = 192759,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [5]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [6]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["hasMinComboPoints"] = false,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkComboPoints"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["require_stealthed"] = false,
											["minDurationOfVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["checkTimeToKillSolo"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["checkCooldownForVanish"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["enabled"] = false,
											["checkDurationOfSubterfuge"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["spell"] = {
												["debugName"] = "Rupture",
												["name"] = "Rupture",
												["icon_id"] = 132302,
												["spell_id"] = 1943,
												["cooldown"] = 1,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeToKillSolo"] = 0,
											["checkDurationOfStealth"] = false,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["hasMinTimeToKillSolo"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForGarrote"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfRupture"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["hasMinDurationOfDeadlyPoison"] = false,
									["hasMaxCooldownForCrimsonVial"] = false,
									["hasMaxCooldownForVendetta"] = false,
									["checkDurationOfStealth"] = false,
									["maxDurationOfStealth"] = 0,
									["maxCooldownForRupture"] = 0,
									["hasMaxDurationOfStealth"] = false,
									["checkCooldownForRupture"] = false,
									["hasMaxDurationOfRupture"] = false,
									["checkCooldownForKingsbane"] = false,
									["minDurationOfRupture"] = 0,
									["checkCooldownForVendetta"] = false,
									["minDurationOfVanish3"] = 0,
									["hasMinDurationOfVanish2"] = false,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["hasMinDurationOfGarrote"] = false,
									["priority"] = 600,
									["hasMinDurationOfVanish3"] = false,
									["poolEnergyIfLow"] = true,
									["minCooldownForVendetta"] = 0,
									["spell"] = {
										["debugName"] = "Garrote",
										["name"] = "Garrote",
										["icon_id"] = 132297,
										["spell_id"] = 703,
										["cooldown"] = 15,
									},
									["maxCooldownForVendetta"] = 0,
									["hasMinCooldownForKingsbane"] = false,
									["hasMinCooldownForGarrote"] = false,
									["minCooldownForExsanguinate"] = 0,
									["minTimeToKillSolo"] = 0,
									["checkDurationOfVanish2"] = false,
									["minComboPoints"] = 0,
									["enabled"] = true,
									["checkComboPoints"] = false,
									["maxDurationOfGarrote"] = 0,
									["cooldowns"] = {
										{
											["debugName"] = "Vendetta",
											["name"] = "Vendetta",
											["icon_id"] = 458726,
											["spell_id"] = 79140,
											["cooldown"] = 120,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = 132297,
											["spell_id"] = 703,
											["cooldown"] = 15,
										}, -- [3]
										{
											["debugName"] = "Exsanguinate",
											["name"] = "Exsanguinate",
											["icon_id"] = 538040,
											["spell_id"] = 200806,
											["cooldown"] = 45,
										}, -- [4]
										{
											["debugName"] = "Kingsbane",
											["name"] = "Kingsbane",
											["icon_id"] = 1259291,
											["spell_id"] = 192759,
											["cooldown"] = 45,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = 132302,
											["spell_id"] = 1943,
											["cooldown"] = 1,
										}, -- [7]
									},
									["minCooldownForKingsbane"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["require_not_boss_fight"] = false,
								}, -- [1]
								{
									["hasMaxTimeToKillSolo"] = false,
									["hasMinTimeToKillRaid"] = false,
									["hasMaxCooldownForRupture"] = false,
									["hasMinDurationOfVanish"] = false,
									["checkEnergy"] = true,
									["hasMinHealthPerc"] = false,
									["maxDurationOfRupture"] = 0,
									["maxGroupSize"] = 0,
									["hasMinEnergy"] = true,
									["maxCooldownForKingsbane"] = 0,
									["maxComboPoints"] = 0,
									["checkCooldownForVendetta"] = false,
									["require_not_stealthed"] = false,
									["minDurationOfGarrote"] = 0,
									["enabled"] = true,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["minCooldownForVanish"] = 0,
									["checkDurationOfGarrote"] = true,
									["checkCooldownForVanish"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["minDurationOfVanish2"] = 0,
									["checkGroupSize"] = false,
									["hasMinDurationOfStealth2"] = false,
									["minComboPoints"] = 0,
									["minDurationOfDeadlyPoison"] = 0,
									["minHealthPerc"] = 0,
									["checkTimeToKillRaid"] = false,
									["maxCooldownForCrimsonVial"] = 0,
									["hasMinDurationOfStealth"] = false,
									["minDurationOfVanish"] = 0,
									["minEnergy"] = 45,
									["maxDurationOfVanish"] = 0,
									["hasMinComboPoints"] = false,
									["hasMaxCooldownForKingsbane"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfRupture"] = false,
									["hasMinCooldownForVendetta"] = false,
									["require_boss_fight"] = false,
									["auras"] = {
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [1]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [2]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [3]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [5]
										{
											["is_stealthy"] = false,
											["debugName"] = "DeadlyPoison",
											["name"] = "Deadly Poison",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
											["target"] = "player",
											["max_duration"] = 4680,
											["hidden"] = false,
											["aura_id"] = 2823,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth",
											["name"] = "Stealth",
											["icon_id"] = "Interface\\Icons\\Ability_Stealth",
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [7]
										{
											["is_stealthy"] = false,
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
											["target"] = "target",
											["max_duration"] = 26,
											["hidden"] = false,
											["aura_id"] = 1943,
										}, -- [8]
										{
											["is_stealthy"] = false,
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
											["target"] = "target",
											["max_duration"] = 23.4,
											["hidden"] = false,
											["aura_id"] = 703,
										}, -- [9]
									},
									["maxEnergy"] = 0,
									["hasMinGroupSize"] = false,
									["require_stealthed"] = false,
									["maxDurationOfStealth2"] = 0,
									["minGroupSize"] = 0,
									["hasMinCooldownForGarrote"] = false,
									["maxCooldownForGarrote"] = 0,
									["checkCooldownForGarrote"] = true,
									["checkCooldownForRupture"] = false,
									["hasMaxHealthPerc"] = false,
									["checkDurationOfVanish"] = false,
									["hasMaxComboPoints"] = false,
									["hasMinTimeToKillSolo"] = false,
									["hasMaxDurationOfStealth"] = false,
									["checkCooldownForExsanguinate"] = false,
									["hasMaxDurationOfVanish3"] = false,
									["checkDurationOfRupture"] = false,
									["require_not_pvp"] = false,
									["checkDurationOfStealth2"] = false,
									["minCooldownForGarrote"] = 0,
									["minCooldownForRupture"] = 0,
									["require_instance"] = false,
									["hasMaxDurationOfVanish"] = false,
									["maxDurationOfGarrote"] = 6,
									["checkHealthPerc"] = false,
									["maxCooldownForVanish"] = 0,
									["maxCooldownForExsanguinate"] = 0,
									["checkDurationOfDeadlyPoison"] = false,
									["hasMaxDurationOfDeadlyPoison"] = false,
									["maxDurationOfVanish2"] = 0,
									["hasMaxDurationOfGarrote"] = true,
									["minDurationOfSubterfuge"] = 0,
									["maxDurationOfDeadlyPoison"] = 0,
									["checkDurationOfVanish2"] = false,
									["hasMinCooldownForCrimsonVial"] = false,
									["require_not_instance"] = false,
									["hasMinCooldownForVanish"] = false,
									["hasMaxTimeToKillRaid"] = false,
									["hasMaxEnergy"] = false,
									["minTimeToKillRaid"] = 0,
									["hasMaxCooldownForExsanguinate"] = false,
									["maxCooldownForRupture"] = 0,
									["hasMaxCooldownForGarrote"] = true,
									["minDurationOfStealth"] = 0,
									["hasMinCooldownForExsanguinate"] = false,
									["cache_spells"] = {
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["checkCooldownForRupture"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfGarrote"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["maxDurationOfVanish3"] = 0,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["hasMinDurationOfGarrote"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxDurationOfRupture"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["spell"] = {
												["debugName"] = "Vendetta",
												["name"] = "Vendetta",
												["icon_id"] = 458726,
												["spell_id"] = 79140,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["minHealthPerc"] = 0,
											["maxTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["hasMinComboPoints"] = false,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForRupture"] = 0,
											["require_stealthed"] = false,
											["checkCooldownForGarrote"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfRupture"] = false,
											["hasMaxDurationOfRupture"] = false,
										}, -- [1]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["checkCooldownForRupture"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfGarrote"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["maxDurationOfVanish3"] = 0,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["hasMinDurationOfGarrote"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxDurationOfRupture"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["minHealthPerc"] = 0,
											["maxTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["hasMinComboPoints"] = false,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForRupture"] = 0,
											["require_stealthed"] = false,
											["checkCooldownForGarrote"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfRupture"] = false,
											["hasMaxDurationOfRupture"] = false,
										}, -- [2]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "used_after",
												["display_value"] = true,
												["display_name"] = "Used after",
											},
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["checkCooldownForRupture"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfGarrote"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["maxDurationOfVanish3"] = 0,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["hasMinDurationOfGarrote"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxDurationOfRupture"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["enabled"] = true,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["spell"] = {
												["debugName"] = "Garrote",
												["name"] = "Garrote",
												["icon_id"] = 132297,
												["spell_id"] = 703,
												["cooldown"] = 15,
											},
											["maxCooldownForVendetta"] = 0,
											["minHealthPerc"] = 0,
											["maxTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["hasMinComboPoints"] = false,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForRupture"] = 0,
											["require_stealthed"] = false,
											["checkCooldownForGarrote"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfRupture"] = false,
											["hasMaxDurationOfRupture"] = false,
										}, -- [3]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["checkCooldownForRupture"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfGarrote"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["maxDurationOfVanish3"] = 0,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["hasMinDurationOfGarrote"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxDurationOfRupture"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["spell"] = {
												["debugName"] = "Exsanguinate",
												["name"] = "Exsanguinate",
												["icon_id"] = 538040,
												["spell_id"] = 200806,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["minHealthPerc"] = 0,
											["maxTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["hasMinComboPoints"] = false,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForRupture"] = 0,
											["require_stealthed"] = false,
											["checkCooldownForGarrote"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfRupture"] = false,
											["hasMaxDurationOfRupture"] = false,
										}, -- [4]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["checkCooldownForRupture"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfGarrote"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["maxDurationOfVanish3"] = 0,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["hasMinDurationOfGarrote"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxDurationOfRupture"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["spell"] = {
												["debugName"] = "Kingsbane",
												["name"] = "Kingsbane",
												["icon_id"] = 1259291,
												["spell_id"] = 192759,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["minHealthPerc"] = 0,
											["maxTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["hasMinComboPoints"] = false,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForRupture"] = 0,
											["require_stealthed"] = false,
											["checkCooldownForGarrote"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfRupture"] = false,
											["hasMaxDurationOfRupture"] = false,
										}, -- [5]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["checkCooldownForRupture"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfGarrote"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["maxDurationOfVanish3"] = 0,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["hasMinDurationOfGarrote"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxDurationOfRupture"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["maxCooldownForVendetta"] = 0,
											["minHealthPerc"] = 0,
											["maxTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["hasMinComboPoints"] = false,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForRupture"] = 0,
											["require_stealthed"] = false,
											["checkCooldownForGarrote"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfRupture"] = false,
											["hasMaxDurationOfRupture"] = false,
										}, -- [6]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["checkCooldownForRupture"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["minDurationOfStealth2"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfGarrote"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["maxDurationOfVanish3"] = 0,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["hasMinDurationOfVanish2"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["hasMaxDurationOfStealth2"] = false,
											["maxDurationOfSubterfuge"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["hasMinDurationOfGarrote"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxDurationOfRupture"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["spell"] = {
												["debugName"] = "Rupture",
												["name"] = "Rupture",
												["icon_id"] = 132302,
												["spell_id"] = 1943,
												["cooldown"] = 1,
											},
											["maxCooldownForVendetta"] = 0,
											["minHealthPerc"] = 0,
											["maxTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["hasMinComboPoints"] = false,
											["hasMinTimeToKillSolo"] = false,
											["minCooldownForRupture"] = 0,
											["require_stealthed"] = false,
											["checkCooldownForGarrote"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfRupture"] = false,
											["hasMaxDurationOfRupture"] = false,
										}, -- [7]
									},
									["hasMinDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["hasMinDurationOfDeadlyPoison"] = false,
									["checkDurationOfStealth"] = false,
									["hasMaxCooldownForVendetta"] = false,
									["hasMaxCooldownForCrimsonVial"] = false,
									["maxDurationOfStealth"] = 0,
									["minDurationOfStealth2"] = 0,
									["hasMinDurationOfVanish2"] = false,
									["minDurationOfVanish3"] = 0,
									["hasMaxDurationOfStealth2"] = false,
									["checkCooldownForKingsbane"] = false,
									["hasMaxDurationOfVanish2"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["hasMaxDurationOfRupture"] = false,
									["checkTimeToKillSolo"] = false,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["hasMinDurationOfGarrote"] = false,
									["priority"] = 550,
									["maxDurationOfSubterfuge"] = 0,
									["poolEnergyIfLow"] = true,
									["minCooldownForVendetta"] = 0,
									["spell"] = {
										["debugName"] = "Garrote",
										["name"] = "Garrote",
										["icon_id"] = 132297,
										["spell_id"] = 703,
										["cooldown"] = 15,
									},
									["maxCooldownForVendetta"] = 0,
									["hasMinCooldownForKingsbane"] = false,
									["minDurationOfRupture"] = 0,
									["minCooldownForExsanguinate"] = 0,
									["minTimeToKillSolo"] = 0,
									["checkDurationOfVanish3"] = false,
									["require_pvp"] = false,
									["hasMinCooldownForRupture"] = false,
									["checkComboPoints"] = false,
									["hasMaxGroupSize"] = false,
									["cooldowns"] = {
										{
											["debugName"] = "Vendetta",
											["name"] = "Vendetta",
											["icon_id"] = 458726,
											["spell_id"] = 79140,
											["cooldown"] = 120,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = 132297,
											["spell_id"] = 703,
											["cooldown"] = 15,
										}, -- [3]
										{
											["debugName"] = "Exsanguinate",
											["name"] = "Exsanguinate",
											["icon_id"] = 538040,
											["spell_id"] = 200806,
											["cooldown"] = 45,
										}, -- [4]
										{
											["debugName"] = "Kingsbane",
											["name"] = "Kingsbane",
											["icon_id"] = 1259291,
											["spell_id"] = 192759,
											["cooldown"] = 45,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = 132302,
											["spell_id"] = 1943,
											["cooldown"] = 1,
										}, -- [7]
									},
									["minCooldownForKingsbane"] = 0,
									["primary"] = true,
									["require_not_boss_fight"] = false,
								}, -- [2]
							},
							["auras"] = {
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [1]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [2]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [3]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [5]
								{
									["is_stealthy"] = false,
									["debugName"] = "DeadlyPoison",
									["name"] = "Deadly Poison",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
									["target"] = "player",
									["max_duration"] = 4680,
									["hidden"] = false,
									["aura_id"] = 2823,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth",
									["name"] = "Stealth",
									["icon_id"] = "Interface\\Icons\\Ability_Stealth",
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [7]
								{
									["is_stealthy"] = false,
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
									["target"] = "target",
									["max_duration"] = 26,
									["hidden"] = false,
									["aura_id"] = 1943,
								}, -- [8]
								{
									["is_stealthy"] = false,
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
									["target"] = "target",
									["max_duration"] = 23.4,
									["hidden"] = false,
									["aura_id"] = 703,
								}, -- [9]
							},
						}, -- [5]
						{
							["spell"] = {
								["debugName"] = "Exsanguinate",
								["name"] = "Exsanguinate",
								["icon_id"] = 538040,
								["spell_id"] = 200806,
								["cooldown"] = 45,
							},
							["name"] = "Exsanguinate",
							["cooldowns"] = {
								{
									["debugName"] = "Vendetta",
									["name"] = "Vendetta",
									["icon_id"] = 458726,
									["spell_id"] = 79140,
									["cooldown"] = 120,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = 132297,
									["spell_id"] = 703,
									["cooldown"] = 15,
								}, -- [3]
								{
									["debugName"] = "Exsanguinate",
									["name"] = "Exsanguinate",
									["icon_id"] = 538040,
									["spell_id"] = 200806,
									["cooldown"] = 45,
								}, -- [4]
								{
									["debugName"] = "Kingsbane",
									["name"] = "Kingsbane",
									["icon_id"] = 1259291,
									["spell_id"] = 192759,
									["cooldown"] = 45,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = 132302,
									["spell_id"] = 1943,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["hasMaxTimeToKillSolo"] = false,
									["hasMinTimeToKillRaid"] = false,
									["hasMaxCooldownForRupture"] = false,
									["hasMinDurationOfVanish"] = false,
									["checkEnergy"] = false,
									["hasMinHealthPerc"] = false,
									["maxDurationOfRupture"] = 0,
									["maxGroupSize"] = 0,
									["hasMinEnergy"] = false,
									["maxCooldownForKingsbane"] = 0,
									["maxComboPoints"] = 0,
									["primary"] = false,
									["require_not_stealthed"] = false,
									["minDurationOfGarrote"] = 0,
									["require_pvp"] = false,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["minCooldownForVanish"] = 10,
									["checkDurationOfGarrote"] = false,
									["minDurationOfDeadlyPoison"] = 0,
									["hasMaxGroupSize"] = false,
									["minDurationOfVanish2"] = 0,
									["checkGroupSize"] = false,
									["hasMinCooldownForRupture"] = false,
									["hasMinCooldownForVendetta"] = false,
									["checkCooldownForVanish"] = false,
									["minHealthPerc"] = 0,
									["checkTimeToKillRaid"] = false,
									["hasMinDurationOfStealth2"] = false,
									["checkDurationOfVanish3"] = false,
									["maxDurationOfVanish"] = 0,
									["minEnergy"] = 0,
									["auras"] = {
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [1]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [2]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [3]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [5]
										{
											["is_stealthy"] = false,
											["debugName"] = "DeadlyPoison",
											["name"] = "Deadly Poison",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
											["target"] = "player",
											["max_duration"] = 4680,
											["hidden"] = false,
											["aura_id"] = 2823,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth",
											["name"] = "Stealth",
											["icon_id"] = "Interface\\Icons\\Ability_Stealth",
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [7]
										{
											["is_stealthy"] = false,
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
											["target"] = "target",
											["max_duration"] = 26,
											["hidden"] = false,
											["aura_id"] = 1943,
										}, -- [8]
										{
											["is_stealthy"] = false,
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
											["target"] = "target",
											["max_duration"] = 23.4,
											["hidden"] = false,
											["aura_id"] = 703,
										}, -- [9]
									},
									["hasMinComboPoints"] = false,
									["hasMaxCooldownForKingsbane"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfRupture"] = true,
									["hasMaxEnergy"] = false,
									["require_boss_fight"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["maxEnergy"] = 0,
									["hasMinGroupSize"] = false,
									["require_stealthed"] = false,
									["maxDurationOfStealth2"] = 0,
									["minGroupSize"] = 0,
									["hasMaxDurationOfVanish2"] = false,
									["maxCooldownForGarrote"] = 0,
									["maxDurationOfSubterfuge"] = 0,
									["checkCooldownForGarrote"] = false,
									["hasMaxHealthPerc"] = false,
									["checkDurationOfVanish"] = false,
									["hasMaxComboPoints"] = false,
									["hasMinTimeToKillSolo"] = true,
									["hasMaxDurationOfStealth2"] = false,
									["checkCooldownForExsanguinate"] = true,
									["minDurationOfStealth2"] = 0,
									["checkDurationOfRupture"] = true,
									["require_not_pvp"] = false,
									["checkDurationOfStealth2"] = false,
									["minCooldownForGarrote"] = 0,
									["minCooldownForRupture"] = 0,
									["require_instance"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["hasMinDurationOfStealth"] = false,
									["checkHealthPerc"] = false,
									["maxCooldownForVanish"] = 0,
									["maxCooldownForExsanguinate"] = 0,
									["hasMaxDurationOfVanish"] = false,
									["hasMaxDurationOfDeadlyPoison"] = false,
									["maxDurationOfVanish2"] = 0,
									["hasMaxDurationOfGarrote"] = false,
									["minDurationOfSubterfuge"] = 0,
									["maxDurationOfDeadlyPoison"] = 0,
									["minDurationOfVanish"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["require_not_instance"] = false,
									["checkDurationOfDeadlyPoison"] = false,
									["hasMaxTimeToKillRaid"] = false,
									["checkTimeToKillSolo"] = true,
									["minTimeToKillRaid"] = 0,
									["hasMaxCooldownForExsanguinate"] = true,
									["hasMinCooldownForVanish"] = true,
									["hasMaxCooldownForGarrote"] = false,
									["minDurationOfStealth"] = 0,
									["hasMinCooldownForExsanguinate"] = false,
									["cache_spells"] = {
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vendetta",
												["name"] = "Vendetta",
												["icon_id"] = 458726,
												["spell_id"] = 79140,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [1]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [2]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Garrote",
												["name"] = "Garrote",
												["icon_id"] = 132297,
												["spell_id"] = 703,
												["cooldown"] = 15,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [3]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Exsanguinate",
												["name"] = "Exsanguinate",
												["icon_id"] = 538040,
												["spell_id"] = 200806,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [4]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Kingsbane",
												["name"] = "Kingsbane",
												["icon_id"] = 1259291,
												["spell_id"] = 192759,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [5]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [6]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["hasMinComboPoints"] = false,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkComboPoints"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["require_stealthed"] = false,
											["minDurationOfVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["checkTimeToKillSolo"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["checkCooldownForVanish"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["enabled"] = false,
											["checkDurationOfSubterfuge"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["spell"] = {
												["debugName"] = "Rupture",
												["name"] = "Rupture",
												["icon_id"] = 132302,
												["spell_id"] = 1943,
												["cooldown"] = 1,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeToKillSolo"] = 0,
											["checkDurationOfStealth"] = false,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["hasMinTimeToKillSolo"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForGarrote"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfRupture"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["hasMinDurationOfDeadlyPoison"] = false,
									["hasMaxCooldownForCrimsonVial"] = false,
									["hasMaxCooldownForVendetta"] = false,
									["checkDurationOfStealth"] = false,
									["maxDurationOfStealth"] = 0,
									["maxCooldownForRupture"] = 0,
									["hasMaxDurationOfStealth"] = false,
									["checkCooldownForRupture"] = false,
									["hasMaxDurationOfRupture"] = false,
									["checkCooldownForKingsbane"] = false,
									["minDurationOfRupture"] = 24,
									["checkCooldownForVendetta"] = false,
									["minDurationOfVanish3"] = 0,
									["hasMinDurationOfVanish2"] = false,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["hasMinDurationOfGarrote"] = false,
									["priority"] = 605,
									["hasMinDurationOfVanish3"] = false,
									["poolEnergyIfLow"] = false,
									["minCooldownForVendetta"] = 0,
									["spell"] = {
										["debugName"] = "Exsanguinate",
										["name"] = "Exsanguinate",
										["icon_id"] = 538040,
										["spell_id"] = 200806,
										["cooldown"] = 45,
									},
									["maxCooldownForVendetta"] = 0,
									["hasMinCooldownForKingsbane"] = false,
									["hasMinCooldownForGarrote"] = false,
									["minCooldownForExsanguinate"] = 0,
									["minTimeToKillSolo"] = 10,
									["checkDurationOfVanish2"] = false,
									["minComboPoints"] = 0,
									["enabled"] = true,
									["checkComboPoints"] = false,
									["maxDurationOfGarrote"] = 0,
									["cooldowns"] = {
										{
											["debugName"] = "Vendetta",
											["name"] = "Vendetta",
											["icon_id"] = 458726,
											["spell_id"] = 79140,
											["cooldown"] = 120,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = 132297,
											["spell_id"] = 703,
											["cooldown"] = 15,
										}, -- [3]
										{
											["debugName"] = "Exsanguinate",
											["name"] = "Exsanguinate",
											["icon_id"] = 538040,
											["spell_id"] = 200806,
											["cooldown"] = 45,
										}, -- [4]
										{
											["debugName"] = "Kingsbane",
											["name"] = "Kingsbane",
											["icon_id"] = 1259291,
											["spell_id"] = 192759,
											["cooldown"] = 45,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = 132302,
											["spell_id"] = 1943,
											["cooldown"] = 1,
										}, -- [7]
									},
									["minCooldownForKingsbane"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["require_not_boss_fight"] = false,
								}, -- [1]
							},
							["auras"] = {
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [1]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [2]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [3]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [5]
								{
									["is_stealthy"] = false,
									["debugName"] = "DeadlyPoison",
									["name"] = "Deadly Poison",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
									["target"] = "player",
									["max_duration"] = 4680,
									["hidden"] = false,
									["aura_id"] = 2823,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth",
									["name"] = "Stealth",
									["icon_id"] = "Interface\\Icons\\Ability_Stealth",
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [7]
								{
									["is_stealthy"] = false,
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
									["target"] = "target",
									["max_duration"] = 26,
									["hidden"] = false,
									["aura_id"] = 1943,
								}, -- [8]
								{
									["is_stealthy"] = false,
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
									["target"] = "target",
									["max_duration"] = 23.4,
									["hidden"] = false,
									["aura_id"] = 703,
								}, -- [9]
							},
						}, -- [6]
						{
							["spell"] = {
								["debugName"] = "Kingsbane",
								["name"] = "Kingsbane",
								["icon_id"] = 1259291,
								["spell_id"] = 192759,
								["cooldown"] = 45,
							},
							["name"] = "Kingsbane",
							["cooldowns"] = {
								{
									["debugName"] = "Vendetta",
									["name"] = "Vendetta",
									["icon_id"] = 458726,
									["spell_id"] = 79140,
									["cooldown"] = 120,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = 132297,
									["spell_id"] = 703,
									["cooldown"] = 15,
								}, -- [3]
								{
									["debugName"] = "Exsanguinate",
									["name"] = "Exsanguinate",
									["icon_id"] = 538040,
									["spell_id"] = 200806,
									["cooldown"] = 45,
								}, -- [4]
								{
									["debugName"] = "Kingsbane",
									["name"] = "Kingsbane",
									["icon_id"] = 1259291,
									["spell_id"] = 192759,
									["cooldown"] = 45,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = 132302,
									["spell_id"] = 1943,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["hasMaxTimeToKillSolo"] = false,
									["hasMinTimeToKillRaid"] = false,
									["hasMaxCooldownForRupture"] = false,
									["hasMinDurationOfVanish"] = false,
									["checkEnergy"] = true,
									["hasMinHealthPerc"] = false,
									["maxDurationOfRupture"] = 0,
									["maxGroupSize"] = 0,
									["hasMinEnergy"] = true,
									["maxCooldownForKingsbane"] = 0,
									["maxComboPoints"] = 0,
									["primary"] = true,
									["require_not_stealthed"] = false,
									["minDurationOfGarrote"] = 0,
									["require_pvp"] = false,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["minCooldownForVanish"] = 0,
									["checkDurationOfGarrote"] = false,
									["minDurationOfDeadlyPoison"] = 0,
									["hasMaxGroupSize"] = false,
									["minDurationOfVanish2"] = 0,
									["checkGroupSize"] = false,
									["hasMinCooldownForRupture"] = false,
									["hasMinCooldownForVendetta"] = false,
									["checkCooldownForVanish"] = false,
									["minHealthPerc"] = 0,
									["checkTimeToKillRaid"] = false,
									["hasMinDurationOfStealth2"] = false,
									["checkDurationOfVanish3"] = false,
									["maxDurationOfVanish"] = 0,
									["minEnergy"] = 35,
									["auras"] = {
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [1]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [2]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [3]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [5]
										{
											["is_stealthy"] = false,
											["debugName"] = "DeadlyPoison",
											["name"] = "Deadly Poison",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
											["target"] = "player",
											["max_duration"] = 4680,
											["hidden"] = false,
											["aura_id"] = 2823,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth",
											["name"] = "Stealth",
											["icon_id"] = "Interface\\Icons\\Ability_Stealth",
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [7]
										{
											["is_stealthy"] = false,
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
											["target"] = "target",
											["max_duration"] = 26,
											["hidden"] = false,
											["aura_id"] = 1943,
										}, -- [8]
										{
											["is_stealthy"] = false,
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
											["target"] = "target",
											["max_duration"] = 23.4,
											["hidden"] = false,
											["aura_id"] = 703,
										}, -- [9]
									},
									["hasMinComboPoints"] = false,
									["hasMaxCooldownForKingsbane"] = true,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfRupture"] = false,
									["hasMaxEnergy"] = false,
									["require_boss_fight"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["maxEnergy"] = 0,
									["hasMinGroupSize"] = false,
									["require_stealthed"] = false,
									["maxDurationOfStealth2"] = 0,
									["minGroupSize"] = 0,
									["hasMaxDurationOfVanish2"] = false,
									["maxCooldownForGarrote"] = 0,
									["maxDurationOfSubterfuge"] = 0,
									["checkCooldownForGarrote"] = false,
									["hasMaxHealthPerc"] = false,
									["checkDurationOfVanish"] = false,
									["hasMaxComboPoints"] = false,
									["hasMinTimeToKillSolo"] = true,
									["hasMaxDurationOfStealth2"] = false,
									["checkCooldownForExsanguinate"] = false,
									["minDurationOfStealth2"] = 0,
									["checkDurationOfRupture"] = false,
									["require_not_pvp"] = false,
									["checkDurationOfStealth2"] = false,
									["minCooldownForGarrote"] = 0,
									["minCooldownForRupture"] = 0,
									["require_instance"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["hasMinDurationOfStealth"] = false,
									["checkHealthPerc"] = false,
									["maxCooldownForVanish"] = 0,
									["maxCooldownForExsanguinate"] = 0,
									["hasMaxDurationOfVanish"] = false,
									["hasMaxDurationOfDeadlyPoison"] = false,
									["maxDurationOfVanish2"] = 0,
									["hasMaxDurationOfGarrote"] = false,
									["minDurationOfSubterfuge"] = 0,
									["maxDurationOfDeadlyPoison"] = 0,
									["minDurationOfVanish"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["require_not_instance"] = false,
									["checkDurationOfDeadlyPoison"] = false,
									["hasMaxTimeToKillRaid"] = false,
									["checkTimeToKillSolo"] = true,
									["minTimeToKillRaid"] = 0,
									["hasMaxCooldownForExsanguinate"] = false,
									["hasMinCooldownForVanish"] = false,
									["hasMaxCooldownForGarrote"] = false,
									["minDurationOfStealth"] = 0,
									["hasMinCooldownForExsanguinate"] = false,
									["cache_spells"] = {
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vendetta",
												["name"] = "Vendetta",
												["icon_id"] = 458726,
												["spell_id"] = 79140,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [1]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [2]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Garrote",
												["name"] = "Garrote",
												["icon_id"] = 132297,
												["spell_id"] = 703,
												["cooldown"] = 15,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [3]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Exsanguinate",
												["name"] = "Exsanguinate",
												["icon_id"] = 538040,
												["spell_id"] = 200806,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [4]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Kingsbane",
												["name"] = "Kingsbane",
												["icon_id"] = 1259291,
												["spell_id"] = 192759,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [5]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [6]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["hasMinComboPoints"] = false,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkComboPoints"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["require_stealthed"] = false,
											["minDurationOfVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["checkTimeToKillSolo"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["checkCooldownForVanish"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["enabled"] = false,
											["checkDurationOfSubterfuge"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["spell"] = {
												["debugName"] = "Rupture",
												["name"] = "Rupture",
												["icon_id"] = 132302,
												["spell_id"] = 1943,
												["cooldown"] = 1,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeToKillSolo"] = 0,
											["checkDurationOfStealth"] = false,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["hasMinTimeToKillSolo"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForGarrote"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfRupture"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["hasMinDurationOfDeadlyPoison"] = false,
									["hasMaxCooldownForCrimsonVial"] = false,
									["hasMaxCooldownForVendetta"] = false,
									["checkDurationOfStealth"] = false,
									["maxDurationOfStealth"] = 0,
									["maxCooldownForRupture"] = 0,
									["hasMaxDurationOfStealth"] = false,
									["checkCooldownForRupture"] = false,
									["hasMaxDurationOfRupture"] = false,
									["checkCooldownForKingsbane"] = true,
									["minDurationOfRupture"] = 0,
									["checkCooldownForVendetta"] = false,
									["minDurationOfVanish3"] = 0,
									["hasMinDurationOfVanish2"] = false,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["hasMinDurationOfGarrote"] = false,
									["priority"] = 525,
									["hasMinDurationOfVanish3"] = false,
									["poolEnergyIfLow"] = true,
									["minCooldownForVendetta"] = 0,
									["spell"] = {
										["debugName"] = "Kingsbane",
										["name"] = "Kingsbane",
										["icon_id"] = 1259291,
										["spell_id"] = 192759,
										["cooldown"] = 45,
									},
									["maxCooldownForVendetta"] = 0,
									["hasMinCooldownForKingsbane"] = false,
									["hasMinCooldownForGarrote"] = false,
									["minCooldownForExsanguinate"] = 0,
									["minTimeToKillSolo"] = 5,
									["checkDurationOfVanish2"] = false,
									["minComboPoints"] = 0,
									["enabled"] = true,
									["checkComboPoints"] = false,
									["maxDurationOfGarrote"] = 0,
									["cooldowns"] = {
										{
											["debugName"] = "Vendetta",
											["name"] = "Vendetta",
											["icon_id"] = 458726,
											["spell_id"] = 79140,
											["cooldown"] = 120,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = 132297,
											["spell_id"] = 703,
											["cooldown"] = 15,
										}, -- [3]
										{
											["debugName"] = "Exsanguinate",
											["name"] = "Exsanguinate",
											["icon_id"] = 538040,
											["spell_id"] = 200806,
											["cooldown"] = 45,
										}, -- [4]
										{
											["debugName"] = "Kingsbane",
											["name"] = "Kingsbane",
											["icon_id"] = 1259291,
											["spell_id"] = 192759,
											["cooldown"] = 45,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = 132302,
											["spell_id"] = 1943,
											["cooldown"] = 1,
										}, -- [7]
									},
									["minCooldownForKingsbane"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["require_not_boss_fight"] = false,
								}, -- [1]
							},
							["auras"] = {
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [1]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [2]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [3]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [5]
								{
									["is_stealthy"] = false,
									["debugName"] = "DeadlyPoison",
									["name"] = "Deadly Poison",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
									["target"] = "player",
									["max_duration"] = 4680,
									["hidden"] = false,
									["aura_id"] = 2823,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth",
									["name"] = "Stealth",
									["icon_id"] = "Interface\\Icons\\Ability_Stealth",
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [7]
								{
									["is_stealthy"] = false,
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
									["target"] = "target",
									["max_duration"] = 26,
									["hidden"] = false,
									["aura_id"] = 1943,
								}, -- [8]
								{
									["is_stealthy"] = false,
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
									["target"] = "target",
									["max_duration"] = 23.4,
									["hidden"] = false,
									["aura_id"] = 703,
								}, -- [9]
							},
						}, -- [7]
						{
							["spell"] = {
								["debugName"] = "Envenom",
								["name"] = "Envenom",
								["icon_id"] = 132287,
								["spell_id"] = 32645,
							},
							["name"] = "Envenom",
							["cooldowns"] = {
								{
									["debugName"] = "Vendetta",
									["name"] = "Vendetta",
									["icon_id"] = 458726,
									["spell_id"] = 79140,
									["cooldown"] = 120,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = 132297,
									["spell_id"] = 703,
									["cooldown"] = 15,
								}, -- [3]
								{
									["debugName"] = "Exsanguinate",
									["name"] = "Exsanguinate",
									["icon_id"] = 538040,
									["spell_id"] = 200806,
									["cooldown"] = 45,
								}, -- [4]
								{
									["debugName"] = "Kingsbane",
									["name"] = "Kingsbane",
									["icon_id"] = 1259291,
									["spell_id"] = 192759,
									["cooldown"] = 45,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = 132302,
									["spell_id"] = 1943,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["hasMaxTimeToKillSolo"] = false,
									["hasMinTimeToKillRaid"] = false,
									["hasMaxCooldownForRupture"] = false,
									["hasMinDurationOfVanish"] = false,
									["checkEnergy"] = true,
									["hasMinHealthPerc"] = false,
									["maxDurationOfRupture"] = 0,
									["maxGroupSize"] = 0,
									["hasMinEnergy"] = true,
									["maxCooldownForKingsbane"] = 0,
									["maxComboPoints"] = 0,
									["primary"] = true,
									["require_not_stealthed"] = false,
									["minDurationOfGarrote"] = 0,
									["require_pvp"] = false,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["minCooldownForVanish"] = 0,
									["checkDurationOfGarrote"] = false,
									["minDurationOfDeadlyPoison"] = 0,
									["hasMaxGroupSize"] = false,
									["minDurationOfVanish2"] = 0,
									["checkGroupSize"] = false,
									["hasMinCooldownForRupture"] = false,
									["hasMinCooldownForVendetta"] = false,
									["checkCooldownForVanish"] = false,
									["minHealthPerc"] = 0,
									["checkTimeToKillRaid"] = false,
									["hasMinDurationOfStealth2"] = false,
									["checkDurationOfVanish3"] = false,
									["maxDurationOfVanish"] = 0,
									["minEnergy"] = 35,
									["auras"] = {
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [1]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [2]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [3]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [5]
										{
											["is_stealthy"] = false,
											["debugName"] = "DeadlyPoison",
											["name"] = "Deadly Poison",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
											["target"] = "player",
											["max_duration"] = 4680,
											["hidden"] = false,
											["aura_id"] = 2823,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth",
											["name"] = "Stealth",
											["icon_id"] = "Interface\\Icons\\Ability_Stealth",
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [7]
										{
											["is_stealthy"] = false,
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
											["target"] = "target",
											["max_duration"] = 26,
											["hidden"] = false,
											["aura_id"] = 1943,
										}, -- [8]
										{
											["is_stealthy"] = false,
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
											["target"] = "target",
											["max_duration"] = 23.4,
											["hidden"] = false,
											["aura_id"] = 703,
										}, -- [9]
									},
									["hasMinComboPoints"] = true,
									["hasMaxCooldownForKingsbane"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfRupture"] = false,
									["hasMaxEnergy"] = false,
									["require_boss_fight"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["maxEnergy"] = 0,
									["hasMinGroupSize"] = false,
									["require_stealthed"] = false,
									["maxDurationOfStealth2"] = 0,
									["minGroupSize"] = 0,
									["hasMaxDurationOfVanish2"] = false,
									["maxCooldownForGarrote"] = 0,
									["maxDurationOfSubterfuge"] = 0,
									["checkCooldownForGarrote"] = false,
									["hasMaxHealthPerc"] = false,
									["checkDurationOfVanish"] = false,
									["hasMaxComboPoints"] = false,
									["hasMinTimeToKillSolo"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["checkCooldownForExsanguinate"] = false,
									["minDurationOfStealth2"] = 0,
									["checkDurationOfRupture"] = false,
									["require_not_pvp"] = false,
									["checkDurationOfStealth2"] = false,
									["minCooldownForGarrote"] = 0,
									["minCooldownForRupture"] = 0,
									["require_instance"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["hasMinDurationOfStealth"] = false,
									["checkHealthPerc"] = false,
									["maxCooldownForVanish"] = 0,
									["maxCooldownForExsanguinate"] = 0,
									["hasMaxDurationOfVanish"] = false,
									["hasMaxDurationOfDeadlyPoison"] = false,
									["maxDurationOfVanish2"] = 0,
									["hasMaxDurationOfGarrote"] = false,
									["minDurationOfSubterfuge"] = 0,
									["maxDurationOfDeadlyPoison"] = 0,
									["minDurationOfVanish"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["require_not_instance"] = false,
									["checkDurationOfDeadlyPoison"] = false,
									["hasMaxTimeToKillRaid"] = false,
									["checkTimeToKillSolo"] = false,
									["minTimeToKillRaid"] = 0,
									["hasMaxCooldownForExsanguinate"] = false,
									["hasMinCooldownForVanish"] = false,
									["hasMaxCooldownForGarrote"] = false,
									["minDurationOfStealth"] = 0,
									["hasMinCooldownForExsanguinate"] = false,
									["cache_spells"] = {
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vendetta",
												["name"] = "Vendetta",
												["icon_id"] = 458726,
												["spell_id"] = 79140,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [1]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [2]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Garrote",
												["name"] = "Garrote",
												["icon_id"] = 132297,
												["spell_id"] = 703,
												["cooldown"] = 15,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [3]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Exsanguinate",
												["name"] = "Exsanguinate",
												["icon_id"] = 538040,
												["spell_id"] = 200806,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [4]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Kingsbane",
												["name"] = "Kingsbane",
												["icon_id"] = 1259291,
												["spell_id"] = 192759,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [5]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [6]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["hasMinComboPoints"] = false,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkComboPoints"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["require_stealthed"] = false,
											["minDurationOfVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["checkTimeToKillSolo"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["checkCooldownForVanish"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["enabled"] = false,
											["checkDurationOfSubterfuge"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["spell"] = {
												["debugName"] = "Rupture",
												["name"] = "Rupture",
												["icon_id"] = 132302,
												["spell_id"] = 1943,
												["cooldown"] = 1,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeToKillSolo"] = 0,
											["checkDurationOfStealth"] = false,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["hasMinTimeToKillSolo"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForGarrote"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfRupture"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["hasMinDurationOfDeadlyPoison"] = false,
									["hasMaxCooldownForCrimsonVial"] = false,
									["hasMaxCooldownForVendetta"] = false,
									["checkDurationOfStealth"] = false,
									["maxDurationOfStealth"] = 0,
									["maxCooldownForRupture"] = 0,
									["hasMaxDurationOfStealth"] = false,
									["checkCooldownForRupture"] = false,
									["hasMaxDurationOfRupture"] = false,
									["checkCooldownForKingsbane"] = false,
									["minDurationOfRupture"] = 0,
									["checkCooldownForVendetta"] = false,
									["minDurationOfVanish3"] = 0,
									["hasMinDurationOfVanish2"] = false,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["hasMinDurationOfGarrote"] = false,
									["priority"] = 575,
									["hasMinDurationOfVanish3"] = false,
									["poolEnergyIfLow"] = true,
									["minCooldownForVendetta"] = 0,
									["spell"] = {
										["debugName"] = "Envenom",
										["name"] = "Envenom",
										["icon_id"] = 132287,
										["spell_id"] = 32645,
									},
									["maxCooldownForVendetta"] = 0,
									["hasMinCooldownForKingsbane"] = false,
									["hasMinCooldownForGarrote"] = false,
									["minCooldownForExsanguinate"] = 0,
									["minTimeToKillSolo"] = 0,
									["checkDurationOfVanish2"] = false,
									["minComboPoints"] = 6,
									["enabled"] = true,
									["checkComboPoints"] = true,
									["maxDurationOfGarrote"] = 0,
									["cooldowns"] = {
										{
											["debugName"] = "Vendetta",
											["name"] = "Vendetta",
											["icon_id"] = 458726,
											["spell_id"] = 79140,
											["cooldown"] = 120,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = 132297,
											["spell_id"] = 703,
											["cooldown"] = 15,
										}, -- [3]
										{
											["debugName"] = "Exsanguinate",
											["name"] = "Exsanguinate",
											["icon_id"] = 538040,
											["spell_id"] = 200806,
											["cooldown"] = 45,
										}, -- [4]
										{
											["debugName"] = "Kingsbane",
											["name"] = "Kingsbane",
											["icon_id"] = 1259291,
											["spell_id"] = 192759,
											["cooldown"] = 45,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = 132302,
											["spell_id"] = 1943,
											["cooldown"] = 1,
										}, -- [7]
									},
									["minCooldownForKingsbane"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["require_not_boss_fight"] = false,
								}, -- [1]
							},
							["auras"] = {
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [1]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [2]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [3]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [5]
								{
									["is_stealthy"] = false,
									["debugName"] = "DeadlyPoison",
									["name"] = "Deadly Poison",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
									["target"] = "player",
									["max_duration"] = 4680,
									["hidden"] = false,
									["aura_id"] = 2823,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth",
									["name"] = "Stealth",
									["icon_id"] = "Interface\\Icons\\Ability_Stealth",
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [7]
								{
									["is_stealthy"] = false,
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
									["target"] = "target",
									["max_duration"] = 26,
									["hidden"] = false,
									["aura_id"] = 1943,
								}, -- [8]
								{
									["is_stealthy"] = false,
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
									["target"] = "target",
									["max_duration"] = 23.4,
									["hidden"] = false,
									["aura_id"] = 703,
								}, -- [9]
							},
						}, -- [8]
						{
							["spell"] = {
								["debugName"] = "Stealth",
								["name"] = "Stealth",
								["icon_id"] = 132320,
								["spell_id"] = 1784,
							},
							["name"] = "Stealth",
							["cooldowns"] = {
								{
									["debugName"] = "Vendetta",
									["name"] = "Vendetta",
									["icon_id"] = 458726,
									["spell_id"] = 79140,
									["cooldown"] = 120,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = 132297,
									["spell_id"] = 703,
									["cooldown"] = 15,
								}, -- [3]
								{
									["debugName"] = "Exsanguinate",
									["name"] = "Exsanguinate",
									["icon_id"] = 538040,
									["spell_id"] = 200806,
									["cooldown"] = 45,
								}, -- [4]
								{
									["debugName"] = "Kingsbane",
									["name"] = "Kingsbane",
									["icon_id"] = 1259291,
									["spell_id"] = 192759,
									["cooldown"] = 45,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = 132302,
									["spell_id"] = 1943,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["require_instance"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["hasMaxCooldownForRupture"] = false,
									["hasMinDurationOfVanish"] = false,
									["checkEnergy"] = false,
									["hasMinHealthPerc"] = false,
									["maxDurationOfRupture"] = 0,
									["auras"] = {
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [1]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [2]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [3]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [5]
										{
											["is_stealthy"] = false,
											["debugName"] = "DeadlyPoison",
											["name"] = "Deadly Poison",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
											["target"] = "player",
											["max_duration"] = 4680,
											["hidden"] = false,
											["aura_id"] = 2823,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth",
											["name"] = "Stealth",
											["icon_id"] = "Interface\\Icons\\Ability_Stealth",
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [7]
										{
											["is_stealthy"] = false,
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
											["target"] = "target",
											["max_duration"] = 26,
											["hidden"] = false,
											["aura_id"] = 1943,
										}, -- [8]
										{
											["is_stealthy"] = false,
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
											["target"] = "target",
											["max_duration"] = 23.4,
											["hidden"] = false,
											["aura_id"] = 703,
										}, -- [9]
									},
									["hasMinEnergy"] = false,
									["maxCooldownForKingsbane"] = 0,
									["maxDurationOfVanish"] = 0,
									["checkDurationOfVanish"] = false,
									["require_not_stealthed"] = true,
									["primary"] = true,
									["minDurationOfGarrote"] = 0,
									["enabled"] = true,
									["maxTimeToKillRaid"] = 0,
									["hasMinDurationOfStealth2"] = false,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["minCooldownForVanish"] = 0,
									["hasMinCooldownForVanish"] = false,
									["checkGroupSize"] = false,
									["hasMaxGroupSize"] = false,
									["checkDurationOfVanish3"] = false,
									["minDurationOfDeadlyPoison"] = 0,
									["minHealthPerc"] = 0,
									["minComboPoints"] = 0,
									["hasMinCooldownForRupture"] = false,
									["checkDurationOfGarrote"] = false,
									["checkTimeToKillRaid"] = false,
									["hasMinDurationOfStealth"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["maxComboPoints"] = 0,
									["minEnergy"] = 0,
									["require_pvp"] = false,
									["maxDurationOfGarrote"] = 0,
									["hasMaxCooldownForKingsbane"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfRupture"] = false,
									["hasMinTimeToKillRaid"] = false,
									["require_boss_fight"] = false,
									["require_stealthed"] = false,
									["maxEnergy"] = 0,
									["hasMinGroupSize"] = false,
									["hasMaxDurationOfVanish2"] = false,
									["maxDurationOfStealth2"] = 0,
									["minGroupSize"] = 0,
									["hasMinCooldownForGarrote"] = false,
									["maxCooldownForGarrote"] = 0,
									["minDurationOfStealth2"] = 0,
									["hasMinCooldownForVendetta"] = false,
									["hasMaxHealthPerc"] = false,
									["hasMinTimeToKillSolo"] = false,
									["hasMaxComboPoints"] = false,
									["checkCooldownForRupture"] = false,
									["checkDurationOfVanish2"] = false,
									["checkCooldownForExsanguinate"] = false,
									["checkDurationOfRupture"] = false,
									["checkCooldownForVanish"] = false,
									["require_not_pvp"] = false,
									["checkDurationOfStealth2"] = false,
									["minCooldownForGarrote"] = 0,
									["minCooldownForRupture"] = 0,
									["minDurationOfVanish2"] = 0,
									["checkCooldownForVendetta"] = false,
									["hasMaxTimeToKillSolo"] = false,
									["checkHealthPerc"] = false,
									["maxCooldownForVanish"] = 0,
									["maxCooldownForExsanguinate"] = 0,
									["minDurationOfSubterfuge"] = 0,
									["hasMaxDurationOfDeadlyPoison"] = false,
									["maxDurationOfVanish2"] = 0,
									["hasMaxDurationOfGarrote"] = false,
									["require_not_instance"] = false,
									["maxDurationOfDeadlyPoison"] = 0,
									["minDurationOfVanish"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["checkDurationOfDeadlyPoison"] = false,
									["hasMaxTimeToKillRaid"] = false,
									["minTimeToKillRaid"] = 0,
									["hasMaxEnergy"] = false,
									["checkCooldownForGarrote"] = false,
									["hasMaxCooldownForExsanguinate"] = false,
									["require_no_combat"] = true,
									["hasMaxCooldownForGarrote"] = false,
									["minDurationOfStealth"] = 0,
									["hasMinCooldownForExsanguinate"] = false,
									["cache_spells"] = {
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vendetta",
												["name"] = "Vendetta",
												["icon_id"] = 458726,
												["spell_id"] = 79140,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [1]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [2]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Garrote",
												["name"] = "Garrote",
												["icon_id"] = 132297,
												["spell_id"] = 703,
												["cooldown"] = 15,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [3]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Exsanguinate",
												["name"] = "Exsanguinate",
												["icon_id"] = 538040,
												["spell_id"] = 200806,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [4]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Kingsbane",
												["name"] = "Kingsbane",
												["icon_id"] = 1259291,
												["spell_id"] = 192759,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [5]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [6]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["hasMinComboPoints"] = false,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkComboPoints"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["require_stealthed"] = false,
											["minDurationOfVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["checkTimeToKillSolo"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["checkCooldownForVanish"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["enabled"] = false,
											["checkDurationOfSubterfuge"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["spell"] = {
												["debugName"] = "Rupture",
												["name"] = "Rupture",
												["icon_id"] = 132302,
												["spell_id"] = 1943,
												["cooldown"] = 1,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeToKillSolo"] = 0,
											["checkDurationOfStealth"] = false,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["hasMinTimeToKillSolo"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForGarrote"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfRupture"] = false,
										}, -- [7]
									},
									["minDurationOfVanish3"] = 0,
									["maxHealthPerc"] = 0,
									["hasMinDurationOfDeadlyPoison"] = false,
									["checkDurationOfStealth"] = false,
									["hasMaxCooldownForVendetta"] = false,
									["hasMaxCooldownForCrimsonVial"] = false,
									["maxDurationOfStealth"] = 0,
									["maxCooldownForRupture"] = 0,
									["hasMaxDurationOfStealth"] = false,
									["hasMaxDurationOfVanish3"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["checkCooldownForKingsbane"] = false,
									["minDurationOfRupture"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["checkTimeToKillSolo"] = false,
									["hasMaxDurationOfRupture"] = false,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["hasMinDurationOfGarrote"] = false,
									["priority"] = 800,
									["hasMinDurationOfVanish2"] = false,
									["poolEnergyIfLow"] = false,
									["minCooldownForVendetta"] = 0,
									["spell"] = {
										["debugName"] = "Stealth",
										["name"] = "Stealth",
										["icon_id"] = 132320,
										["spell_id"] = 1784,
									},
									["maxCooldownForVendetta"] = 0,
									["hasMinCooldownForKingsbane"] = false,
									["maxGroupSize"] = 0,
									["minCooldownForExsanguinate"] = 0,
									["minTimeToKillSolo"] = 0,
									["maxDurationOfSubterfuge"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMinDurationOfVanish3"] = false,
									["checkComboPoints"] = false,
									["hasMinComboPoints"] = false,
									["cooldowns"] = {
										{
											["debugName"] = "Vendetta",
											["name"] = "Vendetta",
											["icon_id"] = 458726,
											["spell_id"] = 79140,
											["cooldown"] = 120,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = 132297,
											["spell_id"] = 703,
											["cooldown"] = 15,
										}, -- [3]
										{
											["debugName"] = "Exsanguinate",
											["name"] = "Exsanguinate",
											["icon_id"] = 538040,
											["spell_id"] = 200806,
											["cooldown"] = 45,
										}, -- [4]
										{
											["debugName"] = "Kingsbane",
											["name"] = "Kingsbane",
											["icon_id"] = 1259291,
											["spell_id"] = 192759,
											["cooldown"] = 45,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = 132302,
											["spell_id"] = 1943,
											["cooldown"] = 1,
										}, -- [7]
									},
									["minCooldownForKingsbane"] = 0,
									["hasMaxDurationOfVanish"] = false,
									["require_not_boss_fight"] = false,
								}, -- [1]
							},
							["auras"] = {
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [1]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [2]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [3]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [5]
								{
									["is_stealthy"] = false,
									["debugName"] = "DeadlyPoison",
									["name"] = "Deadly Poison",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
									["target"] = "player",
									["max_duration"] = 4680,
									["hidden"] = false,
									["aura_id"] = 2823,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth",
									["name"] = "Stealth",
									["icon_id"] = "Interface\\Icons\\Ability_Stealth",
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [7]
								{
									["is_stealthy"] = false,
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
									["target"] = "target",
									["max_duration"] = 26,
									["hidden"] = false,
									["aura_id"] = 1943,
								}, -- [8]
								{
									["is_stealthy"] = false,
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
									["target"] = "target",
									["max_duration"] = 23.4,
									["hidden"] = false,
									["aura_id"] = 703,
								}, -- [9]
							},
						}, -- [9]
						{
							["spell"] = {
								["debugName"] = "CrimsonVial",
								["name"] = "Crimson Vial",
								["icon_id"] = 1373904,
								["spell_id"] = 185311,
								["cooldown"] = 30,
							},
							["name"] = "Crimson Vial",
							["cooldowns"] = {
								{
									["debugName"] = "Vendetta",
									["name"] = "Vendetta",
									["icon_id"] = 458726,
									["spell_id"] = 79140,
									["cooldown"] = 120,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = 132297,
									["spell_id"] = 703,
									["cooldown"] = 15,
								}, -- [3]
								{
									["debugName"] = "Exsanguinate",
									["name"] = "Exsanguinate",
									["icon_id"] = 538040,
									["spell_id"] = 200806,
									["cooldown"] = 45,
								}, -- [4]
								{
									["debugName"] = "Kingsbane",
									["name"] = "Kingsbane",
									["icon_id"] = 1259291,
									["spell_id"] = 192759,
									["cooldown"] = 45,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = 132302,
									["spell_id"] = 1943,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["hasMaxTimeToKillSolo"] = false,
									["hasMinTimeToKillRaid"] = false,
									["hasMaxCooldownForRupture"] = false,
									["hasMinDurationOfVanish"] = false,
									["checkEnergy"] = false,
									["hasMinHealthPerc"] = false,
									["maxDurationOfRupture"] = 0,
									["maxGroupSize"] = 0,
									["hasMinEnergy"] = false,
									["maxCooldownForKingsbane"] = 0,
									["maxComboPoints"] = 0,
									["primary"] = true,
									["require_not_stealthed"] = false,
									["minDurationOfGarrote"] = 0,
									["require_pvp"] = false,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["minCooldownForVanish"] = 0,
									["checkDurationOfGarrote"] = false,
									["minDurationOfDeadlyPoison"] = 0,
									["hasMaxGroupSize"] = false,
									["minDurationOfVanish2"] = 0,
									["checkGroupSize"] = false,
									["hasMinCooldownForRupture"] = false,
									["hasMinCooldownForVendetta"] = false,
									["checkCooldownForVanish"] = false,
									["minHealthPerc"] = 0,
									["checkTimeToKillRaid"] = false,
									["hasMinDurationOfStealth2"] = false,
									["checkDurationOfVanish3"] = false,
									["maxDurationOfVanish"] = 0,
									["minEnergy"] = 0,
									["auras"] = {
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [1]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [2]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [3]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [5]
										{
											["is_stealthy"] = false,
											["debugName"] = "DeadlyPoison",
											["name"] = "Deadly Poison",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
											["target"] = "player",
											["max_duration"] = 4680,
											["hidden"] = false,
											["aura_id"] = 2823,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth",
											["name"] = "Stealth",
											["icon_id"] = "Interface\\Icons\\Ability_Stealth",
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [7]
										{
											["is_stealthy"] = false,
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
											["target"] = "target",
											["max_duration"] = 26,
											["hidden"] = false,
											["aura_id"] = 1943,
										}, -- [8]
										{
											["is_stealthy"] = false,
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
											["target"] = "target",
											["max_duration"] = 23.4,
											["hidden"] = false,
											["aura_id"] = 703,
										}, -- [9]
									},
									["hasMinComboPoints"] = false,
									["hasMaxCooldownForKingsbane"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfRupture"] = false,
									["hasMaxEnergy"] = false,
									["require_boss_fight"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["maxEnergy"] = 0,
									["hasMinGroupSize"] = false,
									["require_stealthed"] = false,
									["maxDurationOfStealth2"] = 0,
									["minGroupSize"] = 0,
									["hasMaxDurationOfVanish2"] = false,
									["maxCooldownForGarrote"] = 0,
									["maxDurationOfSubterfuge"] = 0,
									["checkCooldownForGarrote"] = false,
									["hasMaxHealthPerc"] = false,
									["checkDurationOfVanish"] = false,
									["hasMaxComboPoints"] = false,
									["hasMinTimeToKillSolo"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["checkCooldownForExsanguinate"] = false,
									["minDurationOfStealth2"] = 0,
									["checkDurationOfRupture"] = false,
									["require_not_pvp"] = false,
									["checkDurationOfStealth2"] = false,
									["minCooldownForGarrote"] = 0,
									["minCooldownForRupture"] = 0,
									["require_instance"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["hasMinDurationOfStealth"] = false,
									["checkHealthPerc"] = false,
									["maxCooldownForVanish"] = 0,
									["maxCooldownForExsanguinate"] = 0,
									["hasMaxDurationOfVanish"] = false,
									["hasMaxDurationOfDeadlyPoison"] = false,
									["maxDurationOfVanish2"] = 0,
									["hasMaxDurationOfGarrote"] = false,
									["minDurationOfSubterfuge"] = 0,
									["maxDurationOfDeadlyPoison"] = 0,
									["minDurationOfVanish"] = 0,
									["hasMinCooldownForCrimsonVial"] = false,
									["require_not_instance"] = false,
									["checkDurationOfDeadlyPoison"] = false,
									["hasMaxTimeToKillRaid"] = false,
									["checkTimeToKillSolo"] = false,
									["minTimeToKillRaid"] = 0,
									["hasMaxCooldownForExsanguinate"] = false,
									["hasMinCooldownForVanish"] = false,
									["hasMaxCooldownForGarrote"] = false,
									["minDurationOfStealth"] = 0,
									["hasMinCooldownForExsanguinate"] = false,
									["cache_spells"] = {
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vendetta",
												["name"] = "Vendetta",
												["icon_id"] = 458726,
												["spell_id"] = 79140,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [1]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [2]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Garrote",
												["name"] = "Garrote",
												["icon_id"] = 132297,
												["spell_id"] = 703,
												["cooldown"] = 15,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [3]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Exsanguinate",
												["name"] = "Exsanguinate",
												["icon_id"] = 538040,
												["spell_id"] = 200806,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [4]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "Kingsbane",
												["name"] = "Kingsbane",
												["icon_id"] = 1259291,
												["spell_id"] = 192759,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [5]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["require_stealthed"] = false,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkDurationOfSubterfuge"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["checkDurationOfDeadlyPoison"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["hasMinCooldownForExsanguinate"] = false,
											["minDurationOfSubterfuge"] = 0,
											["hasMinDurationOfVanish3"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["checkDurationOfStealth"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["checkDurationOfVanish"] = false,
											["hasMinComboPoints"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["enabled"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["hasMinCooldownForVanish"] = false,
											["minDurationOfVanish3"] = 0,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minDurationOfVanish"] = 0,
											["minCooldownForRupture"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
										}, -- [6]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMinDurationOfStealth2"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["hasMinCooldownForVanish"] = false,
											["maxEnergy"] = 0,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["minDurationOfStealth2"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfRupture"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["maxDurationOfVanish3"] = 0,
											["hasMinDurationOfSubterfuge"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["require_not_stealthed"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["hasMinComboPoints"] = false,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["checkComboPoints"] = false,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfDeadlyPoison"] = 0,
											["maxDurationOfSubterfuge"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["require_stealthed"] = false,
											["minDurationOfVanish"] = 0,
											["minDurationOfRupture"] = 0,
											["checkTimeToKillSolo"] = false,
											["hasMinTimeSinceCastForVanish"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["hasMinDurationOfVanish3"] = false,
											["minDurationOfSubterfuge"] = 0,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["checkDurationOfGarrote"] = false,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfDeadlyPoison"] = 0,
											["checkCooldownForVanish"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinCooldownForRupture"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["enabled"] = false,
											["checkDurationOfSubterfuge"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["spell"] = {
												["debugName"] = "Rupture",
												["name"] = "Rupture",
												["icon_id"] = 132302,
												["spell_id"] = 1943,
												["cooldown"] = 1,
											},
											["maxCooldownForVendetta"] = 0,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeToKillSolo"] = 0,
											["checkDurationOfStealth"] = false,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["hasMinTimeToKillSolo"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForGarrote"] = false,
											["maxCooldownForRupture"] = 0,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["minDurationOfVanish3"] = 0,
											["checkDurationOfRupture"] = false,
										}, -- [7]
									},
									["hasMaxDurationOfVanish3"] = false,
									["maxHealthPerc"] = 0,
									["hasMinDurationOfDeadlyPoison"] = false,
									["hasMaxCooldownForCrimsonVial"] = false,
									["hasMaxCooldownForVendetta"] = false,
									["checkDurationOfStealth"] = false,
									["maxDurationOfStealth"] = 0,
									["maxCooldownForRupture"] = 0,
									["hasMaxDurationOfStealth"] = false,
									["checkCooldownForRupture"] = false,
									["hasMaxDurationOfRupture"] = false,
									["checkCooldownForKingsbane"] = false,
									["minDurationOfRupture"] = 0,
									["checkCooldownForVendetta"] = false,
									["minDurationOfVanish3"] = 0,
									["hasMinDurationOfVanish2"] = false,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["hasMinDurationOfGarrote"] = false,
									["priority"] = 490,
									["hasMinDurationOfVanish3"] = false,
									["poolEnergyIfLow"] = false,
									["minCooldownForVendetta"] = 0,
									["spell"] = {
										["debugName"] = "CrimsonVial",
										["name"] = "Crimson Vial",
										["icon_id"] = 1373904,
										["spell_id"] = 185311,
										["cooldown"] = 30,
									},
									["maxCooldownForVendetta"] = 0,
									["hasMinCooldownForKingsbane"] = false,
									["hasMinCooldownForGarrote"] = false,
									["minCooldownForExsanguinate"] = 0,
									["minTimeToKillSolo"] = 0,
									["checkDurationOfVanish2"] = false,
									["minComboPoints"] = 0,
									["enabled"] = false,
									["checkComboPoints"] = false,
									["maxDurationOfGarrote"] = 0,
									["cooldowns"] = {
										{
											["debugName"] = "Vendetta",
											["name"] = "Vendetta",
											["icon_id"] = 458726,
											["spell_id"] = 79140,
											["cooldown"] = 120,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = 132297,
											["spell_id"] = 703,
											["cooldown"] = 15,
										}, -- [3]
										{
											["debugName"] = "Exsanguinate",
											["name"] = "Exsanguinate",
											["icon_id"] = 538040,
											["spell_id"] = 200806,
											["cooldown"] = 45,
										}, -- [4]
										{
											["debugName"] = "Kingsbane",
											["name"] = "Kingsbane",
											["icon_id"] = 1259291,
											["spell_id"] = 192759,
											["cooldown"] = 45,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = 132302,
											["spell_id"] = 1943,
											["cooldown"] = 1,
										}, -- [7]
									},
									["minCooldownForKingsbane"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["require_not_boss_fight"] = false,
								}, -- [1]
							},
							["auras"] = {
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [1]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [2]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [3]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [5]
								{
									["is_stealthy"] = false,
									["debugName"] = "DeadlyPoison",
									["name"] = "Deadly Poison",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
									["target"] = "player",
									["max_duration"] = 4680,
									["hidden"] = false,
									["aura_id"] = 2823,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth",
									["name"] = "Stealth",
									["icon_id"] = "Interface\\Icons\\Ability_Stealth",
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [7]
								{
									["is_stealthy"] = false,
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
									["target"] = "target",
									["max_duration"] = 26,
									["hidden"] = false,
									["aura_id"] = 1943,
								}, -- [8]
								{
									["is_stealthy"] = false,
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
									["target"] = "target",
									["max_duration"] = 23.4,
									["hidden"] = false,
									["aura_id"] = 703,
								}, -- [9]
							},
						}, -- [10]
						{
							["spell"] = {
								["debugName"] = "Rupture",
								["name"] = "Rupture",
								["icon_id"] = 132302,
								["spell_id"] = 1943,
							},
							["name"] = "Rupture",
							["cooldowns"] = {
								{
									["debugName"] = "Vendetta",
									["name"] = "Vendetta",
									["icon_id"] = 458726,
									["spell_id"] = 79140,
									["cooldown"] = 120,
								}, -- [1]
								{
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = 132331,
									["spell_id"] = 1856,
									["cooldown"] = 120,
								}, -- [2]
								{
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = 132297,
									["spell_id"] = 703,
									["cooldown"] = 15,
								}, -- [3]
								{
									["debugName"] = "Exsanguinate",
									["name"] = "Exsanguinate",
									["icon_id"] = 538040,
									["spell_id"] = 200806,
									["cooldown"] = 45,
								}, -- [4]
								{
									["debugName"] = "Kingsbane",
									["name"] = "Kingsbane",
									["icon_id"] = 1259291,
									["spell_id"] = 192759,
									["cooldown"] = 45,
								}, -- [5]
								{
									["debugName"] = "CrimsonVial",
									["name"] = "Crimson Vial",
									["icon_id"] = 1373904,
									["spell_id"] = 185311,
									["cooldown"] = 30,
								}, -- [6]
								{
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = 132302,
									["spell_id"] = 1943,
									["cooldown"] = 1,
								}, -- [7]
							},
							["suggestions"] = {
								{
									["hasMaxTimeToKillSolo"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["hasMaxCooldownForRupture"] = false,
									["hasMinDurationOfVanish"] = false,
									["checkEnergy"] = true,
									["hasMinHealthPerc"] = false,
									["maxDurationOfRupture"] = 0,
									["auras"] = {
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [1]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [2]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [3]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [5]
										{
											["is_stealthy"] = false,
											["debugName"] = "DeadlyPoison",
											["name"] = "Deadly Poison",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
											["target"] = "player",
											["max_duration"] = 4680,
											["hidden"] = false,
											["aura_id"] = 2823,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth",
											["name"] = "Stealth",
											["icon_id"] = "Interface\\Icons\\Ability_Stealth",
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [7]
										{
											["is_stealthy"] = false,
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
											["target"] = "target",
											["max_duration"] = 26,
											["hidden"] = false,
											["aura_id"] = 1943,
										}, -- [8]
										{
											["is_stealthy"] = false,
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
											["target"] = "target",
											["max_duration"] = 23.4,
											["hidden"] = false,
											["aura_id"] = 703,
										}, -- [9]
									},
									["hasMinEnergy"] = true,
									["maxCooldownForKingsbane"] = 0,
									["maxDurationOfVanish"] = 0,
									["primary"] = true,
									["require_not_stealthed"] = false,
									["minDurationOfGarrote"] = 0,
									["enabled"] = true,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["minCooldownForVanish"] = 0,
									["maxDurationOfGarrote"] = 0,
									["hasMaxDurationOfVanish"] = false,
									["hasMaxGroupSize"] = false,
									["checkDurationOfVanish3"] = false,
									["checkGroupSize"] = false,
									["hasMaxDurationOfVanish2"] = false,
									["minComboPoints"] = 2,
									["checkDurationOfVanish"] = false,
									["minHealthPerc"] = 0,
									["checkTimeToKillRaid"] = false,
									["hasMinCooldownForVendetta"] = false,
									["minDurationOfVanish2"] = 0,
									["hasMinTimeToKillSolo"] = true,
									["minEnergy"] = 25,
									["maxComboPoints"] = 0,
									["hasMinComboPoints"] = true,
									["hasMaxCooldownForKingsbane"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfRupture"] = false,
									["require_pvp"] = false,
									["require_boss_fight"] = false,
									["maxCooldownForExsanguinate"] = 0,
									["maxEnergy"] = 0,
									["hasMinGroupSize"] = false,
									["require_stealthed"] = false,
									["maxDurationOfStealth2"] = 0,
									["minGroupSize"] = 0,
									["hasMinCooldownForGarrote"] = false,
									["maxCooldownForGarrote"] = 0,
									["minDurationOfVanish3"] = 0,
									["minDurationOfStealth2"] = 0,
									["hasMaxHealthPerc"] = false,
									["hasMinDurationOfStealth2"] = false,
									["hasMaxComboPoints"] = false,
									["hasMinDurationOfVanish2"] = false,
									["hasMaxDurationOfVanish3"] = false,
									["checkCooldownForExsanguinate"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["checkDurationOfRupture"] = true,
									["require_not_pvp"] = false,
									["checkDurationOfStealth2"] = false,
									["minCooldownForGarrote"] = 0,
									["minCooldownForRupture"] = 0,
									["require_instance"] = false,
									["checkCooldownForVendetta"] = false,
									["checkDurationOfDeadlyPoison"] = false,
									["checkHealthPerc"] = false,
									["maxCooldownForVanish"] = 0,
									["checkCooldownForGarrote"] = false,
									["checkDurationOfGarrote"] = false,
									["hasMaxDurationOfDeadlyPoison"] = false,
									["maxDurationOfVanish2"] = 0,
									["hasMaxDurationOfGarrote"] = false,
									["minDurationOfSubterfuge"] = 0,
									["maxDurationOfDeadlyPoison"] = 0,
									["checkDurationOfVanish2"] = false,
									["hasMinCooldownForCrimsonVial"] = false,
									["require_not_instance"] = false,
									["hasMinDurationOfStealth"] = false,
									["hasMaxTimeToKillRaid"] = false,
									["hasMaxEnergy"] = false,
									["minTimeToKillRaid"] = 0,
									["hasMaxCooldownForExsanguinate"] = false,
									["maxGroupSize"] = 0,
									["hasMaxCooldownForGarrote"] = false,
									["minDurationOfStealth"] = 0,
									["minDurationOfRupture"] = 0,
									["cache_spells"] = {
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkDurationOfGarrote"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["maxDurationOfVanish3"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["minDurationOfRupture"] = 0,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfVanish3"] = false,
											["hasMaxDurationOfRupture"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfStealth"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minDurationOfStealth2"] = 0,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["require_not_stealthed"] = false,
											["hasMinDurationOfStealth2"] = false,
											["checkDurationOfSubterfuge"] = false,
											["spell"] = {
												["debugName"] = "Vendetta",
												["name"] = "Vendetta",
												["icon_id"] = 458726,
												["spell_id"] = 79140,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["minDurationOfSubterfuge"] = 0,
											["hasMinCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfSubterfuge"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["require_stealthed"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfVanish3"] = 0,
										}, -- [1]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkDurationOfGarrote"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["maxDurationOfVanish3"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["minDurationOfRupture"] = 0,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfVanish3"] = false,
											["hasMaxDurationOfRupture"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfStealth"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minDurationOfStealth2"] = 0,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["require_not_stealthed"] = false,
											["hasMinDurationOfStealth2"] = false,
											["checkDurationOfSubterfuge"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["minDurationOfSubterfuge"] = 0,
											["hasMinCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfSubterfuge"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["require_stealthed"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfVanish3"] = 0,
										}, -- [2]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkDurationOfGarrote"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["maxDurationOfVanish3"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["minDurationOfRupture"] = 0,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfVanish3"] = false,
											["hasMaxDurationOfRupture"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfStealth"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minDurationOfStealth2"] = 0,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["require_not_stealthed"] = false,
											["hasMinDurationOfStealth2"] = false,
											["checkDurationOfSubterfuge"] = false,
											["spell"] = {
												["debugName"] = "Garrote",
												["name"] = "Garrote",
												["icon_id"] = 132297,
												["spell_id"] = 703,
												["cooldown"] = 15,
											},
											["maxCooldownForVendetta"] = 0,
											["minDurationOfSubterfuge"] = 0,
											["hasMinCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfSubterfuge"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["require_stealthed"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfVanish3"] = 0,
										}, -- [3]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkDurationOfGarrote"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["enabled"] = true,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["maxDurationOfVanish3"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["minDurationOfRupture"] = 0,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfVanish3"] = false,
											["hasMaxDurationOfRupture"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfStealth"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minDurationOfStealth2"] = 0,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["require_not_stealthed"] = false,
											["hasMinDurationOfStealth2"] = false,
											["checkDurationOfSubterfuge"] = false,
											["spell"] = {
												["debugName"] = "Exsanguinate",
												["name"] = "Exsanguinate",
												["icon_id"] = 538040,
												["spell_id"] = 200806,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["minDurationOfSubterfuge"] = 0,
											["hasMinCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfSubterfuge"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["require_stealthed"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfVanish3"] = 0,
										}, -- [4]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkDurationOfGarrote"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["maxDurationOfVanish3"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["minDurationOfRupture"] = 0,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfVanish3"] = false,
											["hasMaxDurationOfRupture"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfStealth"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minDurationOfStealth2"] = 0,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["require_not_stealthed"] = false,
											["hasMinDurationOfStealth2"] = false,
											["checkDurationOfSubterfuge"] = false,
											["spell"] = {
												["debugName"] = "Kingsbane",
												["name"] = "Kingsbane",
												["icon_id"] = 1259291,
												["spell_id"] = 192759,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["minDurationOfSubterfuge"] = 0,
											["hasMinCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfSubterfuge"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["require_stealthed"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfVanish3"] = 0,
										}, -- [5]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkDurationOfGarrote"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["maxDurationOfVanish3"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["minDurationOfRupture"] = 0,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfVanish3"] = false,
											["hasMaxDurationOfRupture"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfStealth"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minDurationOfStealth2"] = 0,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["require_not_stealthed"] = false,
											["hasMinDurationOfStealth2"] = false,
											["checkDurationOfSubterfuge"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["maxCooldownForVendetta"] = 0,
											["minDurationOfSubterfuge"] = 0,
											["hasMinCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfSubterfuge"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["require_stealthed"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfVanish3"] = 0,
										}, -- [6]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkDurationOfGarrote"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["maxDurationOfVanish3"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["minDurationOfRupture"] = 0,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfVanish3"] = false,
											["hasMaxDurationOfRupture"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfStealth"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minDurationOfStealth2"] = 0,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["require_not_stealthed"] = false,
											["hasMinDurationOfStealth2"] = false,
											["checkDurationOfSubterfuge"] = false,
											["spell"] = {
												["debugName"] = "Rupture",
												["name"] = "Rupture",
												["icon_id"] = 132302,
												["spell_id"] = 1943,
												["cooldown"] = 1,
											},
											["maxCooldownForVendetta"] = 0,
											["minDurationOfSubterfuge"] = 0,
											["hasMinCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfSubterfuge"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["require_stealthed"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfVanish3"] = 0,
										}, -- [7]
									},
									["checkCooldownForRupture"] = false,
									["maxHealthPerc"] = 0,
									["hasMinDurationOfDeadlyPoison"] = false,
									["checkDurationOfStealth"] = false,
									["hasMaxCooldownForVendetta"] = false,
									["hasMaxCooldownForCrimsonVial"] = false,
									["maxDurationOfStealth"] = 0,
									["maxCooldownForRupture"] = 0,
									["hasMaxDurationOfStealth"] = false,
									["hasMinDurationOfVanish3"] = false,
									["hasMaxDurationOfRupture"] = true,
									["checkCooldownForKingsbane"] = false,
									["hasMinCooldownForExsanguinate"] = false,
									["hasMinCooldownForVanish"] = false,
									["minDurationOfVanish"] = 0,
									["checkTimeToKillSolo"] = true,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["hasMinDurationOfGarrote"] = false,
									["priority"] = 700,
									["maxDurationOfSubterfuge"] = 0,
									["poolEnergyIfLow"] = true,
									["minCooldownForVendetta"] = 0,
									["spell"] = {
										["debugName"] = "Rupture",
										["name"] = "Rupture",
										["icon_id"] = 132302,
										["spell_id"] = 1943,
									},
									["maxCooldownForVendetta"] = 0,
									["hasMinCooldownForKingsbane"] = false,
									["hasMinTimeToKillRaid"] = false,
									["minCooldownForExsanguinate"] = 0,
									["minTimeToKillSolo"] = 3,
									["hasMinCooldownForRupture"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["minDurationOfDeadlyPoison"] = 0,
									["checkComboPoints"] = true,
									["checkCooldownForVanish"] = false,
									["cooldowns"] = {
										{
											["debugName"] = "Vendetta",
											["name"] = "Vendetta",
											["icon_id"] = 458726,
											["spell_id"] = 79140,
											["cooldown"] = 120,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = 132297,
											["spell_id"] = 703,
											["cooldown"] = 15,
										}, -- [3]
										{
											["debugName"] = "Exsanguinate",
											["name"] = "Exsanguinate",
											["icon_id"] = 538040,
											["spell_id"] = 200806,
											["cooldown"] = 45,
										}, -- [4]
										{
											["debugName"] = "Kingsbane",
											["name"] = "Kingsbane",
											["icon_id"] = 1259291,
											["spell_id"] = 192759,
											["cooldown"] = 45,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = 132302,
											["spell_id"] = 1943,
											["cooldown"] = 1,
										}, -- [7]
									},
									["minCooldownForKingsbane"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["require_not_boss_fight"] = false,
								}, -- [1]
								{
									["hasMaxTimeToKillSolo"] = false,
									["hasMaxDurationOfSubterfuge"] = false,
									["hasMaxCooldownForRupture"] = false,
									["hasMinDurationOfVanish"] = false,
									["checkEnergy"] = true,
									["hasMinHealthPerc"] = false,
									["maxDurationOfRupture"] = 6,
									["auras"] = {
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth2",
											["name"] = "Stealth 2",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115191,
										}, -- [1]
										{
											["is_stealthy"] = true,
											["debugName"] = "Subterfuge",
											["name"] = "Subterfuge",
											["icon_id"] = 132320,
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 115192,
										}, -- [2]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11327,
										}, -- [3]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish2",
											["name"] = "Vanish 2",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 11329,
										}, -- [4]
										{
											["is_stealthy"] = true,
											["debugName"] = "Vanish3",
											["name"] = "Vanish 3",
											["icon_id"] = "Interface\\Icons\\Ability_Vanish",
											["target"] = "player",
											["max_duration"] = 3.9,
											["hidden"] = true,
											["aura_id"] = 115193,
										}, -- [5]
										{
											["is_stealthy"] = false,
											["debugName"] = "DeadlyPoison",
											["name"] = "Deadly Poison",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
											["target"] = "player",
											["max_duration"] = 4680,
											["hidden"] = false,
											["aura_id"] = 2823,
										}, -- [6]
										{
											["is_stealthy"] = true,
											["debugName"] = "Stealth",
											["name"] = "Stealth",
											["icon_id"] = "Interface\\Icons\\Ability_Stealth",
											["target"] = "player",
											["max_duration"] = 1,
											["hidden"] = true,
											["aura_id"] = 1784,
										}, -- [7]
										{
											["is_stealthy"] = false,
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
											["target"] = "target",
											["max_duration"] = 26,
											["hidden"] = false,
											["aura_id"] = 1943,
										}, -- [8]
										{
											["is_stealthy"] = false,
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
											["target"] = "target",
											["max_duration"] = 23.4,
											["hidden"] = false,
											["aura_id"] = 703,
										}, -- [9]
									},
									["hasMinEnergy"] = true,
									["maxCooldownForKingsbane"] = 0,
									["maxDurationOfVanish"] = 0,
									["primary"] = true,
									["require_not_stealthed"] = false,
									["minDurationOfGarrote"] = 0,
									["enabled"] = true,
									["maxTimeToKillRaid"] = 0,
									["minCooldownForCrimsonVial"] = 0,
									["hasMaxCooldownForVanish"] = false,
									["checkDurationOfSubterfuge"] = false,
									["minCooldownForVanish"] = 0,
									["maxDurationOfGarrote"] = 0,
									["hasMaxDurationOfVanish"] = false,
									["hasMaxGroupSize"] = false,
									["checkDurationOfVanish3"] = false,
									["checkGroupSize"] = false,
									["hasMaxDurationOfVanish2"] = false,
									["minComboPoints"] = 6,
									["checkDurationOfVanish"] = false,
									["minHealthPerc"] = 0,
									["checkTimeToKillRaid"] = false,
									["hasMinCooldownForVendetta"] = false,
									["minDurationOfVanish2"] = 0,
									["hasMinTimeToKillSolo"] = true,
									["minEnergy"] = 25,
									["maxComboPoints"] = 0,
									["hasMinComboPoints"] = true,
									["hasMaxCooldownForKingsbane"] = false,
									["maxTimeToKillSolo"] = 0,
									["hasMinDurationOfRupture"] = false,
									["require_pvp"] = false,
									["require_boss_fight"] = false,
									["maxCooldownForExsanguinate"] = 0,
									["maxEnergy"] = 0,
									["hasMinGroupSize"] = false,
									["require_stealthed"] = false,
									["maxDurationOfStealth2"] = 0,
									["minGroupSize"] = 0,
									["hasMinCooldownForGarrote"] = false,
									["maxCooldownForGarrote"] = 0,
									["minDurationOfVanish3"] = 0,
									["minDurationOfStealth2"] = 0,
									["hasMaxHealthPerc"] = false,
									["hasMinDurationOfStealth2"] = false,
									["hasMaxComboPoints"] = false,
									["hasMinDurationOfVanish2"] = false,
									["hasMaxDurationOfVanish3"] = false,
									["checkCooldownForExsanguinate"] = false,
									["hasMaxDurationOfStealth2"] = false,
									["checkDurationOfRupture"] = true,
									["require_not_pvp"] = false,
									["checkDurationOfStealth2"] = false,
									["minCooldownForGarrote"] = 0,
									["minCooldownForRupture"] = 0,
									["require_instance"] = false,
									["checkCooldownForVendetta"] = false,
									["checkDurationOfDeadlyPoison"] = false,
									["checkHealthPerc"] = false,
									["maxCooldownForVanish"] = 0,
									["checkCooldownForGarrote"] = false,
									["checkDurationOfGarrote"] = false,
									["hasMaxDurationOfDeadlyPoison"] = false,
									["maxDurationOfVanish2"] = 0,
									["hasMaxDurationOfGarrote"] = false,
									["minDurationOfSubterfuge"] = 0,
									["maxDurationOfDeadlyPoison"] = 0,
									["checkDurationOfVanish2"] = false,
									["hasMinCooldownForCrimsonVial"] = false,
									["require_not_instance"] = false,
									["hasMinDurationOfStealth"] = false,
									["hasMaxTimeToKillRaid"] = false,
									["hasMaxEnergy"] = false,
									["minTimeToKillRaid"] = 0,
									["hasMaxCooldownForExsanguinate"] = false,
									["maxGroupSize"] = 0,
									["hasMaxCooldownForGarrote"] = false,
									["minDurationOfStealth"] = 0,
									["minDurationOfRupture"] = 0,
									["cache_spells"] = {
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkDurationOfGarrote"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["maxDurationOfVanish3"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["minDurationOfRupture"] = 0,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfVanish3"] = false,
											["hasMaxDurationOfRupture"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfStealth"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minDurationOfStealth2"] = 0,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["require_not_stealthed"] = false,
											["hasMinDurationOfStealth2"] = false,
											["checkDurationOfSubterfuge"] = false,
											["spell"] = {
												["debugName"] = "Vendetta",
												["name"] = "Vendetta",
												["icon_id"] = 458726,
												["spell_id"] = 79140,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["minDurationOfSubterfuge"] = 0,
											["hasMinCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfSubterfuge"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["require_stealthed"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfVanish3"] = 0,
										}, -- [1]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkDurationOfGarrote"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["maxDurationOfVanish3"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["minDurationOfRupture"] = 0,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfVanish3"] = false,
											["hasMaxDurationOfRupture"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfStealth"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minDurationOfStealth2"] = 0,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["require_not_stealthed"] = false,
											["hasMinDurationOfStealth2"] = false,
											["checkDurationOfSubterfuge"] = false,
											["spell"] = {
												["debugName"] = "Vanish",
												["name"] = "Vanish",
												["icon_id"] = 132331,
												["spell_id"] = 1856,
												["cooldown"] = 120,
											},
											["maxCooldownForVendetta"] = 0,
											["minDurationOfSubterfuge"] = 0,
											["hasMinCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfSubterfuge"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["require_stealthed"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfVanish3"] = 0,
										}, -- [2]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkDurationOfGarrote"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["maxDurationOfVanish3"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["minDurationOfRupture"] = 0,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfVanish3"] = false,
											["hasMaxDurationOfRupture"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfStealth"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minDurationOfStealth2"] = 0,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["require_not_stealthed"] = false,
											["hasMinDurationOfStealth2"] = false,
											["checkDurationOfSubterfuge"] = false,
											["spell"] = {
												["debugName"] = "Garrote",
												["name"] = "Garrote",
												["icon_id"] = 132297,
												["spell_id"] = 703,
												["cooldown"] = 15,
											},
											["maxCooldownForVendetta"] = 0,
											["minDurationOfSubterfuge"] = 0,
											["hasMinCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfSubterfuge"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["require_stealthed"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfVanish3"] = 0,
										}, -- [3]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkDurationOfGarrote"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = true,
											["hasMinDurationOfSubterfuge"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = true,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["maxDurationOfVanish3"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["minDurationOfRupture"] = 0,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfVanish3"] = false,
											["hasMaxDurationOfRupture"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfStealth"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minDurationOfStealth2"] = 0,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["require_not_stealthed"] = false,
											["hasMinDurationOfStealth2"] = false,
											["checkDurationOfSubterfuge"] = false,
											["spell"] = {
												["debugName"] = "Exsanguinate",
												["name"] = "Exsanguinate",
												["icon_id"] = 538040,
												["spell_id"] = 200806,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["minDurationOfSubterfuge"] = 0,
											["hasMinCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfSubterfuge"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["require_stealthed"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfVanish3"] = 0,
										}, -- [4]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkDurationOfGarrote"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["maxDurationOfVanish3"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["minDurationOfRupture"] = 0,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfVanish3"] = false,
											["hasMaxDurationOfRupture"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfStealth"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minDurationOfStealth2"] = 0,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["require_not_stealthed"] = false,
											["hasMinDurationOfStealth2"] = false,
											["checkDurationOfSubterfuge"] = false,
											["spell"] = {
												["debugName"] = "Kingsbane",
												["name"] = "Kingsbane",
												["icon_id"] = 1259291,
												["spell_id"] = 192759,
												["cooldown"] = 45,
											},
											["maxCooldownForVendetta"] = 0,
											["minDurationOfSubterfuge"] = 0,
											["hasMinCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfSubterfuge"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["require_stealthed"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfVanish3"] = 0,
										}, -- [5]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkDurationOfGarrote"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["enabled"] = false,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["maxDurationOfVanish3"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["minDurationOfRupture"] = 0,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinDurationOfVanish3"] = false,
											["hasMaxDurationOfRupture"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfStealth"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minDurationOfStealth2"] = 0,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["require_not_stealthed"] = false,
											["hasMinDurationOfStealth2"] = false,
											["checkDurationOfSubterfuge"] = false,
											["spell"] = {
												["debugName"] = "CrimsonVial",
												["name"] = "Crimson Vial",
												["icon_id"] = 1373904,
												["spell_id"] = 185311,
												["cooldown"] = 30,
											},
											["maxCooldownForVendetta"] = 0,
											["minDurationOfSubterfuge"] = 0,
											["hasMinCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfSubterfuge"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["require_stealthed"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfVanish3"] = 0,
										}, -- [6]
										{
											["hasMinDurationOfStealth"] = false,
											["hasMinTimeToKillRaid"] = false,
											["hasMaxCooldownForRupture"] = false,
											["hasMinHealthPerc"] = false,
											["TimestampComparedToGarrote"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["hasMinTimeSinceCastForKingsbane"] = false,
											["hasMinEnergy"] = false,
											["maxDurationOfVanish"] = 0,
											["hasMaxTimeSinceCastForCrimsonVial"] = false,
											["minCooldownForVanish"] = 0,
											["checkDurationOfVanish3"] = false,
											["minComboPoints"] = 0,
											["checkDurationOfVanish"] = false,
											["minEnergy"] = 0,
											["maxDurationOfGarrote"] = 0,
											["hasMaxCooldownForKingsbane"] = false,
											["maxTimeToKillSolo"] = 0,
											["hasMaxTimeSinceCastForVendetta"] = false,
											["checkDurationOfGarrote"] = false,
											["minTimeSinceCastForGarrote"] = 0,
											["maxDurationOfStealth2"] = 0,
											["hasMaxDurationOfVanish"] = false,
											["maxCooldownForGarrote"] = 0,
											["hasMinTimeSinceCastForVendetta"] = false,
											["hasMaxHealthPerc"] = false,
											["hasMaxTimeSinceCastForGarrote"] = false,
											["hasMaxComboPoints"] = false,
											["maxTimeSinceCastForCrimsonVial"] = 0,
											["checkCooldownForExsanguinate"] = false,
											["checkTimeSinceCastForKingsbane"] = false,
											["minTimeSinceCastForKingsbane"] = 0,
											["TimestampComparedToKingsbane"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["minCooldownForGarrote"] = 0,
											["minCooldownForRupture"] = 0,
											["checkHealthPerc"] = false,
											["maxCooldownForExsanguinate"] = 0,
											["hasMaxDurationOfDeadlyPoison"] = false,
											["maxDurationOfVanish2"] = 0,
											["hasMaxDurationOfGarrote"] = false,
											["checkDurationOfVanish2"] = false,
											["hasMaxEnergy"] = false,
											["hasMaxCooldownForExsanguinate"] = false,
											["hasMaxCooldownForGarrote"] = false,
											["minDurationOfStealth"] = 0,
											["hasMaxDurationOfVanish2"] = false,
											["checkCooldownForRupture"] = false,
											["minTimeSinceCastForVendetta"] = 0,
											["maxDurationOfStealth"] = 0,
											["maxCooldownForRupture"] = 0,
											["hasMaxDurationOfStealth"] = false,
											["hasMaxDurationOfStealth2"] = false,
											["checkCooldownForKingsbane"] = false,
											["hasMinTimeSinceCastForRupture"] = false,
											["checkDurationOfRupture"] = false,
											["hasMinDurationOfSubterfuge"] = false,
											["hasMinTimeSinceCastForExsanguinate"] = false,
											["minCooldownForVendetta"] = 0,
											["minTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForKingsbane"] = false,
											["minCooldownForExsanguinate"] = 0,
											["minTimeToKillSolo"] = 0,
											["checkComboPoints"] = false,
											["TimestampComparedToCrimsonVial"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxTimeSinceCastForGarrote"] = 0,
											["hasMaxTimeToKillSolo"] = false,
											["hasMaxDurationOfSubterfuge"] = false,
											["hasMinDurationOfVanish"] = false,
											["checkEnergy"] = false,
											["maxCooldownForKingsbane"] = 0,
											["maxTimeSinceCastForVendetta"] = 0,
											["maxComboPoints"] = 0,
											["minTimeSinceCastForRupture"] = 0,
											["minDurationOfGarrote"] = 0,
											["enabled"] = true,
											["maxTimeToKillRaid"] = 0,
											["minCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVanish"] = false,
											["checkTimeSinceCastForRupture"] = false,
											["checkCooldownForCrimsonVial"] = false,
											["minDurationOfVanish2"] = 0,
											["hasMinCooldownForVendetta"] = false,
											["hasMinCooldownForRupture"] = false,
											["hasMaxTimeSinceCastForRupture"] = false,
											["checkTimeToKillRaid"] = false,
											["maxTimeSinceCastForExsanguinate"] = 0,
											["minTimeSinceCastForCrimsonVial"] = 0,
											["minHealthPerc"] = 0,
											["hasMinDurationOfRupture"] = false,
											["checkCooldownForVendetta"] = false,
											["hasMinTimeSinceCastForGarrote"] = false,
											["minTimeSinceCastForExsanguinate"] = 0,
											["checkTimeSinceCastForGarrote"] = false,
											["hasMaxTimeSinceCastForVanish"] = false,
											["checkDurationOfStealth2"] = false,
											["TimestampComparedToVanish"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxCooldownForVanish"] = 0,
											["hasMinCooldownForGarrote"] = false,
											["maxDurationOfVanish3"] = 0,
											["checkTimeSinceCastForExsanguinate"] = false,
											["maxDurationOfDeadlyPoison"] = 0,
											["minDurationOfVanish"] = 0,
											["hasMinCooldownForCrimsonVial"] = false,
											["checkTimeSinceCastForVanish"] = false,
											["checkCooldownForGarrote"] = false,
											["hasMinTimeToKillSolo"] = false,
											["checkTimeToKillSolo"] = false,
											["minDurationOfRupture"] = 0,
											["TimestampComparedToExsanguinate"] = {
												["debug_value"] = "used_after",
												["display_value"] = true,
												["display_name"] = "Used after",
											},
											["hasMinDurationOfVanish3"] = false,
											["hasMaxDurationOfRupture"] = false,
											["maxTimeSinceCastForVanish"] = 0,
											["hasMinCooldownForExsanguinate"] = false,
											["hasMaxDurationOfVanish3"] = false,
											["TimestampComparedToRupture"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxHealthPerc"] = 0,
											["hasMinDurationOfDeadlyPoison"] = false,
											["maxCooldownForCrimsonVial"] = 0,
											["hasMaxCooldownForVendetta"] = false,
											["hasMaxCooldownForCrimsonVial"] = false,
											["checkDurationOfStealth"] = false,
											["minTimeToKillRaid"] = 0,
											["hasMinDurationOfVanish2"] = false,
											["hasMaxTimeToKillRaid"] = false,
											["maxTimeSinceCastForKingsbane"] = 0,
											["minDurationOfDeadlyPoison"] = 0,
											["minDurationOfStealth2"] = 0,
											["checkTimeSinceCastForVendetta"] = false,
											["hasMaxTimeSinceCastForKingsbane"] = false,
											["hasMinDurationOfGarrote"] = false,
											["maxDurationOfRupture"] = 0,
											["hasMinComboPoints"] = false,
											["hasMinTimeSinceCastForCrimsonVial"] = false,
											["checkCooldownForVanish"] = false,
											["require_not_stealthed"] = false,
											["hasMinDurationOfStealth2"] = false,
											["checkDurationOfSubterfuge"] = false,
											["spell"] = {
												["debugName"] = "Rupture",
												["name"] = "Rupture",
												["icon_id"] = 132302,
												["spell_id"] = 1943,
												["cooldown"] = 1,
											},
											["maxCooldownForVendetta"] = 0,
											["minDurationOfSubterfuge"] = 0,
											["hasMinCooldownForVanish"] = false,
											["checkTimeSinceCastForCrimsonVial"] = false,
											["maxEnergy"] = 0,
											["hasMaxTimeSinceCastForExsanguinate"] = false,
											["TimestampComparedToVendetta"] = {
												["debug_value"] = "do_not_check",
												["display_value"] = false,
												["display_name"] = "Do not check",
											},
											["maxDurationOfSubterfuge"] = 0,
											["hasMinTimeSinceCastForVanish"] = false,
											["require_stealthed"] = false,
											["maxTimeSinceCastForRupture"] = 0,
											["minCooldownForKingsbane"] = 0,
											["checkDurationOfDeadlyPoison"] = false,
											["minDurationOfVanish3"] = 0,
										}, -- [7]
									},
									["checkCooldownForRupture"] = false,
									["maxHealthPerc"] = 0,
									["hasMinDurationOfDeadlyPoison"] = false,
									["checkDurationOfStealth"] = false,
									["hasMaxCooldownForVendetta"] = false,
									["hasMaxCooldownForCrimsonVial"] = false,
									["maxDurationOfStealth"] = 0,
									["maxCooldownForRupture"] = 0,
									["hasMaxDurationOfStealth"] = false,
									["hasMinDurationOfVanish3"] = false,
									["hasMaxDurationOfRupture"] = true,
									["checkCooldownForKingsbane"] = false,
									["hasMinCooldownForExsanguinate"] = false,
									["hasMinCooldownForVanish"] = false,
									["minDurationOfVanish"] = 0,
									["checkTimeToKillSolo"] = true,
									["maxDurationOfVanish3"] = 0,
									["hasMinDurationOfSubterfuge"] = false,
									["hasMinDurationOfGarrote"] = false,
									["priority"] = 695,
									["maxDurationOfSubterfuge"] = 0,
									["poolEnergyIfLow"] = true,
									["minCooldownForVendetta"] = 0,
									["spell"] = {
										["debugName"] = "Rupture",
										["name"] = "Rupture",
										["icon_id"] = 132302,
										["spell_id"] = 1943,
									},
									["maxCooldownForVendetta"] = 0,
									["hasMinCooldownForKingsbane"] = false,
									["hasMinTimeToKillRaid"] = false,
									["minCooldownForExsanguinate"] = 0,
									["minTimeToKillSolo"] = 3,
									["hasMinCooldownForRupture"] = false,
									["checkCooldownForCrimsonVial"] = false,
									["minDurationOfDeadlyPoison"] = 0,
									["checkComboPoints"] = true,
									["checkCooldownForVanish"] = false,
									["cooldowns"] = {
										{
											["debugName"] = "Vendetta",
											["name"] = "Vendetta",
											["icon_id"] = 458726,
											["spell_id"] = 79140,
											["cooldown"] = 120,
										}, -- [1]
										{
											["debugName"] = "Vanish",
											["name"] = "Vanish",
											["icon_id"] = 132331,
											["spell_id"] = 1856,
											["cooldown"] = 120,
										}, -- [2]
										{
											["debugName"] = "Garrote",
											["name"] = "Garrote",
											["icon_id"] = 132297,
											["spell_id"] = 703,
											["cooldown"] = 15,
										}, -- [3]
										{
											["debugName"] = "Exsanguinate",
											["name"] = "Exsanguinate",
											["icon_id"] = 538040,
											["spell_id"] = 200806,
											["cooldown"] = 45,
										}, -- [4]
										{
											["debugName"] = "Kingsbane",
											["name"] = "Kingsbane",
											["icon_id"] = 1259291,
											["spell_id"] = 192759,
											["cooldown"] = 45,
										}, -- [5]
										{
											["debugName"] = "CrimsonVial",
											["name"] = "Crimson Vial",
											["icon_id"] = 1373904,
											["spell_id"] = 185311,
											["cooldown"] = 30,
										}, -- [6]
										{
											["debugName"] = "Rupture",
											["name"] = "Rupture",
											["icon_id"] = 132302,
											["spell_id"] = 1943,
											["cooldown"] = 1,
										}, -- [7]
									},
									["minCooldownForKingsbane"] = 0,
									["maxCooldownForCrimsonVial"] = 0,
									["require_not_boss_fight"] = false,
								}, -- [2]
							},
							["auras"] = {
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth2",
									["name"] = "Stealth 2",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115191,
								}, -- [1]
								{
									["is_stealthy"] = true,
									["debugName"] = "Subterfuge",
									["name"] = "Subterfuge",
									["icon_id"] = 132320,
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 115192,
								}, -- [2]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish",
									["name"] = "Vanish",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11327,
								}, -- [3]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish2",
									["name"] = "Vanish 2",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 11329,
								}, -- [4]
								{
									["is_stealthy"] = true,
									["debugName"] = "Vanish3",
									["name"] = "Vanish 3",
									["icon_id"] = "Interface\\Icons\\Ability_Vanish",
									["target"] = "player",
									["max_duration"] = 3.9,
									["hidden"] = true,
									["aura_id"] = 115193,
								}, -- [5]
								{
									["is_stealthy"] = false,
									["debugName"] = "DeadlyPoison",
									["name"] = "Deadly Poison",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
									["target"] = "player",
									["max_duration"] = 4680,
									["hidden"] = false,
									["aura_id"] = 2823,
								}, -- [6]
								{
									["is_stealthy"] = true,
									["debugName"] = "Stealth",
									["name"] = "Stealth",
									["icon_id"] = "Interface\\Icons\\Ability_Stealth",
									["target"] = "player",
									["max_duration"] = 1,
									["hidden"] = true,
									["aura_id"] = 1784,
								}, -- [7]
								{
									["is_stealthy"] = false,
									["debugName"] = "Rupture",
									["name"] = "Rupture",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
									["target"] = "target",
									["max_duration"] = 26,
									["hidden"] = false,
									["aura_id"] = 1943,
								}, -- [8]
								{
									["is_stealthy"] = false,
									["debugName"] = "Garrote",
									["name"] = "Garrote",
									["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
									["target"] = "target",
									["max_duration"] = 23.4,
									["hidden"] = false,
									["aura_id"] = 703,
								}, -- [9]
							},
						}, -- [11]
					},
					["advanced_features"] = false,
					["auras"] = {
						{
							["is_stealthy"] = true,
							["debugName"] = "Stealth2",
							["name"] = "Stealth 2",
							["icon_id"] = 132320,
							["target"] = "player",
							["max_duration"] = 1,
							["hidden"] = true,
							["aura_id"] = 115191,
						}, -- [1]
						{
							["is_stealthy"] = true,
							["debugName"] = "Subterfuge",
							["name"] = "Subterfuge",
							["icon_id"] = 132320,
							["target"] = "player",
							["max_duration"] = 1,
							["hidden"] = true,
							["aura_id"] = 115192,
						}, -- [2]
						{
							["is_stealthy"] = true,
							["debugName"] = "Vanish",
							["name"] = "Vanish",
							["icon_id"] = "Interface\\Icons\\Ability_Vanish",
							["target"] = "player",
							["max_duration"] = 3.9,
							["hidden"] = true,
							["aura_id"] = 11327,
						}, -- [3]
						{
							["is_stealthy"] = true,
							["debugName"] = "Vanish2",
							["name"] = "Vanish 2",
							["icon_id"] = "Interface\\Icons\\Ability_Vanish",
							["target"] = "player",
							["max_duration"] = 3.9,
							["hidden"] = true,
							["aura_id"] = 11329,
						}, -- [4]
						{
							["is_stealthy"] = true,
							["debugName"] = "Vanish3",
							["name"] = "Vanish 3",
							["icon_id"] = "Interface\\Icons\\Ability_Vanish",
							["target"] = "player",
							["max_duration"] = 3.9,
							["hidden"] = true,
							["aura_id"] = 115193,
						}, -- [5]
						{
							["is_stealthy"] = false,
							["debugName"] = "DeadlyPoison",
							["name"] = "Deadly Poison",
							["icon_id"] = "Interface\\Icons\\Ability_Rogue_DualWeild",
							["target"] = "player",
							["max_duration"] = 4680,
							["hidden"] = false,
							["aura_id"] = 2823,
						}, -- [6]
						{
							["is_stealthy"] = true,
							["debugName"] = "Stealth",
							["name"] = "Stealth",
							["icon_id"] = "Interface\\Icons\\Ability_Stealth",
							["target"] = "player",
							["max_duration"] = 1,
							["hidden"] = true,
							["aura_id"] = 1784,
						}, -- [7]
						{
							["is_stealthy"] = false,
							["debugName"] = "Rupture",
							["name"] = "Rupture",
							["icon_id"] = "Interface\\Icons\\Ability_Rogue_Rupture",
							["target"] = "target",
							["max_duration"] = 26,
							["hidden"] = false,
							["aura_id"] = 1943,
						}, -- [8]
						{
							["is_stealthy"] = false,
							["debugName"] = "Garrote",
							["name"] = "Garrote",
							["icon_id"] = "Interface\\Icons\\Ability_Rogue_Garrote",
							["target"] = "target",
							["max_duration"] = 23.4,
							["hidden"] = false,
							["aura_id"] = 703,
						}, -- [9]
					},
				}, -- [2]
			},
			["name"] = "Default",
		}, -- [1]
	},
}

for k,v in pairs(config) do
  TorpedoDefaultConfig[k] = v
end